GNU bug report logs - #48028
[PATCH wip-gnome 0/8]: Misc.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Raghav Gururajan <rg@HIDDEN>; Keywords: patch; dated Mon, 26 Apr 2021 08:10:01 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 48028 <at> debbugs.gnu.org:


Received: (at 48028) by debbugs.gnu.org; 5 May 2021 20:10:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 05 16:10:23 2021
Received: from localhost ([127.0.0.1]:34190 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1leNqg-0001rk-UY
	for submit <at> debbugs.gnu.org; Wed, 05 May 2021 16:10:23 -0400
Received: from out1.migadu.com ([91.121.223.63]:49817)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1leNqd-0001rc-MM
 for 48028 <at> debbugs.gnu.org; Wed, 05 May 2021 16:10:21 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1620245418;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:mime-version:mime-version:content-type:content-type:
 in-reply-to:in-reply-to:references:references;
 bh=8DWlo/qMKnyswhiCzLbphipDw/K/RtuJAASlZ+pQ3eY=;
 b=PIad0ootq65s7qO1IhixBd6hue94zHwq5M13SqeBFzKtLyVDDtYyoY98xBP9HUFzlt8c1T
 kpnG53+a5AMklNQjyUAWRujZEp/z55YqdFwuPJtwAyOFyVNijou995znw9awSaCGepHecx
 gcDQBaM36Lr2kg6k7uBPAq04gmDjUXtGzzUAfHMChuY5+AKKfUfTa/5h9zU/iW+OnLfDMM
 NLxXY5xfLvQ7cEb/mT7Iqgkqv2U5B8ADuJwKr/IHlPBYRczLmilgw14MXjvZhh/xrBVMb1
 QEehGcX1iZv1sbLNshDuBzGyPdcqXFjSfJqnFurKYZEMjrSX0FrGsuT064kpOQ==
From: Raghav Gururajan <rg@HIDDEN>
To: Mark H Weaver <mhw@HIDDEN>,
 Leo Prikler <leo.prikler@HIDDEN>, 48028 <at> debbugs.gnu.org
References: <20210426081145.28926-1-rg@HIDDEN>
 <20210426081145.28926-5-rg@HIDDEN>
 <73660fda850714bb152afc392df78addecd29932.camel@HIDDEN>
 <88a82777-3c12-58d6-912f-196ea150f772@HIDDEN>
 <610e1f33a099e2b8fad8f5df21447f9108082a9c.camel@HIDDEN>
 <abc1d1e3-84a1-28cc-71ea-81864279570c@HIDDEN>
 <878s55j6sy.fsf@HIDDEN>
 <0af67af0-9649-13f6-6740-60b8cc05ee1f@HIDDEN>
 <87czufqtxj.fsf@HIDDEN>
 <8a488be7-93e0-b453-d3a4-abe7f2343533@HIDDEN>
Subject: Re: [PATCH wip-gnome v4 3/8] gnu: gtkmm: Add missing native-input and
 correct propagated-inputs
Message-ID: <4d4acdb7-224b-e389-3d85-bbbdf6eb6e3b@HIDDEN>
Date: Wed, 5 May 2021 16:10:15 -0400
MIME-Version: 1.0
In-Reply-To: <8a488be7-93e0-b453-d3a4-abe7f2343533@HIDDEN>
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature";
 boundary="p1LDe9ZMnG1H1xYqgpToldqTyXjKBW3JV"
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48028
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--p1LDe9ZMnG1H1xYqgpToldqTyXjKBW3JV
Content-Type: multipart/mixed; boundary="4kbWCBUhH4wKeiB392K3SNoap7inrBJ76";
 protected-headers="v1"
From: Raghav Gururajan <rg@HIDDEN>
To: Mark H Weaver <mhw@HIDDEN>,
 Leo Prikler <leo.prikler@HIDDEN>, 48028 <at> debbugs.gnu.org
Message-ID: <4d4acdb7-224b-e389-3d85-bbbdf6eb6e3b@HIDDEN>
Subject: Re: [PATCH wip-gnome v4 3/8] gnu: gtkmm: Add missing native-input and
 correct propagated-inputs
References: <20210426081145.28926-1-rg@HIDDEN>
 <20210426081145.28926-5-rg@HIDDEN>
 <73660fda850714bb152afc392df78addecd29932.camel@HIDDEN>
 <88a82777-3c12-58d6-912f-196ea150f772@HIDDEN>
 <610e1f33a099e2b8fad8f5df21447f9108082a9c.camel@HIDDEN>
 <abc1d1e3-84a1-28cc-71ea-81864279570c@HIDDEN>
 <878s55j6sy.fsf@HIDDEN>
 <0af67af0-9649-13f6-6740-60b8cc05ee1f@HIDDEN>
 <87czufqtxj.fsf@HIDDEN>
 <8a488be7-93e0-b453-d3a4-abe7f2343533@HIDDEN>
In-Reply-To: <8a488be7-93e0-b453-d3a4-abe7f2343533@HIDDEN>

--4kbWCBUhH4wKeiB392K3SNoap7inrBJ76
Content-Type: multipart/mixed;
 boundary="------------0C996FAA86FFA0CC6974AFC8"
Content-Language: en-US

This is a multi-part message in MIME format.
--------------0C996FAA86FFA0CC6974AFC8
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Hi Mark!

> I tried dirty hack of patching meson.build of gtkmm, to refer to latest=20

> versions of cairomm, atkmm, pangomm. Though, 'configure phase passes,=20
> 'build phase fails with *numerous* errors.
>=20
> If I de-propagate those inputs, packages that depends on gtkmm via=20
> pkg-config, gonna barf "gtkmm not found".
>=20
> Do you have any ideas?

Libsigc++, glibmm, cairomm, pangomm and atkmm; play well with each=20
other's latest stable version. The gtkmm is the only outlier.

So I think we can either de-propagate inputs in gtkmm or use the patch=20
as-is; and revert changes when new gtkmm version is released.

WDYT?

Regards,
RG.

--------------0C996FAA86FFA0CC6974AFC8
Content-Type: application/pgp-keys;
 name="OpenPGP_0x5F5816647F8BE551.asc"
Content-Transfer-Encoding: quoted-printable
Content-Description: OpenPGP public key
Content-Disposition: attachment;
 filename="OpenPGP_0x5F5816647F8BE551.asc"

-----BEGIN PGP PUBLIC KEY BLOCK-----

xjMEX2ZCJBYJKwYBBAHaRw8BAQdAdiUK33kml2dYjrWidlr4/v0pmjpUv7hOsBN/oSl5wx7NL=
1Jh
Z2hhdiBHdXJ1cmFqYW4gKFJHKSA8cmdAcmFnaGF2Z3VydXJhamFuLm5hbWU+wpMEExYIADsCG=
wMF
CwkIBwIGFQoJCAsCBBYCAwECHgECF4AWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCX28v0AIZA=
QAK
CRBfWBZkf4vlUQf2AQD63gsdJzk0w6Gy0AzpJtMa63mbVRAh4xfnxsRNu6SbGQD/UDytGjwnQ=
4nK
YsGdoCcA7LM64EkknDvI3ZmlqG7Xuw/NPVJhZ2hhdiBHdXJ1cmFqYW4gKEVkdWNhdGlvbikgP=
GVk
dWNhdGlvbkByYWdoYXZndXJ1cmFqYW4ubmFtZT7CkAQTFggAOBYhBM0tXqqpjMs32pHWsF9YF=
mR/
i+VRBQJgE0xGAhsDBQsJCAcCBhUKCQgLAgQWAgMBAh4BAheAAAoJEF9YFmR/i+VRQcQBALNRe=
1V/
5DKN8ZxyVQlzt4TdGUyNom7xJ6r23ANtcygxAQDBjw6NLXV3aYGDMVVmQPbdAnFiB/x1rpJsA=
wB/
1BSBDc05UmFnaGF2IEd1cnVyYWphbiAoRmluYW5jZSkgPGZpbmFuY2VAcmFnaGF2Z3VydXJha=
mFu
Lm5hbWU+wpAEExYIADgWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCYBNMbwIbAwULCQgHAgYVC=
gkI
CwIEFgIDAQIeAQIXgAAKCRBfWBZkf4vlUWnLAP914hb0IzSCiaj+XrcEBaIt/Q+KjRn2fj5A7=
V6Z
ucJJqwEA64eks7xjLBS3mpTpaGwdDtluJcR7G8XZJJdbdK2YyQ/NN1JhZ2hhdiBHdXJ1cmFqY=
W4g
KEhlYWx0aCkgPGhlYWx0aEByYWdoYXZndXJ1cmFqYW4ubmFtZT7CkAQTFggAOBYhBM0tXqqpj=
Ms3
2pHWsF9YFmR/i+VRBQJgE0yhAhsDBQsJCAcCBhUKCQgLAgQWAgMBAh4BAheAAAoJEF9YFmR/i=
+VR
xdcA/3YxFzlKKHrTguDxE1tBWD31BUYlXWl351j6MB/U+tWdAPwJB8QD8janaddv3U5ZGzswf=
hQv
GGzx6SLcX0E253uNC80/UmFnaGF2IEd1cnVyYWphbiAoT2NjdXBhdGlvbikgPG9jY3VwYXRpb=
25A
cmFnaGF2Z3VydXJhamFuLm5hbWU+wpAEExYIADgWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCY=
BNM
ugIbAwULCQgHAgYVCgkICwIEFgIDAQIeAQIXgAAKCRBfWBZkf4vlUSrlAP0VJw8frvWHAGd6l=
Zdy
x1v+relUGB4DToqDgIMBQyG58gD+NU5t4h0IY6YaiQ+FPyJzdV62k15d9IDvTMYPvcWIpQPNP=
1Jh
Z2hhdiBHdXJ1cmFqYW4gKFJlY3JlYXRpb24pIDxyZWNyZWF0aW9uQHJhZ2hhdmd1cnVyYWphb=
i5u
YW1lPsKQBBMWCAA4FiEEzS1eqqmMyzfakdawX1gWZH+L5VEFAmATTNkCGwMFCwkIBwIGFQoJC=
AsC
BBYCAwECHgECF4AACgkQX1gWZH+L5VHhbQD/b6jXWdQfxi+xzrs1+A0lvnihfUgQ0H/r5U2bO=
w9d
FIkA/0nCh0VJKX+YrySJhWugL7e8ItqwKADh0v05vO6qtlkAzTdSYWdoYXYgR3VydXJhamFuI=
ChT
b2NpYWwpIDxzb2NpYWxAcmFnaGF2Z3VydXJhamFuLm5hbWU+wpAEExYIADgWIQTNLV6qqYzLN=
9qR
1rBfWBZkf4vlUQUCYBNM8AIbAwULCQgHAgYVCgkICwIEFgIDAQIeAQIXgAAKCRBfWBZkf4vlU=
dtv
AQCKMxBdxwMUJdyigGWqrTuJUaLVL2dgvqGa0k39nsQA8gD+PH3LsQAaJ98xREKxYXMAszNnJ=
RJR
xYa9trfixyQbrw7NNVJhZ2hhdiBHdXJ1cmFqYW4gKFRyYWRlKSA8dHJhZGVAcmFnaGF2Z3Vyd=
XJh
amFuLm5hbWU+wpAEExYIADgWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCYBNNHQIbAwULCQgHA=
gYV
CgkICwIEFgIDAQIeAQIXgAAKCRBfWBZkf4vlUQ+9AP0S/6S5PLshS/vz7ezRO2HokruaRiDhg=
w0t
yRM3LAefSQEA7rEBw9sSUsDgRILGKUi1ZzQq5AJ0F77KOXyurVqnywXOOARfZkIkEgorBgEEA=
ZdV
AQUBAQdAZgiqc2NhH/myrCCan9x7gKI6QBPZ/1b+Bz/f3n95ozkDAQgHwngEGBYIACAWIQTNL=
V6q
qYzLN9qR1rBfWBZkf4vlUQUCX2ZCJAIbDAAKCRBfWBZkf4vlUV/OAQD+tMNgmddPSchLpaDPp=
sdD
hpvra2uTonNUmnfbTvPgpQD/dG72NCT8hBUVqtzxwQmBrXY/nPEUxctYuvu3unUmzQU=3D
=3DMROf
-----END PGP PUBLIC KEY BLOCK-----

--------------0C996FAA86FFA0CC6974AFC8--

--4kbWCBUhH4wKeiB392K3SNoap7inrBJ76--

--p1LDe9ZMnG1H1xYqgpToldqTyXjKBW3JV
Content-Type: application/pgp-signature; name="OpenPGP_signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="OpenPGP_signature"

-----BEGIN PGP SIGNATURE-----

wnsEABYIACMWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCYJL7pwUDAAAAAAAKCRBfWBZkf4vlURUQ
AQDAv3AmJ0H5mhvgIFCR1TmYzZnSAySm+abgATtSo8EnRgEA5kaI5OR3JAbnk8nXGBEXqYE06ah4
pLSchsiS5MIYhgk=
=TtiS
-----END PGP SIGNATURE-----

--p1LDe9ZMnG1H1xYqgpToldqTyXjKBW3JV--




Information forwarded to guix-patches@HIDDEN:
bug#48028; Package guix-patches. Full text available.

Message received at 48028 <at> debbugs.gnu.org:


Received: (at 48028) by debbugs.gnu.org; 5 May 2021 19:06:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 05 15:06:48 2021
Received: from localhost ([127.0.0.1]:33908 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1leMr6-0001E5-EV
	for submit <at> debbugs.gnu.org; Wed, 05 May 2021 15:06:48 -0400
Received: from out0.migadu.com ([94.23.1.103]:32168)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1leMqz-0001Dx-Rr
 for 48028 <at> debbugs.gnu.org; Wed, 05 May 2021 15:06:43 -0400
To: Mark H Weaver <mhw@HIDDEN>,
 Leo Prikler <leo.prikler@HIDDEN>, 48028 <at> debbugs.gnu.org
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1620241596;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:mime-version:mime-version:content-type:content-type:
 in-reply-to:in-reply-to:references:references;
 bh=HU0fo7a2acGC/QphzwVcd2+F2aHN305z+zPHfUchqz8=;
 b=S1eZNTUxlc16Yidy0uNxu2iD05ryHP7r1R1xFnCzCSeHpGRygHgXC4TnbUL3miof80xQck
 iI/50UtnUrAiBct0m+XbS9SfzT9UEVxdqnMXQlXUB3liDNJkCuuOhiwIqa9D08TIMeddOy
 8Z40AtSjnt9UYMpbBU4IMQcqWSYoeqvx7nxFqoJ1aXiKgr3Zec7scb0OS68SET/wfDlpGG
 dX6M6qAZkJpSOtf3sb8qsJ1ZBPsiQ6KaGa5ShKWGFSdrMvpXifGlFgyzlz3uoMxWWccv+D
 lTPvWY/XKlJgGo7ruI35FHyobAin4iEnWlvWKBsyZjfvr6UJBo2qMx/g0h2qvg==
References: <20210426081145.28926-1-rg@HIDDEN>
 <20210426081145.28926-5-rg@HIDDEN>
 <73660fda850714bb152afc392df78addecd29932.camel@HIDDEN>
 <88a82777-3c12-58d6-912f-196ea150f772@HIDDEN>
 <610e1f33a099e2b8fad8f5df21447f9108082a9c.camel@HIDDEN>
 <abc1d1e3-84a1-28cc-71ea-81864279570c@HIDDEN>
 <878s55j6sy.fsf@HIDDEN>
 <0af67af0-9649-13f6-6740-60b8cc05ee1f@HIDDEN>
 <87czufqtxj.fsf@HIDDEN>
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
From: Raghav Gururajan <rg@HIDDEN>
Subject: Re: [PATCH wip-gnome v4 3/8] gnu: gtkmm: Add missing native-input and
 correct propagated-inputs
Message-ID: <8a488be7-93e0-b453-d3a4-abe7f2343533@HIDDEN>
Date: Wed, 5 May 2021 15:06:33 -0400
MIME-Version: 1.0
In-Reply-To: <87czufqtxj.fsf@HIDDEN>
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature";
 boundary="u3B8Mc4flakgZZqUdmkyaRzDDaZAMNoWr"
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48028
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--u3B8Mc4flakgZZqUdmkyaRzDDaZAMNoWr
Content-Type: multipart/mixed; boundary="0qdeCmrn0J4xUz11vSZHbWoa2WN1KYGjF";
 protected-headers="v1"
From: Raghav Gururajan <rg@HIDDEN>
To: Mark H Weaver <mhw@HIDDEN>,
 Leo Prikler <leo.prikler@HIDDEN>, 48028 <at> debbugs.gnu.org
Message-ID: <8a488be7-93e0-b453-d3a4-abe7f2343533@HIDDEN>
Subject: Re: [PATCH wip-gnome v4 3/8] gnu: gtkmm: Add missing native-input and
 correct propagated-inputs
References: <20210426081145.28926-1-rg@HIDDEN>
 <20210426081145.28926-5-rg@HIDDEN>
 <73660fda850714bb152afc392df78addecd29932.camel@HIDDEN>
 <88a82777-3c12-58d6-912f-196ea150f772@HIDDEN>
 <610e1f33a099e2b8fad8f5df21447f9108082a9c.camel@HIDDEN>
 <abc1d1e3-84a1-28cc-71ea-81864279570c@HIDDEN>
 <878s55j6sy.fsf@HIDDEN>
 <0af67af0-9649-13f6-6740-60b8cc05ee1f@HIDDEN>
 <87czufqtxj.fsf@HIDDEN>
In-Reply-To: <87czufqtxj.fsf@HIDDEN>

--0qdeCmrn0J4xUz11vSZHbWoa2WN1KYGjF
Content-Type: multipart/mixed;
 boundary="------------5EFA13652CF966554AEE48FA"
Content-Language: en-US

This is a multi-part message in MIME format.
--------------5EFA13652CF966554AEE48FA
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Hi Mark!

> Respectfully, it seems to me that you've been too quick to dismiss my
> concerns.  As I pointed out in my previous email:
>=20
>    (1) [These versioned references] will likely lead to conflicts withi=
n
>    profiles.  For example, a profile that includes both 'gtkmm' and
>    'cairomm' may fail to build, because it would require including both=

>    'cairomm' and 'cairomm-1.13',

I didn't dismiss your concerns. Since you mentioned "If it turns out=20
that these versioned references are truly unavoidable [...]", at the=20
time of my reply, I was convinced that its unavoidable.


> This could be a real annoyance.  Guix users should be able to run "guix=

> install gtkmm atkmm cairomm pangomm" and have that work.  With these
> proposed patches applied, I suspect that it might not work.
>=20
> Traditional GNU/Linux distributions that package GNOME 40 will certainl=
y
> choose versions of 'gtkmm', 'atkmm', 'cairomm', and 'pangomm' that are
> compatible with each other.  We should too, I think.
>=20
>  From my own experience performing a GNOME upgrade for Guix a few years=

> ago, I remember that when the GNOME developers produce a new GNOME
> release, they provide somewhere a list of the versions of each componen=
t
> that are part of that release.  Presumably they choose those versions t=
o
> be compatible with each other.
>=20
> This makes me wonder if some of the GNOME components on the 'wip-gnome'=

> branch are newer than they should be (perhaps a development version) or=

> older than they should be.
>=20
> What do you think?

I tried dirty hack of patching meson.build of gtkmm, to refer to latest=20
versions of cairomm, atkmm, pangomm. Though, 'configure phase passes,=20
'build phase fails with *numerous* errors.

If I de-propagate those inputs, packages that depends on gtkmm via=20
pkg-config, gonna barf "gtkmm not found".

Do you have any ideas?

Regards,
RG.

--------------5EFA13652CF966554AEE48FA
Content-Type: application/pgp-keys;
 name="OpenPGP_0x5F5816647F8BE551.asc"
Content-Transfer-Encoding: quoted-printable
Content-Description: OpenPGP public key
Content-Disposition: attachment;
 filename="OpenPGP_0x5F5816647F8BE551.asc"

-----BEGIN PGP PUBLIC KEY BLOCK-----

xjMEX2ZCJBYJKwYBBAHaRw8BAQdAdiUK33kml2dYjrWidlr4/v0pmjpUv7hOsBN/oSl5wx7NL=
1Jh
Z2hhdiBHdXJ1cmFqYW4gKFJHKSA8cmdAcmFnaGF2Z3VydXJhamFuLm5hbWU+wpMEExYIADsCG=
wMF
CwkIBwIGFQoJCAsCBBYCAwECHgECF4AWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCX28v0AIZA=
QAK
CRBfWBZkf4vlUQf2AQD63gsdJzk0w6Gy0AzpJtMa63mbVRAh4xfnxsRNu6SbGQD/UDytGjwnQ=
4nK
YsGdoCcA7LM64EkknDvI3ZmlqG7Xuw/NPVJhZ2hhdiBHdXJ1cmFqYW4gKEVkdWNhdGlvbikgP=
GVk
dWNhdGlvbkByYWdoYXZndXJ1cmFqYW4ubmFtZT7CkAQTFggAOBYhBM0tXqqpjMs32pHWsF9YF=
mR/
i+VRBQJgE0xGAhsDBQsJCAcCBhUKCQgLAgQWAgMBAh4BAheAAAoJEF9YFmR/i+VRQcQBALNRe=
1V/
5DKN8ZxyVQlzt4TdGUyNom7xJ6r23ANtcygxAQDBjw6NLXV3aYGDMVVmQPbdAnFiB/x1rpJsA=
wB/
1BSBDc05UmFnaGF2IEd1cnVyYWphbiAoRmluYW5jZSkgPGZpbmFuY2VAcmFnaGF2Z3VydXJha=
mFu
Lm5hbWU+wpAEExYIADgWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCYBNMbwIbAwULCQgHAgYVC=
gkI
CwIEFgIDAQIeAQIXgAAKCRBfWBZkf4vlUWnLAP914hb0IzSCiaj+XrcEBaIt/Q+KjRn2fj5A7=
V6Z
ucJJqwEA64eks7xjLBS3mpTpaGwdDtluJcR7G8XZJJdbdK2YyQ/NN1JhZ2hhdiBHdXJ1cmFqY=
W4g
KEhlYWx0aCkgPGhlYWx0aEByYWdoYXZndXJ1cmFqYW4ubmFtZT7CkAQTFggAOBYhBM0tXqqpj=
Ms3
2pHWsF9YFmR/i+VRBQJgE0yhAhsDBQsJCAcCBhUKCQgLAgQWAgMBAh4BAheAAAoJEF9YFmR/i=
+VR
xdcA/3YxFzlKKHrTguDxE1tBWD31BUYlXWl351j6MB/U+tWdAPwJB8QD8janaddv3U5ZGzswf=
hQv
GGzx6SLcX0E253uNC80/UmFnaGF2IEd1cnVyYWphbiAoT2NjdXBhdGlvbikgPG9jY3VwYXRpb=
25A
cmFnaGF2Z3VydXJhamFuLm5hbWU+wpAEExYIADgWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCY=
BNM
ugIbAwULCQgHAgYVCgkICwIEFgIDAQIeAQIXgAAKCRBfWBZkf4vlUSrlAP0VJw8frvWHAGd6l=
Zdy
x1v+relUGB4DToqDgIMBQyG58gD+NU5t4h0IY6YaiQ+FPyJzdV62k15d9IDvTMYPvcWIpQPNP=
1Jh
Z2hhdiBHdXJ1cmFqYW4gKFJlY3JlYXRpb24pIDxyZWNyZWF0aW9uQHJhZ2hhdmd1cnVyYWphb=
i5u
YW1lPsKQBBMWCAA4FiEEzS1eqqmMyzfakdawX1gWZH+L5VEFAmATTNkCGwMFCwkIBwIGFQoJC=
AsC
BBYCAwECHgECF4AACgkQX1gWZH+L5VHhbQD/b6jXWdQfxi+xzrs1+A0lvnihfUgQ0H/r5U2bO=
w9d
FIkA/0nCh0VJKX+YrySJhWugL7e8ItqwKADh0v05vO6qtlkAzTdSYWdoYXYgR3VydXJhamFuI=
ChT
b2NpYWwpIDxzb2NpYWxAcmFnaGF2Z3VydXJhamFuLm5hbWU+wpAEExYIADgWIQTNLV6qqYzLN=
9qR
1rBfWBZkf4vlUQUCYBNM8AIbAwULCQgHAgYVCgkICwIEFgIDAQIeAQIXgAAKCRBfWBZkf4vlU=
dtv
AQCKMxBdxwMUJdyigGWqrTuJUaLVL2dgvqGa0k39nsQA8gD+PH3LsQAaJ98xREKxYXMAszNnJ=
RJR
xYa9trfixyQbrw7NNVJhZ2hhdiBHdXJ1cmFqYW4gKFRyYWRlKSA8dHJhZGVAcmFnaGF2Z3Vyd=
XJh
amFuLm5hbWU+wpAEExYIADgWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCYBNNHQIbAwULCQgHA=
gYV
CgkICwIEFgIDAQIeAQIXgAAKCRBfWBZkf4vlUQ+9AP0S/6S5PLshS/vz7ezRO2HokruaRiDhg=
w0t
yRM3LAefSQEA7rEBw9sSUsDgRILGKUi1ZzQq5AJ0F77KOXyurVqnywXOOARfZkIkEgorBgEEA=
ZdV
AQUBAQdAZgiqc2NhH/myrCCan9x7gKI6QBPZ/1b+Bz/f3n95ozkDAQgHwngEGBYIACAWIQTNL=
V6q
qYzLN9qR1rBfWBZkf4vlUQUCX2ZCJAIbDAAKCRBfWBZkf4vlUV/OAQD+tMNgmddPSchLpaDPp=
sdD
hpvra2uTonNUmnfbTvPgpQD/dG72NCT8hBUVqtzxwQmBrXY/nPEUxctYuvu3unUmzQU=3D
=3DMROf
-----END PGP PUBLIC KEY BLOCK-----

--------------5EFA13652CF966554AEE48FA--

--0qdeCmrn0J4xUz11vSZHbWoa2WN1KYGjF--

--u3B8Mc4flakgZZqUdmkyaRzDDaZAMNoWr
Content-Type: application/pgp-signature; name="OpenPGP_signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="OpenPGP_signature"

-----BEGIN PGP SIGNATURE-----

wnsEABYIACMWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCYJLsugUDAAAAAAAKCRBfWBZkf4vlUQBD
AQClmKhSdlLk+TxmNCDkna5qrLd/bDS2uxvLbWQO3tV+6QD6AhtAaoORXhCZAoUV5gJULXoLM7DT
YUEvPtjee/B+YQY=
=bjvq
-----END PGP SIGNATURE-----

--u3B8Mc4flakgZZqUdmkyaRzDDaZAMNoWr--




Information forwarded to guix-patches@HIDDEN:
bug#48028; Package guix-patches. Full text available.

Message received at 48028 <at> debbugs.gnu.org:


Received: (at 48028) by debbugs.gnu.org; 3 May 2021 03:32:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 02 23:32:35 2021
Received: from localhost ([127.0.0.1]:45967 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ldPJy-0006aL-On
	for submit <at> debbugs.gnu.org; Sun, 02 May 2021 23:32:34 -0400
Received: from mail-oln040092254089.outbound.protection.outlook.com
 ([40.92.254.89]:34352 helo=APC01-PU1-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <iyzsong@HIDDEN>) id 1ldPJw-0006aD-M2
 for 48028 <at> debbugs.gnu.org; Sun, 02 May 2021 23:32:33 -0400
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=at3VoQgabYT9uDfX3Mr1XJ5suprlJU/px8Yl8+4Z8vsHdo0KM7kbayy14vuAmrDJ41vM+bQxS1LKH7t8O7ycZ4BeCB6fqsuqTt80zihwh+M9y57m2INXPsc4k9AAVsiEtVXYD7phLUjd3T4r8/Uc7LSMcVeBRtpvF5MkMxE+0PCgd6ZYkhZulwuVew4dFt+89vVski2RMLwLpLPPAM12YNviH+NWw8nrkIg+M/aFUJBL87AVpoOhhjn/AZ2QnfQlkAD3Ehd/TkYEjrjV+s2xwk4RdO9uZgpP+9PvrBtjxYfoWtJqEBDLxV7EcD5HRxmqfJC22y228hO1Cg56ZNpgxg==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=t9Ru7MLqeG7dTXs5hwfBlXZcK+EFyolLiAZN2nZ/1Mo=;
 b=eM2cZOW1R5IgKH5X/tczs8NbH015rL+1iHJJNiYbBiVUuVHhLO00iViSpKejTjJo6+OEcP122+6vvtt0t0skOz/4/r+kKxInzHgAcmUeNKbYSP70bhYRZST65RkageO3fedHhoweHK0PFx4Q5cw5MivS34lbrZiGhy0ypyo/Rd+/Ayb0flQl5qAdpAn/HWgMi7EvhvDjH3FH+SVJkpgrWsxDTm85rCz/vkMeK4dqQry5GO8aVU/xOrmRBS5Gq8EeEWG+rjCB3vxAayNHLzuu+Y1Zd9DkfpmPW9bB4iPfqTNxr1KGYJJ+bCFiA5n17SGlRPY/VgEShBlXtGvvq0qarg==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=outlook.com;
 s=selector1;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=t9Ru7MLqeG7dTXs5hwfBlXZcK+EFyolLiAZN2nZ/1Mo=;
 b=IKJpBK/31xW8CARvTp9GqQm/kEuQ0aSlPDk0FzsxIJxDpQ9I6T1Km2ZO75qXpuRADnbGhqw1QmuKKwnfaLBLfDE5SgPF8Xanbe4QwdE5Aoe+61ku6FDQKEvcs+7lNzx/A78la12zcBAXJCiEeG/y8cyurgOwdETLOD5xGyz+K97wS7tQ8Fxr5w96RU/MC8NfDj0tq7EgR1RRVWaZLLOEa6z3/SIsb03ud/MMY6YKuQqjcY/BYVBFXqY9vPdl0sbKG8Lcgfx3zcYFa6OAiGinm3m+CyZ90wyig8OjUiv6ppkgcYiGtuMaiak7iBHIArxdYuDSCgJTOg0FAdaHzOirPw==
Received: from SG2PR06CA0199.apcprd06.prod.outlook.com (2603:1096:4:1::31) by
 HK2PR01MB3201.apcprd01.prod.exchangelabs.com (2603:1096:202:20::23)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.4087.43; Mon, 3 May
 2021 03:32:22 +0000
Received: from SG2APC01FT049.eop-APC01.prod.protection.outlook.com
 (2603:1096:4:1:cafe::78) by SG2PR06CA0199.outlook.office365.com
 (2603:1096:4:1::31) with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.4087.27 via Frontend
 Transport; Mon, 3 May 2021 03:32:22 +0000
Received: from OSZP286MB0664.JPNP286.PROD.OUTLOOK.COM (10.152.250.54) by
 SG2APC01FT049.mail.protection.outlook.com (10.152.251.207) with Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.4087.27 via Frontend Transport; Mon, 3 May 2021 03:32:22 +0000
X-IncomingTopHeaderMarker: OriginalChecksum:DDE5EBBA811657078E42DCC6F75928F96F519A6A24207D848BA681B76FA4429E;
 UpperCasedChecksum:B99CB1FB837F229F48F0A484E1D98868361A551D265E1ECE258BC74093632711;
 SizeAsReceived:9187; Count:47
Received: from OSZP286MB0664.JPNP286.PROD.OUTLOOK.COM
 ([fe80::3077:ff28:1097:42cd]) by OSZP286MB0664.JPNP286.PROD.OUTLOOK.COM
 ([fe80::3077:ff28:1097:42cd%6]) with mapi id 15.20.4087.043; Mon, 3 May 2021
 03:32:22 +0000
From: =?utf-8?B?5a6L5paH5q2m?= <iyzsong@HIDDEN>
To: Leo Prikler <leo.prikler@HIDDEN>
Subject: Re: bug#48028: [PATCH wip-gnome 0/8]: Misc.
References: <20210427092334.23537-1-rg@HIDDEN>
 <20210427092334.23537-5-rg@HIDDEN>
 <e978df27c19a3bb135c137eda92a7589959d3661.camel@HIDDEN>
 <a8072457-84c1-167a-b72b-099224d612c7@HIDDEN>
 <b684ae7b163ce4883afe76e7168ded16e752aec1.camel@HIDDEN>
 <OSZP286MB0664E304FBB6EAD20B48E1B3A35C9@HIDDEN>
 <a88d49116bb84d10a6e060739a5b56f23ff881e6.camel@HIDDEN>
Date: Mon, 03 May 2021 11:32:16 +0800
In-Reply-To: <a88d49116bb84d10a6e060739a5b56f23ff881e6.camel@HIDDEN>
 (Leo Prikler's message of "Sun, 02 May 2021 09:03:04 +0200")
Message-ID: <OSZP286MB06647A22639942247EFA3173A35B9@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-TMN: [oBnI8NflxrgDKDIqnjAw+K3JLWSU9qKqUogAVKmeqQiyyMPLjCcpckmXLV0ufhqo]
X-ClientProxiedBy: HK2PR06CA0018.apcprd06.prod.outlook.com
 (2603:1096:202:2e::30) To OSZP286MB0664.JPNP286.PROD.OUTLOOK.COM
 (2603:1096:604:ec::11)
X-Microsoft-Original-Message-ID: <871rao7arj.fsf_-_@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
Received: from localhost (240e:399:338:7b50:2f1:f5ff:fe18:6bb) by
 HK2PR06CA0018.apcprd06.prod.outlook.com (2603:1096:202:2e::30) with Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.4087.28 via Frontend Transport; Mon, 3 May 2021 03:32:21 +0000
X-MS-PublicTrafficType: Email
X-IncomingHeaderCount: 47
X-EOPAttributedMessage: 0
X-MS-Office365-Filtering-Correlation-Id: f476104e-90aa-4506-87ea-08d90de41005
X-MS-TrafficTypeDiagnostic: HK2PR01MB3201:
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: uM4cp/DO/dnFxZvjbwtZN0DbX5J79RiHFGSZws1Bj6z8jqC23e6j09ftrLkDGKqeD0Kh+/WQiA6qcfFlqvQ1POZMhHB/6BLHOahroMBNtgFhxTnRNANO0GhPkWpiowpuit0L8jvpb51Tt0LHjD4paT+D9YiUEZMFLMm+u2zCS/F3ciBCvVveGROVkbsFp3Jlb9E2mG8aEBX4JUOI2oPBvn4EeeyE0g7wpYOxLNVBgNnLho0luJrEJMvLYoGAX9hpRsetnB+ZZ7RwF2PklcIjb2mNllmzXm4zHO1B5Z7b8TV50gAuIu+swVe+pd5fdNg6h55U0LSTlBBMO0vrqCBsgC+NKGUQ8UvfBRjTkBozSb+nrofdbSgfGs7buCVN6RBy6/ifM9/3bq7tojBFG9dZQg==
X-MS-Exchange-AntiSpam-MessageData: lvHmZIUW0LnawNQ59CsP9RSoV7boOTFzghoEc2vX57sq/WaUFhT6MJISgby2D8INc1AGtFfaied7tJA1+q8WO1oNMQvG1YP/Zr07cPBsJ0s/QkDTUiJwUcNiPJUEUhbgrpzxBWtc0uEyWw3DAU+pYlrdYBXxRCdeeievFwg/6LbpOFocItDCpdh1PxwOGgO73PT21RZe1gLnpPN8c5OD4w==
X-OriginatorOrg: outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: f476104e-90aa-4506-87ea-08d90de41005
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 03 May 2021 03:32:22.4000 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-AuthSource: SG2APC01FT049.eop-APC01.prod.protection.outlook.com
X-MS-Exchange-CrossTenant-AuthAs: Anonymous
X-MS-Exchange-CrossTenant-FromEntityHeader: Internet
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: HK2PR01MB3201
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 48028
Cc: Raghav Gururajan <rg@HIDDEN>, 48028 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Leo Prikler <leo.prikler@HIDDEN> writes:

> Am Sonntag, den 02.05.2021, 13:14 +0800 schrieb =E5=AE=8B=E6=96=87=E6=AD=
=A6:
> [...]
>>=20
>> I Agree with Leo.  Raghav, could you look into if we can get rid of
>> GIO_EXTRA_MODULES for glib-networking or add a specified comment for
>> this comment (maybe: "For HTTPS and GNOME proxy support")?
>
> I didn't go as far as you.  All I wanted to say, was that insinuating
> it to be a pkg-config dependency might be misleading, and that we ought
> to have a suitable comment.  I've already pushed that patch to master
> with one I wrote myself.

Sure, thank you!

>
> I'm not quite sure what's the problem with wrapping here.  Does glib-
> or-gtk-build-system not take care of GIO_EXTRA_MODULES?

Yes, glib-or-gtk-build-system (and meson-build-system) will do, but that
requires the users of the libsoup and webkitgtk package (eg: midori) to
use glib-or-gtk-build-system which may not be the cases or can be easily
forget.




Information forwarded to guix-patches@HIDDEN:
bug#48028; Package guix-patches. Full text available.

Message received at 48028 <at> debbugs.gnu.org:


Received: (at 48028) by debbugs.gnu.org; 2 May 2021 07:03:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 02 03:03:11 2021
Received: from localhost ([127.0.0.1]:40966 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ld68F-0004xp-Kp
	for submit <at> debbugs.gnu.org; Sun, 02 May 2021 03:03:11 -0400
Received: from mailrelay.tugraz.at ([129.27.2.202]:30454)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo.prikler@HIDDEN>) id 1ld68C-0004xj-Tc
 for 48028 <at> debbugs.gnu.org; Sun, 02 May 2021 03:03:10 -0400
Received: from nijino.local (91-114-247-246.adsl.highway.telekom.at
 [91.114.247.246])
 by mailrelay.tugraz.at (Postfix) with ESMTPSA id 4FXxrn1F31z3xn5;
 Sun,  2 May 2021 09:03:05 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=tugraz.at;
 s=mailrelay; t=1619938985;
 bh=vZybsBEh5n4H0zgHeUW2Gb4f0Fewz24QBjzV4cFCErc=;
 h=Subject:From:To:Cc:Date:In-Reply-To:References;
 b=fqvWjMc3HhHgJAwzVWNTLj9F6EcBZEwqHuvOiwED3y7a8CE6bwQ60i/WNLVKyZ9S9
 LlxVsPM/0ZMTcutgIYTywRNFIqHU30kXdGCx7EQyQFqC8KTAR7GZQcdR5arPjsbeCi
 Fj1QcBjwgjP1sE0q5xkWrAay4kG5Qa1iqpEQtsMQ=
Message-ID: <a88d49116bb84d10a6e060739a5b56f23ff881e6.camel@HIDDEN>
Subject: Re: bug#48028: [PATCH wip-gnome 0/8]: Misc.
From: Leo Prikler <leo.prikler@HIDDEN>
To: =?UTF-8?Q?=E5=AE=8B=E6=96=87=E6=AD=A6?= <iyzsong@HIDDEN>
Date: Sun, 02 May 2021 09:03:04 +0200
In-Reply-To: <OSZP286MB0664E304FBB6EAD20B48E1B3A35C9@HIDDEN>
References: <20210427092334.23537-1-rg@HIDDEN>
 <20210427092334.23537-5-rg@HIDDEN>
 <e978df27c19a3bb135c137eda92a7589959d3661.camel@HIDDEN>
 <a8072457-84c1-167a-b72b-099224d612c7@HIDDEN>
 <b684ae7b163ce4883afe76e7168ded16e752aec1.camel@HIDDEN>
 <OSZP286MB0664E304FBB6EAD20B48E1B3A35C9@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
User-Agent: Evolution 3.34.2 
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-TUG-Backscatter-control: bt4lQm5Tva3SBgCuw0EnZw
X-Spam-Scanner: SpamAssassin 3.003001 
X-Spam-Score-relay: -1.9
X-Scanned-By: MIMEDefang 2.74 on 129.27.10.117
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 48028
Cc: Raghav Gururajan <rg@HIDDEN>, 48028 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Am Sonntag, den 02.05.2021, 13:14 +0800 schrieb 宋文武:
> Leo Prikler <leo.prikler@HIDDEN> writes:
> 
> > Am Mittwoch, den 28.04.2021, 09:07 -0400 schrieb Raghav Gururajan:
> > > Hi Leo,
> > > 
> > > > After looking at this more closely, the comment is a little
> > > > misleading,
> > > > since the libsoup-2.4.pc does not actually refer to glib-
> > > > networking.
> > > > What is the rationale behind this propagation?
> > > > In v1 you claimed the .pc file mentions this, but I don't see
> > > > any
> > > > of
> > > > it:
> > > > libsoup-2.4.pc:Requires: glib-2.0 >=  2.58, gobject-2.0
> > > > >=  2.58,
> > > > gio-
> > > > 2.0 >=  2.58
> > > > libsoup-2.4.pc:Requires.private: libxml-2.0, sqlite3, libpsl
> > > > > =  0.20,
> > > > libbrotlidec, zlib
> > > > libsoup-gnome-2.4.pc:Requires: libsoup-2.4
> > > > libsoup-gnome-2.4.pc:Requires.private: glib-2.0 >=  2.58,
> > > > gobject-
> > > > 2.0
> > > > > =  2.58, gio-2.0 >=  2.58, libxml-2.0, sqlite3, libpsl
> > > > > >=  0.20,
> > > > libbrotlidec, zlib
> > > 
> > > It `gio` I was referring to. GIO can mean [glib]/lib/libgio or 
> > > [glib-networking]/lib/gio/modules/libgio* or both. It depends on
> > > what 
> > > package it is. Libsoup is a networking package, which uses 
> > > glib-networking as tls backend. So GIO networking modules
> > > provided
> > > by 
> > > glib-networking, is required by libsoup at runtime.
> 
> Yes, glib-networking provides 2 gio modules:
> - libgiognutls.so: Let GIO based applications access HTTPS (TLS).
> - libgiognomeproxy.so: Let GIO based applications use GNOME proxy
> settings.
> 
> They're required at runtime, and optional (one may argue that HTTPS
> is a
> must have feature though).  Currently we add glib-networking to
> webkit
> browsers's inputs (eg: epiphany, luakit, etc.)  directly, and wrap it
> with 'GIO_EXTRA_MODULES'.  By propagated glib-networking in libsoup,
> we
> can remove it from inputs of thoese web browsers, but we still have
> to
> wrap them...
> 
> Maybe there is a way to hardcode glib-networking in libsoup so that
> we
> can get rid of GIO_EXTRA_MODULES?  (another gio module is the
> gsettings
> backends dconf, which also need a user dbus-daemon user spawn its
> backend service...)
> 
> > I don't think "gio inside .pc" means that, however.  I do agree,
> > that
> > it might be worth propagating it as a runtime dependency, but it
> > should
> > be done with a suitable comment.
> 
> I Agree with Leo.  Raghav, could you look into if we can get rid of
> GIO_EXTRA_MODULES for glib-networking or add a specified comment for
> this comment (maybe: "For HTTPS and GNOME proxy support")?

I didn't go as far as you.  All I wanted to say, was that insinuating
it to be a pkg-config dependency might be misleading, and that we ought
to have a suitable comment.  I've already pushed that patch to master
with one I wrote myself.

I'm not quite sure what's the problem with wrapping here.  Does glib-
or-gtk-build-system not take care of GIO_EXTRA_MODULES?

Regards,
Leo





Information forwarded to guix-patches@HIDDEN:
bug#48028; Package guix-patches. Full text available.

Message received at 48028 <at> debbugs.gnu.org:


Received: (at 48028) by debbugs.gnu.org; 2 May 2021 05:11:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 02 01:11:49 2021
Received: from localhost ([127.0.0.1]:40409 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ld4OT-0001Vs-GB
	for submit <at> debbugs.gnu.org; Sun, 02 May 2021 01:11:49 -0400
Received: from mail-oln040092253014.outbound.protection.outlook.com
 ([40.92.253.14]:13372 helo=APC01-SG2-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <iyzsong@HIDDEN>) id 1ld4OQ-0001Vm-V8
 for 48028 <at> debbugs.gnu.org; Sun, 02 May 2021 01:11:48 -0400
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=kCAWIlsIOfiAWp7f7A2UjKJmwEGqk+zecMSWQc7AuUj6Nq3nLqWmmtkQcD9klMYLTaWKTv8AXOKQps5xkW1OGOhg1nJMnU2T8blVznYP3Y3D1knWaacvvc1F4HgtMxruvNm+v2NoD2ObHA1w9NsRGU5pkg9kSTAfKj7DYxvvtj5f5V8WrINPEI6axt0XQfxY0sjFWLDhU+Xd/8l+FGLutbSgRAIMfX4GAVoc3S7gbis2uFJhxBqPfJayemRu5Fv6gzwnebAZt835toV/v+tbjQ8gC7PLvs24HdGWigkmczmoJ0AQlSWgG2dj5TJKHxhvuAqM90wZxGtV3NajfxGk3Q==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=nKCCWjyw9hptRO34D3mTUFmkTK61bfIpuX30rnFCoIE=;
 b=UCc+X9FF3C9sA1O3Wvy+cJkqywZwRH6GbKWeD6Ez0l5XLTlviQ9OnVt+4NsZum7tN6EQB8HNbUvwOJe2LG/PPtd33XknqSrdJrqXyo2H6ZwxF6s9IKcDmjTkHFGbwPl3qB4RbpdrD9ngATy12bJbrBrxcWSlGt8sxJWozDIXuAhmi3WcIsgOVkm6+7Fij8J0fCLGyrcT3t1aALN0rJJtyH80ihExePdcN/xa53eKga/ACpUFPccIeAEP/QZC3BRVlXyMnE+zCJ2FDU5H39iNJDIa1nrlTJwGWU6hOutRuOUYWs350rWpwODeT7Nx/8+No2RBJBNZiecSXOS3GW+xHQ==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=outlook.com;
 s=selector1;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=nKCCWjyw9hptRO34D3mTUFmkTK61bfIpuX30rnFCoIE=;
 b=Cl6LueiaR2uVhCT0CCX1cOfernOO73X6rVTZ878RZoX8P4q9+5unsgK+Ew4ndEf7S8+6xzKBV4YREDOjCx8UWjFg62epZy2ysJhM82v0QJSqVbk5n64bcnbphz5FukyiFu0FRGfV9TmhyNeKAQa84JYQxSWYFmuuAXoE48Of83TiK2xbeafI+7waQhiIHHMj1XNA1DRD4Sbeb+rwXWkZgGtzGcIT79nHrKP5jVEvsAthF4+Nr0R84rmWcGKZJNwob4va1+gGP9Cri49RZC56QcAzbkBXCzngaoARAc7vvUFizqqT/HFCxT3Zs5q83Bpv3LLqbY7W+9ELKCROyuZVIg==
Received: from SG2PR04CA0148.apcprd04.prod.outlook.com (2603:1096:3:16::32) by
 TY2PR0101MB2784.apcprd01.prod.exchangelabs.com
 (2603:1096:404:b7::19) with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.4087.35; Sun, 2 May
 2021 05:11:33 +0000
Received: from SG2APC01FT020.eop-APC01.prod.protection.outlook.com
 (2603:1096:3:16:cafe::84) by SG2PR04CA0148.outlook.office365.com
 (2603:1096:3:16::32) with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.4087.27 via Frontend
 Transport; Sun, 2 May 2021 05:11:33 +0000
Received: from OSZP286MB0664.JPNP286.PROD.OUTLOOK.COM (2a01:111:e400:7ebd::4f)
 by SG2APC01FT020.mail.protection.outlook.com
 (2a01:111:e400:7ebd::219) with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.4087.27 via Frontend
 Transport; Sun, 2 May 2021 05:11:33 +0000
X-IncomingTopHeaderMarker: OriginalChecksum:7042E93C09717E07D643693F4D66DE91303F6BF33FCBE2E21EC36F51E4EE7AEB;
 UpperCasedChecksum:C57141A30D9605D28B29A4C2D51F223AA82C142B063267A319DA2D4B58D2305F;
 SizeAsReceived:7854; Count:46
Received: from OSZP286MB0664.JPNP286.PROD.OUTLOOK.COM
 ([fe80::3077:ff28:1097:42cd]) by OSZP286MB0664.JPNP286.PROD.OUTLOOK.COM
 ([fe80::3077:ff28:1097:42cd%6]) with mapi id 15.20.4087.041; Sun, 2 May 2021
 05:11:32 +0000
From: =?utf-8?B?5a6L5paH5q2m?= <iyzsong@HIDDEN>
To: Leo Prikler <leo.prikler@HIDDEN>
Subject: Re: bug#48028: [PATCH wip-gnome 0/8]: Misc.
References: <20210427092334.23537-1-rg@HIDDEN>
 <20210427092334.23537-5-rg@HIDDEN>
 <e978df27c19a3bb135c137eda92a7589959d3661.camel@HIDDEN>
 <a8072457-84c1-167a-b72b-099224d612c7@HIDDEN>
 <b684ae7b163ce4883afe76e7168ded16e752aec1.camel@HIDDEN>
Date: Sun, 02 May 2021 13:14:48 +0800
In-Reply-To: <b684ae7b163ce4883afe76e7168ded16e752aec1.camel@HIDDEN>
 (Leo Prikler's message of "Wed, 28 Apr 2021 16:40:03 +0200")
Message-ID: <OSZP286MB0664E304FBB6EAD20B48E1B3A35C9@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
Content-Type: text/plain
X-TMN: [rYReSumCEbEkxAvXKSTq4A5+2yTGbkuKTkx0KTrUGf2JmKoxMHbXv+n0agAqAVJu]
X-ClientProxiedBy: HK2PR03CA0064.apcprd03.prod.outlook.com
 (2603:1096:202:17::34) To OSZP286MB0664.JPNP286.PROD.OUTLOOK.COM
 (2603:1096:604:ec::11)
X-Microsoft-Original-Message-ID: <875z01somv.fsf_-_@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
Received: from localhost (240e:399:339:5ac0:2f1:f5ff:fe18:6bb) by
 HK2PR03CA0064.apcprd03.prod.outlook.com (2603:1096:202:17::34) with Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.4108.11 via Frontend Transport; Sun, 2 May 2021 05:11:31 +0000
X-MS-PublicTrafficType: Email
X-IncomingHeaderCount: 46
X-EOPAttributedMessage: 0
X-MS-Office365-Filtering-Correlation-Id: b4d9998e-843e-4be6-0fb9-08d90d28c057
X-MS-TrafficTypeDiagnostic: TY2PR0101MB2784:
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: M0WpnTfBHial2chLoKwf+MiVkych8nHjlkSJZtORsEXilJfeWsIu4hZkW9xldf//gx/bh5OPwOROJRdxFfwL5Qp0dtwjnMCxmhd4/h9IuGts9C2G42ZumNxljtI0X9J6bnwLzVbQbrsT4s5pkEj6dwvJhXmtjcyU/5J111/fpO6obgmgd6MKzH1MXobw8K/Kh3FT0dyzJ83aXKEcU9NwR8iV9vHkjEc1Fc9Rd/YqoWPwCvM20NRw3Bd3AY97WCuY3PDUjDoAXL9RrghPs+RTeBjla0zZNL7DGY1v3OUYMB9pCwbHu9CA9JJdasr+YSCsAO5qsq6HrBG9pdWmj+DrE8Dlr5EyTvI/vvIpKPOlkufLouDvvRz4wvS+/krTVDhc
X-MS-Exchange-AntiSpam-MessageData: LRv/w4xcpCqBrobjb+BqdchfiRW+BKpt6mpyg3hsJJuHmaxCjzlhSlrGqPiXn0+Ql5VtRPWwSuqckmSajX1AHbBe9LUWTyC0fRGzm0lJIWXSTNLS/cil9ZkpolfgPJ/sNdc9GGH7V4K4RvNqrwqwkCcnxBaQ71bx6a2NU7dn0Pt88zT9U97NdZB4AxVOKTb+APZsAvySJOkF2DyPWzL+kg==
X-OriginatorOrg: outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: b4d9998e-843e-4be6-0fb9-08d90d28c057
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 02 May 2021 05:11:32.8580 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-AuthSource: SG2APC01FT020.eop-APC01.prod.protection.outlook.com
X-MS-Exchange-CrossTenant-AuthAs: Anonymous
X-MS-Exchange-CrossTenant-FromEntityHeader: Internet
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: TY2PR0101MB2784
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 48028
Cc: Raghav Gururajan <rg@HIDDEN>, 48028 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Leo Prikler <leo.prikler@HIDDEN> writes:

> Am Mittwoch, den 28.04.2021, 09:07 -0400 schrieb Raghav Gururajan:
>> Hi Leo,
>> 
>> > After looking at this more closely, the comment is a little
>> > misleading,
>> > since the libsoup-2.4.pc does not actually refer to glib-
>> > networking.
>> > What is the rationale behind this propagation?
>> > In v1 you claimed the .pc file mentions this, but I don't see any
>> > of
>> > it:
>> > libsoup-2.4.pc:Requires: glib-2.0 >=  2.58, gobject-2.0 >=  2.58,
>> > gio-
>> > 2.0 >=  2.58
>> > libsoup-2.4.pc:Requires.private: libxml-2.0, sqlite3, libpsl
>> > >=  0.20,
>> > libbrotlidec, zlib
>> > libsoup-gnome-2.4.pc:Requires: libsoup-2.4
>> > libsoup-gnome-2.4.pc:Requires.private: glib-2.0 >=  2.58, gobject-
>> > 2.0
>> > > =  2.58, gio-2.0 >=  2.58, libxml-2.0, sqlite3, libpsl >=  0.20,
>> > libbrotlidec, zlib
>> 
>> It `gio` I was referring to. GIO can mean [glib]/lib/libgio or 
>> [glib-networking]/lib/gio/modules/libgio* or both. It depends on
>> what 
>> package it is. Libsoup is a networking package, which uses 
>> glib-networking as tls backend. So GIO networking modules provided
>> by 
>> glib-networking, is required by libsoup at runtime.

Yes, glib-networking provides 2 gio modules:
- libgiognutls.so: Let GIO based applications access HTTPS (TLS).
- libgiognomeproxy.so: Let GIO based applications use GNOME proxy settings.

They're required at runtime, and optional (one may argue that HTTPS is a
must have feature though).  Currently we add glib-networking to webkit
browsers's inputs (eg: epiphany, luakit, etc.)  directly, and wrap it
with 'GIO_EXTRA_MODULES'.  By propagated glib-networking in libsoup, we
can remove it from inputs of thoese web browsers, but we still have to
wrap them...

Maybe there is a way to hardcode glib-networking in libsoup so that we
can get rid of GIO_EXTRA_MODULES?  (another gio module is the gsettings
backends dconf, which also need a user dbus-daemon user spawn its
backend service...)

> I don't think "gio inside .pc" means that, however.  I do agree, that
> it might be worth propagating it as a runtime dependency, but it should
> be done with a suitable comment.

I Agree with Leo.  Raghav, could you look into if we can get rid of
GIO_EXTRA_MODULES for glib-networking or add a specified comment for
this comment (maybe: "For HTTPS and GNOME proxy support")?

Thanks!




Information forwarded to guix-patches@HIDDEN:
bug#48028; Package guix-patches. Full text available.

Message received at 48028 <at> debbugs.gnu.org:


Received: (at 48028) by debbugs.gnu.org; 28 Apr 2021 14:40:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 28 10:40:11 2021
Received: from localhost ([127.0.0.1]:53774 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lblMJ-0005sz-7U
	for submit <at> debbugs.gnu.org; Wed, 28 Apr 2021 10:40:11 -0400
Received: from mailrelay.tugraz.at ([129.27.2.202]:4306)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo.prikler@HIDDEN>) id 1lblMF-0005sk-MT
 for 48028 <at> debbugs.gnu.org; Wed, 28 Apr 2021 10:40:09 -0400
Received: from nijino.local (194-96-9-9.adsl.highway.telekom.at [194.96.9.9])
 by mailrelay.tugraz.at (Postfix) with ESMTPSA id 4FVh9v7346z1LB1y;
 Wed, 28 Apr 2021 16:40:03 +0200 (CEST)
DKIM-Filter: OpenDKIM Filter v2.11.0 mailrelay.tugraz.at 4FVh9v7346z1LB1y
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=tugraz.at;
 s=mailrelay; t=1619620804;
 bh=WWFaua7UEQA4f2mfpe1KNmPpa438ZRpft7Glw0y248w=;
 h=Subject:From:To:Date:In-Reply-To:References:From;
 b=bZ4f1k/DutGtLYRTH8txt1JZU8e3VmLJ7RNxarsTFyo3iB6+ZU5D4Hz5a0epFJmo4
 uLVM2dVB20qTkHGuM3QUy4+UimNVwEMzvEFo1BOvBNYorwXLx++q44HVVxp8SdrRsu
 EtvAVW6epcYpkE0vSEuWznG9wlyYRp2cvARjK66Q=
Message-ID: <b684ae7b163ce4883afe76e7168ded16e752aec1.camel@HIDDEN>
Subject: Re: [PATCH wip-gnome v5 5/8] gnu: libsoup: Adjust inputs.
From: Leo Prikler <leo.prikler@HIDDEN>
To: Raghav Gururajan <rg@HIDDEN>, 48028 <at> debbugs.gnu.org
Date: Wed, 28 Apr 2021 16:40:03 +0200
In-Reply-To: <a8072457-84c1-167a-b72b-099224d612c7@HIDDEN>
References: <20210427092334.23537-1-rg@HIDDEN>
 <20210427092334.23537-5-rg@HIDDEN>
 <e978df27c19a3bb135c137eda92a7589959d3661.camel@HIDDEN>
 <a8072457-84c1-167a-b72b-099224d612c7@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
User-Agent: Evolution 3.34.2 
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
X-TUG-Backscatter-control: bt4lQm5Tva3SBgCuw0EnZw
X-Spam-Scanner: SpamAssassin 3.003001 
X-Spam-Score-relay: -1.9
X-Scanned-By: MIMEDefang 2.74 on 129.27.10.117
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 48028
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Am Mittwoch, den 28.04.2021, 09:07 -0400 schrieb Raghav Gururajan:
> Hi Leo,
> 
> > After looking at this more closely, the comment is a little
> > misleading,
> > since the libsoup-2.4.pc does not actually refer to glib-
> > networking.
> > What is the rationale behind this propagation?
> > In v1 you claimed the .pc file mentions this, but I don't see any
> > of
> > it:
> > libsoup-2.4.pc:Requires: glib-2.0 >=  2.58, gobject-2.0 >=  2.58,
> > gio-
> > 2.0 >=  2.58
> > libsoup-2.4.pc:Requires.private: libxml-2.0, sqlite3, libpsl
> > >=  0.20,
> > libbrotlidec, zlib
> > libsoup-gnome-2.4.pc:Requires: libsoup-2.4
> > libsoup-gnome-2.4.pc:Requires.private: glib-2.0 >=  2.58, gobject-
> > 2.0
> > > =  2.58, gio-2.0 >=  2.58, libxml-2.0, sqlite3, libpsl >=  0.20,
> > libbrotlidec, zlib
> 
> It `gio` I was referring to. GIO can mean [glib]/lib/libgio or 
> [glib-networking]/lib/gio/modules/libgio* or both. It depends on
> what 
> package it is. Libsoup is a networking package, which uses 
> glib-networking as tls backend. So GIO networking modules provided
> by 
> glib-networking, is required by libsoup at runtime.
I don't think "gio inside .pc" means that, however.  I do agree, that
it might be worth propagating it as a runtime dependency, but it should
be done with a suitable comment.

Regards,
Leo





Information forwarded to guix-patches@HIDDEN:
bug#48028; Package guix-patches. Full text available.

Message received at 48028 <at> debbugs.gnu.org:


Received: (at 48028) by debbugs.gnu.org; 28 Apr 2021 13:07:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 28 09:07:25 2021
Received: from localhost ([127.0.0.1]:52034 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lbjuX-0007LL-FD
	for submit <at> debbugs.gnu.org; Wed, 28 Apr 2021 09:07:25 -0400
Received: from out2.migadu.com ([188.165.223.204]:21599)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lbjuT-0007L9-M8
 for 48028 <at> debbugs.gnu.org; Wed, 28 Apr 2021 09:07:24 -0400
To: Leo Prikler <leo.prikler@HIDDEN>, 48028 <at> debbugs.gnu.org
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1619615240;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:mime-version:mime-version:content-type:content-type:
 in-reply-to:in-reply-to:references:references;
 bh=G5itbaFgKw9Ne2SiumWFvjbqELC3yniUc4whZK0PD7I=;
 b=Nyi0QUXMlwOwv/R7mhYgvL6tx852sXLNrvDB0+qSOtQjkc6S5YACwlH21lnYaqHPMwMHVp
 slBJLK+dF4pdn/gZKDgRKx7NFxxSYf8Y91d8WMFhtEQGf+3YyrUYGIFkWI+Xr7tCbIBEEj
 qFYIAEHsrp6MUxje+xAUDFC/XylRApqcIpdSy6lZu/CHgvJtvcIscyxxweYjR4bp3DteFU
 FlKbPDaicrYU7T/Ar4IUow+atou261Me7vVGOFhhSFo+COoGCZYmtDYqa13EBzuWTKH35Q
 RATM+r0Chxj+i69jkz6Uvr10Dij/ZXqebjFidabEZCdeJdFg9ztYk+kmoywPBw==
References: <20210427092334.23537-1-rg@HIDDEN>
 <20210427092334.23537-5-rg@HIDDEN>
 <e978df27c19a3bb135c137eda92a7589959d3661.camel@HIDDEN>
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
From: Raghav Gururajan <rg@HIDDEN>
Subject: Re: [PATCH wip-gnome v5 5/8] gnu: libsoup: Adjust inputs.
Message-ID: <a8072457-84c1-167a-b72b-099224d612c7@HIDDEN>
Date: Wed, 28 Apr 2021 09:07:17 -0400
MIME-Version: 1.0
In-Reply-To: <e978df27c19a3bb135c137eda92a7589959d3661.camel@HIDDEN>
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature";
 boundary="SYfuBGSmE6TkYDabH4EydxIrj2FMzizAe"
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48028
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--SYfuBGSmE6TkYDabH4EydxIrj2FMzizAe
Content-Type: multipart/mixed; boundary="OapjilS0M16fJY57qIEddCH4mE7nIuZW7";
 protected-headers="v1"
From: Raghav Gururajan <rg@HIDDEN>
To: Leo Prikler <leo.prikler@HIDDEN>, 48028 <at> debbugs.gnu.org
Message-ID: <a8072457-84c1-167a-b72b-099224d612c7@HIDDEN>
Subject: Re: [PATCH wip-gnome v5 5/8] gnu: libsoup: Adjust inputs.
References: <20210427092334.23537-1-rg@HIDDEN>
 <20210427092334.23537-5-rg@HIDDEN>
 <e978df27c19a3bb135c137eda92a7589959d3661.camel@HIDDEN>
In-Reply-To: <e978df27c19a3bb135c137eda92a7589959d3661.camel@HIDDEN>

--OapjilS0M16fJY57qIEddCH4mE7nIuZW7
Content-Type: multipart/mixed;
 boundary="------------593848C89C1E935B1A1723BA"
Content-Language: en-US

This is a multi-part message in MIME format.
--------------593848C89C1E935B1A1723BA
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Hi Leo,

> After looking at this more closely, the comment is a little misleading,=

> since the libsoup-2.4.pc does not actually refer to glib-networking.
> What is the rationale behind this propagation?
> In v1 you claimed the .pc file mentions this, but I don't see any of
> it:
> libsoup-2.4.pc:Requires: glib-2.0 >=3D  2.58, gobject-2.0 >=3D  2.58, g=
io-
> 2.0 >=3D  2.58
> libsoup-2.4.pc:Requires.private: libxml-2.0, sqlite3, libpsl >=3D  0.20=
,
> libbrotlidec, zlib
> libsoup-gnome-2.4.pc:Requires: libsoup-2.4
> libsoup-gnome-2.4.pc:Requires.private: glib-2.0 >=3D  2.58, gobject-2.0=

>> =3D  2.58, gio-2.0 >=3D  2.58, libxml-2.0, sqlite3, libpsl >=3D  0.20,=

> libbrotlidec, zlib

It `gio` I was referring to. GIO can mean [glib]/lib/libgio or=20
[glib-networking]/lib/gio/modules/libgio* or both. It depends on what=20
package it is. Libsoup is a networking package, which uses=20
glib-networking as tls backend. So GIO networking modules provided by=20
glib-networking, is required by libsoup at runtime.

Regards,
RG.

--------------593848C89C1E935B1A1723BA
Content-Type: application/pgp-keys;
 name="OpenPGP_0x5F5816647F8BE551.asc"
Content-Transfer-Encoding: quoted-printable
Content-Description: OpenPGP public key
Content-Disposition: attachment;
 filename="OpenPGP_0x5F5816647F8BE551.asc"

-----BEGIN PGP PUBLIC KEY BLOCK-----

xjMEX2ZCJBYJKwYBBAHaRw8BAQdAdiUK33kml2dYjrWidlr4/v0pmjpUv7hOsBN/oSl5wx7NL=
1Jh
Z2hhdiBHdXJ1cmFqYW4gKFJHKSA8cmdAcmFnaGF2Z3VydXJhamFuLm5hbWU+wpMEExYIADsCG=
wMF
CwkIBwIGFQoJCAsCBBYCAwECHgECF4AWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCX28v0AIZA=
QAK
CRBfWBZkf4vlUQf2AQD63gsdJzk0w6Gy0AzpJtMa63mbVRAh4xfnxsRNu6SbGQD/UDytGjwnQ=
4nK
YsGdoCcA7LM64EkknDvI3ZmlqG7Xuw/NPVJhZ2hhdiBHdXJ1cmFqYW4gKEVkdWNhdGlvbikgP=
GVk
dWNhdGlvbkByYWdoYXZndXJ1cmFqYW4ubmFtZT7CkAQTFggAOBYhBM0tXqqpjMs32pHWsF9YF=
mR/
i+VRBQJgE0xGAhsDBQsJCAcCBhUKCQgLAgQWAgMBAh4BAheAAAoJEF9YFmR/i+VRQcQBALNRe=
1V/
5DKN8ZxyVQlzt4TdGUyNom7xJ6r23ANtcygxAQDBjw6NLXV3aYGDMVVmQPbdAnFiB/x1rpJsA=
wB/
1BSBDc05UmFnaGF2IEd1cnVyYWphbiAoRmluYW5jZSkgPGZpbmFuY2VAcmFnaGF2Z3VydXJha=
mFu
Lm5hbWU+wpAEExYIADgWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCYBNMbwIbAwULCQgHAgYVC=
gkI
CwIEFgIDAQIeAQIXgAAKCRBfWBZkf4vlUWnLAP914hb0IzSCiaj+XrcEBaIt/Q+KjRn2fj5A7=
V6Z
ucJJqwEA64eks7xjLBS3mpTpaGwdDtluJcR7G8XZJJdbdK2YyQ/NN1JhZ2hhdiBHdXJ1cmFqY=
W4g
KEhlYWx0aCkgPGhlYWx0aEByYWdoYXZndXJ1cmFqYW4ubmFtZT7CkAQTFggAOBYhBM0tXqqpj=
Ms3
2pHWsF9YFmR/i+VRBQJgE0yhAhsDBQsJCAcCBhUKCQgLAgQWAgMBAh4BAheAAAoJEF9YFmR/i=
+VR
xdcA/3YxFzlKKHrTguDxE1tBWD31BUYlXWl351j6MB/U+tWdAPwJB8QD8janaddv3U5ZGzswf=
hQv
GGzx6SLcX0E253uNC80/UmFnaGF2IEd1cnVyYWphbiAoT2NjdXBhdGlvbikgPG9jY3VwYXRpb=
25A
cmFnaGF2Z3VydXJhamFuLm5hbWU+wpAEExYIADgWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCY=
BNM
ugIbAwULCQgHAgYVCgkICwIEFgIDAQIeAQIXgAAKCRBfWBZkf4vlUSrlAP0VJw8frvWHAGd6l=
Zdy
x1v+relUGB4DToqDgIMBQyG58gD+NU5t4h0IY6YaiQ+FPyJzdV62k15d9IDvTMYPvcWIpQPNP=
1Jh
Z2hhdiBHdXJ1cmFqYW4gKFJlY3JlYXRpb24pIDxyZWNyZWF0aW9uQHJhZ2hhdmd1cnVyYWphb=
i5u
YW1lPsKQBBMWCAA4FiEEzS1eqqmMyzfakdawX1gWZH+L5VEFAmATTNkCGwMFCwkIBwIGFQoJC=
AsC
BBYCAwECHgECF4AACgkQX1gWZH+L5VHhbQD/b6jXWdQfxi+xzrs1+A0lvnihfUgQ0H/r5U2bO=
w9d
FIkA/0nCh0VJKX+YrySJhWugL7e8ItqwKADh0v05vO6qtlkAzTdSYWdoYXYgR3VydXJhamFuI=
ChT
b2NpYWwpIDxzb2NpYWxAcmFnaGF2Z3VydXJhamFuLm5hbWU+wpAEExYIADgWIQTNLV6qqYzLN=
9qR
1rBfWBZkf4vlUQUCYBNM8AIbAwULCQgHAgYVCgkICwIEFgIDAQIeAQIXgAAKCRBfWBZkf4vlU=
dtv
AQCKMxBdxwMUJdyigGWqrTuJUaLVL2dgvqGa0k39nsQA8gD+PH3LsQAaJ98xREKxYXMAszNnJ=
RJR
xYa9trfixyQbrw7NNVJhZ2hhdiBHdXJ1cmFqYW4gKFRyYWRlKSA8dHJhZGVAcmFnaGF2Z3Vyd=
XJh
amFuLm5hbWU+wpAEExYIADgWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCYBNNHQIbAwULCQgHA=
gYV
CgkICwIEFgIDAQIeAQIXgAAKCRBfWBZkf4vlUQ+9AP0S/6S5PLshS/vz7ezRO2HokruaRiDhg=
w0t
yRM3LAefSQEA7rEBw9sSUsDgRILGKUi1ZzQq5AJ0F77KOXyurVqnywXOOARfZkIkEgorBgEEA=
ZdV
AQUBAQdAZgiqc2NhH/myrCCan9x7gKI6QBPZ/1b+Bz/f3n95ozkDAQgHwngEGBYIACAWIQTNL=
V6q
qYzLN9qR1rBfWBZkf4vlUQUCX2ZCJAIbDAAKCRBfWBZkf4vlUV/OAQD+tMNgmddPSchLpaDPp=
sdD
hpvra2uTonNUmnfbTvPgpQD/dG72NCT8hBUVqtzxwQmBrXY/nPEUxctYuvu3unUmzQU=3D
=3DMROf
-----END PGP PUBLIC KEY BLOCK-----

--------------593848C89C1E935B1A1723BA--

--OapjilS0M16fJY57qIEddCH4mE7nIuZW7--

--SYfuBGSmE6TkYDabH4EydxIrj2FMzizAe
Content-Type: application/pgp-signature; name="OpenPGP_signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="OpenPGP_signature"

-----BEGIN PGP SIGNATURE-----

wnsEABYIACMWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCYIleBgUDAAAAAAAKCRBfWBZkf4vlUaYu
AP4jAtr/LHyJMALwO5rv6sAZKkFfdu9eXHVjuL0tQEm7lQEA0HPn/azXI7IjrEJbpAXt8olfFD63
V16Enjyoh5aPnAg=
=ilkT
-----END PGP SIGNATURE-----

--SYfuBGSmE6TkYDabH4EydxIrj2FMzizAe--




Information forwarded to guix-patches@HIDDEN:
bug#48028; Package guix-patches. Full text available.

Message received at 48028 <at> debbugs.gnu.org:


Received: (at 48028) by debbugs.gnu.org; 28 Apr 2021 07:41:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 28 03:41:58 2021
Received: from localhost ([127.0.0.1]:51612 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lbepZ-0000uP-Te
	for submit <at> debbugs.gnu.org; Wed, 28 Apr 2021 03:41:58 -0400
Received: from mailrelay.tugraz.at ([129.27.2.202]:2007)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo.prikler@HIDDEN>) id 1lbepW-0000uC-B8
 for 48028 <at> debbugs.gnu.org; Wed, 28 Apr 2021 03:41:56 -0400
Received: from nijino.local (194-96-9-9.adsl.highway.telekom.at [194.96.9.9])
 by mailrelay.tugraz.at (Postfix) with ESMTPSA id 4FVVvL2QQpz1LBRv;
 Wed, 28 Apr 2021 09:41:50 +0200 (CEST)
DKIM-Filter: OpenDKIM Filter v2.11.0 mailrelay.tugraz.at 4FVVvL2QQpz1LBRv
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=tugraz.at;
 s=mailrelay; t=1619595710;
 bh=HcVacjl7CZmb7KpLwnmX68h2nmxbVKiXH3PyJZugHyg=;
 h=Subject:From:To:Date:In-Reply-To:References:From;
 b=NyS33Hkbt3JaNrTMprXROiqnwhzFWxEZVwx8W654nNEZNZdVtaY3jQf1kbjrYufvF
 Ojn3qaxWjm3n40bHhYjOUqjncgk+aoLg+P7ngBd7NjA8pgBlZtq+qzO+fVnwXsk2P6
 QRbJUPpddcVV8msK9NVqLXZFtLyqwqIB7qGodNNg=
Message-ID: <e978df27c19a3bb135c137eda92a7589959d3661.camel@HIDDEN>
Subject: Re: [PATCH wip-gnome v5 5/8] gnu: libsoup: Adjust inputs.
From: Leo Prikler <leo.prikler@HIDDEN>
To: Raghav Gururajan <rg@HIDDEN>, 48028 <at> debbugs.gnu.org
Date: Wed, 28 Apr 2021 09:41:49 +0200
In-Reply-To: <20210427092334.23537-5-rg@HIDDEN>
References: <20210427092334.23537-1-rg@HIDDEN>
 <20210427092334.23537-5-rg@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
User-Agent: Evolution 3.34.2 
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
X-TUG-Backscatter-control: bt4lQm5Tva3SBgCuw0EnZw
X-Spam-Scanner: SpamAssassin 3.003001 
X-Spam-Score-relay: -1.9
X-Scanned-By: MIMEDefang 2.74 on 129.27.10.117
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 48028
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi,

Am Dienstag, den 27.04.2021, 05:23 -0400 schrieb Raghav Gururajan:
> * gnu/packages/gnome.scm (libsoup)[inputs]: Add samba and
> move glib-networking to ...
> [propagated-inputs]: ... here.
> ---
>  gnu/packages/gnome.scm | 5 +++--
>  1 file changed, 3 insertions(+), 2 deletions(-)
> 
> diff --git a/gnu/packages/gnome.scm b/gnu/packages/gnome.scm
> index 51a72c4e58..e9924b67a0 100644
> --- a/gnu/packages/gnome.scm
> +++ b/gnu/packages/gnome.scm
> @@ -4972,13 +4972,14 @@ libxml to ease remote use of the RESTful
> API.")
>       ;; libsoup-2.4.pc refers to all these.
>       `(("brotli" ,google-brotli)
>         ("glib" ,glib)
> +       ("glib-networking" ,glib-networking)
After looking at this more closely, the comment is a little misleading,
since the libsoup-2.4.pc does not actually refer to glib-networking. 
What is the rationale behind this propagation?
In v1 you claimed the .pc file mentions this, but I don't see any of
it:
libsoup-2.4.pc:Requires: glib-2.0 >=  2.58, gobject-2.0 >=  2.58, gio-
2.0 >=  2.58
libsoup-2.4.pc:Requires.private: libxml-2.0, sqlite3, libpsl >=  0.20,
libbrotlidec, zlib
libsoup-gnome-2.4.pc:Requires: libsoup-2.4
libsoup-gnome-2.4.pc:Requires.private: glib-2.0 >=  2.58, gobject-2.0
>=  2.58, gio-2.0 >=  2.58, libxml-2.0, sqlite3, libpsl >=  0.20,
libbrotlidec, zlib

In fact, I had a look at the libsoup source, and even there, using
2.99.4, which is the latest *unstable* release (as opposed to the
lastest stable release), the glib_deps from which the pkg-config file
is formed, says:
  glib_deps = [glib_dep, gobject_dep, gio_dep]

There doesn't even seem to be a pkg-config file for glib-networking.
(Note: I'm running my checks on master to avoid the rebuilds, that come
from wip-gnome, but wip-gnome appears to package the same version, so
there shouldn't be a difference)

Regards,
Leo





Information forwarded to guix-patches@HIDDEN:
bug#48028; Package guix-patches. Full text available.

Message received at 48028 <at> debbugs.gnu.org:


Received: (at 48028) by debbugs.gnu.org; 27 Apr 2021 21:50:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 27 17:50:10 2021
Received: from localhost ([127.0.0.1]:51204 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lbVas-0000gq-21
	for submit <at> debbugs.gnu.org; Tue, 27 Apr 2021 17:50:10 -0400
Received: from world.peace.net ([64.112.178.59]:38634)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mhw@HIDDEN>) id 1lbVaq-0000gZ-Tp
 for 48028 <at> debbugs.gnu.org; Tue, 27 Apr 2021 17:50:09 -0400
Received: from mhw by world.peace.net with esmtpsa
 (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.92)
 (envelope-from <mhw@HIDDEN>)
 id 1lbVai-0005Ei-ON; Tue, 27 Apr 2021 17:50:00 -0400
From: Mark H Weaver <mhw@HIDDEN>
To: Raghav Gururajan <rg@HIDDEN>, Leo Prikler
 <leo.prikler@HIDDEN>, 48028 <at> debbugs.gnu.org
Subject: Re: [PATCH wip-gnome v4 3/8] gnu: gtkmm: Add missing native-input
 and correct propagated-inputs
In-Reply-To: <0af67af0-9649-13f6-6740-60b8cc05ee1f@HIDDEN>
References: <20210426081145.28926-1-rg@HIDDEN>
 <20210426081145.28926-5-rg@HIDDEN>
 <73660fda850714bb152afc392df78addecd29932.camel@HIDDEN>
 <88a82777-3c12-58d6-912f-196ea150f772@HIDDEN>
 <610e1f33a099e2b8fad8f5df21447f9108082a9c.camel@HIDDEN>
 <abc1d1e3-84a1-28cc-71ea-81864279570c@HIDDEN>
 <878s55j6sy.fsf@HIDDEN>
 <0af67af0-9649-13f6-6740-60b8cc05ee1f@HIDDEN>
Date: Tue, 27 Apr 2021 17:49:17 -0400
Message-ID: <87czufqtxj.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48028
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Raghav,

Raghav Gururajan <rg@HIDDEN> writes:

>> It would be good to avoid these version-specific references, if
>> possible.  Can you help me understand the rationale?  Did you find that
>> there is an incompatibility between the latest stable versions of
>> 'gtkmm', 'atkmm', 'cairomm', and 'pangomm'?  If so, could you help me
>> understand the nature of that incompatibility?  Perhaps it can be
>> addressed in another way.
>
> Its because of ABI incompatibility. The pkg-config for gtkmm, checks for 
> specific ABI versions of atkmm, cairomm and pangomm.
>
>> If it turns out that these versioned references are truly unavoidable,
>> it would be good to add comments next to those references, briefly
>> explaining the rationale.
>
> I have added comment in the code, in v5.

Respectfully, it seems to me that you've been too quick to dismiss my
concerns.  As I pointed out in my previous email:

  (1) [These versioned references] will likely lead to conflicts within
  profiles.  For example, a profile that includes both 'gtkmm' and
  'cairomm' may fail to build, because it would require including both
  'cairomm' and 'cairomm-1.13',

This could be a real annoyance.  Guix users should be able to run "guix
install gtkmm atkmm cairomm pangomm" and have that work.  With these
proposed patches applied, I suspect that it might not work.

Traditional GNU/Linux distributions that package GNOME 40 will certainly
choose versions of 'gtkmm', 'atkmm', 'cairomm', and 'pangomm' that are
compatible with each other.  We should too, I think.

From my own experience performing a GNOME upgrade for Guix a few years
ago, I remember that when the GNOME developers produce a new GNOME
release, they provide somewhere a list of the versions of each component
that are part of that release.  Presumably they choose those versions to
be compatible with each other.

This makes me wonder if some of the GNOME components on the 'wip-gnome'
branch are newer than they should be (perhaps a development version) or
older than they should be.

What do you think?

    Regards,
      Mark

-- 
Support Richard Stallman against the vicious disinformation campaign
against him and the FSF.  See <https://stallmansupport.org> for more.




Information forwarded to guix-patches@HIDDEN:
bug#48028; Package guix-patches. Full text available.

Message received at 48028 <at> debbugs.gnu.org:


Received: (at 48028) by debbugs.gnu.org; 27 Apr 2021 17:43:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 27 13:43:34 2021
Received: from localhost ([127.0.0.1]:50828 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lbRkD-000351-P1
	for submit <at> debbugs.gnu.org; Tue, 27 Apr 2021 13:43:33 -0400
Received: from baptiste.telenet-ops.be ([195.130.132.51]:50194)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1lbRkB-00034r-5x
 for 48028 <at> debbugs.gnu.org; Tue, 27 Apr 2021 13:43:32 -0400
Received: from ptr-bvsjgyjmffd7q9timvx.18120a2.ip6.access.telenet.be
 ([IPv6:2a02:1811:8c09:9d00:aaf1:9810:a0b8:a55d])
 by baptiste.telenet-ops.be with bizsmtp
 id xtjV2400B0mfAB401tjVRg; Tue, 27 Apr 2021 19:43:29 +0200
Message-ID: <1b2b657dce5389f5e00dbfaa5eca09ea0d951720.camel@HIDDEN>
Subject: Re: [bug#48028] [PATCH wip-gnome v5 3/8] gnu: gtkmm: Add missing
 native-input and correct propagated-inputs.
From: Maxime Devos <maximedevos@HIDDEN>
To: Raghav Gururajan <rg@HIDDEN>, 48028 <at> debbugs.gnu.org
Date: Tue, 27 Apr 2021 19:43:28 +0200
In-Reply-To: <20210427092334.23537-3-rg@HIDDEN>
References: <20210427092334.23537-1-rg@HIDDEN>
 <20210427092334.23537-3-rg@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-uuA/NptKapw7UiJhCAoF"
User-Agent: Evolution 3.34.2 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r21;
 t=1619545409; bh=im/hZehPEU8exNTUeiGuDePHvOAPQkjU19L0s0tpcfI=;
 h=Subject:From:To:Date:In-Reply-To:References;
 b=cHzTxDz5qcMc0F0T6VqEgtDrifCFFuJI0FQEnLlyFcfihKQufdMEpvah8qumSmtUn
 XKrEErqr/P5uMFS5GBUN5vps2Xaw1JRIcxwnhNdu2z62+ygjU2NsPMq5vMOE0mcZY0
 mFwVpTzB7YdEmUIC8rtR1EVk5Sc4vJ0KwwFGyoGusT2qZcAYBzhLqygVrue+Z4T0TT
 gf89TVFEvAiwcHo9NaietpjQSutdknqoyRyxB6XEgc2BEjmSCqHSiTVzlU8GlqJePo
 +OhIHAYg2012UIYMLPmiu4U28q/Ltb/7oVBNFojn8d1qYhTs6QjpiVTe/q9pQrGvBp
 j/Ndyx9hTqOiA==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48028
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--=-uuA/NptKapw7UiJhCAoF
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Raghav Gururajan via Guix-patches via schreef op di 27-04-2021 om 05:23 [-0=
400]:
> +     ;; Latest versions of atkmm, cairomm and pangomm,
> +     ;; are ABI incompatible with gtkmm.
> +     ;; Pkg-config checks for these ABI versions.

This addresses my remarks, thanks!

Greetings,
Maxme.

--=-uuA/NptKapw7UiJhCAoF
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYIhNQRccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7ohuAP9aPAHAo+b95AhWQAMWPatBY0VS
JP83oIzLGQU/c+pJxwD9Hq6AjbUPhFvAPq6tNjlS5Oynt2C4SLp5enjO5J059Ao=
=0CEC
-----END PGP SIGNATURE-----

--=-uuA/NptKapw7UiJhCAoF--





Information forwarded to guix-patches@HIDDEN:
bug#48028; Package guix-patches. Full text available.

Message received at 48028 <at> debbugs.gnu.org:


Received: (at 48028) by debbugs.gnu.org; 27 Apr 2021 17:42:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 27 13:42:04 2021
Received: from localhost ([127.0.0.1]:50823 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lbRim-00032y-Es
	for submit <at> debbugs.gnu.org; Tue, 27 Apr 2021 13:42:04 -0400
Received: from andre.telenet-ops.be ([195.130.132.53]:43782)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1lbRik-00032Y-MG
 for 48028 <at> debbugs.gnu.org; Tue, 27 Apr 2021 13:42:03 -0400
Received: from ptr-bvsjgyjmffd7q9timvx.18120a2.ip6.access.telenet.be
 ([IPv6:2a02:1811:8c09:9d00:aaf1:9810:a0b8:a55d])
 by andre.telenet-ops.be with bizsmtp
 id xti02400c0mfAB401ti0mM; Tue, 27 Apr 2021 19:42:01 +0200
Message-ID: <1f60ab610b38bf7d6fe2faf5a7e648d86132079f.camel@HIDDEN>
Subject: Re: [bug#48028] [PATCH wip-gnome v5 2/8] gnu: gtkmm@2: Override
 inheritance of certain changes from gtkmm.
From: Maxime Devos <maximedevos@HIDDEN>
To: Raghav Gururajan <rg@HIDDEN>, 48028 <at> debbugs.gnu.org
Date: Tue, 27 Apr 2021 19:42:00 +0200
In-Reply-To: <20210427092334.23537-2-rg@HIDDEN>
References: <20210427092334.23537-1-rg@HIDDEN>
 <20210427092334.23537-2-rg@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-tM95A/HiGh85mdYh2RH6"
User-Agent: Evolution 3.34.2 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r21;
 t=1619545321; bh=ssIgGzSdtt5oWRTErW1xnI3skxyD6NC+nrLDrV3AWXE=;
 h=Subject:From:To:Date:In-Reply-To:References;
 b=VkC8BCeRolhT/6hA1mVf+3p5JN9bxnw9SbQki8aW/ndKhFkDO7g1qxTDNCtXYUvoc
 JChZwUWhat/UYnG7qTryOiBlJrmWUDgoT4Kk+Pye6+orwfHlaklQP0XdSaOsmZKT0E
 h6apXn/VQRcg8Pd3Nn9n68eGjnY6hpMQjc8YUkGWrf5ghRN8hfhci4uPRsKYc8kY3F
 nRE9R/jzjumoLicdrp58/qTyBPL+s32m1lhazmN8cjRuvQu0eD18PpX82zopRavN9t
 EK/56yQCMyX3pHFi4fBzc3tA4Mplbbml6HAvs4a7ykJ9lbQEzZF0ukIgh/TkF/qO9J
 SoeissMCY4b7w==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48028
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--=-tM95A/HiGh85mdYh2RH6
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Raghav Gururajan via Guix-patches via schreef op di 27-04-2021 om 05:23 [-0=
400]:
> Recent changes made to gtkmm (d7974adbed019160c10036b040e8d9ff789cbc26),
> are not applicable to gtkmm@2, as the latter does not use meson.
>=20
> * gnu/packages/gtk.scm (gtkmm-2)[build-system]: New field.
> [arguments]: New field.

This new patch addresses my remark about inheritance.

Thanks,
Maxime.

--=-tM95A/HiGh85mdYh2RH6
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYIhM6BccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7pytAQDHZnOysJ9ZnXGirrw8/qKuBfaz
ByttLAxvWiZQOY/vXQEAoxjkLyQoGoTu4f3S2Rvgg7V7aJhBGraYF+Ut/JQwEAY=
=mZXZ
-----END PGP SIGNATURE-----

--=-tM95A/HiGh85mdYh2RH6--





Information forwarded to guix-patches@HIDDEN:
bug#48028; Package guix-patches. Full text available.

Message received at 48028 <at> debbugs.gnu.org:


Received: (at 48028) by debbugs.gnu.org; 27 Apr 2021 09:37:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 27 05:37:55 2021
Received: from localhost ([127.0.0.1]:48102 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lbKAF-0004Lh-Kp
	for submit <at> debbugs.gnu.org; Tue, 27 Apr 2021 05:37:55 -0400
Received: from out1.migadu.com ([91.121.223.63]:15369)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lbKAE-0004LX-BF
 for 48028 <at> debbugs.gnu.org; Tue, 27 Apr 2021 05:37:54 -0400
To: Mark H Weaver <mhw@HIDDEN>,
 Leo Prikler <leo.prikler@HIDDEN>, 48028 <at> debbugs.gnu.org
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1619516272;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:mime-version:mime-version:content-type:content-type:
 in-reply-to:in-reply-to:references:references;
 bh=ISChE71oc8BU24ldb6I9MxZcDxySRP/k6Z1hxzEEvRg=;
 b=Lk0TBw4BAG3osrtx0BSCnpdvHcL5oq6HNWuaZMZ/kB4UALBaycE0kQinlFSao32T68XBOa
 wb2i1YawWHLlfV6V7lfAo/otCxbErMiUB7jal5h7zZiFE4Coh/qE4xrTo9QjcZVbuWpG+Q
 1kbZ16NbSCUTj5XM0j93NnJKqGkZkXVJVt6TSVUVLR+0FJ+vep1SGEUOtuKPnY4VH9DHiR
 JWXPB9QDHAmPeJD3g/PBqCLcCNCNtXtteH3XIDQDixBHcE5wfnxpC3wHz1vPs8QpVe2sF2
 TGeCV0WwyNqhKurZw3VrilV50E2N5TV5kzOOfHryYTYEeutkMXkqQKczYRFczQ==
References: <20210426081145.28926-1-rg@HIDDEN>
 <20210426081145.28926-5-rg@HIDDEN>
 <73660fda850714bb152afc392df78addecd29932.camel@HIDDEN>
 <88a82777-3c12-58d6-912f-196ea150f772@HIDDEN>
 <610e1f33a099e2b8fad8f5df21447f9108082a9c.camel@HIDDEN>
 <abc1d1e3-84a1-28cc-71ea-81864279570c@HIDDEN>
 <878s55j6sy.fsf@HIDDEN>
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
From: Raghav Gururajan <rg@HIDDEN>
Subject: Re: [PATCH wip-gnome v4 3/8] gnu: gtkmm: Add missing native-input and
 correct propagated-inputs
Message-ID: <0af67af0-9649-13f6-6740-60b8cc05ee1f@HIDDEN>
Date: Tue, 27 Apr 2021 05:37:50 -0400
MIME-Version: 1.0
In-Reply-To: <878s55j6sy.fsf@HIDDEN>
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature";
 boundary="hnVMtOwF3BrJ5HR1v4TIOV34HboFTd2QG"
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48028
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--hnVMtOwF3BrJ5HR1v4TIOV34HboFTd2QG
Content-Type: multipart/mixed; boundary="dVoo3pKY0aWII8fv3r3ILdB0pArMkHq6i";
 protected-headers="v1"
From: Raghav Gururajan <rg@HIDDEN>
To: Mark H Weaver <mhw@HIDDEN>,
 Leo Prikler <leo.prikler@HIDDEN>, 48028 <at> debbugs.gnu.org
Message-ID: <0af67af0-9649-13f6-6740-60b8cc05ee1f@HIDDEN>
Subject: Re: [PATCH wip-gnome v4 3/8] gnu: gtkmm: Add missing native-input and
 correct propagated-inputs
References: <20210426081145.28926-1-rg@HIDDEN>
 <20210426081145.28926-5-rg@HIDDEN>
 <73660fda850714bb152afc392df78addecd29932.camel@HIDDEN>
 <88a82777-3c12-58d6-912f-196ea150f772@HIDDEN>
 <610e1f33a099e2b8fad8f5df21447f9108082a9c.camel@HIDDEN>
 <abc1d1e3-84a1-28cc-71ea-81864279570c@HIDDEN>
 <878s55j6sy.fsf@HIDDEN>
In-Reply-To: <878s55j6sy.fsf@HIDDEN>

--dVoo3pKY0aWII8fv3r3ILdB0pArMkHq6i
Content-Type: multipart/mixed;
 boundary="------------505909AAFF7D6775592C703F"
Content-Language: en-US

This is a multi-part message in MIME format.
--------------505909AAFF7D6775592C703F
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Hi Mark,

> It would be good to avoid these version-specific references, if
> possible.  Can you help me understand the rationale?  Did you find that=

> there is an incompatibility between the latest stable versions of
> 'gtkmm', 'atkmm', 'cairomm', and 'pangomm'?  If so, could you help me
> understand the nature of that incompatibility?  Perhaps it can be
> addressed in another way.

Its because of ABI incompatibility. The pkg-config for gtkmm, checks for =

specific ABI versions of atkmm, cairomm and pangomm.

> If it turns out that these versioned references are truly unavoidable,
> it would be good to add comments next to those references, briefly
> explaining the rationale.

I have added comment in the code, in v5.

Regards,
RG.

--------------505909AAFF7D6775592C703F
Content-Type: application/pgp-keys;
 name="OpenPGP_0x5F5816647F8BE551.asc"
Content-Transfer-Encoding: quoted-printable
Content-Description: OpenPGP public key
Content-Disposition: attachment;
 filename="OpenPGP_0x5F5816647F8BE551.asc"

-----BEGIN PGP PUBLIC KEY BLOCK-----

xjMEX2ZCJBYJKwYBBAHaRw8BAQdAdiUK33kml2dYjrWidlr4/v0pmjpUv7hOsBN/oSl5wx7NL=
1Jh
Z2hhdiBHdXJ1cmFqYW4gKFJHKSA8cmdAcmFnaGF2Z3VydXJhamFuLm5hbWU+wpMEExYIADsCG=
wMF
CwkIBwIGFQoJCAsCBBYCAwECHgECF4AWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCX28v0AIZA=
QAK
CRBfWBZkf4vlUQf2AQD63gsdJzk0w6Gy0AzpJtMa63mbVRAh4xfnxsRNu6SbGQD/UDytGjwnQ=
4nK
YsGdoCcA7LM64EkknDvI3ZmlqG7Xuw/NPVJhZ2hhdiBHdXJ1cmFqYW4gKEVkdWNhdGlvbikgP=
GVk
dWNhdGlvbkByYWdoYXZndXJ1cmFqYW4ubmFtZT7CkAQTFggAOBYhBM0tXqqpjMs32pHWsF9YF=
mR/
i+VRBQJgE0xGAhsDBQsJCAcCBhUKCQgLAgQWAgMBAh4BAheAAAoJEF9YFmR/i+VRQcQBALNRe=
1V/
5DKN8ZxyVQlzt4TdGUyNom7xJ6r23ANtcygxAQDBjw6NLXV3aYGDMVVmQPbdAnFiB/x1rpJsA=
wB/
1BSBDc05UmFnaGF2IEd1cnVyYWphbiAoRmluYW5jZSkgPGZpbmFuY2VAcmFnaGF2Z3VydXJha=
mFu
Lm5hbWU+wpAEExYIADgWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCYBNMbwIbAwULCQgHAgYVC=
gkI
CwIEFgIDAQIeAQIXgAAKCRBfWBZkf4vlUWnLAP914hb0IzSCiaj+XrcEBaIt/Q+KjRn2fj5A7=
V6Z
ucJJqwEA64eks7xjLBS3mpTpaGwdDtluJcR7G8XZJJdbdK2YyQ/NN1JhZ2hhdiBHdXJ1cmFqY=
W4g
KEhlYWx0aCkgPGhlYWx0aEByYWdoYXZndXJ1cmFqYW4ubmFtZT7CkAQTFggAOBYhBM0tXqqpj=
Ms3
2pHWsF9YFmR/i+VRBQJgE0yhAhsDBQsJCAcCBhUKCQgLAgQWAgMBAh4BAheAAAoJEF9YFmR/i=
+VR
xdcA/3YxFzlKKHrTguDxE1tBWD31BUYlXWl351j6MB/U+tWdAPwJB8QD8janaddv3U5ZGzswf=
hQv
GGzx6SLcX0E253uNC80/UmFnaGF2IEd1cnVyYWphbiAoT2NjdXBhdGlvbikgPG9jY3VwYXRpb=
25A
cmFnaGF2Z3VydXJhamFuLm5hbWU+wpAEExYIADgWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCY=
BNM
ugIbAwULCQgHAgYVCgkICwIEFgIDAQIeAQIXgAAKCRBfWBZkf4vlUSrlAP0VJw8frvWHAGd6l=
Zdy
x1v+relUGB4DToqDgIMBQyG58gD+NU5t4h0IY6YaiQ+FPyJzdV62k15d9IDvTMYPvcWIpQPNP=
1Jh
Z2hhdiBHdXJ1cmFqYW4gKFJlY3JlYXRpb24pIDxyZWNyZWF0aW9uQHJhZ2hhdmd1cnVyYWphb=
i5u
YW1lPsKQBBMWCAA4FiEEzS1eqqmMyzfakdawX1gWZH+L5VEFAmATTNkCGwMFCwkIBwIGFQoJC=
AsC
BBYCAwECHgECF4AACgkQX1gWZH+L5VHhbQD/b6jXWdQfxi+xzrs1+A0lvnihfUgQ0H/r5U2bO=
w9d
FIkA/0nCh0VJKX+YrySJhWugL7e8ItqwKADh0v05vO6qtlkAzTdSYWdoYXYgR3VydXJhamFuI=
ChT
b2NpYWwpIDxzb2NpYWxAcmFnaGF2Z3VydXJhamFuLm5hbWU+wpAEExYIADgWIQTNLV6qqYzLN=
9qR
1rBfWBZkf4vlUQUCYBNM8AIbAwULCQgHAgYVCgkICwIEFgIDAQIeAQIXgAAKCRBfWBZkf4vlU=
dtv
AQCKMxBdxwMUJdyigGWqrTuJUaLVL2dgvqGa0k39nsQA8gD+PH3LsQAaJ98xREKxYXMAszNnJ=
RJR
xYa9trfixyQbrw7NNVJhZ2hhdiBHdXJ1cmFqYW4gKFRyYWRlKSA8dHJhZGVAcmFnaGF2Z3Vyd=
XJh
amFuLm5hbWU+wpAEExYIADgWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCYBNNHQIbAwULCQgHA=
gYV
CgkICwIEFgIDAQIeAQIXgAAKCRBfWBZkf4vlUQ+9AP0S/6S5PLshS/vz7ezRO2HokruaRiDhg=
w0t
yRM3LAefSQEA7rEBw9sSUsDgRILGKUi1ZzQq5AJ0F77KOXyurVqnywXOOARfZkIkEgorBgEEA=
ZdV
AQUBAQdAZgiqc2NhH/myrCCan9x7gKI6QBPZ/1b+Bz/f3n95ozkDAQgHwngEGBYIACAWIQTNL=
V6q
qYzLN9qR1rBfWBZkf4vlUQUCX2ZCJAIbDAAKCRBfWBZkf4vlUV/OAQD+tMNgmddPSchLpaDPp=
sdD
hpvra2uTonNUmnfbTvPgpQD/dG72NCT8hBUVqtzxwQmBrXY/nPEUxctYuvu3unUmzQU=3D
=3DMROf
-----END PGP PUBLIC KEY BLOCK-----

--------------505909AAFF7D6775592C703F--

--dVoo3pKY0aWII8fv3r3ILdB0pArMkHq6i--

--hnVMtOwF3BrJ5HR1v4TIOV34HboFTd2QG
Content-Type: application/pgp-signature; name="OpenPGP_signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="OpenPGP_signature"

-----BEGIN PGP SIGNATURE-----

wnsEABYIACMWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCYIfbbgUDAAAAAAAKCRBfWBZkf4vlUd/S
AQDBIehIKOSUaM7/dvrRf9NCLG40+aWyimIpNCT+Lt4sgAEAsaajEEalEXt4AiiGnp7itOxubVoT
sObR9oKsWeTedQo=
=qds2
-----END PGP SIGNATURE-----

--hnVMtOwF3BrJ5HR1v4TIOV34HboFTd2QG--




Information forwarded to guix-patches@HIDDEN:
bug#48028; Package guix-patches. Full text available.

Message received at 48028 <at> debbugs.gnu.org:


Received: (at 48028) by debbugs.gnu.org; 27 Apr 2021 09:35:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 27 05:35:01 2021
Received: from localhost ([127.0.0.1]:48097 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lbK7R-0004Gh-4b
	for submit <at> debbugs.gnu.org; Tue, 27 Apr 2021 05:35:01 -0400
Received: from out2.migadu.com ([188.165.223.204]:59243)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lbK7O-0004GV-EP
 for 48028 <at> debbugs.gnu.org; Tue, 27 Apr 2021 05:34:59 -0400
To: Maxime Devos <maximedevos@HIDDEN>, 48028 <at> debbugs.gnu.org
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1619516096;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:mime-version:mime-version:content-type:content-type:
 in-reply-to:in-reply-to:references:references;
 bh=jsDCXdSWBrRfNJNkDwEV9BQDjKSbeueQZ9DMHG67YSU=;
 b=WkRcOlZuBrwjzLfDWK1H/SpbLcBgbZjN+OdMaJfEQ/UQIcgt6WaYWoG74e6G3HJffRa+6I
 9QZZeGMFVg71Gejaun68A0Kklm9tg0EnoLUhRzKZaUPEpQcOl3NnhlrAZ/Lip4td2PWSwG
 g6sAsVf8QF96qp72pzTL7tUxJtAh1ivsJKYJDfu5vS36RXK+HIBx6aP6iTybs3Q35ZCYVH
 juxb8RB6CgJcPOG1RPuxNnlv2WEKsD3IZB0r0FQdA0O4+pCAHa2S5hVD8JYLpZFnzpJLO9
 +b0SCfBG+Wx3Ul/M4u75/YXo9dRZmi2XKjM4rPsKVfjQZecvWN67LX1GdvN0mQ==
References: <20210426090823.30672-1-rg@HIDDEN>
 <20210426090823.30672-6-rg@HIDDEN>
 <30969aa291fa7ba84a0d9713a4c26c7c36a9d54f.camel@HIDDEN>
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
From: Raghav Gururajan <rg@HIDDEN>
Subject: Re: [bug#48028] [PATCH wip-gnome v2 06/10] gnu: libsoup: Add missing
 argument and input.
Message-ID: <e564f31a-bcae-653f-a318-d754ed700e93@HIDDEN>
Date: Tue, 27 Apr 2021 05:34:55 -0400
MIME-Version: 1.0
In-Reply-To: <30969aa291fa7ba84a0d9713a4c26c7c36a9d54f.camel@HIDDEN>
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature";
 boundary="5LCTieGtCTkZgIpg7UGgoHwucmufz4rET"
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48028
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--5LCTieGtCTkZgIpg7UGgoHwucmufz4rET
Content-Type: multipart/mixed; boundary="UaBXy72ReDNsLhQvf4V5llCZtbIBeMsRM";
 protected-headers="v1"
From: Raghav Gururajan <rg@HIDDEN>
To: Maxime Devos <maximedevos@HIDDEN>, 48028 <at> debbugs.gnu.org
Message-ID: <e564f31a-bcae-653f-a318-d754ed700e93@HIDDEN>
Subject: Re: [bug#48028] [PATCH wip-gnome v2 06/10] gnu: libsoup: Add missing
 argument and input.
References: <20210426090823.30672-1-rg@HIDDEN>
 <20210426090823.30672-6-rg@HIDDEN>
 <30969aa291fa7ba84a0d9713a4c26c7c36a9d54f.camel@HIDDEN>
In-Reply-To: <30969aa291fa7ba84a0d9713a4c26c7c36a9d54f.camel@HIDDEN>

--UaBXy72ReDNsLhQvf4V5llCZtbIBeMsRM
Content-Type: multipart/mixed;
 boundary="------------0451FCAD573FEAAC6CF169C8"
Content-Language: en-US

This is a multi-part message in MIME format.
--------------0451FCAD573FEAAC6CF169C8
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Hi Maxime,

> A clearer commit message would be:
>    libsoup: Add input for NTLM-based authentication
> and:
>    libsoup: Wrap and/or compile schemas.
>=20
> (+ the usual * gnu/STUFF (package)[arguments].... of course)

This patch is no longer applicable as-is, starting from v3.

Regards,
RG.

--------------0451FCAD573FEAAC6CF169C8
Content-Type: application/pgp-keys;
 name="OpenPGP_0x5F5816647F8BE551.asc"
Content-Transfer-Encoding: quoted-printable
Content-Description: OpenPGP public key
Content-Disposition: attachment;
 filename="OpenPGP_0x5F5816647F8BE551.asc"

-----BEGIN PGP PUBLIC KEY BLOCK-----

xjMEX2ZCJBYJKwYBBAHaRw8BAQdAdiUK33kml2dYjrWidlr4/v0pmjpUv7hOsBN/oSl5wx7NL=
1Jh
Z2hhdiBHdXJ1cmFqYW4gKFJHKSA8cmdAcmFnaGF2Z3VydXJhamFuLm5hbWU+wpMEExYIADsCG=
wMF
CwkIBwIGFQoJCAsCBBYCAwECHgECF4AWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCX28v0AIZA=
QAK
CRBfWBZkf4vlUQf2AQD63gsdJzk0w6Gy0AzpJtMa63mbVRAh4xfnxsRNu6SbGQD/UDytGjwnQ=
4nK
YsGdoCcA7LM64EkknDvI3ZmlqG7Xuw/NPVJhZ2hhdiBHdXJ1cmFqYW4gKEVkdWNhdGlvbikgP=
GVk
dWNhdGlvbkByYWdoYXZndXJ1cmFqYW4ubmFtZT7CkAQTFggAOBYhBM0tXqqpjMs32pHWsF9YF=
mR/
i+VRBQJgE0xGAhsDBQsJCAcCBhUKCQgLAgQWAgMBAh4BAheAAAoJEF9YFmR/i+VRQcQBALNRe=
1V/
5DKN8ZxyVQlzt4TdGUyNom7xJ6r23ANtcygxAQDBjw6NLXV3aYGDMVVmQPbdAnFiB/x1rpJsA=
wB/
1BSBDc05UmFnaGF2IEd1cnVyYWphbiAoRmluYW5jZSkgPGZpbmFuY2VAcmFnaGF2Z3VydXJha=
mFu
Lm5hbWU+wpAEExYIADgWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCYBNMbwIbAwULCQgHAgYVC=
gkI
CwIEFgIDAQIeAQIXgAAKCRBfWBZkf4vlUWnLAP914hb0IzSCiaj+XrcEBaIt/Q+KjRn2fj5A7=
V6Z
ucJJqwEA64eks7xjLBS3mpTpaGwdDtluJcR7G8XZJJdbdK2YyQ/NN1JhZ2hhdiBHdXJ1cmFqY=
W4g
KEhlYWx0aCkgPGhlYWx0aEByYWdoYXZndXJ1cmFqYW4ubmFtZT7CkAQTFggAOBYhBM0tXqqpj=
Ms3
2pHWsF9YFmR/i+VRBQJgE0yhAhsDBQsJCAcCBhUKCQgLAgQWAgMBAh4BAheAAAoJEF9YFmR/i=
+VR
xdcA/3YxFzlKKHrTguDxE1tBWD31BUYlXWl351j6MB/U+tWdAPwJB8QD8janaddv3U5ZGzswf=
hQv
GGzx6SLcX0E253uNC80/UmFnaGF2IEd1cnVyYWphbiAoT2NjdXBhdGlvbikgPG9jY3VwYXRpb=
25A
cmFnaGF2Z3VydXJhamFuLm5hbWU+wpAEExYIADgWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCY=
BNM
ugIbAwULCQgHAgYVCgkICwIEFgIDAQIeAQIXgAAKCRBfWBZkf4vlUSrlAP0VJw8frvWHAGd6l=
Zdy
x1v+relUGB4DToqDgIMBQyG58gD+NU5t4h0IY6YaiQ+FPyJzdV62k15d9IDvTMYPvcWIpQPNP=
1Jh
Z2hhdiBHdXJ1cmFqYW4gKFJlY3JlYXRpb24pIDxyZWNyZWF0aW9uQHJhZ2hhdmd1cnVyYWphb=
i5u
YW1lPsKQBBMWCAA4FiEEzS1eqqmMyzfakdawX1gWZH+L5VEFAmATTNkCGwMFCwkIBwIGFQoJC=
AsC
BBYCAwECHgECF4AACgkQX1gWZH+L5VHhbQD/b6jXWdQfxi+xzrs1+A0lvnihfUgQ0H/r5U2bO=
w9d
FIkA/0nCh0VJKX+YrySJhWugL7e8ItqwKADh0v05vO6qtlkAzTdSYWdoYXYgR3VydXJhamFuI=
ChT
b2NpYWwpIDxzb2NpYWxAcmFnaGF2Z3VydXJhamFuLm5hbWU+wpAEExYIADgWIQTNLV6qqYzLN=
9qR
1rBfWBZkf4vlUQUCYBNM8AIbAwULCQgHAgYVCgkICwIEFgIDAQIeAQIXgAAKCRBfWBZkf4vlU=
dtv
AQCKMxBdxwMUJdyigGWqrTuJUaLVL2dgvqGa0k39nsQA8gD+PH3LsQAaJ98xREKxYXMAszNnJ=
RJR
xYa9trfixyQbrw7NNVJhZ2hhdiBHdXJ1cmFqYW4gKFRyYWRlKSA8dHJhZGVAcmFnaGF2Z3Vyd=
XJh
amFuLm5hbWU+wpAEExYIADgWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCYBNNHQIbAwULCQgHA=
gYV
CgkICwIEFgIDAQIeAQIXgAAKCRBfWBZkf4vlUQ+9AP0S/6S5PLshS/vz7ezRO2HokruaRiDhg=
w0t
yRM3LAefSQEA7rEBw9sSUsDgRILGKUi1ZzQq5AJ0F77KOXyurVqnywXOOARfZkIkEgorBgEEA=
ZdV
AQUBAQdAZgiqc2NhH/myrCCan9x7gKI6QBPZ/1b+Bz/f3n95ozkDAQgHwngEGBYIACAWIQTNL=
V6q
qYzLN9qR1rBfWBZkf4vlUQUCX2ZCJAIbDAAKCRBfWBZkf4vlUV/OAQD+tMNgmddPSchLpaDPp=
sdD
hpvra2uTonNUmnfbTvPgpQD/dG72NCT8hBUVqtzxwQmBrXY/nPEUxctYuvu3unUmzQU=3D
=3DMROf
-----END PGP PUBLIC KEY BLOCK-----

--------------0451FCAD573FEAAC6CF169C8--

--UaBXy72ReDNsLhQvf4V5llCZtbIBeMsRM--

--5LCTieGtCTkZgIpg7UGgoHwucmufz4rET
Content-Type: application/pgp-signature; name="OpenPGP_signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="OpenPGP_signature"

-----BEGIN PGP SIGNATURE-----

wnsEABYIACMWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCYIfavwUDAAAAAAAKCRBfWBZkf4vlUWnn
AQDX89q//vyeXWwTG9s76BRTsQp/I2h0x9xC3woAV9jmQwEA0h9CW6tdcpS71s9QmBIw3tYFuG5l
GgFZeFIR54OFOAU=
=lD3f
-----END PGP SIGNATURE-----

--5LCTieGtCTkZgIpg7UGgoHwucmufz4rET--




Information forwarded to guix-patches@HIDDEN:
bug#48028; Package guix-patches. Full text available.

Message received at 48028 <at> debbugs.gnu.org:


Received: (at 48028) by debbugs.gnu.org; 27 Apr 2021 09:33:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 27 05:33:29 2021
Received: from localhost ([127.0.0.1]:48092 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lbK5w-0004E7-RR
	for submit <at> debbugs.gnu.org; Tue, 27 Apr 2021 05:33:28 -0400
Received: from out0.migadu.com ([94.23.1.103]:50602)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lbK5u-0004Dw-Qp
 for 48028 <at> debbugs.gnu.org; Tue, 27 Apr 2021 05:33:27 -0400
Subject: Re: [bug#48028] [PATCH wip-gnome v2 05/10] gnu: libsoup: Disable
 ssl-test.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1619516006;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:mime-version:mime-version:content-type:content-type:
 in-reply-to:in-reply-to:references:references;
 bh=LAce1f3GaCrQ6ypOrPElwIZdBBXNUclmnHmSXH9QSBo=;
 b=Mppweq6s+WVC6W9dwMNJLXHCHEEQ7cwgaH9LOp7dacnitCixtBO9HD5ewEwm8+BiG5PuL0
 t5dr+raiH7OZI9w4yOzGPmq1p/cYie2vvBLTiLm8FAz63x8m0HzqDqcME3/TXj1RdaNcOZ
 4Noq+udqYh2qBFwBIGLN1gCA0mtbCFZ+gdBbjihrYf8y3siAoo5SopdfLxAvl6htRRCnA1
 /S/XwCI0cHCKUN9W9G0jugdQyQ5t9UoW80iq6yVvc9BOq10IeYgwg418ZDKDexy05YJos5
 DJ5PdLQlvYuxmr/+5up3ATfDZJjnY/vZU0xOt/K0P/T8/amkKdyXDiqvnWhS3Q==
To: Maxime Devos <maximedevos@HIDDEN>, 48028 <at> debbugs.gnu.org
References: <20210426090823.30672-1-rg@HIDDEN>
 <20210426090823.30672-5-rg@HIDDEN>
 <1cac79bc3175adf6012a36eb1e24befee9dfb550.camel@HIDDEN>
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
From: Raghav Gururajan <rg@HIDDEN>
Message-ID: <c815c7c4-d34a-718e-b339-a538df0f6dce@HIDDEN>
Date: Tue, 27 Apr 2021 05:33:17 -0400
MIME-Version: 1.0
In-Reply-To: <1cac79bc3175adf6012a36eb1e24befee9dfb550.camel@HIDDEN>
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature";
 boundary="PegW8secOpb1x6rvzlAzmvB54KU2rYmOa"
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48028
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--PegW8secOpb1x6rvzlAzmvB54KU2rYmOa
Content-Type: multipart/mixed; boundary="DLBzFTHxgj80OdBaaY1aPVtzQg6fLisPe";
 protected-headers="v1"
From: Raghav Gururajan <rg@HIDDEN>
To: Maxime Devos <maximedevos@HIDDEN>, 48028 <at> debbugs.gnu.org
Message-ID: <c815c7c4-d34a-718e-b339-a538df0f6dce@HIDDEN>
Subject: Re: [bug#48028] [PATCH wip-gnome v2 05/10] gnu: libsoup: Disable
 ssl-test.
References: <20210426090823.30672-1-rg@HIDDEN>
 <20210426090823.30672-5-rg@HIDDEN>
 <1cac79bc3175adf6012a36eb1e24befee9dfb550.camel@HIDDEN>
In-Reply-To: <1cac79bc3175adf6012a36eb1e24befee9dfb550.camel@HIDDEN>

--DLBzFTHxgj80OdBaaY1aPVtzQg6fLisPe
Content-Type: multipart/mixed;
 boundary="------------EC247684B588A03663576B3F"
Content-Language: en-US

This is a multi-part message in MIME format.
--------------EC247684B588A03663576B3F
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Hi Maxime,

> The convention seems to be FIXME and not FIX-ME.
> Only 3 hits for "git grep -F FIX-ME", and 612 hits for
> "git grep -F FIXME" in some random branch.

Fixed in v5. Thanks!

Regards,
RG.

--------------EC247684B588A03663576B3F
Content-Type: application/pgp-keys;
 name="OpenPGP_0x5F5816647F8BE551.asc"
Content-Transfer-Encoding: quoted-printable
Content-Description: OpenPGP public key
Content-Disposition: attachment;
 filename="OpenPGP_0x5F5816647F8BE551.asc"

-----BEGIN PGP PUBLIC KEY BLOCK-----

xjMEX2ZCJBYJKwYBBAHaRw8BAQdAdiUK33kml2dYjrWidlr4/v0pmjpUv7hOsBN/oSl5wx7NL=
1Jh
Z2hhdiBHdXJ1cmFqYW4gKFJHKSA8cmdAcmFnaGF2Z3VydXJhamFuLm5hbWU+wpMEExYIADsCG=
wMF
CwkIBwIGFQoJCAsCBBYCAwECHgECF4AWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCX28v0AIZA=
QAK
CRBfWBZkf4vlUQf2AQD63gsdJzk0w6Gy0AzpJtMa63mbVRAh4xfnxsRNu6SbGQD/UDytGjwnQ=
4nK
YsGdoCcA7LM64EkknDvI3ZmlqG7Xuw/NPVJhZ2hhdiBHdXJ1cmFqYW4gKEVkdWNhdGlvbikgP=
GVk
dWNhdGlvbkByYWdoYXZndXJ1cmFqYW4ubmFtZT7CkAQTFggAOBYhBM0tXqqpjMs32pHWsF9YF=
mR/
i+VRBQJgE0xGAhsDBQsJCAcCBhUKCQgLAgQWAgMBAh4BAheAAAoJEF9YFmR/i+VRQcQBALNRe=
1V/
5DKN8ZxyVQlzt4TdGUyNom7xJ6r23ANtcygxAQDBjw6NLXV3aYGDMVVmQPbdAnFiB/x1rpJsA=
wB/
1BSBDc05UmFnaGF2IEd1cnVyYWphbiAoRmluYW5jZSkgPGZpbmFuY2VAcmFnaGF2Z3VydXJha=
mFu
Lm5hbWU+wpAEExYIADgWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCYBNMbwIbAwULCQgHAgYVC=
gkI
CwIEFgIDAQIeAQIXgAAKCRBfWBZkf4vlUWnLAP914hb0IzSCiaj+XrcEBaIt/Q+KjRn2fj5A7=
V6Z
ucJJqwEA64eks7xjLBS3mpTpaGwdDtluJcR7G8XZJJdbdK2YyQ/NN1JhZ2hhdiBHdXJ1cmFqY=
W4g
KEhlYWx0aCkgPGhlYWx0aEByYWdoYXZndXJ1cmFqYW4ubmFtZT7CkAQTFggAOBYhBM0tXqqpj=
Ms3
2pHWsF9YFmR/i+VRBQJgE0yhAhsDBQsJCAcCBhUKCQgLAgQWAgMBAh4BAheAAAoJEF9YFmR/i=
+VR
xdcA/3YxFzlKKHrTguDxE1tBWD31BUYlXWl351j6MB/U+tWdAPwJB8QD8janaddv3U5ZGzswf=
hQv
GGzx6SLcX0E253uNC80/UmFnaGF2IEd1cnVyYWphbiAoT2NjdXBhdGlvbikgPG9jY3VwYXRpb=
25A
cmFnaGF2Z3VydXJhamFuLm5hbWU+wpAEExYIADgWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCY=
BNM
ugIbAwULCQgHAgYVCgkICwIEFgIDAQIeAQIXgAAKCRBfWBZkf4vlUSrlAP0VJw8frvWHAGd6l=
Zdy
x1v+relUGB4DToqDgIMBQyG58gD+NU5t4h0IY6YaiQ+FPyJzdV62k15d9IDvTMYPvcWIpQPNP=
1Jh
Z2hhdiBHdXJ1cmFqYW4gKFJlY3JlYXRpb24pIDxyZWNyZWF0aW9uQHJhZ2hhdmd1cnVyYWphb=
i5u
YW1lPsKQBBMWCAA4FiEEzS1eqqmMyzfakdawX1gWZH+L5VEFAmATTNkCGwMFCwkIBwIGFQoJC=
AsC
BBYCAwECHgECF4AACgkQX1gWZH+L5VHhbQD/b6jXWdQfxi+xzrs1+A0lvnihfUgQ0H/r5U2bO=
w9d
FIkA/0nCh0VJKX+YrySJhWugL7e8ItqwKADh0v05vO6qtlkAzTdSYWdoYXYgR3VydXJhamFuI=
ChT
b2NpYWwpIDxzb2NpYWxAcmFnaGF2Z3VydXJhamFuLm5hbWU+wpAEExYIADgWIQTNLV6qqYzLN=
9qR
1rBfWBZkf4vlUQUCYBNM8AIbAwULCQgHAgYVCgkICwIEFgIDAQIeAQIXgAAKCRBfWBZkf4vlU=
dtv
AQCKMxBdxwMUJdyigGWqrTuJUaLVL2dgvqGa0k39nsQA8gD+PH3LsQAaJ98xREKxYXMAszNnJ=
RJR
xYa9trfixyQbrw7NNVJhZ2hhdiBHdXJ1cmFqYW4gKFRyYWRlKSA8dHJhZGVAcmFnaGF2Z3Vyd=
XJh
amFuLm5hbWU+wpAEExYIADgWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCYBNNHQIbAwULCQgHA=
gYV
CgkICwIEFgIDAQIeAQIXgAAKCRBfWBZkf4vlUQ+9AP0S/6S5PLshS/vz7ezRO2HokruaRiDhg=
w0t
yRM3LAefSQEA7rEBw9sSUsDgRILGKUi1ZzQq5AJ0F77KOXyurVqnywXOOARfZkIkEgorBgEEA=
ZdV
AQUBAQdAZgiqc2NhH/myrCCan9x7gKI6QBPZ/1b+Bz/f3n95ozkDAQgHwngEGBYIACAWIQTNL=
V6q
qYzLN9qR1rBfWBZkf4vlUQUCX2ZCJAIbDAAKCRBfWBZkf4vlUV/OAQD+tMNgmddPSchLpaDPp=
sdD
hpvra2uTonNUmnfbTvPgpQD/dG72NCT8hBUVqtzxwQmBrXY/nPEUxctYuvu3unUmzQU=3D
=3DMROf
-----END PGP PUBLIC KEY BLOCK-----

--------------EC247684B588A03663576B3F--

--DLBzFTHxgj80OdBaaY1aPVtzQg6fLisPe--

--PegW8secOpb1x6rvzlAzmvB54KU2rYmOa
Content-Type: application/pgp-signature; name="OpenPGP_signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="OpenPGP_signature"

-----BEGIN PGP SIGNATURE-----

wnsEABYIACMWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCYIfaXQUDAAAAAAAKCRBfWBZkf4vlUUjo
AQDyabucFgrZLuk/Ac4KzYpdsuA99m0eZLw4LwYwJavfQgEA3I/WuKBfgFmULY8PTCHXI1FU46P3
Q4lwtCNkNX9Y7AA=
=/nWA
-----END PGP SIGNATURE-----

--PegW8secOpb1x6rvzlAzmvB54KU2rYmOa--




Information forwarded to guix-patches@HIDDEN:
bug#48028; Package guix-patches. Full text available.

Message received at 48028 <at> debbugs.gnu.org:


Received: (at 48028) by debbugs.gnu.org; 27 Apr 2021 09:32:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 27 05:32:11 2021
Received: from localhost ([127.0.0.1]:48086 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lbK4h-0004BV-Hi
	for submit <at> debbugs.gnu.org; Tue, 27 Apr 2021 05:32:11 -0400
Received: from out0.migadu.com ([94.23.1.103]:50226)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lbK4g-0004BL-47
 for 48028 <at> debbugs.gnu.org; Tue, 27 Apr 2021 05:32:10 -0400
To: Maxime Devos <maximedevos@HIDDEN>, 48028 <at> debbugs.gnu.org
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1619515929;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:mime-version:mime-version:content-type:content-type:
 in-reply-to:in-reply-to:references:references;
 bh=s25lJxV7V77awU8X9SSy6lrn4u6qaWkFi/Y+QCO9udM=;
 b=BKjS/r8amOnH7G6BcpnW3yI7Dm8xslW7WYV5nzSf8kZKHNJEfD7R2bAqRKSAj5exlq5u6v
 aW/sZb/f9I1l3U0TZu1u/KdjyeaYij5a+raTq2QZzTcWzl6vLeaoSVspFCtCS1gksvHyes
 HslEc8CyJicAznO1O2SfEmUwGv79y4nJTHVVFb7ax7s11ZmforNz1HzoGQh0GqLWiDjt7G
 SAOyPVOXqOJ3O1XF2uLi3mvMvz7dqWr7UKZl9GWIMx7cC3utf6kVJxsmpDKorMNn/MTInr
 3GF4xtGqwNcX3sdidK0UW63FgO0FOPAy5WSbTd4y8QPbdxEOHSYLh+f48bGisQ==
References: <20210426081145.28926-1-rg@HIDDEN>
 <20210426081145.28926-3-rg@HIDDEN>
 <4fe792b27d14d83ee72a84ae5715140921c219ca.camel@HIDDEN>
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
From: Raghav Gururajan <rg@HIDDEN>
Subject: Re: [bug#48028] [PATCH wip-gnome 3/8] gnu: gtkmm: Add missing
 native-input and correct propagated-inputs.
Message-ID: <5a66db08-c1a8-2596-c370-b49041654b99@HIDDEN>
Date: Tue, 27 Apr 2021 05:32:08 -0400
MIME-Version: 1.0
In-Reply-To: <4fe792b27d14d83ee72a84ae5715140921c219ca.camel@HIDDEN>
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature";
 boundary="vUdhDdZpDGRNVCOQjHbzp6fhwCHUUbOgD"
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48028
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--vUdhDdZpDGRNVCOQjHbzp6fhwCHUUbOgD
Content-Type: multipart/mixed; boundary="KRp8avt6xsh9oXWAH6ASZ9lPuISJ2NJG7";
 protected-headers="v1"
From: Raghav Gururajan <rg@HIDDEN>
To: Maxime Devos <maximedevos@HIDDEN>, 48028 <at> debbugs.gnu.org
Message-ID: <5a66db08-c1a8-2596-c370-b49041654b99@HIDDEN>
Subject: Re: [bug#48028] [PATCH wip-gnome 3/8] gnu: gtkmm: Add missing
 native-input and correct propagated-inputs.
References: <20210426081145.28926-1-rg@HIDDEN>
 <20210426081145.28926-3-rg@HIDDEN>
 <4fe792b27d14d83ee72a84ae5715140921c219ca.camel@HIDDEN>
In-Reply-To: <4fe792b27d14d83ee72a84ae5715140921c219ca.camel@HIDDEN>

--KRp8avt6xsh9oXWAH6ASZ9lPuISJ2NJG7
Content-Type: multipart/mixed;
 boundary="------------11EEA031A75EF29F4892DC7C"
Content-Language: en-US

This is a multi-part message in MIME format.
--------------11EEA031A75EF29F4892DC7C
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Hi Maxime,

> Maybe make this "Add glib:lib for glib-compile-resources" for clarity.

But that wouldn't involve other changes.

> What makes the old propageted-inputs incorrect, and the new ones correc=
t?
> Has there been an ABI change or something, or does GTKmm now require ne=
w
> APIs?  Could you add a little comment why the old inputs were incorrect=

> in the commit message?

It's ABI incompatibility. I have added comment in the code, in v5.

Regards,
RG.

--------------11EEA031A75EF29F4892DC7C
Content-Type: application/pgp-keys;
 name="OpenPGP_0x5F5816647F8BE551.asc"
Content-Transfer-Encoding: quoted-printable
Content-Description: OpenPGP public key
Content-Disposition: attachment;
 filename="OpenPGP_0x5F5816647F8BE551.asc"

-----BEGIN PGP PUBLIC KEY BLOCK-----

xjMEX2ZCJBYJKwYBBAHaRw8BAQdAdiUK33kml2dYjrWidlr4/v0pmjpUv7hOsBN/oSl5wx7NL=
1Jh
Z2hhdiBHdXJ1cmFqYW4gKFJHKSA8cmdAcmFnaGF2Z3VydXJhamFuLm5hbWU+wpMEExYIADsCG=
wMF
CwkIBwIGFQoJCAsCBBYCAwECHgECF4AWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCX28v0AIZA=
QAK
CRBfWBZkf4vlUQf2AQD63gsdJzk0w6Gy0AzpJtMa63mbVRAh4xfnxsRNu6SbGQD/UDytGjwnQ=
4nK
YsGdoCcA7LM64EkknDvI3ZmlqG7Xuw/NPVJhZ2hhdiBHdXJ1cmFqYW4gKEVkdWNhdGlvbikgP=
GVk
dWNhdGlvbkByYWdoYXZndXJ1cmFqYW4ubmFtZT7CkAQTFggAOBYhBM0tXqqpjMs32pHWsF9YF=
mR/
i+VRBQJgE0xGAhsDBQsJCAcCBhUKCQgLAgQWAgMBAh4BAheAAAoJEF9YFmR/i+VRQcQBALNRe=
1V/
5DKN8ZxyVQlzt4TdGUyNom7xJ6r23ANtcygxAQDBjw6NLXV3aYGDMVVmQPbdAnFiB/x1rpJsA=
wB/
1BSBDc05UmFnaGF2IEd1cnVyYWphbiAoRmluYW5jZSkgPGZpbmFuY2VAcmFnaGF2Z3VydXJha=
mFu
Lm5hbWU+wpAEExYIADgWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCYBNMbwIbAwULCQgHAgYVC=
gkI
CwIEFgIDAQIeAQIXgAAKCRBfWBZkf4vlUWnLAP914hb0IzSCiaj+XrcEBaIt/Q+KjRn2fj5A7=
V6Z
ucJJqwEA64eks7xjLBS3mpTpaGwdDtluJcR7G8XZJJdbdK2YyQ/NN1JhZ2hhdiBHdXJ1cmFqY=
W4g
KEhlYWx0aCkgPGhlYWx0aEByYWdoYXZndXJ1cmFqYW4ubmFtZT7CkAQTFggAOBYhBM0tXqqpj=
Ms3
2pHWsF9YFmR/i+VRBQJgE0yhAhsDBQsJCAcCBhUKCQgLAgQWAgMBAh4BAheAAAoJEF9YFmR/i=
+VR
xdcA/3YxFzlKKHrTguDxE1tBWD31BUYlXWl351j6MB/U+tWdAPwJB8QD8janaddv3U5ZGzswf=
hQv
GGzx6SLcX0E253uNC80/UmFnaGF2IEd1cnVyYWphbiAoT2NjdXBhdGlvbikgPG9jY3VwYXRpb=
25A
cmFnaGF2Z3VydXJhamFuLm5hbWU+wpAEExYIADgWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCY=
BNM
ugIbAwULCQgHAgYVCgkICwIEFgIDAQIeAQIXgAAKCRBfWBZkf4vlUSrlAP0VJw8frvWHAGd6l=
Zdy
x1v+relUGB4DToqDgIMBQyG58gD+NU5t4h0IY6YaiQ+FPyJzdV62k15d9IDvTMYPvcWIpQPNP=
1Jh
Z2hhdiBHdXJ1cmFqYW4gKFJlY3JlYXRpb24pIDxyZWNyZWF0aW9uQHJhZ2hhdmd1cnVyYWphb=
i5u
YW1lPsKQBBMWCAA4FiEEzS1eqqmMyzfakdawX1gWZH+L5VEFAmATTNkCGwMFCwkIBwIGFQoJC=
AsC
BBYCAwECHgECF4AACgkQX1gWZH+L5VHhbQD/b6jXWdQfxi+xzrs1+A0lvnihfUgQ0H/r5U2bO=
w9d
FIkA/0nCh0VJKX+YrySJhWugL7e8ItqwKADh0v05vO6qtlkAzTdSYWdoYXYgR3VydXJhamFuI=
ChT
b2NpYWwpIDxzb2NpYWxAcmFnaGF2Z3VydXJhamFuLm5hbWU+wpAEExYIADgWIQTNLV6qqYzLN=
9qR
1rBfWBZkf4vlUQUCYBNM8AIbAwULCQgHAgYVCgkICwIEFgIDAQIeAQIXgAAKCRBfWBZkf4vlU=
dtv
AQCKMxBdxwMUJdyigGWqrTuJUaLVL2dgvqGa0k39nsQA8gD+PH3LsQAaJ98xREKxYXMAszNnJ=
RJR
xYa9trfixyQbrw7NNVJhZ2hhdiBHdXJ1cmFqYW4gKFRyYWRlKSA8dHJhZGVAcmFnaGF2Z3Vyd=
XJh
amFuLm5hbWU+wpAEExYIADgWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCYBNNHQIbAwULCQgHA=
gYV
CgkICwIEFgIDAQIeAQIXgAAKCRBfWBZkf4vlUQ+9AP0S/6S5PLshS/vz7ezRO2HokruaRiDhg=
w0t
yRM3LAefSQEA7rEBw9sSUsDgRILGKUi1ZzQq5AJ0F77KOXyurVqnywXOOARfZkIkEgorBgEEA=
ZdV
AQUBAQdAZgiqc2NhH/myrCCan9x7gKI6QBPZ/1b+Bz/f3n95ozkDAQgHwngEGBYIACAWIQTNL=
V6q
qYzLN9qR1rBfWBZkf4vlUQUCX2ZCJAIbDAAKCRBfWBZkf4vlUV/OAQD+tMNgmddPSchLpaDPp=
sdD
hpvra2uTonNUmnfbTvPgpQD/dG72NCT8hBUVqtzxwQmBrXY/nPEUxctYuvu3unUmzQU=3D
=3DMROf
-----END PGP PUBLIC KEY BLOCK-----

--------------11EEA031A75EF29F4892DC7C--

--KRp8avt6xsh9oXWAH6ASZ9lPuISJ2NJG7--

--vUdhDdZpDGRNVCOQjHbzp6fhwCHUUbOgD
Content-Type: application/pgp-signature; name="OpenPGP_signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="OpenPGP_signature"

-----BEGIN PGP SIGNATURE-----

wnsEABYIACMWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCYIfaGAUDAAAAAAAKCRBfWBZkf4vlUT9G
AQD+EdqMhFzfCVhdumt5fyqK28It4828TFynnXhjL8f35AD+ItoacV7gQ7aIgTz34+HqgOJiCFOj
1tVmCRJOkBsekAM=
=eNXT
-----END PGP SIGNATURE-----

--vUdhDdZpDGRNVCOQjHbzp6fhwCHUUbOgD--




Information forwarded to guix-patches@HIDDEN:
bug#48028; Package guix-patches. Full text available.

Message received at 48028 <at> debbugs.gnu.org:


Received: (at 48028) by debbugs.gnu.org; 27 Apr 2021 09:29:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 27 05:29:30 2021
Received: from localhost ([127.0.0.1]:48080 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lbK26-00044t-2P
	for submit <at> debbugs.gnu.org; Tue, 27 Apr 2021 05:29:30 -0400
Received: from out0.migadu.com ([94.23.1.103]:49541)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lbK23-00044i-UL
 for 48028 <at> debbugs.gnu.org; Tue, 27 Apr 2021 05:29:28 -0400
To: Maxime Devos <maximedevos@HIDDEN>, 48028 <at> debbugs.gnu.org
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1619515767;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:mime-version:mime-version:content-type:content-type:
 in-reply-to:in-reply-to:references:references;
 bh=J9TYQmO1i2zepJ08BZil0Int/FE0nheP9K6i/IbWH1A=;
 b=LGHDNnqx+A1R20A7z+4JMxm5MAeJT5FjHWYjOIUekqzU5FqKo3V1jmQj05MitdMQt4W7zt
 L9KSOBue8FDiClanEE7s6R3i2yX2EvJijKAyh/96GnDLc3HWwF7edtb6L7o/y6FerfSfCO
 ivLLJl3sF8gOxSsXZvCtUGpMk3E87fUOuhBUFIYlU9ysOfg6aJBSKYCFTS1qiX8JLZjbim
 oxk+6WWi5WdPK6RPWY0FGepymS8soVA6Jico0/bxlpuwce/hhdKlfxYFm6J3H0nYfNvIwo
 MbsFSnRCVsBoCZ2YX4SyQUnfOE6LurYqXTP4rfk4Fgcyks7yuTLvg7yVQGF4rA==
References: <7c08ca5b-a7cb-cdf3-c8bb-673cec8876a8@HIDDEN>
 <20210426081145.28926-1-rg@HIDDEN>
 <cd3d32e9a291aecad98e93537725901bb82478a7.camel@HIDDEN>
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
From: Raghav Gururajan <rg@HIDDEN>
Subject: Re: [bug#48028] [PATCH wip-gnome 1/8] gnu: gtkmm@2: Remove
 inheritance from gtkmm@3.
Message-ID: <ccd2518e-b9db-4175-4ee3-8c0cb3735621@HIDDEN>
Date: Tue, 27 Apr 2021 05:29:26 -0400
MIME-Version: 1.0
In-Reply-To: <cd3d32e9a291aecad98e93537725901bb82478a7.camel@HIDDEN>
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature";
 boundary="QzbW9ZW2wXiG6nCquvr9f51HpTZkBPBzI"
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48028
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--QzbW9ZW2wXiG6nCquvr9f51HpTZkBPBzI
Content-Type: multipart/mixed; boundary="fYxFg7mxILmlXp1DizQ1GBPXcRpBwhZsr";
 protected-headers="v1"
From: Raghav Gururajan <rg@HIDDEN>
To: Maxime Devos <maximedevos@HIDDEN>, 48028 <at> debbugs.gnu.org
Message-ID: <ccd2518e-b9db-4175-4ee3-8c0cb3735621@HIDDEN>
Subject: Re: [bug#48028] [PATCH wip-gnome 1/8] gnu: gtkmm@2: Remove
 inheritance from gtkmm@3.
References: <7c08ca5b-a7cb-cdf3-c8bb-673cec8876a8@HIDDEN>
 <20210426081145.28926-1-rg@HIDDEN>
 <cd3d32e9a291aecad98e93537725901bb82478a7.camel@HIDDEN>
In-Reply-To: <cd3d32e9a291aecad98e93537725901bb82478a7.camel@HIDDEN>

--fYxFg7mxILmlXp1DizQ1GBPXcRpBwhZsr
Content-Type: multipart/mixed;
 boundary="------------FE1D0B6DE96536B450C9B881"
Content-Language: en-US

This is a multi-part message in MIME format.
--------------FE1D0B6DE96536B450C9B881
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Hi Maxime,

Thanks for the review.

I have revised the patches in v5.

Regards,
RG.

--------------FE1D0B6DE96536B450C9B881
Content-Type: application/pgp-keys;
 name="OpenPGP_0x5F5816647F8BE551.asc"
Content-Transfer-Encoding: quoted-printable
Content-Description: OpenPGP public key
Content-Disposition: attachment;
 filename="OpenPGP_0x5F5816647F8BE551.asc"

-----BEGIN PGP PUBLIC KEY BLOCK-----

xjMEX2ZCJBYJKwYBBAHaRw8BAQdAdiUK33kml2dYjrWidlr4/v0pmjpUv7hOsBN/oSl5wx7NL=
1Jh
Z2hhdiBHdXJ1cmFqYW4gKFJHKSA8cmdAcmFnaGF2Z3VydXJhamFuLm5hbWU+wpMEExYIADsCG=
wMF
CwkIBwIGFQoJCAsCBBYCAwECHgECF4AWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCX28v0AIZA=
QAK
CRBfWBZkf4vlUQf2AQD63gsdJzk0w6Gy0AzpJtMa63mbVRAh4xfnxsRNu6SbGQD/UDytGjwnQ=
4nK
YsGdoCcA7LM64EkknDvI3ZmlqG7Xuw/NPVJhZ2hhdiBHdXJ1cmFqYW4gKEVkdWNhdGlvbikgP=
GVk
dWNhdGlvbkByYWdoYXZndXJ1cmFqYW4ubmFtZT7CkAQTFggAOBYhBM0tXqqpjMs32pHWsF9YF=
mR/
i+VRBQJgE0xGAhsDBQsJCAcCBhUKCQgLAgQWAgMBAh4BAheAAAoJEF9YFmR/i+VRQcQBALNRe=
1V/
5DKN8ZxyVQlzt4TdGUyNom7xJ6r23ANtcygxAQDBjw6NLXV3aYGDMVVmQPbdAnFiB/x1rpJsA=
wB/
1BSBDc05UmFnaGF2IEd1cnVyYWphbiAoRmluYW5jZSkgPGZpbmFuY2VAcmFnaGF2Z3VydXJha=
mFu
Lm5hbWU+wpAEExYIADgWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCYBNMbwIbAwULCQgHAgYVC=
gkI
CwIEFgIDAQIeAQIXgAAKCRBfWBZkf4vlUWnLAP914hb0IzSCiaj+XrcEBaIt/Q+KjRn2fj5A7=
V6Z
ucJJqwEA64eks7xjLBS3mpTpaGwdDtluJcR7G8XZJJdbdK2YyQ/NN1JhZ2hhdiBHdXJ1cmFqY=
W4g
KEhlYWx0aCkgPGhlYWx0aEByYWdoYXZndXJ1cmFqYW4ubmFtZT7CkAQTFggAOBYhBM0tXqqpj=
Ms3
2pHWsF9YFmR/i+VRBQJgE0yhAhsDBQsJCAcCBhUKCQgLAgQWAgMBAh4BAheAAAoJEF9YFmR/i=
+VR
xdcA/3YxFzlKKHrTguDxE1tBWD31BUYlXWl351j6MB/U+tWdAPwJB8QD8janaddv3U5ZGzswf=
hQv
GGzx6SLcX0E253uNC80/UmFnaGF2IEd1cnVyYWphbiAoT2NjdXBhdGlvbikgPG9jY3VwYXRpb=
25A
cmFnaGF2Z3VydXJhamFuLm5hbWU+wpAEExYIADgWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCY=
BNM
ugIbAwULCQgHAgYVCgkICwIEFgIDAQIeAQIXgAAKCRBfWBZkf4vlUSrlAP0VJw8frvWHAGd6l=
Zdy
x1v+relUGB4DToqDgIMBQyG58gD+NU5t4h0IY6YaiQ+FPyJzdV62k15d9IDvTMYPvcWIpQPNP=
1Jh
Z2hhdiBHdXJ1cmFqYW4gKFJlY3JlYXRpb24pIDxyZWNyZWF0aW9uQHJhZ2hhdmd1cnVyYWphb=
i5u
YW1lPsKQBBMWCAA4FiEEzS1eqqmMyzfakdawX1gWZH+L5VEFAmATTNkCGwMFCwkIBwIGFQoJC=
AsC
BBYCAwECHgECF4AACgkQX1gWZH+L5VHhbQD/b6jXWdQfxi+xzrs1+A0lvnihfUgQ0H/r5U2bO=
w9d
FIkA/0nCh0VJKX+YrySJhWugL7e8ItqwKADh0v05vO6qtlkAzTdSYWdoYXYgR3VydXJhamFuI=
ChT
b2NpYWwpIDxzb2NpYWxAcmFnaGF2Z3VydXJhamFuLm5hbWU+wpAEExYIADgWIQTNLV6qqYzLN=
9qR
1rBfWBZkf4vlUQUCYBNM8AIbAwULCQgHAgYVCgkICwIEFgIDAQIeAQIXgAAKCRBfWBZkf4vlU=
dtv
AQCKMxBdxwMUJdyigGWqrTuJUaLVL2dgvqGa0k39nsQA8gD+PH3LsQAaJ98xREKxYXMAszNnJ=
RJR
xYa9trfixyQbrw7NNVJhZ2hhdiBHdXJ1cmFqYW4gKFRyYWRlKSA8dHJhZGVAcmFnaGF2Z3Vyd=
XJh
amFuLm5hbWU+wpAEExYIADgWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCYBNNHQIbAwULCQgHA=
gYV
CgkICwIEFgIDAQIeAQIXgAAKCRBfWBZkf4vlUQ+9AP0S/6S5PLshS/vz7ezRO2HokruaRiDhg=
w0t
yRM3LAefSQEA7rEBw9sSUsDgRILGKUi1ZzQq5AJ0F77KOXyurVqnywXOOARfZkIkEgorBgEEA=
ZdV
AQUBAQdAZgiqc2NhH/myrCCan9x7gKI6QBPZ/1b+Bz/f3n95ozkDAQgHwngEGBYIACAWIQTNL=
V6q
qYzLN9qR1rBfWBZkf4vlUQUCX2ZCJAIbDAAKCRBfWBZkf4vlUV/OAQD+tMNgmddPSchLpaDPp=
sdD
hpvra2uTonNUmnfbTvPgpQD/dG72NCT8hBUVqtzxwQmBrXY/nPEUxctYuvu3unUmzQU=3D
=3DMROf
-----END PGP PUBLIC KEY BLOCK-----

--------------FE1D0B6DE96536B450C9B881--

--fYxFg7mxILmlXp1DizQ1GBPXcRpBwhZsr--

--QzbW9ZW2wXiG6nCquvr9f51HpTZkBPBzI
Content-Type: application/pgp-signature; name="OpenPGP_signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="OpenPGP_signature"

-----BEGIN PGP SIGNATURE-----

wnsEABYIACMWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCYIfZdgUDAAAAAAAKCRBfWBZkf4vlUabE
AQC0T359/f6F9z3l2q/DdvEtU75185KFXnVr2a9tNdZ4hQD/VJuqAYER7hxDn7eGmh0dpugwrH5s
kqvTlSZWpJe7gAg=
=43VB
-----END PGP SIGNATURE-----

--QzbW9ZW2wXiG6nCquvr9f51HpTZkBPBzI--




Information forwarded to guix-patches@HIDDEN:
bug#48028; Package guix-patches. Full text available.

Message received at 48028 <at> debbugs.gnu.org:


Received: (at 48028) by debbugs.gnu.org; 27 Apr 2021 09:29:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 27 05:29:27 2021
Received: from localhost ([127.0.0.1]:48076 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lbK22-00044b-SR
	for submit <at> debbugs.gnu.org; Tue, 27 Apr 2021 05:29:27 -0400
Received: from out0.migadu.com ([94.23.1.103]:49519)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lbK1z-00044Q-NC
 for 48028 <at> debbugs.gnu.org; Tue, 27 Apr 2021 05:29:25 -0400
To: Maxime Devos <maximedevos@HIDDEN>, 48028 <at> debbugs.gnu.org
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1619515761;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:mime-version:mime-version:content-type:content-type:
 in-reply-to:in-reply-to:references:references;
 bh=znAhXwEiBBqO525Vbes93kJeIlpszaTEgFl5PtO+M+g=;
 b=AZDeWVMX25y/hv23Q/O77Nqa7UW1AluaNwKwAtj+RXjoqoGTL/8JSHMDezNRK/AsZ/+yLO
 uRDvqpKoL6s8er2QrUfhkbrbUO94mbAtxI5S6JmHbJjGlGJxYLzOY5qs6AwaIxwsCONZ3A
 YWhVWBKhp8e6eNqLdLew0YY61FDQqinRl6KnMllz0cp8jr8+14VG0rgUPKUzZ+6YG+s3BF
 cijwd6Cm2e7L+8MDlC94FlM1Qm6Mhh6TX4zVbEkxuqNRL47/OrCxTQqU72zcCjC4DOiMvx
 vtgIn4DoP+zf+asZTPGlL7xnTjELbAdPY9ftll6zoi+nbDAlZnbyRmIIwSG8AA==
References: <7c08ca5b-a7cb-cdf3-c8bb-673cec8876a8@HIDDEN>
 <20210426081145.28926-1-rg@HIDDEN>
 <cd3d32e9a291aecad98e93537725901bb82478a7.camel@HIDDEN>
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
From: Raghav Gururajan <rg@HIDDEN>
Subject: Re: [bug#48028] [PATCH wip-gnome 1/8] gnu: gtkmm@2: Remove
 inheritance from gtkmm@3.
Message-ID: <d26f2d31-7934-744c-d469-eefa95bc8bce@HIDDEN>
Date: Tue, 27 Apr 2021 05:29:14 -0400
MIME-Version: 1.0
In-Reply-To: <cd3d32e9a291aecad98e93537725901bb82478a7.camel@HIDDEN>
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature";
 boundary="GqFxkpH7rB8YRjQ3fZ4VrbLBgUO9eZHV5"
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48028
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--GqFxkpH7rB8YRjQ3fZ4VrbLBgUO9eZHV5
Content-Type: multipart/mixed; boundary="tvai2hJjiTVrakfXRYssMnn7dMK0s3k38";
 protected-headers="v1"
From: Raghav Gururajan <rg@HIDDEN>
To: Maxime Devos <maximedevos@HIDDEN>, 48028 <at> debbugs.gnu.org
Message-ID: <d26f2d31-7934-744c-d469-eefa95bc8bce@HIDDEN>
Subject: Re: [bug#48028] [PATCH wip-gnome 1/8] gnu: gtkmm@2: Remove
 inheritance from gtkmm@3.
References: <7c08ca5b-a7cb-cdf3-c8bb-673cec8876a8@HIDDEN>
 <20210426081145.28926-1-rg@HIDDEN>
 <cd3d32e9a291aecad98e93537725901bb82478a7.camel@HIDDEN>
In-Reply-To: <cd3d32e9a291aecad98e93537725901bb82478a7.camel@HIDDEN>

--tvai2hJjiTVrakfXRYssMnn7dMK0s3k38
Content-Type: multipart/mixed;
 boundary="------------54CA98AF1C8F5065CBA350D0"
Content-Language: en-US

This is a multi-part message in MIME format.
--------------54CA98AF1C8F5065CBA350D0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Hi Maxime,

Thanks for the review.

I have revised the patches in v5.

Regards,
RG.

--------------54CA98AF1C8F5065CBA350D0
Content-Type: application/pgp-keys;
 name="OpenPGP_0x5F5816647F8BE551.asc"
Content-Transfer-Encoding: quoted-printable
Content-Description: OpenPGP public key
Content-Disposition: attachment;
 filename="OpenPGP_0x5F5816647F8BE551.asc"

-----BEGIN PGP PUBLIC KEY BLOCK-----

xjMEX2ZCJBYJKwYBBAHaRw8BAQdAdiUK33kml2dYjrWidlr4/v0pmjpUv7hOsBN/oSl5wx7NL=
1Jh
Z2hhdiBHdXJ1cmFqYW4gKFJHKSA8cmdAcmFnaGF2Z3VydXJhamFuLm5hbWU+wpMEExYIADsCG=
wMF
CwkIBwIGFQoJCAsCBBYCAwECHgECF4AWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCX28v0AIZA=
QAK
CRBfWBZkf4vlUQf2AQD63gsdJzk0w6Gy0AzpJtMa63mbVRAh4xfnxsRNu6SbGQD/UDytGjwnQ=
4nK
YsGdoCcA7LM64EkknDvI3ZmlqG7Xuw/NPVJhZ2hhdiBHdXJ1cmFqYW4gKEVkdWNhdGlvbikgP=
GVk
dWNhdGlvbkByYWdoYXZndXJ1cmFqYW4ubmFtZT7CkAQTFggAOBYhBM0tXqqpjMs32pHWsF9YF=
mR/
i+VRBQJgE0xGAhsDBQsJCAcCBhUKCQgLAgQWAgMBAh4BAheAAAoJEF9YFmR/i+VRQcQBALNRe=
1V/
5DKN8ZxyVQlzt4TdGUyNom7xJ6r23ANtcygxAQDBjw6NLXV3aYGDMVVmQPbdAnFiB/x1rpJsA=
wB/
1BSBDc05UmFnaGF2IEd1cnVyYWphbiAoRmluYW5jZSkgPGZpbmFuY2VAcmFnaGF2Z3VydXJha=
mFu
Lm5hbWU+wpAEExYIADgWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCYBNMbwIbAwULCQgHAgYVC=
gkI
CwIEFgIDAQIeAQIXgAAKCRBfWBZkf4vlUWnLAP914hb0IzSCiaj+XrcEBaIt/Q+KjRn2fj5A7=
V6Z
ucJJqwEA64eks7xjLBS3mpTpaGwdDtluJcR7G8XZJJdbdK2YyQ/NN1JhZ2hhdiBHdXJ1cmFqY=
W4g
KEhlYWx0aCkgPGhlYWx0aEByYWdoYXZndXJ1cmFqYW4ubmFtZT7CkAQTFggAOBYhBM0tXqqpj=
Ms3
2pHWsF9YFmR/i+VRBQJgE0yhAhsDBQsJCAcCBhUKCQgLAgQWAgMBAh4BAheAAAoJEF9YFmR/i=
+VR
xdcA/3YxFzlKKHrTguDxE1tBWD31BUYlXWl351j6MB/U+tWdAPwJB8QD8janaddv3U5ZGzswf=
hQv
GGzx6SLcX0E253uNC80/UmFnaGF2IEd1cnVyYWphbiAoT2NjdXBhdGlvbikgPG9jY3VwYXRpb=
25A
cmFnaGF2Z3VydXJhamFuLm5hbWU+wpAEExYIADgWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCY=
BNM
ugIbAwULCQgHAgYVCgkICwIEFgIDAQIeAQIXgAAKCRBfWBZkf4vlUSrlAP0VJw8frvWHAGd6l=
Zdy
x1v+relUGB4DToqDgIMBQyG58gD+NU5t4h0IY6YaiQ+FPyJzdV62k15d9IDvTMYPvcWIpQPNP=
1Jh
Z2hhdiBHdXJ1cmFqYW4gKFJlY3JlYXRpb24pIDxyZWNyZWF0aW9uQHJhZ2hhdmd1cnVyYWphb=
i5u
YW1lPsKQBBMWCAA4FiEEzS1eqqmMyzfakdawX1gWZH+L5VEFAmATTNkCGwMFCwkIBwIGFQoJC=
AsC
BBYCAwECHgECF4AACgkQX1gWZH+L5VHhbQD/b6jXWdQfxi+xzrs1+A0lvnihfUgQ0H/r5U2bO=
w9d
FIkA/0nCh0VJKX+YrySJhWugL7e8ItqwKADh0v05vO6qtlkAzTdSYWdoYXYgR3VydXJhamFuI=
ChT
b2NpYWwpIDxzb2NpYWxAcmFnaGF2Z3VydXJhamFuLm5hbWU+wpAEExYIADgWIQTNLV6qqYzLN=
9qR
1rBfWBZkf4vlUQUCYBNM8AIbAwULCQgHAgYVCgkICwIEFgIDAQIeAQIXgAAKCRBfWBZkf4vlU=
dtv
AQCKMxBdxwMUJdyigGWqrTuJUaLVL2dgvqGa0k39nsQA8gD+PH3LsQAaJ98xREKxYXMAszNnJ=
RJR
xYa9trfixyQbrw7NNVJhZ2hhdiBHdXJ1cmFqYW4gKFRyYWRlKSA8dHJhZGVAcmFnaGF2Z3Vyd=
XJh
amFuLm5hbWU+wpAEExYIADgWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCYBNNHQIbAwULCQgHA=
gYV
CgkICwIEFgIDAQIeAQIXgAAKCRBfWBZkf4vlUQ+9AP0S/6S5PLshS/vz7ezRO2HokruaRiDhg=
w0t
yRM3LAefSQEA7rEBw9sSUsDgRILGKUi1ZzQq5AJ0F77KOXyurVqnywXOOARfZkIkEgorBgEEA=
ZdV
AQUBAQdAZgiqc2NhH/myrCCan9x7gKI6QBPZ/1b+Bz/f3n95ozkDAQgHwngEGBYIACAWIQTNL=
V6q
qYzLN9qR1rBfWBZkf4vlUQUCX2ZCJAIbDAAKCRBfWBZkf4vlUV/OAQD+tMNgmddPSchLpaDPp=
sdD
hpvra2uTonNUmnfbTvPgpQD/dG72NCT8hBUVqtzxwQmBrXY/nPEUxctYuvu3unUmzQU=3D
=3DMROf
-----END PGP PUBLIC KEY BLOCK-----

--------------54CA98AF1C8F5065CBA350D0--

--tvai2hJjiTVrakfXRYssMnn7dMK0s3k38--

--GqFxkpH7rB8YRjQ3fZ4VrbLBgUO9eZHV5
Content-Type: application/pgp-signature; name="OpenPGP_signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="OpenPGP_signature"

-----BEGIN PGP SIGNATURE-----

wnsEABYIACMWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCYIfZagUDAAAAAAAKCRBfWBZkf4vlUQNP
AP9EkEMRrUGLJxUYQ4xt/3xL154GITGDsZi1BRc7M3XBagEA4I08dsJAjsri2T9s71HIfkPf29/O
nNgY2wFgmavxCAE=
=63wF
-----END PGP SIGNATURE-----

--GqFxkpH7rB8YRjQ3fZ4VrbLBgUO9eZHV5--




Information forwarded to guix-patches@HIDDEN:
bug#48028; Package guix-patches. Full text available.

Message received at 48028 <at> debbugs.gnu.org:


Received: (at 48028) by debbugs.gnu.org; 27 Apr 2021 09:24:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 27 05:24:04 2021
Received: from localhost ([127.0.0.1]:48066 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lbJwq-0003vS-4K
	for submit <at> debbugs.gnu.org; Tue, 27 Apr 2021 05:24:04 -0400
Received: from out2.migadu.com ([188.165.223.204]:56940)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lbJwi-0003ta-MK
 for 48028 <at> debbugs.gnu.org; Tue, 27 Apr 2021 05:23:57 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1619515436;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=gqit6dCrhwpieLk+kI4VzkydYcLuTytDVTyiLX/7yuo=;
 b=H8RvRd4LXEf8sMO0P/TYEfgUvbO0nutlbbItlYYxUagg8UyZu80vwh3iLcRQxT1+nfus3Q
 iK1BUa2Ei1uXamj1rA6AJVbOI1oMEUUp0DTw0qOgFZU2nZ2nps3m/x0Bfn09n57fUQQdlb
 W0yTRMZu7iVddafwIRzvUkijhUjOzxFY0wQakWvFX+bxevSOGtQJUAPoOGRmD/6+YeBBX+
 S3zrq8p0ejYbw7GbxWVzebrRCm7uB1dghX444gRENGZmlZzhkFTtjG4t+J/FJpa90qfcIT
 LKIOp5g/8AkVNueuDPnpmlVe5Q/+bqybcNaVdri2cASrdV9KITMdLA6AyjG3HA==
From: Raghav Gururajan <rg@HIDDEN>
To: 48028 <at> debbugs.gnu.org
Subject: [PATCH wip-gnome v5 8/8] gnu: python-pygobject: Update to 3.40.1.
Date: Tue, 27 Apr 2021 05:23:34 -0400
Message-Id: <20210427092334.23537-8-rg@HIDDEN>
In-Reply-To: <20210427092334.23537-1-rg@HIDDEN>
References: <20210427092334.23537-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48028
Cc: Raghav Gururajan <rg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/glib.scm (python-pygobject)[version]: Update to 3.40.1.
[native-inputs]: Add python-wrapper.
---
 gnu/packages/glib.scm | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/glib.scm b/gnu/packages/glib.scm
index fd88d7329f..31cd13e9c7 100644
--- a/gnu/packages/glib.scm
+++ b/gnu/packages/glib.scm
@@ -776,7 +776,7 @@ useful for C++.")
 (define-public python-pygobject
   (package
     (name "python-pygobject")
-    (version "3.34.0")
+    (version "3.40.1")
     (source
      (origin
        (method url-fetch)
@@ -785,7 +785,7 @@ useful for C++.")
                            "/pygobject-" version ".tar.xz"))
        (sha256
         (base32
-         "06i7ynnbvgpz0gw09zsjbvhgcp5qz4yzdifw27qjwdazg2mckql7"))
+         "0d80g5kgf2i9cginyhalvb7ibfk9g30yilqzmcsw6h6byj8xbih0"))
        (modules '((guix build utils)))
        (snippet
         '(begin
@@ -800,7 +800,8 @@ useful for C++.")
     (native-inputs
      `(("glib-bin" ,glib "bin")
        ("pkg-config" ,pkg-config)
-       ("python-pytest" ,python-pytest)))
+       ("python-pytest" ,python-pytest)
+       ("python-wrapper" ,python-wrapper))) ; For patching shebangs
     (inputs
      `(("python" ,python)
        ("python-pycairo" ,python-pycairo)
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48028; Package guix-patches. Full text available.

Message received at 48028 <at> debbugs.gnu.org:


Received: (at 48028) by debbugs.gnu.org; 27 Apr 2021 09:24:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 27 05:24:04 2021
Received: from localhost ([127.0.0.1]:48064 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lbJwp-0003vL-OK
	for submit <at> debbugs.gnu.org; Tue, 27 Apr 2021 05:24:04 -0400
Received: from out2.migadu.com ([188.165.223.204]:56935)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lbJwi-0003tV-1Y
 for 48028 <at> debbugs.gnu.org; Tue, 27 Apr 2021 05:23:57 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1619515435;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=+9dCa15MNku3U7RmK+FM8jl1a/lZhSoU4S2m1jsKlUM=;
 b=lW8qBXIqadhlRiGD+epO3tnXJRmF1pZo4KALRmweH1C7gWbjYmtBv8PWLgMfPeLvL8327f
 +Z4FbnBZxnvQqt7b1q4dXmtWVAk7xEddW3oDExnqWi5E62xFN0hV6y7qc3zaRHJRzKo9YK
 ITnSqB2gwXh7NpJlDdKfdtYshc0AC9KWKJuh4w6hdEUZVOf63Tnj/2epjezrqpG9Dz3RmB
 +TUIT4VZyKFv30xHc1W+loSY7+tMaatKCJGbf7Zg7kNn0nBzGQ7p7Mq8ybOZ6aAa6Tb/pU
 5L9lAT308jy85iGwo2arNj1s95dfw25Te8MRy6XYkyEFL86f3eer92fRLIiEOA==
From: Raghav Gururajan <rg@HIDDEN>
To: 48028 <at> debbugs.gnu.org
Subject: [PATCH wip-gnome v5 7/8] gnu: python-pycairo: Update to 1.20.0.
Date: Tue, 27 Apr 2021 05:23:33 -0400
Message-Id: <20210427092334.23537-7-rg@HIDDEN>
In-Reply-To: <20210427092334.23537-1-rg@HIDDEN>
References: <20210427092334.23537-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48028
Cc: Raghav Gururajan <rg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/gtk.scm (python-pycairo)[version]: Update to 1.20.0.
---
 gnu/packages/gtk.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/gtk.scm b/gnu/packages/gtk.scm
index f310e1c306..8b17d66632 100644
--- a/gnu/packages/gtk.scm
+++ b/gnu/packages/gtk.scm
@@ -1729,7 +1729,7 @@ printing and other features typical of a source code editor.")
 (define-public python-pycairo
   (package
     (name "python-pycairo")
-    (version "1.19.1")
+    (version "1.20.0")
     (source
      (origin
       (method url-fetch)
@@ -1737,7 +1737,7 @@ printing and other features typical of a source code editor.")
                           version "/pycairo-" version ".tar.gz"))
       (sha256
        (base32
-        "111fav9m1iagw3nh2ws2vzkjh34r97yl7rdlpvsngsqg521k251c"))))
+        "1326aa2ybhhhrvz3n4p22z5sic25m016ddb5yq0hvbprnw6a35an"))))
     (build-system python-build-system)
     (native-inputs
      `(("pkg-config" ,pkg-config)
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48028; Package guix-patches. Full text available.

Message received at 48028 <at> debbugs.gnu.org:


Received: (at 48028) by debbugs.gnu.org; 27 Apr 2021 09:24:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 27 05:24:03 2021
Received: from localhost ([127.0.0.1]:48062 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lbJwp-0003vB-BY
	for submit <at> debbugs.gnu.org; Tue, 27 Apr 2021 05:24:03 -0400
Received: from out2.migadu.com ([188.165.223.204]:56909)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lbJwe-0003t7-QZ
 for 48028 <at> debbugs.gnu.org; Tue, 27 Apr 2021 05:23:56 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1619515430;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding;
 bh=sgHOdJSlFjYOkim1Vg/V0dpp4cpd7MXyFazxoosTfhA=;
 b=lXfWQ1TueQ+NwwbWR56qJm/1bzgYs3XFUbR7Bqhlf7HaQdgvudodF/Y1HT0c//PkBr6dkw
 BYke1zX7pZn0jO9HqMAj5HTaQyBsrWwwK12SIYlRK9oclPBQ7MaBz+fWqckcmUnTrM1vIG
 5NEOidYyyw2XV9VZctPfrhlFMv00S/FxnAJJpYzYkziyGbEk0Aan4+/apCla/aCXQv4znk
 BG8Lx2BBoCC84n28ToWK6hz8areOIrx+VcMpNwAugmDmqTm8EPEzMrpA4a6ckugBEXVdk1
 Q7pn7KdLGH+VbLJLkTM7EvwboEAW++Zb5PUHs/gbveyPHSnl07uWGRCRd4kjQA==
From: Raghav Gururajan <rg@HIDDEN>
To: 48028 <at> debbugs.gnu.org
Subject: [PATCH wip-gnome v5 1/8] gnu: gtkmm: Change build-system and adjust
 arguments accordingly.
Date: Tue, 27 Apr 2021 05:23:27 -0400
Message-Id: <20210427092334.23537-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48028
Cc: Raghav Gururajan <rg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Switch to meson-build-system, as its preferred by the project.
Preserve building of documentation.

* gnu/packages/gtk.scm (gtkmm)[build-system]: Change from glib-or-gtk
to meson.
[configure-flags](build-documentation): New flag.
---
 gnu/packages/gtk.scm | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/gtk.scm b/gnu/packages/gtk.scm
index 04a0db1161..3aa8967ca5 100644
--- a/gnu/packages/gtk.scm
+++ b/gnu/packages/gtk.scm
@@ -1606,10 +1606,11 @@ library.")
                        name "-" version ".tar.xz"))
        (sha256
         (base32 "0hv7pviln4cpjvpz7m7ga5krcsbibqzixdcn0dwzpz0cx71p3swv"))))
-    (build-system glib-or-gtk-build-system)
+    (build-system meson-build-system)
     (outputs '("out" "doc"))
     (arguments
-     `(#:phases
+     `(#:configure-flags '("-Dbuild-documentation=true")
+       #:phases
        (modify-phases %standard-phases
          (add-before 'check 'pre-check
            (lambda _
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48028; Package guix-patches. Full text available.

Message received at 48028 <at> debbugs.gnu.org:


Received: (at 48028) by debbugs.gnu.org; 27 Apr 2021 09:24:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 27 05:24:03 2021
Received: from localhost ([127.0.0.1]:48060 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lbJwo-0003uw-Ul
	for submit <at> debbugs.gnu.org; Tue, 27 Apr 2021 05:24:03 -0400
Received: from out2.migadu.com ([188.165.223.204]:56940)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lbJwh-0003ta-LU
 for 48028 <at> debbugs.gnu.org; Tue, 27 Apr 2021 05:23:56 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1619515435;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=+RT8618JI9n5oToQj+0nhnhEufmkonuUdRYz8sjqWk4=;
 b=XcUkmisvg64KOEgjuHBjEBCGiWCd5mcg3tLl/pUOGvUmlpgHuKTBsWk7ofbDdUyqQK5HDG
 9FbAixvl0EK8+a3mjmeZ3F5lqWtJMEfwp2TkfiYe9w1JyPwBXXWE5dIDJwcx2ZOJE8FZ+u
 QZRLTmLPpeC7ewDTEG9j7DetxQH29fmWyt8cPnm2iMNU5frd1pmSvCc7FxK4hAdE1uVLLQ
 ZJWqbzDZKP6wj9mo+r7J7km1pnOvg+fmWUs0F5PjBh+tMkprs2CClUqxCaDGpymg+Pnbx9
 +1/kEHu4NpOb/6ABdrXN3GxrMAZYy/gNxsetwz0iedlgTktSWInjTmWJkmg8Tw==
From: Raghav Gururajan <rg@HIDDEN>
To: 48028 <at> debbugs.gnu.org
Subject: [PATCH wip-gnome v5 6/8] gnu: libsoup: Update home-page.
Date: Tue, 27 Apr 2021 05:23:32 -0400
Message-Id: <20210427092334.23537-6-rg@HIDDEN>
In-Reply-To: <20210427092334.23537-1-rg@HIDDEN>
References: <20210427092334.23537-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48028
Cc: Raghav Gururajan <rg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/gnome.scm (libsoup)[home-page]: Modify.
---
 gnu/packages/gnome.scm | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/gnu/packages/gnome.scm b/gnu/packages/gnome.scm
index e9924b67a0..3e6eb9ee00 100644
--- a/gnu/packages/gnome.scm
+++ b/gnu/packages/gnome.scm
@@ -4980,7 +4980,7 @@ libxml to ease remote use of the RESTful API.")
     (inputs
      `(("mit-krb5" ,mit-krb5)
        ("ntlm_auth" ,samba))) ; For ntlm_auth support
-    (home-page "https://live.gnome.org/LibSoup/")
+    (home-page "https://wiki.gnome.org/Projects/libsoup")
     (synopsis "GLib-based HTTP Library")
     (description
      "LibSoup is an HTTP client/server library for GNOME.  It uses GObjects
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48028; Package guix-patches. Full text available.

Message received at 48028 <at> debbugs.gnu.org:


Received: (at 48028) by debbugs.gnu.org; 27 Apr 2021 09:24:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 27 05:24:03 2021
Received: from localhost ([127.0.0.1]:48057 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lbJwo-0003uh-Bo
	for submit <at> debbugs.gnu.org; Tue, 27 Apr 2021 05:24:02 -0400
Received: from out2.migadu.com ([188.165.223.204]:56927)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lbJwg-0003tI-7M
 for 48028 <at> debbugs.gnu.org; Tue, 27 Apr 2021 05:23:55 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1619515433;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=b92a0quVgfSgByogdH3ObkDj2g0UizU9JO2yMwfMd6s=;
 b=ZTkP25pvbUaZ6uxxgbBKWHs38a6aA2LAu6wb+HOkZcpZDYhmy334qb3z6HcnmvNlOrSPDY
 258qY5RnwZCg3Bwdbsc4PmGg2LO5XalsFb6LuQlsFE0m+pQIiC3/UXagr30F7J1QZpXQvZ
 nS6pW1otEdZ4E4CFopdt9Ry9Mc+GxoIIuvVxTe2Xv1NUYXbSZU3/ND9roejmM68ncq42zL
 YTNTw520SwgJGGwMekShvN72B3kUztQgYaIzmVrmqtlrSuA4FyNLedXja72b+6eSVAQ8Vt
 X40aQMGodM2d72tw50gMllQ5g8wFrErchKgdx1A4U0rSxQOja37PNpbeTxrTLg==
From: Raghav Gururajan <rg@HIDDEN>
To: 48028 <at> debbugs.gnu.org
Subject: [PATCH wip-gnome v5 4/8] gnu: libsoup: Disable ssl-test.
Date: Tue, 27 Apr 2021 05:23:30 -0400
Message-Id: <20210427092334.23537-4-rg@HIDDEN>
In-Reply-To: <20210427092334.23537-1-rg@HIDDEN>
References: <20210427092334.23537-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48028
Cc: Raghav Gururajan <rg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/gnome.scm (libsoup)[phases](adjust-tests): Modify.
[native-inputs]: Remove gnutls.
---
 gnu/packages/gnome.scm | 48 ++++--------------------------------------
 1 file changed, 4 insertions(+), 44 deletions(-)

diff --git a/gnu/packages/gnome.scm b/gnu/packages/gnome.scm
index 97cf80c586..51a72c4e58 100644
--- a/gnu/packages/gnome.scm
+++ b/gnu/packages/gnome.scm
@@ -4942,49 +4942,10 @@ libxml to ease remote use of the RESTful API.")
              (substitute* "tests/hsts-db-test.c"
                ((".*/hsts-db/subdomains.*") ""))
 
-             ;; Generate a self-signed certificate that has "localhost" as its
-             ;; 'dnsName'.  Failing to do that, and starting with GnuTLS
-             ;; 3.5.12, tests such as "ssl-tests" fail:
-             ;;
-             ;; ERROR:ssl-test.c:406:do_tls_interaction_test: Unexpected status 6 Unacceptable TLS certificate (expected 200 OK)
-             ;;
-             ;; 'certtool' is interactive so we have to pipe it the answers.
-             ;; Reported at <https://bugzilla.gnome.org/show_bug.cgi?id=784696>.
-             (let ((pipe (open-output-pipe "certtool --generate-self-signed \
- --load-privkey tests/test-key.pem --outfile tests/test-cert.pem")))
-               (for-each (lambda (line)
-                           (display line pipe)
-                           (newline pipe))
-                         '(""               ;Common name
-                           ""               ;UID
-                           "Guix"           ;Organizational unit name
-                           "GNU"            ;Organization name
-                           ""               ;Locality name
-                           ""               ;State or province
-                           ""               ;Country
-                           ""               ;subject's domain component (DC)
-                           ""               ;E-mail
-                           ""               ;serial number
-                           "-1"             ;expiration time
-                           "N"              ;belong to authority?
-                           "N"              ;web client certificate?
-                           "N"              ;IPsec IKE?
-                           "Y"              ;web server certificate?
-                           "localhost"      ;dnsName of subject
-                           ""               ;dnsName of subject (end)
-                           ""               ;URI of subject
-                           "127.0.0.1"      ;IP address of subject
-                           ""               ;signing?
-                           ""               ;encryption (RSA)?
-                           ""               ;data encryption?
-                           ""               ;sign OCSP requests?
-                           ""               ;sign code?
-                           ""               ;time stamping?
-                           ""               ;email protection?
-                           ""               ;URI of the CRL distribution point
-                           "y"              ;above info OK?
-                           ))
-               (close-pipe pipe))
+             ;; FIXME: ssl-test fails, starting with
+             ;; glib-networking 2.68.x.
+             (substitute* "tests/meson.build"
+               (("[ \t]*\\['ssl', true, \\[\\]\\],") ""))
              #t))
          (add-after 'install 'move-doc
            (lambda* (#:key outputs #:allow-other-keys)
@@ -5006,7 +4967,6 @@ libxml to ease remote use of the RESTful API.")
        ("vala" ,vala)
        ("php" ,php)
        ("curl" ,curl)
-       ("gnutls" ,gnutls)                         ;for 'certtool'
        ("httpd" ,httpd)))
     (propagated-inputs
      ;; libsoup-2.4.pc refers to all these.
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48028; Package guix-patches. Full text available.

Message received at 48028 <at> debbugs.gnu.org:


Received: (at 48028) by debbugs.gnu.org; 27 Apr 2021 09:24:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 27 05:24:02 2021
Received: from localhost ([127.0.0.1]:48054 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lbJwn-0003uY-Sb
	for submit <at> debbugs.gnu.org; Tue, 27 Apr 2021 05:24:02 -0400
Received: from out2.migadu.com ([188.165.223.204]:56935)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lbJwg-0003tV-TP
 for 48028 <at> debbugs.gnu.org; Tue, 27 Apr 2021 05:23:55 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1619515434;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=Thpyv+/eQYdLHaAGu9Y5kQHeEXBO+STtY0XAx0li1CQ=;
 b=EZx4H5EXYCNU7SrxyZfKKaYlNQ0RIUUpAXgJyFVsjGQDwf//FAwJlxvr7OSLp6vGzDhYJJ
 uwnHR1cVjSSDS6MOf8T6WA9NOWgTcA04A9P9Q2uOOjLlLhZi+1MN0YVJNEkSW1vuuBqlAi
 nyk9zDEr7uyaa/EGk8UorePEve4cSKhFF3NmhmemUsz/voXYp79+H2AtHprR+agB1bnNj2
 Opf2iaEpmnWqyoPXUsPo2KRSMBgXhUEN0nbd4HMZNai3hd/ariwG1GpZar5mbt978x7f6I
 qiPaOHVrD8tCBxzSulQjtYkCHZLZvKMihEhWzScOYcnxHApBQEkXgElFcitTzw==
From: Raghav Gururajan <rg@HIDDEN>
To: 48028 <at> debbugs.gnu.org
Subject: [PATCH wip-gnome v5 5/8] gnu: libsoup: Adjust inputs.
Date: Tue, 27 Apr 2021 05:23:31 -0400
Message-Id: <20210427092334.23537-5-rg@HIDDEN>
In-Reply-To: <20210427092334.23537-1-rg@HIDDEN>
References: <20210427092334.23537-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48028
Cc: Raghav Gururajan <rg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/gnome.scm (libsoup)[inputs]: Add samba and
move glib-networking to ...
[propagated-inputs]: ... here.
---
 gnu/packages/gnome.scm | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/gnome.scm b/gnu/packages/gnome.scm
index 51a72c4e58..e9924b67a0 100644
--- a/gnu/packages/gnome.scm
+++ b/gnu/packages/gnome.scm
@@ -4972,13 +4972,14 @@ libxml to ease remote use of the RESTful API.")
      ;; libsoup-2.4.pc refers to all these.
      `(("brotli" ,google-brotli)
        ("glib" ,glib)
+       ("glib-networking" ,glib-networking)
        ("libpsl" ,libpsl)
        ("libxml2" ,libxml2)
        ("sqlite" ,sqlite)
        ("zlib" ,zlib)))
     (inputs
-     `(("glib-networking" ,glib-networking)
-       ("mit-krb5" ,mit-krb5)))
+     `(("mit-krb5" ,mit-krb5)
+       ("ntlm_auth" ,samba))) ; For ntlm_auth support
     (home-page "https://live.gnome.org/LibSoup/")
     (synopsis "GLib-based HTTP Library")
     (description
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48028; Package guix-patches. Full text available.

Message received at 48028 <at> debbugs.gnu.org:


Received: (at 48028) by debbugs.gnu.org; 27 Apr 2021 09:23:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 27 05:23:55 2021
Received: from localhost ([127.0.0.1]:48046 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lbJwh-0003tb-Ds
	for submit <at> debbugs.gnu.org; Tue, 27 Apr 2021 05:23:55 -0400
Received: from out2.migadu.com ([188.165.223.204]:56916)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lbJwe-0003t9-Qm
 for 48028 <at> debbugs.gnu.org; Tue, 27 Apr 2021 05:23:54 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1619515431;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=yqeLty1VamgWHot2WDYUEgYGQgngj2+gQsHc8d0MfxI=;
 b=l/Tv418NYaOZTVWw3O8iGQ9zlihUcIvPuTXXSMqi6eqlvifNDtj+khECB+XAIWfSwdojM4
 2O1IR4b6koOYdarZ1eC0KZNJHkGgcVlen6ASbEX+bBmC+7KsZEAvHqEsemEHnjsrGUn1lq
 csfPJc8HbuerqgH7xrU+5/9fWAopp/TmwoyxdoFx4hRAeEGahplkBdU0gYwR2JwHIOP4Dm
 Y7xM+o3VZBx5C12DOXaXPZvEhWiD2L1bGmveES9T0T4ROys4rjFYr2x7neYC4rVaryvkZN
 pg1JrhZikcE7ne5YC5d25E4P1cgFrqSwE/ymaSFdbMuunOiD+fr63q9I9ebJ4g==
From: Raghav Gururajan <rg@HIDDEN>
To: 48028 <at> debbugs.gnu.org
Subject: [PATCH wip-gnome v5 2/8] gnu: gtkmm@2: Override inheritance of
 certain changes from gtkmm.
Date: Tue, 27 Apr 2021 05:23:28 -0400
Message-Id: <20210427092334.23537-2-rg@HIDDEN>
In-Reply-To: <20210427092334.23537-1-rg@HIDDEN>
References: <20210427092334.23537-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48028
Cc: Raghav Gururajan <rg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Recent changes made to gtkmm (d7974adbed019160c10036b040e8d9ff789cbc26),
are not applicable to gtkmm@2, as the latter does not use meson.

* gnu/packages/gtk.scm (gtkmm-2)[build-system]: New field.
[arguments]: New field.
---
 gnu/packages/gtk.scm | 10 ++++++++++
 1 file changed, 10 insertions(+)

diff --git a/gnu/packages/gtk.scm b/gnu/packages/gtk.scm
index 3aa8967ca5..91bdfde092 100644
--- a/gnu/packages/gtk.scm
+++ b/gnu/packages/gtk.scm
@@ -1673,6 +1673,16 @@ tutorial.")
                        name "-" version ".tar.xz"))
        (sha256
         (base32 "0wkbzvsx4kgw16f6xjdc1dz7f77ldngdila4yi5lw2zrgcxsb006"))))
+    (build-system gnu-build-system)
+    (arguments
+     (substitute-keyword-arguments (package-arguments gtkmm)
+       ((#:modules modules %gnu-build-system-modules)
+        `((srfi srfi-1)
+          ,@modules))
+       ((#:configure-flags flags)
+        `(fold delete
+               ,flags
+               '("-Dbuild-documentation=true")))))
     (propagated-inputs
      `(("atkmm" ,atkmm-2.28)
        ("cairomm" ,cairomm-1.13)
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48028; Package guix-patches. Full text available.

Message received at 48028 <at> debbugs.gnu.org:


Received: (at 48028) by debbugs.gnu.org; 27 Apr 2021 09:23:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 27 05:23:55 2021
Received: from localhost ([127.0.0.1]:48044 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lbJwh-0003tX-3W
	for submit <at> debbugs.gnu.org; Tue, 27 Apr 2021 05:23:55 -0400
Received: from out2.migadu.com ([188.165.223.204]:56920)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lbJwf-0003tC-85
 for 48028 <at> debbugs.gnu.org; Tue, 27 Apr 2021 05:23:54 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1619515432;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=MUcAbFQaHYHzhrpJO21LaXf6/DWLVUW/e2skZ3RlKjw=;
 b=WEHR2UkPwXww8pnsN7cpmDlfTeAimZotvIH/Kf/771PSLs8RdEHy5U+9sLKgdmW/dAHxP3
 +fAcyydnYwl/7HnDyzijrz341u+7JsLBglztOz/OprgBcHHmc8HvWU7UmkXtB2qg0uhqdn
 jIoY8dCwT8otWjLQ5/BfRFxOB7GqELctF25vjSt72IU3B3C0dBN8+vSeXAy6A0E01mxUI/
 rWSkg7BMlbhmcfuooFES1FM12LXlA0rOWfNxUSQZRD3UhNYpGdtshaHN269DtnOOQxyX4E
 /1EMLWTeQBjjY2iD52qCYHTvVSOVD4GzirrpKv4exDMKqQZsZGcFwkrcGcyOvg==
From: Raghav Gururajan <rg@HIDDEN>
To: 48028 <at> debbugs.gnu.org
Subject: [PATCH wip-gnome v5 3/8] gnu: gtkmm: Add missing native-input and
 correct propagated-inputs.
Date: Tue, 27 Apr 2021 05:23:29 -0400
Message-Id: <20210427092334.23537-3-rg@HIDDEN>
In-Reply-To: <20210427092334.23537-1-rg@HIDDEN>
References: <20210427092334.23537-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48028
Cc: Raghav Gururajan <rg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/gtk.scm (gtkmm)[native-inputs]: Add glib:bin.
[propagated-inputs]: Change; atkmm to atkmm-2.28, pangomm to pangomm-2.42,
and cairomm to cairomm-1.13.
---
 gnu/packages/gtk.scm | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/gtk.scm b/gnu/packages/gtk.scm
index 91bdfde092..f310e1c306 100644
--- a/gnu/packages/gtk.scm
+++ b/gnu/packages/gtk.scm
@@ -1632,6 +1632,7 @@ library.")
     (native-inputs
      `(("dot" ,graphviz)
        ("doxygen" ,doxygen)
+       ("glib:bin" ,glib "bin") ; For glib-compile-resources
        ("m4" ,m4)
        ("mm-common" ,mm-common)
        ("perl" ,perl)
@@ -1639,11 +1640,14 @@ library.")
        ("xsltproc" ,libxslt)
        ("xorg-server" ,xorg-server-for-tests)))
     (propagated-inputs
-     `(("atkmm" ,atkmm)
-       ("cairomm" ,cairomm)
+     ;; Latest versions of atkmm, cairomm and pangomm,
+     ;; are ABI incompatible with gtkmm.
+     ;; Pkg-config checks for these ABI versions.
+     `(("atkmm" ,atkmm-2.28)
+       ("cairomm" ,cairomm-1.13)
        ("glibmm" ,glibmm)
        ("gtk+" ,gtk+)
-       ("pangomm" ,pangomm)))
+       ("pangomm" ,pangomm-2.42)))
     (synopsis "C++ Interfaces for GTK+ and GNOME")
     (description "GTKmm is the official C++ interface for the popular GUI
 library GTK+.  Highlights include typesafe callbacks, and a comprehensive set of
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48028; Package guix-patches. Full text available.

Message received at 48028 <at> debbugs.gnu.org:


Received: (at 48028) by debbugs.gnu.org; 26 Apr 2021 21:08:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 26 17:08:51 2021
Received: from localhost ([127.0.0.1]:47381 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lb8TG-0006S0-GO
	for submit <at> debbugs.gnu.org; Mon, 26 Apr 2021 17:08:51 -0400
Received: from andre.telenet-ops.be ([195.130.132.53]:39650)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1lb8TA-0006Ro-1O
 for 48028 <at> debbugs.gnu.org; Mon, 26 Apr 2021 17:08:44 -0400
Received: from ptr-bvsjgyjmffd7q9timvx.18120a2.ip6.access.telenet.be
 ([IPv6:2a02:1811:8c09:9d00:aaf1:9810:a0b8:a55d])
 by andre.telenet-ops.be with bizsmtp
 id xZ8f240010mfAB401Z8fPN; Mon, 26 Apr 2021 23:08:39 +0200
Message-ID: <4f4ded25659eafae9a8a8101bde38e8c25f9b67f.camel@HIDDEN>
Subject: Re: [bug#48028] [PATCH wip-gnome v4 1/8] gnu: gtkmm@2: Remove
 inheritance from gtkmm@3.
From: Maxime Devos <maximedevos@HIDDEN>
To: Raghav Gururajan <rg@HIDDEN>, 48028 <at> debbugs.gnu.org
Date: Mon, 26 Apr 2021 23:08:38 +0200
In-Reply-To: <20210426102834.636-1-rg@HIDDEN>
References: <7c08ca5b-a7cb-cdf3-c8bb-673cec8876a8@HIDDEN>
 <20210426102834.636-1-rg@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-hrw3d7dcVh60Ze9f5cGO"
User-Agent: Evolution 3.34.2 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r21;
 t=1619471319; bh=fIsWWhChZXtuuQtCWbmFo4d/zsNBoNoxneeppuatwRY=;
 h=Subject:From:To:Date:In-Reply-To:References;
 b=ncmh8nX+iis6BnkZiP75PihlgBJzSnDMFJn/gA++5pLMPJxmkB9a/MeyxLlbCOm91
 4VBUq7tpcQY/6RBR0RvWasC7BGvC5JJlLkt3o0RHO0r7dJGScg3lEo1xY/Wo9pZzwc
 Apwrs5HpoAw5JvOAem9e+UKexJapPlU5vyvOGsPaRF+eG6NGvAInVUbsJSuqDu3wV8
 LtYlqioUsGimWTXEDIA/yyguk+TFENlNEfGKRYjH2rEcJEph6botEHkC7kh3CYg253
 DuTH3iUVBZl3xCfoiYnKETOdCoZpWLew/9dYX3pfwfjllL6bDPx2neAl3de0fZj+2p
 CQgwl1OpgUG9Q==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48028
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--=-hrw3d7dcVh60Ze9f5cGO
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

That were all my reviews!  Every patch I didn't reply to looked good
to me.  Except the patch with disabling tests, GNUtls and soup, where
I remain neutral.

Thanks for working on this!
Note: I didn't test this.

Greetings,
Maxime.

--=-hrw3d7dcVh60Ze9f5cGO
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYIcr1hccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7uMmAP9s8rgKwuMmR+/s8lwYjI0PyNB4
ebXuJoSgtW1tztCIQAEA/Dv/Ewc+PGxA7MqJMcGfzuYgtNMfY4/CZ15gIsiS3AU=
=0mwJ
-----END PGP SIGNATURE-----

--=-hrw3d7dcVh60Ze9f5cGO--





Information forwarded to guix-patches@HIDDEN:
bug#48028; Package guix-patches. Full text available.

Message received at 48028 <at> debbugs.gnu.org:


Received: (at 48028) by debbugs.gnu.org; 26 Apr 2021 21:02:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 26 17:02:16 2021
Received: from localhost ([127.0.0.1]:47359 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lb8My-0006I9-FM
	for submit <at> debbugs.gnu.org; Mon, 26 Apr 2021 17:02:16 -0400
Received: from andre.telenet-ops.be ([195.130.132.53]:34036)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1lb8Mw-0006Hz-4C
 for 48028 <at> debbugs.gnu.org; Mon, 26 Apr 2021 17:02:15 -0400
Received: from ptr-bvsjgyjmffd7q9timvx.18120a2.ip6.access.telenet.be
 ([IPv6:2a02:1811:8c09:9d00:aaf1:9810:a0b8:a55d])
 by andre.telenet-ops.be with bizsmtp
 id xZ2C2400T0mfAB401Z2CfC; Mon, 26 Apr 2021 23:02:12 +0200
Message-ID: <30969aa291fa7ba84a0d9713a4c26c7c36a9d54f.camel@HIDDEN>
Subject: Re: [bug#48028] [PATCH wip-gnome v2 06/10] gnu: libsoup: Add
 missing argument and input.
From: Maxime Devos <maximedevos@HIDDEN>
To: Raghav Gururajan <rg@HIDDEN>, 48028 <at> debbugs.gnu.org
Date: Mon, 26 Apr 2021 23:02:12 +0200
In-Reply-To: <20210426090823.30672-6-rg@HIDDEN>
References: <20210426090823.30672-1-rg@HIDDEN>
 <20210426090823.30672-6-rg@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-E+OX4If3RcECgBwuaRm8"
User-Agent: Evolution 3.34.2 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r21;
 t=1619470932; bh=YRBkZc7oYCdQ6IGv2YfqgyqkG7mpv8FxXBrRLo3n56g=;
 h=Subject:From:To:Date:In-Reply-To:References;
 b=h8UabL58V5uVSyRmUQonBPANB/pJYOy70bJdNbyOnYykU8pziW/BLbtTsISU8fdpK
 q46v1LEuXOnii+kIPM+SVTXm/IGhcMa+OPp4TwCNFsFFeMkk3cwiFxA2s/ZoznILu6
 Xkra8kxnqeqnkXw9/Tjakli+fZeey1rX/QmGOAMOct/Ox51SSJ47nSABAOQSkM5BEy
 0xzvgeFuzh4W1aLN/yrmOnoSE7qOWDJ2eEmMUPDzwgYHagKFm3Oo/jTWOhY+Uby/z1
 OFEjKFmtqS0v87f+ScFI2op3HgSBvSxqlUnD2dwdIal1hLwcOS9Z24iuD00aVdMfux
 t6Jteo/8W3paQ==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48028
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--=-E+OX4If3RcECgBwuaRm8
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Raghav Gururajan via Guix-patches via schreef op ma 26-04-2021 om 05:08 [-0=
400]:
> * gnu/packages/gnome.scm (libsoup)[arguments](glib-or-gtk): New argument.
> [inputs]: Add samba.
> ---
> [...]
> +       #:glib-or-gtk? #t ; To wrap binaries and/or compile schemas
> [...]
> +       ("ntlm_auth" ,samba))) ; For ntlm_auth support

A clearer commit message would be:
  libsoup: Add input for NTLM-based authentication
and:
  libsoup: Wrap and/or compile schemas.

(+ the usual * gnu/STUFF (package)[arguments].... of course)

Greetings,
Maxime.

--=-E+OX4If3RcECgBwuaRm8
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYIcqVBccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7kFHAQCMKHhKX53FmBWbJaA8nHw45HhZ
MVKbQkldRDf3Bq0HSgEAoERvPaAMdtTy0K02P28PLyZSv8Prw+oJ74JM0TWXoQ8=
=89SF
-----END PGP SIGNATURE-----

--=-E+OX4If3RcECgBwuaRm8--





Information forwarded to guix-patches@HIDDEN:
bug#48028; Package guix-patches. Full text available.

Message received at 48028 <at> debbugs.gnu.org:


Received: (at 48028) by debbugs.gnu.org; 26 Apr 2021 20:59:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 26 16:59:02 2021
Received: from localhost ([127.0.0.1]:47354 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lb8Jp-0006C2-VP
	for submit <at> debbugs.gnu.org; Mon, 26 Apr 2021 16:59:02 -0400
Received: from xavier.telenet-ops.be ([195.130.132.52]:37906)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1lb8Jm-0006Bb-I3
 for 48028 <at> debbugs.gnu.org; Mon, 26 Apr 2021 16:58:59 -0400
Received: from ptr-bvsjgyjmffd7q9timvx.18120a2.ip6.access.telenet.be
 ([IPv6:2a02:1811:8c09:9d00:aaf1:9810:a0b8:a55d])
 by xavier.telenet-ops.be with bizsmtp
 id xYyw240060mfAB401YywfJ; Mon, 26 Apr 2021 22:58:56 +0200
Message-ID: <1cac79bc3175adf6012a36eb1e24befee9dfb550.camel@HIDDEN>
Subject: Re: [bug#48028] [PATCH wip-gnome v2 05/10] gnu: libsoup: Disable
 ssl-test.
From: Maxime Devos <maximedevos@HIDDEN>
To: Raghav Gururajan <rg@HIDDEN>, 48028 <at> debbugs.gnu.org
Date: Mon, 26 Apr 2021 22:58:56 +0200
In-Reply-To: <20210426090823.30672-5-rg@HIDDEN>
References: <20210426090823.30672-1-rg@HIDDEN>
 <20210426090823.30672-5-rg@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-58TnALGJSCC5MrmzF0YP"
User-Agent: Evolution 3.34.2 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r21;
 t=1619470736; bh=0XxcXJ3cXDoLhbsZKa6pvNm0rRuL2iLBDRbh/RAml9o=;
 h=Subject:From:To:Date:In-Reply-To:References;
 b=c67KF0egbIQfW4wVw2W7hRt/8smXEQvLtICSYoqiCjnLdVjjvPNpPhOSsfRUChDb6
 IlIAGYAXmsfNwzgQqd3tMHG0qopHToo2IRI+G1CXFoenQIcCwqghPL5UVwaBZoKZq7
 NvnR+aq87P79P43A5N/1hsyTmWpwMuLPiQ10sxDTmKfG0dNhfr+JJWZwWwDWlApHpt
 8PIOQYiTSsIuSQEibsl6cVxs8E0b7Z0Bd6om9xgRYfaFbUbBYbBmH86gpe9MAt8bzv
 9UIziBV0dECRQfRt8O+IQ4SBtzZw2u+H2nSLXPgGN0/CYDsBUsN00cQYKb+Ot5anA3
 LlphxBY7mDxHA==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48028
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--=-58TnALGJSCC5MrmzF0YP
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Raghav Gururajan via Guix-patches via schreef op ma 26-04-2021 om 05:08 [-0=
400]:
> +               ;; FIX-ME: ssl-test fails, starting with

The convention seems to be FIXME and not FIX-ME.
Only 3 hits for "git grep -F FIX-ME", and 612 hits for
"git grep -F FIXME" in some random branch.

Greetings,
Maxime.

--=-58TnALGJSCC5MrmzF0YP
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYIcpkBccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7hHyAP9gCnK5SCKg8Nmq920hH+mS9+qB
mcgH7jKCK4YsqR4rcwD+JLygzbJU7kjoEgtHBQS1Kko16lvcy1blFZQQgJolMA0=
=v3vS
-----END PGP SIGNATURE-----

--=-58TnALGJSCC5MrmzF0YP--





Information forwarded to guix-patches@HIDDEN:
bug#48028; Package guix-patches. Full text available.

Message received at 48028 <at> debbugs.gnu.org:


Received: (at 48028) by debbugs.gnu.org; 26 Apr 2021 20:52:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 26 16:52:08 2021
Received: from localhost ([127.0.0.1]:47349 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lb8DA-00062n-5g
	for submit <at> debbugs.gnu.org; Mon, 26 Apr 2021 16:52:08 -0400
Received: from michel.telenet-ops.be ([195.130.137.88]:57448)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1lb8D7-00062c-JE
 for 48028 <at> debbugs.gnu.org; Mon, 26 Apr 2021 16:52:06 -0400
Received: from ptr-bvsjgyjmffd7q9timvx.18120a2.ip6.access.telenet.be
 ([IPv6:2a02:1811:8c09:9d00:aaf1:9810:a0b8:a55d])
 by michel.telenet-ops.be with bizsmtp
 id xYs32400X0mfAB406Ys4gR; Mon, 26 Apr 2021 22:52:04 +0200
Message-ID: <4fe792b27d14d83ee72a84ae5715140921c219ca.camel@HIDDEN>
Subject: Re: [bug#48028] [PATCH wip-gnome 3/8] gnu: gtkmm: Add missing
 native-input and correct propagated-inputs.
From: Maxime Devos <maximedevos@HIDDEN>
To: Raghav Gururajan <rg@HIDDEN>, 48028 <at> debbugs.gnu.org
Date: Mon, 26 Apr 2021 22:52:03 +0200
In-Reply-To: <20210426081145.28926-3-rg@HIDDEN>
References: <20210426081145.28926-1-rg@HIDDEN>
 <20210426081145.28926-3-rg@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-MQTYnAFENpapK41YxXjI"
User-Agent: Evolution 3.34.2 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r21;
 t=1619470324; bh=moiI4Qbp2fL5k3iI6KHD1sEGCec+vCwipFHJcsdoSlE=;
 h=Subject:From:To:Date:In-Reply-To:References;
 b=jYOx43HgtvfgKlrc7v6t3EfuXt4GMF/d+kQJpq3M7FnP6RCswI8pqKbd73G5nJsbe
 Bal6Kg1UnBZgbgzSXARb8QdBHrQOLeMrgZoOtJVtj+T4dgpJtA+VwKOJt0/knqbKHD
 BYRgdBvSWFptYoIJcCNjvUDyZRQuAa6C2uMU/gHts1yI5pnrXqBVcSQEQg+oeikrHu
 OPXXX3gQzQyUT996Ze0WNhDOYre5CEfj1hXk66FMZO6pag3Mwyo61g+WC/b9zn1x1l
 MUB3wJQBiSdQA9iQx68MGVtlaHwEFmA6q96ZNrbm5dEk1utlS6Nvu3kw/3+Igep3BJ
 x4o7FL7SxRJcA==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48028
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--=-MQTYnAFENpapK41YxXjI
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Raghav Gururajan via Guix-patches via schreef op ma 26-04-2021 om 04:11 [-0=
400]:
> * gnu/packages/gtk.scm (gtkmm)[native-inputs]: Add glib:bin.

Maybe make this "Add glib:lib for glib-compile-resources" for clarity.
> [propagated-inputs]: Change; atkmm to atkmm-2.28, pangomm to pangomm-2.42=
,
> and cairomm to cairomm-1.13.
See comment below.

> ---
>  gnu/packages/gtk.scm | 7 ++++---
>  1 file changed, 4 insertions(+), 3 deletions(-)
>=20
> diff --git a/gnu/packages/gtk.scm b/gnu/packages/gtk.scm
> index a7e387a47d..86490115d6 100644
> --- a/gnu/packages/gtk.scm
> +++ b/gnu/packages/gtk.scm
> @@ -1633,6 +1633,7 @@ library.")
>      (native-inputs
>       `(("dot" ,graphviz)
>         ("doxygen" ,doxygen)
> +       ("glib:bin" ,glib "bin") ; For glib-compile-resources
LGTM

>         ("m4" ,m4)
>         ("mm-common" ,mm-common)
>         ("perl" ,perl)
> @@ -1640,11 +1641,11 @@ library.")
>         ("xsltproc" ,libxslt)
>         ("xorg-server" ,xorg-server-for-tests)))
>      (propagated-inputs
> -     `(("atkmm" ,atkmm)
> -       ("cairomm" ,cairomm)
> +     `(("atkmm" ,atkmm-2.28)
> +       ("cairomm" ,cairomm-1.13)
>         ("glibmm" ,glibmm)
>         ("gtk+" ,gtk+)
> -       ("pangomm" ,pangomm)))
> +       ("pangomm" ,pangomm-2.42)))

What makes the old propageted-inputs incorrect, and the new ones correct?
Has there been an ABI change or something, or does GTKmm now require new
APIs?  Could you add a little comment why the old inputs were incorrect
in the commit message?

Greetings,
Maxime.

--=-MQTYnAFENpapK41YxXjI
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYIcn8xccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7rtfAP0aJnPjfJGlrXAmklNbaNWPqkOm
YUnmCIsHn5mtJOqy2wD+NxoF8tor6bFOIdkLiWiqgunJn3nLEPo4g8RFBlivKwY=
=WYFV
-----END PGP SIGNATURE-----

--=-MQTYnAFENpapK41YxXjI--





Information forwarded to guix-patches@HIDDEN:
bug#48028; Package guix-patches. Full text available.

Message received at 48028 <at> debbugs.gnu.org:


Received: (at 48028) by debbugs.gnu.org; 26 Apr 2021 20:47:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 26 16:47:45 2021
Received: from localhost ([127.0.0.1]:47344 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lb88v-0005wY-EC
	for submit <at> debbugs.gnu.org; Mon, 26 Apr 2021 16:47:45 -0400
Received: from albert.telenet-ops.be ([195.130.137.90]:58264)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1lb88t-0005wQ-W0
 for 48028 <at> debbugs.gnu.org; Mon, 26 Apr 2021 16:47:44 -0400
Received: from ptr-bvsjgyjmffd7q9timvx.18120a2.ip6.access.telenet.be
 ([IPv6:2a02:1811:8c09:9d00:aaf1:9810:a0b8:a55d])
 by albert.telenet-ops.be with bizsmtp
 id xYnh2400Z0mfAB406Yniby; Mon, 26 Apr 2021 22:47:42 +0200
Message-ID: <cd3d32e9a291aecad98e93537725901bb82478a7.camel@HIDDEN>
Subject: Re: [bug#48028] [PATCH wip-gnome 1/8] gnu: gtkmm@2: Remove
 inheritance from gtkmm@3.
From: Maxime Devos <maximedevos@HIDDEN>
To: Raghav Gururajan <rg@HIDDEN>, 48028 <at> debbugs.gnu.org
Date: Mon, 26 Apr 2021 22:47:37 +0200
In-Reply-To: <20210426081145.28926-1-rg@HIDDEN>
References: <7c08ca5b-a7cb-cdf3-c8bb-673cec8876a8@HIDDEN>
 <20210426081145.28926-1-rg@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-wnsoLvViBqbOiekQIgvL"
User-Agent: Evolution 3.34.2 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r21;
 t=1619470062; bh=D8OEWsq3cIu752S7oji/9h5IEiPcYwELyYpvZO3N1Ds=;
 h=Subject:From:To:Date:In-Reply-To:References;
 b=IfmPZkxN3ITjNWh1F2y15leT91wfRS9rFIBxWMTu8CQyGtDBFmIt74DOcotMhTEen
 w9Pjhe4ZAeYtrbYdgZ3hfYs6GCbxa8OjUDWl3tQcY+b3IIaJfXGx0Jw979F4ETSNed
 ucS39n418fBYkM/ZZrllp+DeRsO7o8QK84fxT3U+aYmX8BnMDtwXVavAhMUk99bfXG
 iMI7kNORWHNr+6yxIKcbBguW/y02LAZ36EeffBDpbfUV2PtL6/Sv1MpfIvUE1WUEGW
 5LnWOx91DlRaCPTwRPYORF4RudkqitIKO5JzEF/uaGAOYyuylDyQvWgNogQS8qj4yE
 xUiqXW+mLzO8g==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48028
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--=-wnsoLvViBqbOiekQIgvL
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

IIUC, the commit message is =E2=80=98gnu: gtkmm@2: Remove inheritance from =
gtkmm@3=E2=80=99.
But this patch also adds some inputs, a description, starts an X server
for tests, places documentation in the correct place ... Could you split
up this patch?

Raghav Gururajan via Guix-patches via schreef op ma 26-04-2021 om 04:11 [-0=
400]:
> Remove inheritance to prevent rebuilds of packages like inkscape
> and gtk+, whenever changes are made gtkmm@3.

If changes are made to gtkmm@3, wouldn't gtkmm@2 require similar changes
anyway?
For example ...

> * gnu/packages/gtk.scm (gtkmm-2)[build-system,outputs,arguments,
> native-inputs,synopsis,description,home-page,license]: New fields.
> ---
>  gnu/packages/gtk.scm | 48 ++++++++++++++++++++++++++++++++++++++++++--
>  1 file changed, 46 insertions(+), 2 deletions(-)
>=20
> diff --git a/gnu/packages/gtk.scm b/gnu/packages/gtk.scm
> index 04a0db1161..81ac4a7197 100644
> --- a/gnu/packages/gtk.scm
> +++ b/gnu/packages/gtk.scm
> @@ -1660,7 +1660,6 @@ tutorial.")
> =20
>  (define-public gtkmm-2
>    (package
> -    (inherit gtkmm)
>      (name "gtkmm")
>      (version "2.24.5")
>      (source
> @@ -1672,12 +1671,57 @@ tutorial.")
>                         name "-" version ".tar.xz"))
>         (sha256
>          (base32 "0wkbzvsx4kgw16f6xjdc1dz7f77ldngdila4yi5lw2zrgcxsb006"))=
))
> +    (build-system glib-or-gtk-build-system)
> +    (outputs '("out" "doc"))
> +    (arguments

btw, the following has been dropped in
<https://git.savannah.gnu.org/cgit/guix.git/commit/?h=3Dwip-gnome&id=3D2651=
1b7aed03fcf5175fe29ba9a51de4fe4ee3c9>,
I wonder why?

My guess: disallowed-references refers to the wrong version when cross-comp=
iling.
But that seems rather harmless to me?  (Though ideally there would be exist=
 a
disallowed-references/native or something ...)

> +     `(#:phases
> +       (modify-phases %standard-phases
> +         (add-before 'check 'pre-check
> +           (lambda _
> +             ;; Tests require a running X server.
> +             (system "Xvfb :1 +extension GLX &")
> +             (setenv "DISPLAY" ":1")
> +             ;; For missing '/etc/machine-id'.
> +             (setenv "DBUS_FATAL_WARNINGS" "0")
> +             #t))
> +         (add-after 'install 'move-doc
> +           (lambda* (#:key outputs #:allow-other-keys)
> +             (let* ((out (assoc-ref outputs "out"))
> +                    (doc (assoc-ref outputs "doc")))
> +               (mkdir-p (string-append doc "/share"))
> +               (rename-file
> +                (string-append out "/share/doc")
> +                (string-append doc "/share/doc"))
> +               #t))))))

These phases were added to gtkmm@3 in
<https://git.savannah.gnu.org/cgit/guix.git/commit/?h=3Dwip-gnome&id=3D2651=
1b7aed03fcf5175fe29ba9a51de4fe4ee3c9>.
It seems they are also required in gtkmm@2.

> +    (native-inputs
> +     `(("dot" ,graphviz)
> +       ("doxygen" ,doxygen)
> +       ("m4" ,m4)
> +       ("mm-common" ,mm-common)
> +       ("perl" ,perl)
> +       ("pkg-config" ,pkg-config)
> +       ("xsltproc" ,libxslt)
> +       ("xorg-server" ,xorg-server-for-tests)))

Likewise.

>      (propagated-inputs
>       `(("atkmm" ,atkmm-2.28)
>         ("cairomm" ,cairomm-1.13)
>         ("glibmm" ,glibmm-2.64)
>         ("gtk+" ,gtk+-2)
> -       ("pangomm" ,pangomm-2.42)))))
> +       ("pangomm" ,pangomm-2.42)))
> +    (synopsis "C++ Interfaces for GTK+ and GNOME")
> +    (description "GTKmm is the official C++ interface for the popular GU=
I
> +library GTK+.  Highlights include typesafe callbacks, and a comprehensiv=
e set of
> +widgets that are easily extensible via inheritance.  You can create user
> +interfaces either in code or with the Glade User Interface designer, usi=
ng
> +libglademm.  There's extensive documentation, including API reference an=
d a
> +tutorial.")

Duplication.

> +    (home-page "https://gtkmm.org/")
> +    (license
> +     (list
> +      ;; Library
> +      license:lgpl2.1+
> +      ;; Tools
> +      license:gpl2+))))

More duplication.

So I don't see the value of removing inheritance from gtkmm@3.

Greetings,
Maxime.

--=-wnsoLvViBqbOiekQIgvL
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYIcm6RccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7sycAP9wJB068NgREL222NQU6ssFc7Nj
DnU3wR9jYoi48WMdlgEA3Z7CYpKSTGQappEp1o0A5BM3XsrhqYYbeIOAbfui9gE=
=0Ig0
-----END PGP SIGNATURE-----

--=-wnsoLvViBqbOiekQIgvL--





Information forwarded to guix-patches@HIDDEN:
bug#48028; Package guix-patches. Full text available.

Message received at 48028 <at> debbugs.gnu.org:


Received: (at 48028) by debbugs.gnu.org; 26 Apr 2021 17:26:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 26 13:26:36 2021
Received: from localhost ([127.0.0.1]:47059 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lb50F-0000eR-WA
	for submit <at> debbugs.gnu.org; Mon, 26 Apr 2021 13:26:36 -0400
Received: from world.peace.net ([64.112.178.59]:35790)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mhw@HIDDEN>) id 1lb50D-0000eD-VI
 for 48028 <at> debbugs.gnu.org; Mon, 26 Apr 2021 13:26:34 -0400
Received: from mhw by world.peace.net with esmtpsa
 (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.92)
 (envelope-from <mhw@HIDDEN>)
 id 1lb506-0002l5-U3; Mon, 26 Apr 2021 13:26:27 -0400
From: Mark H Weaver <mhw@HIDDEN>
To: Raghav Gururajan <rg@HIDDEN>, Leo Prikler
 <leo.prikler@HIDDEN>, 48028 <at> debbugs.gnu.org
Subject: Re: [PATCH wip-gnome v4 3/8] gnu: gtkmm: Add missing native-input
 and correct propagated-inputs
In-Reply-To: <abc1d1e3-84a1-28cc-71ea-81864279570c@HIDDEN>
References: <20210426081145.28926-1-rg@HIDDEN>
 <20210426081145.28926-5-rg@HIDDEN>
 <73660fda850714bb152afc392df78addecd29932.camel@HIDDEN>
 <88a82777-3c12-58d6-912f-196ea150f772@HIDDEN>
 <610e1f33a099e2b8fad8f5df21447f9108082a9c.camel@HIDDEN>
 <abc1d1e3-84a1-28cc-71ea-81864279570c@HIDDEN>
Date: Mon, 26 Apr 2021 13:26:10 -0400
Message-ID: <878s55j6sy.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48028
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Raghav,

Version 4 of your patch set mostly looks good to me, but I have one
concern about patch 3 (gnu: gtkmm: Add missing native-input and correct
propagated-inputs).

That patch modifies the 'propagated-inputs' field of 'gtkmm' to refer to
specific versions of packages: 'atkmm-2.28', 'cairomm-1.13', and
'pangomm-2.42'.  These references to specific versions are not ideal,
because:

(1) They will likely lead to conflicts within profiles.  For example, a
profile that includes both 'gtkmm' and 'cairomm' may fail to build,
because it would require including both 'cairomm' and 'cairomm-1.13',
and

(2) We might forget to update these references in the future.

It would be good to avoid these version-specific references, if
possible.  Can you help me understand the rationale?  Did you find that
there is an incompatibility between the latest stable versions of
'gtkmm', 'atkmm', 'cairomm', and 'pangomm'?  If so, could you help me
understand the nature of that incompatibility?  Perhaps it can be
addressed in another way.

If it turns out that these versioned references are truly unavoidable,
it would be good to add comments next to those references, briefly
explaining the rationale.

Thanks very much for your work on this, Raghav.

     Regards,
       Mark

-- 
Support Richard Stallman against the vicious disinformation campaign
against him and the FSF.  See <https://stallmansupport.org> for more.




Information forwarded to guix-patches@HIDDEN:
bug#48028; Package guix-patches. Full text available.

Message received at 48028 <at> debbugs.gnu.org:


Received: (at 48028) by debbugs.gnu.org; 26 Apr 2021 10:32:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 26 06:32:36 2021
Received: from localhost ([127.0.0.1]:44744 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1layXc-0004XC-6A
	for submit <at> debbugs.gnu.org; Mon, 26 Apr 2021 06:32:36 -0400
Received: from out1.migadu.com ([91.121.223.63]:43497)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1layXa-0004X4-2h
 for 48028 <at> debbugs.gnu.org; Mon, 26 Apr 2021 06:32:34 -0400
To: Leo Prikler <leo.prikler@HIDDEN>, 48028 <at> debbugs.gnu.org
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1619433153;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 in-reply-to:in-reply-to:references:references;
 bh=uZR02errX9DFGeo9586pdoGCjqRyLCGqHmFG2WzWB+0=;
 b=JucmdVP2NyJ2wkJHs2lm/Kb23/dcZBllwm4PhzKmG2WtUJOCO0YIFeydt5ITgDZMUUxB1g
 55lMbQ6slQMpCuGcx7UZj5qe31te0Z/7ONqz5VKqE4laqZ8AN2M9DKhJDRMcRSV0jClD1k
 imE28h2zhjelpr+Prfv29kT2RBamxs1ONMg5uJfSrM3H/8io7j4/lEyHpJBK31OypB3tlq
 JVH9Zqn0SqPilRx/IIqJWt48id1p2nTZvlpO2wFxCVxwVG/z/s3wb4BEV1F4ZUCX9J6bwQ
 gUs5S1HyApT/i6mZHoE5WFey8ZqoE4+dOoUjXS1Yso3lFKd+ZXIudrOnU4ybzQ==
References: <20210426081145.28926-1-rg@HIDDEN>
 <20210426081145.28926-5-rg@HIDDEN>
 <73660fda850714bb152afc392df78addecd29932.camel@HIDDEN>
 <88a82777-3c12-58d6-912f-196ea150f772@HIDDEN>
 <610e1f33a099e2b8fad8f5df21447f9108082a9c.camel@HIDDEN>
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
From: Raghav Gururajan <rg@HIDDEN>
Subject: Re: [PATCH wip-gnome 5/8] gnu: libsoup: Add missing argument and
 input.
Message-ID: <abc1d1e3-84a1-28cc-71ea-81864279570c@HIDDEN>
Date: Mon, 26 Apr 2021 06:32:31 -0400
MIME-Version: 1.0
In-Reply-To: <610e1f33a099e2b8fad8f5df21447f9108082a9c.camel@HIDDEN>
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature";
 boundary="VKCpTdpQIwvNPhiOmtByJ42TTipGddSbf"
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48028
Cc: Mark H Weaver <mhw@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--VKCpTdpQIwvNPhiOmtByJ42TTipGddSbf
Content-Type: multipart/mixed; boundary="TBMcPVOZ3QXm1uj4gEGOciQMLGKvkkZio";
 protected-headers="v1"
From: Raghav Gururajan <rg@HIDDEN>
To: Leo Prikler <leo.prikler@HIDDEN>, 48028 <at> debbugs.gnu.org
Cc: Mark H Weaver <mhw@HIDDEN>
Message-ID: <abc1d1e3-84a1-28cc-71ea-81864279570c@HIDDEN>
Subject: Re: [PATCH wip-gnome 5/8] gnu: libsoup: Add missing argument and
 input.
References: <20210426081145.28926-1-rg@HIDDEN>
 <20210426081145.28926-5-rg@HIDDEN>
 <73660fda850714bb152afc392df78addecd29932.camel@HIDDEN>
 <88a82777-3c12-58d6-912f-196ea150f772@HIDDEN>
 <610e1f33a099e2b8fad8f5df21447f9108082a9c.camel@HIDDEN>
In-Reply-To: <610e1f33a099e2b8fad8f5df21447f9108082a9c.camel@HIDDEN>

--TBMcPVOZ3QXm1uj4gEGOciQMLGKvkkZio
Content-Type: multipart/mixed;
 boundary="------------5E8421C64FD0CE5461F84F7E"
Content-Language: en-US

This is a multi-part message in MIME format.
--------------5E8421C64FD0CE5461F84F7E
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Hi Leo!

> v3 06/07 LGTM, but could in my opinon be merged into a single patch
> with the line: "gnu: libsoup: Add missing inputs." or perhaps "gnu:
> libsoup: Adjust inputs".  I've CC'd Mark Weaver to hear their input.

Makes sense! I have merged the changes into single patch, in v4.

Regards,
RG.

--------------5E8421C64FD0CE5461F84F7E
Content-Type: application/pgp-keys;
 name="OpenPGP_0x5F5816647F8BE551.asc"
Content-Transfer-Encoding: quoted-printable
Content-Description: OpenPGP public key
Content-Disposition: attachment;
 filename="OpenPGP_0x5F5816647F8BE551.asc"

-----BEGIN PGP PUBLIC KEY BLOCK-----

xjMEX2ZCJBYJKwYBBAHaRw8BAQdAdiUK33kml2dYjrWidlr4/v0pmjpUv7hOsBN/oSl5wx7NL=
1Jh
Z2hhdiBHdXJ1cmFqYW4gKFJHKSA8cmdAcmFnaGF2Z3VydXJhamFuLm5hbWU+wpMEExYIADsCG=
wMF
CwkIBwIGFQoJCAsCBBYCAwECHgECF4AWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCX28v0AIZA=
QAK
CRBfWBZkf4vlUQf2AQD63gsdJzk0w6Gy0AzpJtMa63mbVRAh4xfnxsRNu6SbGQD/UDytGjwnQ=
4nK
YsGdoCcA7LM64EkknDvI3ZmlqG7Xuw/NPVJhZ2hhdiBHdXJ1cmFqYW4gKEVkdWNhdGlvbikgP=
GVk
dWNhdGlvbkByYWdoYXZndXJ1cmFqYW4ubmFtZT7CkAQTFggAOBYhBM0tXqqpjMs32pHWsF9YF=
mR/
i+VRBQJgE0xGAhsDBQsJCAcCBhUKCQgLAgQWAgMBAh4BAheAAAoJEF9YFmR/i+VRQcQBALNRe=
1V/
5DKN8ZxyVQlzt4TdGUyNom7xJ6r23ANtcygxAQDBjw6NLXV3aYGDMVVmQPbdAnFiB/x1rpJsA=
wB/
1BSBDc05UmFnaGF2IEd1cnVyYWphbiAoRmluYW5jZSkgPGZpbmFuY2VAcmFnaGF2Z3VydXJha=
mFu
Lm5hbWU+wpAEExYIADgWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCYBNMbwIbAwULCQgHAgYVC=
gkI
CwIEFgIDAQIeAQIXgAAKCRBfWBZkf4vlUWnLAP914hb0IzSCiaj+XrcEBaIt/Q+KjRn2fj5A7=
V6Z
ucJJqwEA64eks7xjLBS3mpTpaGwdDtluJcR7G8XZJJdbdK2YyQ/NN1JhZ2hhdiBHdXJ1cmFqY=
W4g
KEhlYWx0aCkgPGhlYWx0aEByYWdoYXZndXJ1cmFqYW4ubmFtZT7CkAQTFggAOBYhBM0tXqqpj=
Ms3
2pHWsF9YFmR/i+VRBQJgE0yhAhsDBQsJCAcCBhUKCQgLAgQWAgMBAh4BAheAAAoJEF9YFmR/i=
+VR
xdcA/3YxFzlKKHrTguDxE1tBWD31BUYlXWl351j6MB/U+tWdAPwJB8QD8janaddv3U5ZGzswf=
hQv
GGzx6SLcX0E253uNC80/UmFnaGF2IEd1cnVyYWphbiAoT2NjdXBhdGlvbikgPG9jY3VwYXRpb=
25A
cmFnaGF2Z3VydXJhamFuLm5hbWU+wpAEExYIADgWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCY=
BNM
ugIbAwULCQgHAgYVCgkICwIEFgIDAQIeAQIXgAAKCRBfWBZkf4vlUSrlAP0VJw8frvWHAGd6l=
Zdy
x1v+relUGB4DToqDgIMBQyG58gD+NU5t4h0IY6YaiQ+FPyJzdV62k15d9IDvTMYPvcWIpQPNP=
1Jh
Z2hhdiBHdXJ1cmFqYW4gKFJlY3JlYXRpb24pIDxyZWNyZWF0aW9uQHJhZ2hhdmd1cnVyYWphb=
i5u
YW1lPsKQBBMWCAA4FiEEzS1eqqmMyzfakdawX1gWZH+L5VEFAmATTNkCGwMFCwkIBwIGFQoJC=
AsC
BBYCAwECHgECF4AACgkQX1gWZH+L5VHhbQD/b6jXWdQfxi+xzrs1+A0lvnihfUgQ0H/r5U2bO=
w9d
FIkA/0nCh0VJKX+YrySJhWugL7e8ItqwKADh0v05vO6qtlkAzTdSYWdoYXYgR3VydXJhamFuI=
ChT
b2NpYWwpIDxzb2NpYWxAcmFnaGF2Z3VydXJhamFuLm5hbWU+wpAEExYIADgWIQTNLV6qqYzLN=
9qR
1rBfWBZkf4vlUQUCYBNM8AIbAwULCQgHAgYVCgkICwIEFgIDAQIeAQIXgAAKCRBfWBZkf4vlU=
dtv
AQCKMxBdxwMUJdyigGWqrTuJUaLVL2dgvqGa0k39nsQA8gD+PH3LsQAaJ98xREKxYXMAszNnJ=
RJR
xYa9trfixyQbrw7NNVJhZ2hhdiBHdXJ1cmFqYW4gKFRyYWRlKSA8dHJhZGVAcmFnaGF2Z3Vyd=
XJh
amFuLm5hbWU+wpAEExYIADgWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCYBNNHQIbAwULCQgHA=
gYV
CgkICwIEFgIDAQIeAQIXgAAKCRBfWBZkf4vlUQ+9AP0S/6S5PLshS/vz7ezRO2HokruaRiDhg=
w0t
yRM3LAefSQEA7rEBw9sSUsDgRILGKUi1ZzQq5AJ0F77KOXyurVqnywXOOARfZkIkEgorBgEEA=
ZdV
AQUBAQdAZgiqc2NhH/myrCCan9x7gKI6QBPZ/1b+Bz/f3n95ozkDAQgHwngEGBYIACAWIQTNL=
V6q
qYzLN9qR1rBfWBZkf4vlUQUCX2ZCJAIbDAAKCRBfWBZkf4vlUV/OAQD+tMNgmddPSchLpaDPp=
sdD
hpvra2uTonNUmnfbTvPgpQD/dG72NCT8hBUVqtzxwQmBrXY/nPEUxctYuvu3unUmzQU=3D
=3DMROf
-----END PGP PUBLIC KEY BLOCK-----

--------------5E8421C64FD0CE5461F84F7E--

--TBMcPVOZ3QXm1uj4gEGOciQMLGKvkkZio--

--VKCpTdpQIwvNPhiOmtByJ42TTipGddSbf
Content-Type: application/pgp-signature; name="OpenPGP_signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="OpenPGP_signature"

-----BEGIN PGP SIGNATURE-----

wnsEABYIACMWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCYIaWvwUDAAAAAAAKCRBfWBZkf4vlUd0p
AQD6k/1s38l+UIMmW5nJycmIwLB9gvHg2kpj7x0JowPe+QD+ISJSypbepfLO/MnO1/39a3dNgrg+
lJgQ4xmkLJxjlgk=
=uLpc
-----END PGP SIGNATURE-----

--VKCpTdpQIwvNPhiOmtByJ42TTipGddSbf--




Information forwarded to guix-patches@HIDDEN:
bug#48028; Package guix-patches. Full text available.

Message received at 48028 <at> debbugs.gnu.org:


Received: (at 48028) by debbugs.gnu.org; 26 Apr 2021 10:31:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 26 06:31:27 2021
Received: from localhost ([127.0.0.1]:44733 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1layWV-0004V7-61
	for submit <at> debbugs.gnu.org; Mon, 26 Apr 2021 06:31:27 -0400
Received: from out1.migadu.com ([91.121.223.63]:43331)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1layWS-0004Ux-KB
 for 48028 <at> debbugs.gnu.org; Mon, 26 Apr 2021 06:31:25 -0400
To: Leo Prikler <leo.prikler@HIDDEN>, 48028 <at> debbugs.gnu.org
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1619433084;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:mime-version:mime-version:content-type:content-type:
 in-reply-to:in-reply-to:references:references;
 bh=cwvszQEpNnVXGmynhQdUBHi8o1PLHFPnTIBSxNQWBiI=;
 b=OkXW5j9hnojT7BeJ0n21L2lmbyzq/cMjOVH/ZClnLL2R1AES+lsF2Mn/bFLvLj0mFU7yjX
 JvnLd09BtQkpVJDlD3BNM0yEgHU16YsoVAZUjyerkXM0U/5Zf2kFC/6hphGKt8A7Ma4ut/
 eqqK4dyd7NmYmAgA6YdAvGCi85nBw5HroKuoB6vMwP9/GQUGhMTHnilmr/t0PKCC/Vzllr
 dvuRLaQfCKdd7qYlu6qt/gjGlUXaoiThl1Ep1rO55JxHIS3DshvRgF6WV1F23QoFbsNYpW
 K2SQskacuOCquRvMmlRcjniAsgjqmi+OOHhL9/xSbeca1ivvITtl18TIAtN51A==
References: <20210426092215.31032-1-rg@HIDDEN>
 <20210426092215.31032-4-rg@HIDDEN>
 <ce34499f3c66249fa280da5381052ee04b3d0619.camel@HIDDEN>
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
From: Raghav Gururajan <rg@HIDDEN>
Subject: Re: [PATCH wip-gnome v3 04/10] gnu: libsoup: Simplify adjustment of
 tests.
Message-ID: <0981a7c6-f10a-29e8-d369-d1d2f5d9ff1a@HIDDEN>
Date: Mon, 26 Apr 2021 06:31:22 -0400
MIME-Version: 1.0
In-Reply-To: <ce34499f3c66249fa280da5381052ee04b3d0619.camel@HIDDEN>
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature";
 boundary="6qOwWbkrl9fqDxwzCpVjfH9CON0Dyi02c"
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48028
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--6qOwWbkrl9fqDxwzCpVjfH9CON0Dyi02c
Content-Type: multipart/mixed; boundary="d1wiQ8t9jl9QcXXFsNDcx5c9GYCTsXEuC";
 protected-headers="v1"
From: Raghav Gururajan <rg@HIDDEN>
To: Leo Prikler <leo.prikler@HIDDEN>, 48028 <at> debbugs.gnu.org
Message-ID: <0981a7c6-f10a-29e8-d369-d1d2f5d9ff1a@HIDDEN>
Subject: Re: [PATCH wip-gnome v3 04/10] gnu: libsoup: Simplify adjustment of
 tests.
References: <20210426092215.31032-1-rg@HIDDEN>
 <20210426092215.31032-4-rg@HIDDEN>
 <ce34499f3c66249fa280da5381052ee04b3d0619.camel@HIDDEN>
In-Reply-To: <ce34499f3c66249fa280da5381052ee04b3d0619.camel@HIDDEN>

--d1wiQ8t9jl9QcXXFsNDcx5c9GYCTsXEuC
Content-Type: multipart/mixed;
 boundary="------------C4B1AAA5E04C7782A3A7E0B7"
Content-Language: en-US

This is a multi-part message in MIME format.
--------------C4B1AAA5E04C7782A3A7E0B7
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Hi Leo!

> I'm sorry, but after a closer look, I will have to reject this patch.
> This does far more than just disable a few failing tests, it disables
> all tests, that happen to lie in a file with a failing one.  Please
> stick to disabling patches in the C files, or if the entire C file
> fails just disable that one in meson (but try to see if you can disable=

> it in C as well).

No worries! Thanks for the review.

In v4, I have only disabled ssl-test via meson.build, as any of the=20
tests included in ssl-test.c fails.

Regards,
RG.

--------------C4B1AAA5E04C7782A3A7E0B7
Content-Type: application/pgp-keys;
 name="OpenPGP_0x5F5816647F8BE551.asc"
Content-Transfer-Encoding: quoted-printable
Content-Description: OpenPGP public key
Content-Disposition: attachment;
 filename="OpenPGP_0x5F5816647F8BE551.asc"

-----BEGIN PGP PUBLIC KEY BLOCK-----

xjMEX2ZCJBYJKwYBBAHaRw8BAQdAdiUK33kml2dYjrWidlr4/v0pmjpUv7hOsBN/oSl5wx7NL=
1Jh
Z2hhdiBHdXJ1cmFqYW4gKFJHKSA8cmdAcmFnaGF2Z3VydXJhamFuLm5hbWU+wpMEExYIADsCG=
wMF
CwkIBwIGFQoJCAsCBBYCAwECHgECF4AWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCX28v0AIZA=
QAK
CRBfWBZkf4vlUQf2AQD63gsdJzk0w6Gy0AzpJtMa63mbVRAh4xfnxsRNu6SbGQD/UDytGjwnQ=
4nK
YsGdoCcA7LM64EkknDvI3ZmlqG7Xuw/NPVJhZ2hhdiBHdXJ1cmFqYW4gKEVkdWNhdGlvbikgP=
GVk
dWNhdGlvbkByYWdoYXZndXJ1cmFqYW4ubmFtZT7CkAQTFggAOBYhBM0tXqqpjMs32pHWsF9YF=
mR/
i+VRBQJgE0xGAhsDBQsJCAcCBhUKCQgLAgQWAgMBAh4BAheAAAoJEF9YFmR/i+VRQcQBALNRe=
1V/
5DKN8ZxyVQlzt4TdGUyNom7xJ6r23ANtcygxAQDBjw6NLXV3aYGDMVVmQPbdAnFiB/x1rpJsA=
wB/
1BSBDc05UmFnaGF2IEd1cnVyYWphbiAoRmluYW5jZSkgPGZpbmFuY2VAcmFnaGF2Z3VydXJha=
mFu
Lm5hbWU+wpAEExYIADgWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCYBNMbwIbAwULCQgHAgYVC=
gkI
CwIEFgIDAQIeAQIXgAAKCRBfWBZkf4vlUWnLAP914hb0IzSCiaj+XrcEBaIt/Q+KjRn2fj5A7=
V6Z
ucJJqwEA64eks7xjLBS3mpTpaGwdDtluJcR7G8XZJJdbdK2YyQ/NN1JhZ2hhdiBHdXJ1cmFqY=
W4g
KEhlYWx0aCkgPGhlYWx0aEByYWdoYXZndXJ1cmFqYW4ubmFtZT7CkAQTFggAOBYhBM0tXqqpj=
Ms3
2pHWsF9YFmR/i+VRBQJgE0yhAhsDBQsJCAcCBhUKCQgLAgQWAgMBAh4BAheAAAoJEF9YFmR/i=
+VR
xdcA/3YxFzlKKHrTguDxE1tBWD31BUYlXWl351j6MB/U+tWdAPwJB8QD8janaddv3U5ZGzswf=
hQv
GGzx6SLcX0E253uNC80/UmFnaGF2IEd1cnVyYWphbiAoT2NjdXBhdGlvbikgPG9jY3VwYXRpb=
25A
cmFnaGF2Z3VydXJhamFuLm5hbWU+wpAEExYIADgWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCY=
BNM
ugIbAwULCQgHAgYVCgkICwIEFgIDAQIeAQIXgAAKCRBfWBZkf4vlUSrlAP0VJw8frvWHAGd6l=
Zdy
x1v+relUGB4DToqDgIMBQyG58gD+NU5t4h0IY6YaiQ+FPyJzdV62k15d9IDvTMYPvcWIpQPNP=
1Jh
Z2hhdiBHdXJ1cmFqYW4gKFJlY3JlYXRpb24pIDxyZWNyZWF0aW9uQHJhZ2hhdmd1cnVyYWphb=
i5u
YW1lPsKQBBMWCAA4FiEEzS1eqqmMyzfakdawX1gWZH+L5VEFAmATTNkCGwMFCwkIBwIGFQoJC=
AsC
BBYCAwECHgECF4AACgkQX1gWZH+L5VHhbQD/b6jXWdQfxi+xzrs1+A0lvnihfUgQ0H/r5U2bO=
w9d
FIkA/0nCh0VJKX+YrySJhWugL7e8ItqwKADh0v05vO6qtlkAzTdSYWdoYXYgR3VydXJhamFuI=
ChT
b2NpYWwpIDxzb2NpYWxAcmFnaGF2Z3VydXJhamFuLm5hbWU+wpAEExYIADgWIQTNLV6qqYzLN=
9qR
1rBfWBZkf4vlUQUCYBNM8AIbAwULCQgHAgYVCgkICwIEFgIDAQIeAQIXgAAKCRBfWBZkf4vlU=
dtv
AQCKMxBdxwMUJdyigGWqrTuJUaLVL2dgvqGa0k39nsQA8gD+PH3LsQAaJ98xREKxYXMAszNnJ=
RJR
xYa9trfixyQbrw7NNVJhZ2hhdiBHdXJ1cmFqYW4gKFRyYWRlKSA8dHJhZGVAcmFnaGF2Z3Vyd=
XJh
amFuLm5hbWU+wpAEExYIADgWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCYBNNHQIbAwULCQgHA=
gYV
CgkICwIEFgIDAQIeAQIXgAAKCRBfWBZkf4vlUQ+9AP0S/6S5PLshS/vz7ezRO2HokruaRiDhg=
w0t
yRM3LAefSQEA7rEBw9sSUsDgRILGKUi1ZzQq5AJ0F77KOXyurVqnywXOOARfZkIkEgorBgEEA=
ZdV
AQUBAQdAZgiqc2NhH/myrCCan9x7gKI6QBPZ/1b+Bz/f3n95ozkDAQgHwngEGBYIACAWIQTNL=
V6q
qYzLN9qR1rBfWBZkf4vlUQUCX2ZCJAIbDAAKCRBfWBZkf4vlUV/OAQD+tMNgmddPSchLpaDPp=
sdD
hpvra2uTonNUmnfbTvPgpQD/dG72NCT8hBUVqtzxwQmBrXY/nPEUxctYuvu3unUmzQU=3D
=3DMROf
-----END PGP PUBLIC KEY BLOCK-----

--------------C4B1AAA5E04C7782A3A7E0B7--

--d1wiQ8t9jl9QcXXFsNDcx5c9GYCTsXEuC--

--6qOwWbkrl9fqDxwzCpVjfH9CON0Dyi02c
Content-Type: application/pgp-signature; name="OpenPGP_signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="OpenPGP_signature"

-----BEGIN PGP SIGNATURE-----

wnsEABYIACMWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCYIaWegUDAAAAAAAKCRBfWBZkf4vlUUaa
AQCCB/iAObcUbx/zZoSONUzHd6kWhOrLeQtGLT5gICBvmgEA7Om1G3Ly+hg626tW3VvnhVVr7XGu
hU7+l1PJDz1xags=
=+2It
-----END PGP SIGNATURE-----

--6qOwWbkrl9fqDxwzCpVjfH9CON0Dyi02c--




Information forwarded to guix-patches@HIDDEN:
bug#48028; Package guix-patches. Full text available.

Message received at 48028 <at> debbugs.gnu.org:


Received: (at 48028) by debbugs.gnu.org; 26 Apr 2021 10:29:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 26 06:29:15 2021
Received: from localhost ([127.0.0.1]:44715 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1layUN-0004PE-Jr
	for submit <at> debbugs.gnu.org; Mon, 26 Apr 2021 06:29:15 -0400
Received: from out1.migadu.com ([91.121.223.63]:42991)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1layUH-0004Nz-Ci
 for 48028 <at> debbugs.gnu.org; Mon, 26 Apr 2021 06:29:10 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1619432949;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=gqit6dCrhwpieLk+kI4VzkydYcLuTytDVTyiLX/7yuo=;
 b=VLtNCLOK3Z1OtYD74EaQ63MYa78ps7GZtU4x+JGWkS6Fdt9EZu2aOHxReV4soNyqvWW6Vg
 IT2Cw0mT1HTSuEVdP1rj1Xmqyajnc0EbHaHBg6U1pnnwZxqEkwcQixKEeNDH5VAFuMZ6+h
 Y8W9abINju6oKuaHurykFmgqSG9SqZPSJprN0IchEYEfE/XamuPOYFUbVoQs3A6ZeJAxnE
 qeCbpCdvRhk5xFsrhcVONufY6gswyjTNsPcuC5tVUk+LdE9LrJZCSblQ9SKwtr4066Ap2I
 MJ593njaDhVlstxduc9AhMNcF8dUo/sh8KREPBocVtlARzh6utXF+uYc0odsXA==
From: Raghav Gururajan <rg@HIDDEN>
To: 48028 <at> debbugs.gnu.org
Subject: [PATCH wip-gnome v4 8/8] gnu: python-pygobject: Update to 3.40.1.
Date: Mon, 26 Apr 2021 06:28:34 -0400
Message-Id: <20210426102834.636-8-rg@HIDDEN>
In-Reply-To: <20210426102834.636-1-rg@HIDDEN>
References: <20210426102834.636-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48028
Cc: Raghav Gururajan <rg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/glib.scm (python-pygobject)[version]: Update to 3.40.1.
[native-inputs]: Add python-wrapper.
---
 gnu/packages/glib.scm | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/glib.scm b/gnu/packages/glib.scm
index fd88d7329f..31cd13e9c7 100644
--- a/gnu/packages/glib.scm
+++ b/gnu/packages/glib.scm
@@ -776,7 +776,7 @@ useful for C++.")
 (define-public python-pygobject
   (package
     (name "python-pygobject")
-    (version "3.34.0")
+    (version "3.40.1")
     (source
      (origin
        (method url-fetch)
@@ -785,7 +785,7 @@ useful for C++.")
                            "/pygobject-" version ".tar.xz"))
        (sha256
         (base32
-         "06i7ynnbvgpz0gw09zsjbvhgcp5qz4yzdifw27qjwdazg2mckql7"))
+         "0d80g5kgf2i9cginyhalvb7ibfk9g30yilqzmcsw6h6byj8xbih0"))
        (modules '((guix build utils)))
        (snippet
         '(begin
@@ -800,7 +800,8 @@ useful for C++.")
     (native-inputs
      `(("glib-bin" ,glib "bin")
        ("pkg-config" ,pkg-config)
-       ("python-pytest" ,python-pytest)))
+       ("python-pytest" ,python-pytest)
+       ("python-wrapper" ,python-wrapper))) ; For patching shebangs
     (inputs
      `(("python" ,python)
        ("python-pycairo" ,python-pycairo)
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48028; Package guix-patches. Full text available.

Message received at 48028 <at> debbugs.gnu.org:


Received: (at 48028) by debbugs.gnu.org; 26 Apr 2021 10:29:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 26 06:29:15 2021
Received: from localhost ([127.0.0.1]:44713 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1layUN-0004P7-Ad
	for submit <at> debbugs.gnu.org; Mon, 26 Apr 2021 06:29:15 -0400
Received: from out1.migadu.com ([91.121.223.63]:42996)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1layUG-0004OG-Vr
 for 48028 <at> debbugs.gnu.org; Mon, 26 Apr 2021 06:29:09 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1619432948;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=KXHpCYjA+poGvOrVV0KDyspyu0DxHBkj8cEmD0lTFZM=;
 b=NEa9jCh2tvoDANoZvW7skhtFjX08ZF/BmVoLA/w3SucVujmGrDInHmi2CirRIc21zMfSOs
 rOG6LULlc/wLgFtCt1Bh0BlkegH5b9bkCyPYADz5D55d+VF3uYwdGuMmh4KrP1/cSAeYUA
 tLzzV8oskDvOvGM1UKdYIsoa8hl+O2dI79zJUejKe3zuHHolxNXGpbE3jlZVsy4HSj09e1
 IB8jJeBVHI+bQT6ipsK3NkE8ZhU8TwwYewaZ5SPlCrIRIMH24m8gqCs9qJNxoQZ0/fGn42
 qQkPYxbJeVbj2OP11UyYX/0IEs+y0Kewc2oKB3f3Fi2in9xk7l+ssRT+3aKHCw==
From: Raghav Gururajan <rg@HIDDEN>
To: 48028 <at> debbugs.gnu.org
Subject: [PATCH wip-gnome v4 7/8] gnu: python-pycairo: Update to 1.20.0.
Date: Mon, 26 Apr 2021 06:28:33 -0400
Message-Id: <20210426102834.636-7-rg@HIDDEN>
In-Reply-To: <20210426102834.636-1-rg@HIDDEN>
References: <20210426102834.636-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48028
Cc: Raghav Gururajan <rg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/gtk.scm (python-pycairo)[version]: Update to 1.20.0.
---
 gnu/packages/gtk.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/gtk.scm b/gnu/packages/gtk.scm
index 86490115d6..e7f71fa739 100644
--- a/gnu/packages/gtk.scm
+++ b/gnu/packages/gtk.scm
@@ -1761,7 +1761,7 @@ printing and other features typical of a source code editor.")
 (define-public python-pycairo
   (package
     (name "python-pycairo")
-    (version "1.19.1")
+    (version "1.20.0")
     (source
      (origin
       (method url-fetch)
@@ -1769,7 +1769,7 @@ printing and other features typical of a source code editor.")
                           version "/pycairo-" version ".tar.gz"))
       (sha256
        (base32
-        "111fav9m1iagw3nh2ws2vzkjh34r97yl7rdlpvsngsqg521k251c"))))
+        "1326aa2ybhhhrvz3n4p22z5sic25m016ddb5yq0hvbprnw6a35an"))))
     (build-system python-build-system)
     (native-inputs
      `(("pkg-config" ,pkg-config)
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48028; Package guix-patches. Full text available.

Message received at 48028 <at> debbugs.gnu.org:


Received: (at 48028) by debbugs.gnu.org; 26 Apr 2021 10:29:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 26 06:29:15 2021
Received: from localhost ([127.0.0.1]:44711 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1layUN-0004Oz-0I
	for submit <at> debbugs.gnu.org; Mon, 26 Apr 2021 06:29:15 -0400
Received: from out1.migadu.com ([91.121.223.63]:42991)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1layUG-0004Nz-Ab
 for 48028 <at> debbugs.gnu.org; Mon, 26 Apr 2021 06:29:08 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1619432947;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=iSthTafxQUpb/3/Iz8id24Ct/sR2zwy3d9QzGRoRsfw=;
 b=SdYZah5ZDZ9jjdmwv00+zHNUUJ34O8gZF/Rv+cbeU2sZh6M+3Mi4NmUbPWyksqnHMPqq1K
 t8HTltftqVSsPJrfRsQkY8AT8WfGPkWPIHokKZRyjS2lW3Q90y3ubOAcwehZwqIV/NxIur
 1O+6aDHL3XFKu7WVqd7D+Ub5/U2TsEH3zniHPq5Ydw+2/1CQC5nDcc1jWKlpKXbpG2bcMd
 XhAlrGRKf4q6YZBLDkSifr19MoccBY0vb/Si5CB15iXW2x5eXT7+ze6lkOW6qCddWxSgeI
 hCHAYpcFyZTY6hnXAFYGaQrawZHoPu9WOjQNodfo/5FMrrq2qgtssBw/9IcBDw==
From: Raghav Gururajan <rg@HIDDEN>
To: 48028 <at> debbugs.gnu.org
Subject: [PATCH wip-gnome v4 6/8] gnu: libsoup: Update home-page.
Date: Mon, 26 Apr 2021 06:28:32 -0400
Message-Id: <20210426102834.636-6-rg@HIDDEN>
In-Reply-To: <20210426102834.636-1-rg@HIDDEN>
References: <20210426102834.636-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48028
Cc: Raghav Gururajan <rg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/gnome.scm (libsoup)[home-page]: Modify.
---
 gnu/packages/gnome.scm | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/gnu/packages/gnome.scm b/gnu/packages/gnome.scm
index 6b2accc991..ebba290775 100644
--- a/gnu/packages/gnome.scm
+++ b/gnu/packages/gnome.scm
@@ -4980,7 +4980,7 @@ libxml to ease remote use of the RESTful API.")
     (inputs
      `(("mit-krb5" ,mit-krb5)
        ("ntlm_auth" ,samba))) ; For ntlm_auth support
-    (home-page "https://live.gnome.org/LibSoup/")
+    (home-page "https://wiki.gnome.org/Projects/libsoup")
     (synopsis "GLib-based HTTP Library")
     (description
      "LibSoup is an HTTP client/server library for GNOME.  It uses GObjects
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48028; Package guix-patches. Full text available.

Message received at 48028 <at> debbugs.gnu.org:


Received: (at 48028) by debbugs.gnu.org; 26 Apr 2021 10:29:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 26 06:29:15 2021
Received: from localhost ([127.0.0.1]:44709 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1layUM-0004Os-Md
	for submit <at> debbugs.gnu.org; Mon, 26 Apr 2021 06:29:14 -0400
Received: from out1.migadu.com ([91.121.223.63]:42986)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1layUF-0004Nk-H6
 for 48028 <at> debbugs.gnu.org; Mon, 26 Apr 2021 06:29:08 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1619432947;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=hDtdwpqhiu8cmheMdXxIJAP/7ipEorYhlcdAYSrwcWI=;
 b=HMccZD9FtPfW0RRUCMnIfgcUettMiS8/stIxj0SSkPLxDOEHLpBxmANYpL+lnl9HBT8zQU
 C1HLRGN59j858bLAc5yCs0fe8438LUbKPU3eFnz0TlYUGpzxGmWgGR3dzKGblbreXlV0BT
 MNoBs7UkyQ+DYbe3cwCdfrWGXr7j0bu1XbSD8DsLv21bmMICEoo4dp3Np2OP3UYpqywjCN
 9WOPg9jaBxMdCciuSRCqcK/KF/ovb6BybzsNrrdaD4WN+zke5ZhHFz+dyo1dMXMe+UW/N/
 z1bLor44rdbCBKh+AkAJFfKht/cWTRyQuhHMIAo8pmR8RZSJX1pjdfHhZV4LtQ==
From: Raghav Gururajan <rg@HIDDEN>
To: 48028 <at> debbugs.gnu.org
Subject: [PATCH wip-gnome v4 5/8] gnu: libsoup: Adjust inputs.
Date: Mon, 26 Apr 2021 06:28:31 -0400
Message-Id: <20210426102834.636-5-rg@HIDDEN>
In-Reply-To: <20210426102834.636-1-rg@HIDDEN>
References: <20210426102834.636-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48028
Cc: Raghav Gururajan <rg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/gnome.scm (libsoup)[inputs]: Add samba and
move glib-networking to ...
[propagated-inputs]: ... here.
---
 gnu/packages/gnome.scm | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/gnome.scm b/gnu/packages/gnome.scm
index 115e2e7985..6b2accc991 100644
--- a/gnu/packages/gnome.scm
+++ b/gnu/packages/gnome.scm
@@ -4972,13 +4972,14 @@ libxml to ease remote use of the RESTful API.")
      ;; libsoup-2.4.pc refers to all these.
      `(("brotli" ,google-brotli)
        ("glib" ,glib)
+       ("glib-networking" ,glib-networking)
        ("libpsl" ,libpsl)
        ("libxml2" ,libxml2)
        ("sqlite" ,sqlite)
        ("zlib" ,zlib)))
     (inputs
-     `(("glib-networking" ,glib-networking)
-       ("mit-krb5" ,mit-krb5)))
+     `(("mit-krb5" ,mit-krb5)
+       ("ntlm_auth" ,samba))) ; For ntlm_auth support
     (home-page "https://live.gnome.org/LibSoup/")
     (synopsis "GLib-based HTTP Library")
     (description
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48028; Package guix-patches. Full text available.

Message received at 48028 <at> debbugs.gnu.org:


Received: (at 48028) by debbugs.gnu.org; 26 Apr 2021 10:29:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 26 06:29:14 2021
Received: from localhost ([127.0.0.1]:44707 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1layUM-0004Ol-8p
	for submit <at> debbugs.gnu.org; Mon, 26 Apr 2021 06:29:14 -0400
Received: from out1.migadu.com ([91.121.223.63]:42982)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1layUE-0004Ne-Qr
 for 48028 <at> debbugs.gnu.org; Mon, 26 Apr 2021 06:29:08 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1619432946;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=R3Q5w7++dJ408kkdWFOq8g+UGhAI+qZN0M9Dy07Z/OA=;
 b=TDFm2PpD/pYWus3U7titRJ6u3BQdxtpc3e1j1u1Oi5amWMv8kjij621et6NTfwsc95v2ON
 R2jb8YsGPoUn66kzeS5km94Mg7vBP6YPMMH3rfCSirwQ49t9Mb2AeiDxpPsQwRC1LX3P4x
 nKCAk0pjlxKwPiD7+Xz9BC+Xa+s3UMhIVufCE7Z0u/AvFp/+9kWZOl5zs0V7MHMQD09ErS
 4ueAnU9SGCoOGNM862Xc94/4K9L2mGFHVH6TjWwChDRbaTtmKzNgNXBGU0J5V3xK4XLfcn
 hpqNc/krZJQ+34gVkUBVaoOajNQmaVNGf1G6pq57o8NpxCA3837H4acAfQTe9Q==
From: Raghav Gururajan <rg@HIDDEN>
To: 48028 <at> debbugs.gnu.org
Subject: [PATCH wip-gnome v4 4/8] gnu: libsoup: Disable ssl-test.
Date: Mon, 26 Apr 2021 06:28:30 -0400
Message-Id: <20210426102834.636-4-rg@HIDDEN>
In-Reply-To: <20210426102834.636-1-rg@HIDDEN>
References: <20210426102834.636-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48028
Cc: Raghav Gururajan <rg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/gnome.scm (libsoup)[phases](adjust-tests): Modify.
[native-inputs]: Remove gnutls.
---
 gnu/packages/gnome.scm | 48 ++++--------------------------------------
 1 file changed, 4 insertions(+), 44 deletions(-)

diff --git a/gnu/packages/gnome.scm b/gnu/packages/gnome.scm
index 97cf80c586..115e2e7985 100644
--- a/gnu/packages/gnome.scm
+++ b/gnu/packages/gnome.scm
@@ -4942,49 +4942,10 @@ libxml to ease remote use of the RESTful API.")
              (substitute* "tests/hsts-db-test.c"
                ((".*/hsts-db/subdomains.*") ""))
 
-             ;; Generate a self-signed certificate that has "localhost" as its
-             ;; 'dnsName'.  Failing to do that, and starting with GnuTLS
-             ;; 3.5.12, tests such as "ssl-tests" fail:
-             ;;
-             ;; ERROR:ssl-test.c:406:do_tls_interaction_test: Unexpected status 6 Unacceptable TLS certificate (expected 200 OK)
-             ;;
-             ;; 'certtool' is interactive so we have to pipe it the answers.
-             ;; Reported at <https://bugzilla.gnome.org/show_bug.cgi?id=784696>.
-             (let ((pipe (open-output-pipe "certtool --generate-self-signed \
- --load-privkey tests/test-key.pem --outfile tests/test-cert.pem")))
-               (for-each (lambda (line)
-                           (display line pipe)
-                           (newline pipe))
-                         '(""               ;Common name
-                           ""               ;UID
-                           "Guix"           ;Organizational unit name
-                           "GNU"            ;Organization name
-                           ""               ;Locality name
-                           ""               ;State or province
-                           ""               ;Country
-                           ""               ;subject's domain component (DC)
-                           ""               ;E-mail
-                           ""               ;serial number
-                           "-1"             ;expiration time
-                           "N"              ;belong to authority?
-                           "N"              ;web client certificate?
-                           "N"              ;IPsec IKE?
-                           "Y"              ;web server certificate?
-                           "localhost"      ;dnsName of subject
-                           ""               ;dnsName of subject (end)
-                           ""               ;URI of subject
-                           "127.0.0.1"      ;IP address of subject
-                           ""               ;signing?
-                           ""               ;encryption (RSA)?
-                           ""               ;data encryption?
-                           ""               ;sign OCSP requests?
-                           ""               ;sign code?
-                           ""               ;time stamping?
-                           ""               ;email protection?
-                           ""               ;URI of the CRL distribution point
-                           "y"              ;above info OK?
-                           ))
-               (close-pipe pipe))
+             ;; FIX-ME: ssl-test fails, starting with
+             ;; glib-networking 2.68.x.
+             (substitute* "tests/meson.build"
+               (("[ \t]*\\['ssl', true, \\[\\]\\],") ""))
              #t))
          (add-after 'install 'move-doc
            (lambda* (#:key outputs #:allow-other-keys)
@@ -5006,7 +4967,6 @@ libxml to ease remote use of the RESTful API.")
        ("vala" ,vala)
        ("php" ,php)
        ("curl" ,curl)
-       ("gnutls" ,gnutls)                         ;for 'certtool'
        ("httpd" ,httpd)))
     (propagated-inputs
      ;; libsoup-2.4.pc refers to all these.
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48028; Package guix-patches. Full text available.

Message received at 48028 <at> debbugs.gnu.org:


Received: (at 48028) by debbugs.gnu.org; 26 Apr 2021 10:29:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 26 06:29:14 2021
Received: from localhost ([127.0.0.1]:44705 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1layUL-0004Od-V9
	for submit <at> debbugs.gnu.org; Mon, 26 Apr 2021 06:29:14 -0400
Received: from out1.migadu.com ([91.121.223.63]:42969)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1layUD-0004Na-UG
 for 48028 <at> debbugs.gnu.org; Mon, 26 Apr 2021 06:29:07 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1619432943;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding;
 bh=iF7nEhIOcGWL7uP3tYoWjNmGPRauLSpgih9gL/4OWv0=;
 b=dP5xcqM5naPghceunMHCNBt0yJxrnYA/x9AqPdXqSSom8SYjDyTLjwCvvzR331shdEqTp+
 Smp3p987IK/KmZgJjUzoGuWHps5fheLlUySc+mxDpwstHYo4MGyMOSYsUk08t4I4McnvY2
 be3C+KbitkpOHL768WIZW4UAoK4DeuVf+7uFO8LHkh6bQjOMe46G9qVmBxHnhr5TpcTVM7
 rJRrxF0gsYTPAK6Ia+CwIBfS4DcjUMBN9ElX3IcmV77Ultt/MheV0Ia0mfqRva7Q0G1HRd
 v32y8yVD+xlj2owO/k3tUGjnsTV16x5RvyQ4UqyhrnYdY56CHCozHm2HAOpGsQ==
From: Raghav Gururajan <rg@HIDDEN>
To: 48028 <at> debbugs.gnu.org
Subject: [PATCH wip-gnome v4 1/8] gnu: gtkmm@2: Remove inheritance from
 gtkmm@3.
Date: Mon, 26 Apr 2021 06:28:27 -0400
Message-Id: <20210426102834.636-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48028
Cc: Raghav Gururajan <rg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Remove inheritance to prevent rebuilds of packages like inkscape
and gtk+, whenever changes are made to gtkmm@3.

* gnu/packages/gtk.scm (gtkmm-2)[build-system,outputs,arguments,
native-inputs,synopsis,description,home-page,license]: New fields.
---
 gnu/packages/gtk.scm | 48 ++++++++++++++++++++++++++++++++++++++++++--
 1 file changed, 46 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/gtk.scm b/gnu/packages/gtk.scm
index 04a0db1161..81ac4a7197 100644
--- a/gnu/packages/gtk.scm
+++ b/gnu/packages/gtk.scm
@@ -1660,7 +1660,6 @@ tutorial.")
 
 (define-public gtkmm-2
   (package
-    (inherit gtkmm)
     (name "gtkmm")
     (version "2.24.5")
     (source
@@ -1672,12 +1671,57 @@ tutorial.")
                        name "-" version ".tar.xz"))
        (sha256
         (base32 "0wkbzvsx4kgw16f6xjdc1dz7f77ldngdila4yi5lw2zrgcxsb006"))))
+    (build-system glib-or-gtk-build-system)
+    (outputs '("out" "doc"))
+    (arguments
+     `(#:phases
+       (modify-phases %standard-phases
+         (add-before 'check 'pre-check
+           (lambda _
+             ;; Tests require a running X server.
+             (system "Xvfb :1 +extension GLX &")
+             (setenv "DISPLAY" ":1")
+             ;; For missing '/etc/machine-id'.
+             (setenv "DBUS_FATAL_WARNINGS" "0")
+             #t))
+         (add-after 'install 'move-doc
+           (lambda* (#:key outputs #:allow-other-keys)
+             (let* ((out (assoc-ref outputs "out"))
+                    (doc (assoc-ref outputs "doc")))
+               (mkdir-p (string-append doc "/share"))
+               (rename-file
+                (string-append out "/share/doc")
+                (string-append doc "/share/doc"))
+               #t))))))
+    (native-inputs
+     `(("dot" ,graphviz)
+       ("doxygen" ,doxygen)
+       ("m4" ,m4)
+       ("mm-common" ,mm-common)
+       ("perl" ,perl)
+       ("pkg-config" ,pkg-config)
+       ("xsltproc" ,libxslt)
+       ("xorg-server" ,xorg-server-for-tests)))
     (propagated-inputs
      `(("atkmm" ,atkmm-2.28)
        ("cairomm" ,cairomm-1.13)
        ("glibmm" ,glibmm-2.64)
        ("gtk+" ,gtk+-2)
-       ("pangomm" ,pangomm-2.42)))))
+       ("pangomm" ,pangomm-2.42)))
+    (synopsis "C++ Interfaces for GTK+ and GNOME")
+    (description "GTKmm is the official C++ interface for the popular GUI
+library GTK+.  Highlights include typesafe callbacks, and a comprehensive set of
+widgets that are easily extensible via inheritance.  You can create user
+interfaces either in code or with the Glade User Interface designer, using
+libglademm.  There's extensive documentation, including API reference and a
+tutorial.")
+    (home-page "https://gtkmm.org/")
+    (license
+     (list
+      ;; Library
+      license:lgpl2.1+
+      ;; Tools
+      license:gpl2+))))
 
 (define-public gtksourceviewmm
   (package
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48028; Package guix-patches. Full text available.

Message received at 48028 <at> debbugs.gnu.org:


Received: (at 48028) by debbugs.gnu.org; 26 Apr 2021 10:29:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 26 06:29:13 2021
Received: from localhost ([127.0.0.1]:44703 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1layUL-0004Ob-KR
	for submit <at> debbugs.gnu.org; Mon, 26 Apr 2021 06:29:13 -0400
Received: from out1.migadu.com ([91.121.223.63]:42973)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1layUD-0004Nb-UH
 for 48028 <at> debbugs.gnu.org; Mon, 26 Apr 2021 06:29:07 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1619432944;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=QFlxkoCigVdUcCkqfZ96SUlgNBCL1/OcnUWHUjmnd0M=;
 b=LpSZ+aaml9JxSHo5QImplkM9dklSLtTNmYVn/Yow5/kfJKpWlGL0TE+jX4YPfJj8PXGpVn
 SUjkHcwFLeQb4702vN6leMzThxqRTeLWe0kJzfNZm//cvlNmRyxr+SJhwJ3nMRu27rhJUi
 c5vb3pt+pvNMNiTU8r2zs/Z2j0GHcKizfLIEcXsNb0P08lh5xNu4kkR28D+WJz2JfI1FSy
 Qih/WREf1HeDoIWwtkmo3i7QBiNr7J796Db/VhZ+Uby8IB8otuJF6Rl1mUic95JT2OY3Mj
 wJF8/4+PlA2Vdlb8AxGvjAVENarvrhh2vIuMZNzRNia7elrEVSOAucfWBoJGBQ==
From: Raghav Gururajan <rg@HIDDEN>
To: 48028 <at> debbugs.gnu.org
Subject: [PATCH wip-gnome v4 2/8] gnu: gtkmm: Change build-system.
Date: Mon, 26 Apr 2021 06:28:28 -0400
Message-Id: <20210426102834.636-2-rg@HIDDEN>
In-Reply-To: <20210426102834.636-1-rg@HIDDEN>
References: <20210426102834.636-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48028
Cc: Raghav Gururajan <rg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Switch to meson-build-system, as its preferred by the project.
Preserve building of documentation.

* gnu/packages/gtk.scm (gtkmm)[build-system]: Change from glib-or-gtk
to meson.
[configure-flags](build-documentation): New flag.
---
 gnu/packages/gtk.scm | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/gtk.scm b/gnu/packages/gtk.scm
index 81ac4a7197..a7e387a47d 100644
--- a/gnu/packages/gtk.scm
+++ b/gnu/packages/gtk.scm
@@ -1606,10 +1606,12 @@ library.")
                        name "-" version ".tar.xz"))
        (sha256
         (base32 "0hv7pviln4cpjvpz7m7ga5krcsbibqzixdcn0dwzpz0cx71p3swv"))))
-    (build-system glib-or-gtk-build-system)
+    (build-system meson-build-system)
     (outputs '("out" "doc"))
     (arguments
-     `(#:phases
+     `(#:glib-or-gtk? #t ; To wrap binaries and/or compile schemas
+       #:configure-flags '("-Dbuild-documentation=true")
+       #:phases
        (modify-phases %standard-phases
          (add-before 'check 'pre-check
            (lambda _
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48028; Package guix-patches. Full text available.

Message received at 48028 <at> debbugs.gnu.org:


Received: (at 48028) by debbugs.gnu.org; 26 Apr 2021 10:29:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 26 06:29:08 2021
Received: from localhost ([127.0.0.1]:44695 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1layUG-0004O9-Ah
	for submit <at> debbugs.gnu.org; Mon, 26 Apr 2021 06:29:08 -0400
Received: from out1.migadu.com ([91.121.223.63]:42977)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1layUE-0004Nc-29
 for 48028 <at> debbugs.gnu.org; Mon, 26 Apr 2021 06:29:07 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1619432945;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=Dzz3+R3tdNOkmq54NA9p9V1MQU7sz7f8GkoaeLarPqE=;
 b=BJSSqBl6KbcPsppzm6pMNw9bChNg/VjCJMMs3frTab5WibLyZNgv9dgRUSpki0yBkWw7P6
 HSGGlyKxh3Cz0exkJdPqZUk9URjDCIig5eRqGDZU3QXcPkaDX6cZqKnU0sr/VRSgWfL+gy
 86AElvYCbH0eBMvDwZ7L4dQpF5Jm8uGPy4FILBFxJhoKij5Ahm2p46UVDVIt28uf36GQbX
 9PY0cS940psfy8rmgE+gK9flDZRB2Nz1gFXYYb4hz87NmGHjYdrFyV2KKpB8ntHnrftSSc
 aHep7arwJHv95kb/YSLxx6BCjuDu5N6eTFvQncI86KXsivvTzH5TSQFNEkWV/g==
From: Raghav Gururajan <rg@HIDDEN>
To: 48028 <at> debbugs.gnu.org
Subject: [PATCH wip-gnome v4 3/8] gnu: gtkmm: Add missing native-input and
 correct propagated-inputs.
Date: Mon, 26 Apr 2021 06:28:29 -0400
Message-Id: <20210426102834.636-3-rg@HIDDEN>
In-Reply-To: <20210426102834.636-1-rg@HIDDEN>
References: <20210426102834.636-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48028
Cc: Raghav Gururajan <rg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/gtk.scm (gtkmm)[native-inputs]: Add glib:bin.
[propagated-inputs]: Change; atkmm to atkmm-2.28, pangomm to pangomm-2.42,
and cairomm to cairomm-1.13.
---
 gnu/packages/gtk.scm | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/gtk.scm b/gnu/packages/gtk.scm
index a7e387a47d..86490115d6 100644
--- a/gnu/packages/gtk.scm
+++ b/gnu/packages/gtk.scm
@@ -1633,6 +1633,7 @@ library.")
     (native-inputs
      `(("dot" ,graphviz)
        ("doxygen" ,doxygen)
+       ("glib:bin" ,glib "bin") ; For glib-compile-resources
        ("m4" ,m4)
        ("mm-common" ,mm-common)
        ("perl" ,perl)
@@ -1640,11 +1641,11 @@ library.")
        ("xsltproc" ,libxslt)
        ("xorg-server" ,xorg-server-for-tests)))
     (propagated-inputs
-     `(("atkmm" ,atkmm)
-       ("cairomm" ,cairomm)
+     `(("atkmm" ,atkmm-2.28)
+       ("cairomm" ,cairomm-1.13)
        ("glibmm" ,glibmm)
        ("gtk+" ,gtk+)
-       ("pangomm" ,pangomm)))
+       ("pangomm" ,pangomm-2.42)))
     (synopsis "C++ Interfaces for GTK+ and GNOME")
     (description "GTKmm is the official C++ interface for the popular GUI
 library GTK+.  Highlights include typesafe callbacks, and a comprehensive set of
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48028; Package guix-patches. Full text available.

Message received at 48028 <at> debbugs.gnu.org:


Received: (at 48028) by debbugs.gnu.org; 26 Apr 2021 09:47:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 26 05:47:21 2021
Received: from localhost ([127.0.0.1]:44615 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1laxpo-0003Ct-P4
	for submit <at> debbugs.gnu.org; Mon, 26 Apr 2021 05:47:20 -0400
Received: from mailrelay.tugraz.at ([129.27.2.202]:19475)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo.prikler@HIDDEN>) id 1laxpn-0003Cl-6O
 for 48028 <at> debbugs.gnu.org; Mon, 26 Apr 2021 05:47:20 -0400
Received: from nijino.local (194-96-9-9.adsl.highway.telekom.at [194.96.9.9])
 by mailrelay.tugraz.at (Postfix) with ESMTPSA id 4FTKn0422kz3x76;
 Mon, 26 Apr 2021 11:47:16 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=tugraz.at;
 s=mailrelay; t=1619430436;
 bh=Rx4Ys4sYg6f8UFZYcoNYhleHjKmrVlurV+ISZkOHu3Q=;
 h=Subject:From:To:Cc:Date:In-Reply-To:References;
 b=dQADJ/Dz7Xadksqq1oqATcCpNXSS7jrMFGP5zOck7CgjLBI4hvDmwypqF3fg1T13O
 Lx/nelWLg+2tIQ4Xpedo4sD16rxN8tzgKTYhJdsCnIXpr7Pa/WG9RSJCQNZmfDW0ay
 649mchaMCJsD6YqbImnr2wGX0Cgy8GfUD49qx86o=
Message-ID: <610e1f33a099e2b8fad8f5df21447f9108082a9c.camel@HIDDEN>
Subject: Re: [PATCH wip-gnome 5/8] gnu: libsoup: Add missing argument and
 input.
From: Leo Prikler <leo.prikler@HIDDEN>
To: Raghav Gururajan <rg@HIDDEN>, 48028 <at> debbugs.gnu.org
Date: Mon, 26 Apr 2021 11:47:15 +0200
In-Reply-To: <88a82777-3c12-58d6-912f-196ea150f772@HIDDEN>
References: <20210426081145.28926-1-rg@HIDDEN>
 <20210426081145.28926-5-rg@HIDDEN>
 <73660fda850714bb152afc392df78addecd29932.camel@HIDDEN>
 <88a82777-3c12-58d6-912f-196ea150f772@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
User-Agent: Evolution 3.34.2 
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
X-TUG-Backscatter-control: bt4lQm5Tva3SBgCuw0EnZw
X-Spam-Scanner: SpamAssassin 3.003001 
X-Spam-Score-relay: -1.9
X-Scanned-By: MIMEDefang 2.74 on 129.27.10.117
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 48028
Cc: Mark H Weaver <mhw@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Am Montag, den 26.04.2021, 05:28 -0400 schrieb Raghav Gururajan:
> Hi Leo!
> 
> > This looks like it could be its own patch were it not for the fact,
> > that samba needs to be added as well (what for?)
> 
> I have split them into two patches and added comment, in v3.
> 
> > That doesn't sound very sure to me.  Why are you wrapping binaries
> > and/or compiling schemas?
> 
> It is mainly for compiling schemas, as libsoup doesn't have binaries
> to 
> wrap. But I just now realized that there is no 
> `[out]/share/glib-2.0/schemas` either. So I removed this in v3.
> 
> > Careful with the indentation.
> 
> Ah, good catch. I have fixed it in v3.
v3 06/07 LGTM, but could in my opinon be merged into a single patch
with the line: "gnu: libsoup: Add missing inputs." or perhaps "gnu:
libsoup: Adjust inputs".  I've CC'd Mark Weaver to hear their input.

Regards,
Leo





Information forwarded to guix-patches@HIDDEN:
bug#48028; Package guix-patches. Full text available.

Message received at 48028 <at> debbugs.gnu.org:


Received: (at 48028) by debbugs.gnu.org; 26 Apr 2021 09:42:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 26 05:42:46 2021
Received: from localhost ([127.0.0.1]:44607 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1laxlN-00035F-Pq
	for submit <at> debbugs.gnu.org; Mon, 26 Apr 2021 05:42:46 -0400
Received: from mailrelay.tugraz.at ([129.27.2.202]:34887)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo.prikler@HIDDEN>) id 1laxlL-000356-2L
 for 48028 <at> debbugs.gnu.org; Mon, 26 Apr 2021 05:42:44 -0400
Received: from nijino.local (194-96-9-9.adsl.highway.telekom.at [194.96.9.9])
 by mailrelay.tugraz.at (Postfix) with ESMTPSA id 4FTKgg2kkbz1LBRt;
 Mon, 26 Apr 2021 11:42:39 +0200 (CEST)
DKIM-Filter: OpenDKIM Filter v2.11.0 mailrelay.tugraz.at 4FTKgg2kkbz1LBRt
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=tugraz.at;
 s=mailrelay; t=1619430159;
 bh=K+QxNs6v0FCIDJ3cvtzcgL5HB/BE5YSBqaOmEHX4dIA=;
 h=Subject:From:To:Date:In-Reply-To:References:From;
 b=YErMJum2G9j+BaXd5l+DcvYkhlp6aTEsiZTSuWD1BY3aru8zDlHxn+qhR4QNr3ZVP
 410XovgD5/R02L2Y9Nx2zTkkYgDMM4T24lr1LmX3CU1sJ35BcWQ8tllgIajrixtBR1
 KcIdgM0Dxz1+uZSbVeInHHnJePgpLDk12M8Uuz6s=
Message-ID: <ce34499f3c66249fa280da5381052ee04b3d0619.camel@HIDDEN>
Subject: Re: [PATCH wip-gnome v3 04/10] gnu: libsoup: Simplify adjustment of
 tests.
From: Leo Prikler <leo.prikler@HIDDEN>
To: Raghav Gururajan <rg@HIDDEN>, 48028 <at> debbugs.gnu.org
Date: Mon, 26 Apr 2021 11:42:38 +0200
In-Reply-To: <20210426092215.31032-4-rg@HIDDEN>
References: <20210426092215.31032-1-rg@HIDDEN>
 <20210426092215.31032-4-rg@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
User-Agent: Evolution 3.34.2 
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
X-TUG-Backscatter-control: bt4lQm5Tva3SBgCuw0EnZw
X-Spam-Scanner: SpamAssassin 3.003001 
X-Spam-Score-relay: -1.9
X-Scanned-By: MIMEDefang 2.74 on 129.27.10.117
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 48028
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Am Montag, den 26.04.2021, 05:22 -0400 schrieb Raghav Gururajan:
> Switch from using mutiple C files to single meson.build file.
> 
> * gnu/packages/gnome.scm (libsoup)[phases](adjust-tests): Modify.
> ---
>  gnu/packages/gnome.scm | 22 ++++++++--------------
>  1 file changed, 8 insertions(+), 14 deletions(-)
> 
> diff --git a/gnu/packages/gnome.scm b/gnu/packages/gnome.scm
> index 97cf80c586..c8e7b55f6c 100644
> --- a/gnu/packages/gnome.scm
> +++ b/gnu/packages/gnome.scm
> @@ -4927,20 +4927,14 @@ libxml to ease remote use of the RESTful
> API.")
>                 #t)))
>           (add-after 'unpack 'adjust-tests
>             (lambda _
> -             ;; This test fails due to missing /etc/nsswitch.conf
> -             ;; in the build environment.
> -             (substitute* "tests/socket-test.c"
> -               ((".*/sockets/unconnected.*") ""))
> -
> -             ;; These fail because "subdomain.localhost" does not
> resolve in
> -             ;; the build environment.
> -             (substitute* "tests/hsts-test.c"
> -               ((".*/hsts/basic.*") "")
> -               ((".*/hsts/subdomains.*") "")
> -               ((".*/hsts/superdomain.*") "")
> -               ((".*/hsts/utf8-address.*") ""))
> -             (substitute* "tests/hsts-db-test.c"
> -               ((".*/hsts-db/subdomains.*") ""))
> +             (substitute* "tests/meson.build"
> +               ;; These fail because "subdomain.localhost" does not
> resolve in
> +               ;; the build environment.
> +               (("[ \t]*\\['hsts', true, \\[\\]\\],") "")
> +               (("[ \t]*\\['hsts-db', true, \\[\\]\\],") "")
> +               ;; This test fails due to missing /etc/nsswitch.conf
> +               ;; in the build environment.
> +               (("[ \t]*\\['socket', true, \\[\\]\\],") ""))
>  
>               ;; Generate a self-signed certificate that has
> "localhost" as its
>               ;; 'dnsName'.  Failing to do that, and starting with
> GnuTLS
I'm sorry, but after a closer look, I will have to reject this patch. 
This does far more than just disable a few failing tests, it disables
all tests, that happen to lie in a file with a failing one.  Please
stick to disabling patches in the C files, or if the entire C file
fails just disable that one in meson (but try to see if you can disable
it in C as well).

Regards,
Leo





Information forwarded to guix-patches@HIDDEN:
bug#48028; Package guix-patches. Full text available.

Message received at 48028 <at> debbugs.gnu.org:


Received: (at 48028) by debbugs.gnu.org; 26 Apr 2021 09:28:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 26 05:28:39 2021
Received: from localhost ([127.0.0.1]:44587 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1laxXj-0002jA-Dg
	for submit <at> debbugs.gnu.org; Mon, 26 Apr 2021 05:28:39 -0400
Received: from out2.migadu.com ([188.165.223.204]:38822)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1laxXh-0002j2-Aa
 for 48028 <at> debbugs.gnu.org; Mon, 26 Apr 2021 05:28:38 -0400
To: Leo Prikler <leo.prikler@HIDDEN>, 48028 <at> debbugs.gnu.org
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1619429316;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:mime-version:mime-version:content-type:content-type:
 in-reply-to:in-reply-to:references:references;
 bh=+oY0QC6z9Q5oatPrcywM7p1nF33wx54/4GJJ2RGlOTE=;
 b=MjCh/dwFtyFBDRwUIvNtg2CCSa9uGpUGKcM8tTLX9uMyi5em5nv+/KzjdkTCcINAFDJ2PJ
 NHwfusUtzmuaOpuEDaRRt1O2kbCNvbKrYgzrbIopJnZtu8y4xYkYsHFUu6E29Fwd4dcao0
 uAQ1rESJqSUhAzo89497VbfPofm71y+RpFIMQ8c9MtHykzgWjNeHvPKXL7EbBbehBx4lCR
 rm1A5cUwEOQGth8rilLDyEZxu3ksf1G78YagKLGJhjDfbmyt0RSsVkHS88OjL4qN/g1I0G
 eSUNP8TG1BHMFTvoeGUBsvQu0YABTDI4Wb/bKu5wyvHOROwAOItfBBEO6yLNHw==
References: <20210426081145.28926-1-rg@HIDDEN>
 <20210426081145.28926-5-rg@HIDDEN>
 <73660fda850714bb152afc392df78addecd29932.camel@HIDDEN>
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
From: Raghav Gururajan <rg@HIDDEN>
Subject: Re: [PATCH wip-gnome 5/8] gnu: libsoup: Add missing argument and
 input.
Message-ID: <88a82777-3c12-58d6-912f-196ea150f772@HIDDEN>
Date: Mon, 26 Apr 2021 05:28:34 -0400
MIME-Version: 1.0
In-Reply-To: <73660fda850714bb152afc392df78addecd29932.camel@HIDDEN>
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature";
 boundary="JZzS4UOOzCiASISk2f2PQruiDRFBNj2TL"
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48028
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--JZzS4UOOzCiASISk2f2PQruiDRFBNj2TL
Content-Type: multipart/mixed; boundary="4AbrXONz1ih82sG5YrnnqhLNPBo0QUA0n";
 protected-headers="v1"
From: Raghav Gururajan <rg@HIDDEN>
To: Leo Prikler <leo.prikler@HIDDEN>, 48028 <at> debbugs.gnu.org
Message-ID: <88a82777-3c12-58d6-912f-196ea150f772@HIDDEN>
Subject: Re: [PATCH wip-gnome 5/8] gnu: libsoup: Add missing argument and
 input.
References: <20210426081145.28926-1-rg@HIDDEN>
 <20210426081145.28926-5-rg@HIDDEN>
 <73660fda850714bb152afc392df78addecd29932.camel@HIDDEN>
In-Reply-To: <73660fda850714bb152afc392df78addecd29932.camel@HIDDEN>

--4AbrXONz1ih82sG5YrnnqhLNPBo0QUA0n
Content-Type: multipart/mixed;
 boundary="------------E48B847ABCBD5A158D35B5D6"
Content-Language: en-US

This is a multi-part message in MIME format.
--------------E48B847ABCBD5A158D35B5D6
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Hi Leo!

> This looks like it could be its own patch were it not for the fact,
> that samba needs to be added as well (what for?)

I have split them into two patches and added comment, in v3.

> That doesn't sound very sure to me.  Why are you wrapping binaries
> and/or compiling schemas?

It is mainly for compiling schemas, as libsoup doesn't have binaries to=20
wrap. But I just now realized that there is no=20
`[out]/share/glib-2.0/schemas` either. So I removed this in v3.

> Careful with the indentation.

Ah, good catch. I have fixed it in v3.

Thanks!

Regards,
RG.

--------------E48B847ABCBD5A158D35B5D6
Content-Type: application/pgp-keys;
 name="OpenPGP_0x5F5816647F8BE551.asc"
Content-Transfer-Encoding: quoted-printable
Content-Description: OpenPGP public key
Content-Disposition: attachment;
 filename="OpenPGP_0x5F5816647F8BE551.asc"

-----BEGIN PGP PUBLIC KEY BLOCK-----

xjMEX2ZCJBYJKwYBBAHaRw8BAQdAdiUK33kml2dYjrWidlr4/v0pmjpUv7hOsBN/oSl5wx7NL=
1Jh
Z2hhdiBHdXJ1cmFqYW4gKFJHKSA8cmdAcmFnaGF2Z3VydXJhamFuLm5hbWU+wpMEExYIADsCG=
wMF
CwkIBwIGFQoJCAsCBBYCAwECHgECF4AWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCX28v0AIZA=
QAK
CRBfWBZkf4vlUQf2AQD63gsdJzk0w6Gy0AzpJtMa63mbVRAh4xfnxsRNu6SbGQD/UDytGjwnQ=
4nK
YsGdoCcA7LM64EkknDvI3ZmlqG7Xuw/NPVJhZ2hhdiBHdXJ1cmFqYW4gKEVkdWNhdGlvbikgP=
GVk
dWNhdGlvbkByYWdoYXZndXJ1cmFqYW4ubmFtZT7CkAQTFggAOBYhBM0tXqqpjMs32pHWsF9YF=
mR/
i+VRBQJgE0xGAhsDBQsJCAcCBhUKCQgLAgQWAgMBAh4BAheAAAoJEF9YFmR/i+VRQcQBALNRe=
1V/
5DKN8ZxyVQlzt4TdGUyNom7xJ6r23ANtcygxAQDBjw6NLXV3aYGDMVVmQPbdAnFiB/x1rpJsA=
wB/
1BSBDc05UmFnaGF2IEd1cnVyYWphbiAoRmluYW5jZSkgPGZpbmFuY2VAcmFnaGF2Z3VydXJha=
mFu
Lm5hbWU+wpAEExYIADgWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCYBNMbwIbAwULCQgHAgYVC=
gkI
CwIEFgIDAQIeAQIXgAAKCRBfWBZkf4vlUWnLAP914hb0IzSCiaj+XrcEBaIt/Q+KjRn2fj5A7=
V6Z
ucJJqwEA64eks7xjLBS3mpTpaGwdDtluJcR7G8XZJJdbdK2YyQ/NN1JhZ2hhdiBHdXJ1cmFqY=
W4g
KEhlYWx0aCkgPGhlYWx0aEByYWdoYXZndXJ1cmFqYW4ubmFtZT7CkAQTFggAOBYhBM0tXqqpj=
Ms3
2pHWsF9YFmR/i+VRBQJgE0yhAhsDBQsJCAcCBhUKCQgLAgQWAgMBAh4BAheAAAoJEF9YFmR/i=
+VR
xdcA/3YxFzlKKHrTguDxE1tBWD31BUYlXWl351j6MB/U+tWdAPwJB8QD8janaddv3U5ZGzswf=
hQv
GGzx6SLcX0E253uNC80/UmFnaGF2IEd1cnVyYWphbiAoT2NjdXBhdGlvbikgPG9jY3VwYXRpb=
25A
cmFnaGF2Z3VydXJhamFuLm5hbWU+wpAEExYIADgWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCY=
BNM
ugIbAwULCQgHAgYVCgkICwIEFgIDAQIeAQIXgAAKCRBfWBZkf4vlUSrlAP0VJw8frvWHAGd6l=
Zdy
x1v+relUGB4DToqDgIMBQyG58gD+NU5t4h0IY6YaiQ+FPyJzdV62k15d9IDvTMYPvcWIpQPNP=
1Jh
Z2hhdiBHdXJ1cmFqYW4gKFJlY3JlYXRpb24pIDxyZWNyZWF0aW9uQHJhZ2hhdmd1cnVyYWphb=
i5u
YW1lPsKQBBMWCAA4FiEEzS1eqqmMyzfakdawX1gWZH+L5VEFAmATTNkCGwMFCwkIBwIGFQoJC=
AsC
BBYCAwECHgECF4AACgkQX1gWZH+L5VHhbQD/b6jXWdQfxi+xzrs1+A0lvnihfUgQ0H/r5U2bO=
w9d
FIkA/0nCh0VJKX+YrySJhWugL7e8ItqwKADh0v05vO6qtlkAzTdSYWdoYXYgR3VydXJhamFuI=
ChT
b2NpYWwpIDxzb2NpYWxAcmFnaGF2Z3VydXJhamFuLm5hbWU+wpAEExYIADgWIQTNLV6qqYzLN=
9qR
1rBfWBZkf4vlUQUCYBNM8AIbAwULCQgHAgYVCgkICwIEFgIDAQIeAQIXgAAKCRBfWBZkf4vlU=
dtv
AQCKMxBdxwMUJdyigGWqrTuJUaLVL2dgvqGa0k39nsQA8gD+PH3LsQAaJ98xREKxYXMAszNnJ=
RJR
xYa9trfixyQbrw7NNVJhZ2hhdiBHdXJ1cmFqYW4gKFRyYWRlKSA8dHJhZGVAcmFnaGF2Z3Vyd=
XJh
amFuLm5hbWU+wpAEExYIADgWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCYBNNHQIbAwULCQgHA=
gYV
CgkICwIEFgIDAQIeAQIXgAAKCRBfWBZkf4vlUQ+9AP0S/6S5PLshS/vz7ezRO2HokruaRiDhg=
w0t
yRM3LAefSQEA7rEBw9sSUsDgRILGKUi1ZzQq5AJ0F77KOXyurVqnywXOOARfZkIkEgorBgEEA=
ZdV
AQUBAQdAZgiqc2NhH/myrCCan9x7gKI6QBPZ/1b+Bz/f3n95ozkDAQgHwngEGBYIACAWIQTNL=
V6q
qYzLN9qR1rBfWBZkf4vlUQUCX2ZCJAIbDAAKCRBfWBZkf4vlUV/OAQD+tMNgmddPSchLpaDPp=
sdD
hpvra2uTonNUmnfbTvPgpQD/dG72NCT8hBUVqtzxwQmBrXY/nPEUxctYuvu3unUmzQU=3D
=3DMROf
-----END PGP PUBLIC KEY BLOCK-----

--------------E48B847ABCBD5A158D35B5D6--

--4AbrXONz1ih82sG5YrnnqhLNPBo0QUA0n--

--JZzS4UOOzCiASISk2f2PQruiDRFBNj2TL
Content-Type: application/pgp-signature; name="OpenPGP_signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="OpenPGP_signature"

-----BEGIN PGP SIGNATURE-----

wnsEABYIACMWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCYIaHwgUDAAAAAAAKCRBfWBZkf4vlUUIW
AQD2p+nSFxx+6ck+QGbEPejPThCq5PudRfRSfV3veEahGgEAtVtFwgWyVCTYuH3NAc8Ovrqap4rO
V4qY167xIZN9twg=
=D2tX
-----END PGP SIGNATURE-----

--JZzS4UOOzCiASISk2f2PQruiDRFBNj2TL--




Information forwarded to guix-patches@HIDDEN:
bug#48028; Package guix-patches. Full text available.

Message received at 48028 <at> debbugs.gnu.org:


Received: (at 48028) by debbugs.gnu.org; 26 Apr 2021 09:24:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 26 05:24:31 2021
Received: from localhost ([127.0.0.1]:44582 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1laxTi-0002dS-TE
	for submit <at> debbugs.gnu.org; Mon, 26 Apr 2021 05:24:31 -0400
Received: from out0.migadu.com ([94.23.1.103]:17538)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1laxTg-0002dJ-Km
 for 48028 <at> debbugs.gnu.org; Mon, 26 Apr 2021 05:24:29 -0400
Subject: Re: [PATCH wip-gnome 4/8] gnu: libsoup: Simplify adjustment of tests
 and disable ssl-test.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1619429066;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:mime-version:mime-version:content-type:content-type:
 in-reply-to:in-reply-to:references:references;
 bh=mwpNmllWafLVD7POVapXlJPl/0jw1PeDe/UKBxGU9x8=;
 b=FRBI1FRuv6zkm28QMf8Q89rrVzGKUO0lVWcLtweF3v/ntllE/BK6ujNUyLIdAShMIBMRlm
 no00Q4MKAkNBZa7n16hczxIqpOwpCSS61yTxAmsDrFSbZD68Z20sBg2KHNE7t8/t3wO9bo
 s3T9lhZflXyLklQxY7DhrrNVmyQzmIU8zJsXAQnlT7H3n1WQSLV7R62EdGkPYCb0wuh+vC
 8+9VQaauvSI+cxIhGn5H+XD0Px/lovVoAYW+1+UXQYGWfI9Rp74K8+1IAMTBk3UP/UQNH8
 0ZEfjCXMcPzbkraU94DVTAw0KhLcMU6OEOPLxEUSZobogXSXKr+XZQ7FarYpcg==
To: Leo Prikler <leo.prikler@HIDDEN>, 48028 <at> debbugs.gnu.org
References: <20210426081145.28926-1-rg@HIDDEN>
 <20210426081145.28926-4-rg@HIDDEN>
 <795eec65c654e1f74d147b3e39729ef41086d9ff.camel@HIDDEN>
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
From: Raghav Gururajan <rg@HIDDEN>
Message-ID: <e4982ca2-34ea-8610-82bd-129a13f53e79@HIDDEN>
Date: Mon, 26 Apr 2021 05:24:21 -0400
MIME-Version: 1.0
In-Reply-To: <795eec65c654e1f74d147b3e39729ef41086d9ff.camel@HIDDEN>
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature";
 boundary="rlSe52o8ngJgfmDoojlhMHlN2hyiTNvHL"
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48028
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--rlSe52o8ngJgfmDoojlhMHlN2hyiTNvHL
Content-Type: multipart/mixed; boundary="luKuwx6KUDI3szdUM4XQDmfBzg6kI3hT6";
 protected-headers="v1"
From: Raghav Gururajan <rg@HIDDEN>
To: Leo Prikler <leo.prikler@HIDDEN>, 48028 <at> debbugs.gnu.org
Message-ID: <e4982ca2-34ea-8610-82bd-129a13f53e79@HIDDEN>
Subject: Re: [PATCH wip-gnome 4/8] gnu: libsoup: Simplify adjustment of tests
 and disable ssl-test.
References: <20210426081145.28926-1-rg@HIDDEN>
 <20210426081145.28926-4-rg@HIDDEN>
 <795eec65c654e1f74d147b3e39729ef41086d9ff.camel@HIDDEN>
In-Reply-To: <795eec65c654e1f74d147b3e39729ef41086d9ff.camel@HIDDEN>

--luKuwx6KUDI3szdUM4XQDmfBzg6kI3hT6
Content-Type: multipart/mixed;
 boundary="------------A8E9D0D09DEA98192FED40ED"
Content-Language: en-US

This is a multi-part message in MIME format.
--------------A8E9D0D09DEA98192FED40ED
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Hi Leo!

> This does not look much like a simplification to me.  Instead, the
> regexp seems to have been more complicated, and also the patchee has
> been changed from some C file to meson.build.  Is this necessary to
> disable the SSL test?  If not, try separating this patch into two
> parts.

I have separated them to into patches, in v3.

Regards,
RG.

--------------A8E9D0D09DEA98192FED40ED
Content-Type: application/pgp-keys;
 name="OpenPGP_0x5F5816647F8BE551.asc"
Content-Transfer-Encoding: quoted-printable
Content-Description: OpenPGP public key
Content-Disposition: attachment;
 filename="OpenPGP_0x5F5816647F8BE551.asc"

-----BEGIN PGP PUBLIC KEY BLOCK-----

xjMEX2ZCJBYJKwYBBAHaRw8BAQdAdiUK33kml2dYjrWidlr4/v0pmjpUv7hOsBN/oSl5wx7NL=
1Jh
Z2hhdiBHdXJ1cmFqYW4gKFJHKSA8cmdAcmFnaGF2Z3VydXJhamFuLm5hbWU+wpMEExYIADsCG=
wMF
CwkIBwIGFQoJCAsCBBYCAwECHgECF4AWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCX28v0AIZA=
QAK
CRBfWBZkf4vlUQf2AQD63gsdJzk0w6Gy0AzpJtMa63mbVRAh4xfnxsRNu6SbGQD/UDytGjwnQ=
4nK
YsGdoCcA7LM64EkknDvI3ZmlqG7Xuw/NPVJhZ2hhdiBHdXJ1cmFqYW4gKEVkdWNhdGlvbikgP=
GVk
dWNhdGlvbkByYWdoYXZndXJ1cmFqYW4ubmFtZT7CkAQTFggAOBYhBM0tXqqpjMs32pHWsF9YF=
mR/
i+VRBQJgE0xGAhsDBQsJCAcCBhUKCQgLAgQWAgMBAh4BAheAAAoJEF9YFmR/i+VRQcQBALNRe=
1V/
5DKN8ZxyVQlzt4TdGUyNom7xJ6r23ANtcygxAQDBjw6NLXV3aYGDMVVmQPbdAnFiB/x1rpJsA=
wB/
1BSBDc05UmFnaGF2IEd1cnVyYWphbiAoRmluYW5jZSkgPGZpbmFuY2VAcmFnaGF2Z3VydXJha=
mFu
Lm5hbWU+wpAEExYIADgWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCYBNMbwIbAwULCQgHAgYVC=
gkI
CwIEFgIDAQIeAQIXgAAKCRBfWBZkf4vlUWnLAP914hb0IzSCiaj+XrcEBaIt/Q+KjRn2fj5A7=
V6Z
ucJJqwEA64eks7xjLBS3mpTpaGwdDtluJcR7G8XZJJdbdK2YyQ/NN1JhZ2hhdiBHdXJ1cmFqY=
W4g
KEhlYWx0aCkgPGhlYWx0aEByYWdoYXZndXJ1cmFqYW4ubmFtZT7CkAQTFggAOBYhBM0tXqqpj=
Ms3
2pHWsF9YFmR/i+VRBQJgE0yhAhsDBQsJCAcCBhUKCQgLAgQWAgMBAh4BAheAAAoJEF9YFmR/i=
+VR
xdcA/3YxFzlKKHrTguDxE1tBWD31BUYlXWl351j6MB/U+tWdAPwJB8QD8janaddv3U5ZGzswf=
hQv
GGzx6SLcX0E253uNC80/UmFnaGF2IEd1cnVyYWphbiAoT2NjdXBhdGlvbikgPG9jY3VwYXRpb=
25A
cmFnaGF2Z3VydXJhamFuLm5hbWU+wpAEExYIADgWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCY=
BNM
ugIbAwULCQgHAgYVCgkICwIEFgIDAQIeAQIXgAAKCRBfWBZkf4vlUSrlAP0VJw8frvWHAGd6l=
Zdy
x1v+relUGB4DToqDgIMBQyG58gD+NU5t4h0IY6YaiQ+FPyJzdV62k15d9IDvTMYPvcWIpQPNP=
1Jh
Z2hhdiBHdXJ1cmFqYW4gKFJlY3JlYXRpb24pIDxyZWNyZWF0aW9uQHJhZ2hhdmd1cnVyYWphb=
i5u
YW1lPsKQBBMWCAA4FiEEzS1eqqmMyzfakdawX1gWZH+L5VEFAmATTNkCGwMFCwkIBwIGFQoJC=
AsC
BBYCAwECHgECF4AACgkQX1gWZH+L5VHhbQD/b6jXWdQfxi+xzrs1+A0lvnihfUgQ0H/r5U2bO=
w9d
FIkA/0nCh0VJKX+YrySJhWugL7e8ItqwKADh0v05vO6qtlkAzTdSYWdoYXYgR3VydXJhamFuI=
ChT
b2NpYWwpIDxzb2NpYWxAcmFnaGF2Z3VydXJhamFuLm5hbWU+wpAEExYIADgWIQTNLV6qqYzLN=
9qR
1rBfWBZkf4vlUQUCYBNM8AIbAwULCQgHAgYVCgkICwIEFgIDAQIeAQIXgAAKCRBfWBZkf4vlU=
dtv
AQCKMxBdxwMUJdyigGWqrTuJUaLVL2dgvqGa0k39nsQA8gD+PH3LsQAaJ98xREKxYXMAszNnJ=
RJR
xYa9trfixyQbrw7NNVJhZ2hhdiBHdXJ1cmFqYW4gKFRyYWRlKSA8dHJhZGVAcmFnaGF2Z3Vyd=
XJh
amFuLm5hbWU+wpAEExYIADgWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCYBNNHQIbAwULCQgHA=
gYV
CgkICwIEFgIDAQIeAQIXgAAKCRBfWBZkf4vlUQ+9AP0S/6S5PLshS/vz7ezRO2HokruaRiDhg=
w0t
yRM3LAefSQEA7rEBw9sSUsDgRILGKUi1ZzQq5AJ0F77KOXyurVqnywXOOARfZkIkEgorBgEEA=
ZdV
AQUBAQdAZgiqc2NhH/myrCCan9x7gKI6QBPZ/1b+Bz/f3n95ozkDAQgHwngEGBYIACAWIQTNL=
V6q
qYzLN9qR1rBfWBZkf4vlUQUCX2ZCJAIbDAAKCRBfWBZkf4vlUV/OAQD+tMNgmddPSchLpaDPp=
sdD
hpvra2uTonNUmnfbTvPgpQD/dG72NCT8hBUVqtzxwQmBrXY/nPEUxctYuvu3unUmzQU=3D
=3DMROf
-----END PGP PUBLIC KEY BLOCK-----

--------------A8E9D0D09DEA98192FED40ED--

--luKuwx6KUDI3szdUM4XQDmfBzg6kI3hT6--

--rlSe52o8ngJgfmDoojlhMHlN2hyiTNvHL
Content-Type: application/pgp-signature; name="OpenPGP_signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="OpenPGP_signature"

-----BEGIN PGP SIGNATURE-----

wnsEABYIACMWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCYIaGxQUDAAAAAAAKCRBfWBZkf4vlUaTC
AP46lIU8BKFe/u83L0ymWSAX96fgXObNXm/DhXmldXPq1QEAuxgYUEZzR4kZQJSryH1yPEfKN1Eu
2I4t9wSS38aEBg8=
=AQsy
-----END PGP SIGNATURE-----

--rlSe52o8ngJgfmDoojlhMHlN2hyiTNvHL--




Information forwarded to guix-patches@HIDDEN:
bug#48028; Package guix-patches. Full text available.

Message received at 48028 <at> debbugs.gnu.org:


Received: (at 48028) by debbugs.gnu.org; 26 Apr 2021 09:22:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 26 05:22:38 2021
Received: from localhost ([127.0.0.1]:44566 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1laxRu-0002Z9-EA
	for submit <at> debbugs.gnu.org; Mon, 26 Apr 2021 05:22:38 -0400
Received: from out2.migadu.com ([188.165.223.204]:37868)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1laxRk-0002YO-72
 for 48028 <at> debbugs.gnu.org; Mon, 26 Apr 2021 05:22:28 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1619428947;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=gqit6dCrhwpieLk+kI4VzkydYcLuTytDVTyiLX/7yuo=;
 b=W6cBDzPMZNKkLaKjcHkdN9MHR5WZQXhgo9WtkIfWvkABnnXZDI/TK5jkErstgk1E1HhPhB
 bI5jWhxHBl0Ldzixo73/hY3oianvrDA3qbpVEhrmb0iZ6rwjhOGxuki61hYUuj4uwwMY6z
 wCwqSrMFKt04aH8/3vefHW8xlbd8nJFX+h99UhVVvnqyJ/klQ3Cq0o1aaptyMchgEaM7XH
 B2JefqCHgPkYODq1QhGm5T6Joe1UUpkFXoKqfxHwxvpF6KwgQ2MdVDhKwm+ify6PGHhcLs
 39zPu3ZfxwCfOA0+DV1ZGxeb/Bgiv/wHYRrCotOoRIkrhF8NGpT9QO531t8edw==
From: Raghav Gururajan <rg@HIDDEN>
To: 48028 <at> debbugs.gnu.org
Subject: [PATCH wip-gnome v3 10/10] gnu: python-pygobject: Update to 3.40.1.
Date: Mon, 26 Apr 2021 05:22:15 -0400
Message-Id: <20210426092215.31032-10-rg@HIDDEN>
In-Reply-To: <20210426092215.31032-1-rg@HIDDEN>
References: <20210426092215.31032-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48028
Cc: Raghav Gururajan <rg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/glib.scm (python-pygobject)[version]: Update to 3.40.1.
[native-inputs]: Add python-wrapper.
---
 gnu/packages/glib.scm | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/glib.scm b/gnu/packages/glib.scm
index fd88d7329f..31cd13e9c7 100644
--- a/gnu/packages/glib.scm
+++ b/gnu/packages/glib.scm
@@ -776,7 +776,7 @@ useful for C++.")
 (define-public python-pygobject
   (package
     (name "python-pygobject")
-    (version "3.34.0")
+    (version "3.40.1")
     (source
      (origin
        (method url-fetch)
@@ -785,7 +785,7 @@ useful for C++.")
                            "/pygobject-" version ".tar.xz"))
        (sha256
         (base32
-         "06i7ynnbvgpz0gw09zsjbvhgcp5qz4yzdifw27qjwdazg2mckql7"))
+         "0d80g5kgf2i9cginyhalvb7ibfk9g30yilqzmcsw6h6byj8xbih0"))
        (modules '((guix build utils)))
        (snippet
         '(begin
@@ -800,7 +800,8 @@ useful for C++.")
     (native-inputs
      `(("glib-bin" ,glib "bin")
        ("pkg-config" ,pkg-config)
-       ("python-pytest" ,python-pytest)))
+       ("python-pytest" ,python-pytest)
+       ("python-wrapper" ,python-wrapper))) ; For patching shebangs
     (inputs
      `(("python" ,python)
        ("python-pycairo" ,python-pycairo)
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48028; Package guix-patches. Full text available.

Message received at 48028 <at> debbugs.gnu.org:


Received: (at 48028) by debbugs.gnu.org; 26 Apr 2021 09:22:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 26 05:22:38 2021
Received: from localhost ([127.0.0.1]:44564 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1laxRu-0002Z1-47
	for submit <at> debbugs.gnu.org; Mon, 26 Apr 2021 05:22:38 -0400
Received: from out2.migadu.com ([188.165.223.204]:37856)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1laxRj-0002YI-Hw
 for 48028 <at> debbugs.gnu.org; Mon, 26 Apr 2021 05:22:27 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1619428947;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=KXHpCYjA+poGvOrVV0KDyspyu0DxHBkj8cEmD0lTFZM=;
 b=af9WZ7A9wSu7VWhJ+g3Be0b9AoM6qFCB8Ed9pDh3uHYrAuHvWVi6pqPRRmq0uWLa5tQW1g
 eL7dpZ3NXoHtctVIvn3+XbSCaR2ZDcbCD058u4x3GtldnMcpxCWv79hae42luh5Nmb9eU5
 yOgVw49ySOdRGCYLUKQ1Ui0YETMI2Ecm5UFaREn1Z7UKCRsdyAHp9zb8NqsfegFSPQ/Fif
 A1+humzTL2TtWafeuU6V1j1PW9Yi87AI/P9kzKpgW9BrQTpiI9WBRW7PRKh2GSvBxE6Ytd
 8UH2PGp6VPW+z+ljfT1/hQe42nBdYWYfkHO3sMjNdTdynEo051g7TgNmpn+Hxg==
From: Raghav Gururajan <rg@HIDDEN>
To: 48028 <at> debbugs.gnu.org
Subject: [PATCH wip-gnome v3 09/10] gnu: python-pycairo: Update to 1.20.0.
Date: Mon, 26 Apr 2021 05:22:14 -0400
Message-Id: <20210426092215.31032-9-rg@HIDDEN>
In-Reply-To: <20210426092215.31032-1-rg@HIDDEN>
References: <20210426092215.31032-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48028
Cc: Raghav Gururajan <rg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/gtk.scm (python-pycairo)[version]: Update to 1.20.0.
---
 gnu/packages/gtk.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/gtk.scm b/gnu/packages/gtk.scm
index 86490115d6..e7f71fa739 100644
--- a/gnu/packages/gtk.scm
+++ b/gnu/packages/gtk.scm
@@ -1761,7 +1761,7 @@ printing and other features typical of a source code editor.")
 (define-public python-pycairo
   (package
     (name "python-pycairo")
-    (version "1.19.1")
+    (version "1.20.0")
     (source
      (origin
       (method url-fetch)
@@ -1769,7 +1769,7 @@ printing and other features typical of a source code editor.")
                           version "/pycairo-" version ".tar.gz"))
       (sha256
        (base32
-        "111fav9m1iagw3nh2ws2vzkjh34r97yl7rdlpvsngsqg521k251c"))))
+        "1326aa2ybhhhrvz3n4p22z5sic25m016ddb5yq0hvbprnw6a35an"))))
     (build-system python-build-system)
     (native-inputs
      `(("pkg-config" ,pkg-config)
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48028; Package guix-patches. Full text available.

Message received at 48028 <at> debbugs.gnu.org:


Received: (at 48028) by debbugs.gnu.org; 26 Apr 2021 09:22:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 26 05:22:38 2021
Received: from localhost ([127.0.0.1]:44562 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1laxRt-0002Yu-R1
	for submit <at> debbugs.gnu.org; Mon, 26 Apr 2021 05:22:38 -0400
Received: from out2.migadu.com ([188.165.223.204]:37837)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1laxRh-0002XQ-Jw
 for 48028 <at> debbugs.gnu.org; Mon, 26 Apr 2021 05:22:26 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1619428945;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=XuFGYwwrWy3QWwEE8FOEBlb/Z2C/gOUuFZdm2YH6v9s=;
 b=f1Uj5ikc7iXFQP+dc9g/3gARVCUUiranX20YIZ9ni5/F94OHFjYWDVYH4Gx2terJT6R14k
 E9/A0Gz6XcLHKChDLOJK7/TcYZ0Ntqh4mz5o5yZfDtRGiKPata6gH3dl3fzZO9HGeZxx4R
 pqh5uAONbXAXe/g2wbZfnJm8oYoPkKH2k9uVT9qsJKpiUdkEnvYiLdsGRcv9sYZyLqY4A9
 ORncW/cyqdO46tdfaNJPrth7LAj7tUdfhGYIuuTiM3YK2WxvTQcg2escCS0i+jOe7efMNh
 e+06PabhYU6+1Sjdd6QR2aFJIFkfzDdNUcIYUvyjwDe4sfxv0gfpYXiC/O9Xgw==
From: Raghav Gururajan <rg@HIDDEN>
To: 48028 <at> debbugs.gnu.org
Subject: [PATCH wip-gnome v3 08/10] gnu: libsoup: Update home-page.
Date: Mon, 26 Apr 2021 05:22:13 -0400
Message-Id: <20210426092215.31032-8-rg@HIDDEN>
In-Reply-To: <20210426092215.31032-1-rg@HIDDEN>
References: <20210426092215.31032-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48028
Cc: Raghav Gururajan <rg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/gnome.scm (libsoup)[home-page]: Modify.
---
 gnu/packages/gnome.scm | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/gnu/packages/gnome.scm b/gnu/packages/gnome.scm
index d75265e3ad..97009df873 100644
--- a/gnu/packages/gnome.scm
+++ b/gnu/packages/gnome.scm
@@ -4972,7 +4972,7 @@ libxml to ease remote use of the RESTful API.")
     (inputs
      `(("mit-krb5" ,mit-krb5)
        ("ntlm_auth" ,samba))) ; For ntlm_auth support
-    (home-page "https://live.gnome.org/LibSoup/")
+    (home-page "https://wiki.gnome.org/Projects/libsoup")
     (synopsis "GLib-based HTTP Library")
     (description
      "LibSoup is an HTTP client/server library for GNOME.  It uses GObjects
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48028; Package guix-patches. Full text available.

Message received at 48028 <at> debbugs.gnu.org:


Received: (at 48028) by debbugs.gnu.org; 26 Apr 2021 09:22:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 26 05:22:37 2021
Received: from localhost ([127.0.0.1]:44560 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1laxRt-0002Yn-GE
	for submit <at> debbugs.gnu.org; Mon, 26 Apr 2021 05:22:37 -0400
Received: from out2.migadu.com ([188.165.223.204]:37830)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1laxRg-0002XK-QL
 for 48028 <at> debbugs.gnu.org; Mon, 26 Apr 2021 05:22:26 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1619428944;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=RvrQApltCh3JAAR3UrpjDvjVHfSdrEQPyrlpMkqAdTA=;
 b=LMnvyf2tbaTueff+rF+TGynRn7i1jjaXyoCiRYeYvIv111075MpWr2utJwgU3R1QdgZ2tJ
 8qLJZ143CKaADcfhHTfZ1DGt/jCIeCpDPPdXlGJjaRARM2ImeJvSq1rXDkacK2lFKpC3uT
 kWGJAzQ1DfkNn5H82/VTXYMbjVqoPcDeEPUSs8xMU7yxqFBAaTN3RODBRzQ0XMbNFNOT1G
 mf3ltKOxAdwM4T4vkereJrWVTE+UPEsQJhT1fqO8kOf7aRzcmZxycxhl7IlUOwPCblJyPI
 /w8p72WbjsqpJCHlAysd9RhOEWBaj3eJxuDsCqckaS3PG3jeJKTLCUOybSVCnw==
From: Raghav Gururajan <rg@HIDDEN>
To: 48028 <at> debbugs.gnu.org
Subject: [PATCH wip-gnome v3 07/10] gnu: libsoup: Propagate glib-networking.
Date: Mon, 26 Apr 2021 05:22:12 -0400
Message-Id: <20210426092215.31032-7-rg@HIDDEN>
In-Reply-To: <20210426092215.31032-1-rg@HIDDEN>
References: <20210426092215.31032-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48028
Cc: Raghav Gururajan <rg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Propagate glib-networking as per .pc file.

* gnu/packages/gnome.scm (libsoup)[inputs]: Move glib-networking to ...
[propagated-inputs]: ... here.
---
 gnu/packages/gnome.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/gnome.scm b/gnu/packages/gnome.scm
index 6c9cdd5ef9..d75265e3ad 100644
--- a/gnu/packages/gnome.scm
+++ b/gnu/packages/gnome.scm
@@ -4964,13 +4964,13 @@ libxml to ease remote use of the RESTful API.")
      ;; libsoup-2.4.pc refers to all these.
      `(("brotli" ,google-brotli)
        ("glib" ,glib)
+       ("glib-networking" ,glib-networking)
        ("libpsl" ,libpsl)
        ("libxml2" ,libxml2)
        ("sqlite" ,sqlite)
        ("zlib" ,zlib)))
     (inputs
-     `(("glib-networking" ,glib-networking)
-       ("mit-krb5" ,mit-krb5)
+     `(("mit-krb5" ,mit-krb5)
        ("ntlm_auth" ,samba))) ; For ntlm_auth support
     (home-page "https://live.gnome.org/LibSoup/")
     (synopsis "GLib-based HTTP Library")
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48028; Package guix-patches. Full text available.

Message received at 48028 <at> debbugs.gnu.org:


Received: (at 48028) by debbugs.gnu.org; 26 Apr 2021 09:22:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 26 05:22:37 2021
Received: from localhost ([127.0.0.1]:44558 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1laxRt-0002Yg-50
	for submit <at> debbugs.gnu.org; Mon, 26 Apr 2021 05:22:37 -0400
Received: from out2.migadu.com ([188.165.223.204]:37837)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1laxRg-0002XQ-Ej
 for 48028 <at> debbugs.gnu.org; Mon, 26 Apr 2021 05:22:24 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1619428943;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=zVPZ6oiBkfZKUTclI7Yg8x9niYROXI9WBaUhNOv7sUU=;
 b=tBSOOnc9Pm31CI1ctcaJUjX2MDnO5wT/R7V38gklQ0p/grOOCJDesN+VOwXYzaNxcXMiIU
 kEvMWqAjzFqwhMxjvHt54iVpIEOtV2daeU/ClP8cp1gOoHtAwRfVkRhluwkb8BXZz55sZL
 0gv0vuD6C00xmav6KFZiUlXW8m5S4aRXJPqGsLm0ml15Z3VR4/q0OWsgIpk5Qbk4kpjPOa
 KNd8B7bj9JUVbWYQqJjMj/GaipW0Ifc8pdX4Ck4aKmDQqoojASMbFdYkzXiE0HV82lecTn
 wX87XKRc52Pl9dhXtvnW/upRLj6KXmRzyn/IpPat3oxuIV9T17ZjU2gfxsoH/w==
From: Raghav Gururajan <rg@HIDDEN>
To: 48028 <at> debbugs.gnu.org
Subject: [PATCH wip-gnome v3 06/10] gnu: libsoup: Add missing input.
Date: Mon, 26 Apr 2021 05:22:11 -0400
Message-Id: <20210426092215.31032-6-rg@HIDDEN>
In-Reply-To: <20210426092215.31032-1-rg@HIDDEN>
References: <20210426092215.31032-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48028
Cc: Raghav Gururajan <rg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/gnome.scm (libsoup)[inputs]: Add samba.
---
 gnu/packages/gnome.scm | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/gnome.scm b/gnu/packages/gnome.scm
index 29779c39af..6c9cdd5ef9 100644
--- a/gnu/packages/gnome.scm
+++ b/gnu/packages/gnome.scm
@@ -4970,7 +4970,8 @@ libxml to ease remote use of the RESTful API.")
        ("zlib" ,zlib)))
     (inputs
      `(("glib-networking" ,glib-networking)
-       ("mit-krb5" ,mit-krb5)))
+       ("mit-krb5" ,mit-krb5)
+       ("ntlm_auth" ,samba))) ; For ntlm_auth support
     (home-page "https://live.gnome.org/LibSoup/")
     (synopsis "GLib-based HTTP Library")
     (description
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48028; Package guix-patches. Full text available.

Message received at 48028 <at> debbugs.gnu.org:


Received: (at 48028) by debbugs.gnu.org; 26 Apr 2021 09:22:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 26 05:22:37 2021
Received: from localhost ([127.0.0.1]:44556 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1laxRs-0002Yd-P9
	for submit <at> debbugs.gnu.org; Mon, 26 Apr 2021 05:22:37 -0400
Received: from out2.migadu.com ([188.165.223.204]:37830)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1laxRf-0002XK-Lw
 for 48028 <at> debbugs.gnu.org; Mon, 26 Apr 2021 05:22:24 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1619428943;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=16jQi0h1MXESo1S2LgAVn2DGWoSNW489sqPoBMK7Hu8=;
 b=UEPz4CTlDiI6Be3EIQY7nk0/DfjeLWh61hLubzS4ACkwN821OiLdhSEsmyDyeI/ahdnxQ9
 d5derptNMN35lwnKIeaPDg9GsKm8p3oIn9mFfhc5f6jbgiqCnIcF2mthIYxrXQLSJtC1+t
 70mpFk1HNIiYuy63/vIPgUUC47IrKkRMlCPZDfd3iOpwzFoLaTXs8D5giFZFRmHAs9Aksq
 j0it0vsnbRkHZTWM1SMX668JMwIOzk90Zj20YcbRY2P82yFf2Y+lNK6CrboriTwqA31Dxo
 t7AWZRxxzCTqYgdLU5Es0queGlvl+tbjkuBgm1hvxZDZv7n46d0rRHvpKPc/gA==
From: Raghav Gururajan <rg@HIDDEN>
To: 48028 <at> debbugs.gnu.org
Subject: [PATCH wip-gnome v3 05/10] gnu: libsoup: Disable ssl-test.
Date: Mon, 26 Apr 2021 05:22:10 -0400
Message-Id: <20210426092215.31032-5-rg@HIDDEN>
In-Reply-To: <20210426092215.31032-1-rg@HIDDEN>
References: <20210426092215.31032-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48028
Cc: Raghav Gururajan <rg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/gnome.scm (libsoup)[phases](adjust-tests): Modify.
[native-inputs]: Remove gnutls.
---
 gnu/packages/gnome.scm | 50 ++++--------------------------------------
 1 file changed, 4 insertions(+), 46 deletions(-)

diff --git a/gnu/packages/gnome.scm b/gnu/packages/gnome.scm
index c8e7b55f6c..29779c39af 100644
--- a/gnu/packages/gnome.scm
+++ b/gnu/packages/gnome.scm
@@ -4934,51 +4934,10 @@ libxml to ease remote use of the RESTful API.")
                (("[ \t]*\\['hsts-db', true, \\[\\]\\],") "")
                ;; This test fails due to missing /etc/nsswitch.conf
                ;; in the build environment.
-               (("[ \t]*\\['socket', true, \\[\\]\\],") ""))
-
-             ;; Generate a self-signed certificate that has "localhost" as its
-             ;; 'dnsName'.  Failing to do that, and starting with GnuTLS
-             ;; 3.5.12, tests such as "ssl-tests" fail:
-             ;;
-             ;; ERROR:ssl-test.c:406:do_tls_interaction_test: Unexpected status 6 Unacceptable TLS certificate (expected 200 OK)
-             ;;
-             ;; 'certtool' is interactive so we have to pipe it the answers.
-             ;; Reported at <https://bugzilla.gnome.org/show_bug.cgi?id=784696>.
-             (let ((pipe (open-output-pipe "certtool --generate-self-signed \
- --load-privkey tests/test-key.pem --outfile tests/test-cert.pem")))
-               (for-each (lambda (line)
-                           (display line pipe)
-                           (newline pipe))
-                         '(""               ;Common name
-                           ""               ;UID
-                           "Guix"           ;Organizational unit name
-                           "GNU"            ;Organization name
-                           ""               ;Locality name
-                           ""               ;State or province
-                           ""               ;Country
-                           ""               ;subject's domain component (DC)
-                           ""               ;E-mail
-                           ""               ;serial number
-                           "-1"             ;expiration time
-                           "N"              ;belong to authority?
-                           "N"              ;web client certificate?
-                           "N"              ;IPsec IKE?
-                           "Y"              ;web server certificate?
-                           "localhost"      ;dnsName of subject
-                           ""               ;dnsName of subject (end)
-                           ""               ;URI of subject
-                           "127.0.0.1"      ;IP address of subject
-                           ""               ;signing?
-                           ""               ;encryption (RSA)?
-                           ""               ;data encryption?
-                           ""               ;sign OCSP requests?
-                           ""               ;sign code?
-                           ""               ;time stamping?
-                           ""               ;email protection?
-                           ""               ;URI of the CRL distribution point
-                           "y"              ;above info OK?
-                           ))
-               (close-pipe pipe))
+               (("[ \t]*\\['socket', true, \\[\\]\\],") "")
+               ;; FIX-ME: ssl-test fails, starting with
+               ;; glib-networking 2.68.x.
+               (("[ \t]*\\['ssl', true, \\[\\]\\],") ""))
              #t))
          (add-after 'install 'move-doc
            (lambda* (#:key outputs #:allow-other-keys)
@@ -5000,7 +4959,6 @@ libxml to ease remote use of the RESTful API.")
        ("vala" ,vala)
        ("php" ,php)
        ("curl" ,curl)
-       ("gnutls" ,gnutls)                         ;for 'certtool'
        ("httpd" ,httpd)))
     (propagated-inputs
      ;; libsoup-2.4.pc refers to all these.
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48028; Package guix-patches. Full text available.

Message received at 48028 <at> debbugs.gnu.org:


Received: (at 48028) by debbugs.gnu.org; 26 Apr 2021 09:22:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 26 05:22:26 2021
Received: from localhost ([127.0.0.1]:44550 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1laxRi-0002Xt-14
	for submit <at> debbugs.gnu.org; Mon, 26 Apr 2021 05:22:26 -0400
Received: from out2.migadu.com ([188.165.223.204]:37826)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1laxRe-0002X2-QS
 for 48028 <at> debbugs.gnu.org; Mon, 26 Apr 2021 05:22:23 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1619428941;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=RfFoNl2xu8p2mJTLZMUJX3uQhP+9Jgs9o4Qn4PW+4aU=;
 b=jL2Qz6isiXk6I4ihSyU+KSp37iYOT118XRRmccZWfdt4zZ6tMSNg4oDSJSEj6fB5GJGC/M
 9x21JryiJrp5M1q/3vIMKjWxj65ZFeYMVoPG9P9IvsDN6pSmQu3YXUVAFcqvqHTtAOKFdX
 fA7z7ohtk6v3P6UER9Xc0Q3OE6HKcNLg8ISU2tCp8JnhmQ+KKFQIHAiyNgZIs/Eov9suwH
 UodE355UujXwmNL4YLkrOvZn1eWbgVzcwx+zQP/HrCa/F0lauxWcHKA+L5ozEjAMqXM9IS
 07VymkqFn7VaZ0FcHRtBhfei5k+7HKNW0ssDEQt5YBx2yXcznPkyicXrfaGZSA==
From: Raghav Gururajan <rg@HIDDEN>
To: 48028 <at> debbugs.gnu.org
Subject: [PATCH wip-gnome v3 04/10] gnu: libsoup: Simplify adjustment of tests.
Date: Mon, 26 Apr 2021 05:22:09 -0400
Message-Id: <20210426092215.31032-4-rg@HIDDEN>
In-Reply-To: <20210426092215.31032-1-rg@HIDDEN>
References: <20210426092215.31032-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48028
Cc: Raghav Gururajan <rg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Switch from using mutiple C files to single meson.build file.

* gnu/packages/gnome.scm (libsoup)[phases](adjust-tests): Modify.
---
 gnu/packages/gnome.scm | 22 ++++++++--------------
 1 file changed, 8 insertions(+), 14 deletions(-)

diff --git a/gnu/packages/gnome.scm b/gnu/packages/gnome.scm
index 97cf80c586..c8e7b55f6c 100644
--- a/gnu/packages/gnome.scm
+++ b/gnu/packages/gnome.scm
@@ -4927,20 +4927,14 @@ libxml to ease remote use of the RESTful API.")
                #t)))
          (add-after 'unpack 'adjust-tests
            (lambda _
-             ;; This test fails due to missing /etc/nsswitch.conf
-             ;; in the build environment.
-             (substitute* "tests/socket-test.c"
-               ((".*/sockets/unconnected.*") ""))
-
-             ;; These fail because "subdomain.localhost" does not resolve in
-             ;; the build environment.
-             (substitute* "tests/hsts-test.c"
-               ((".*/hsts/basic.*") "")
-               ((".*/hsts/subdomains.*") "")
-               ((".*/hsts/superdomain.*") "")
-               ((".*/hsts/utf8-address.*") ""))
-             (substitute* "tests/hsts-db-test.c"
-               ((".*/hsts-db/subdomains.*") ""))
+             (substitute* "tests/meson.build"
+               ;; These fail because "subdomain.localhost" does not resolve in
+               ;; the build environment.
+               (("[ \t]*\\['hsts', true, \\[\\]\\],") "")
+               (("[ \t]*\\['hsts-db', true, \\[\\]\\],") "")
+               ;; This test fails due to missing /etc/nsswitch.conf
+               ;; in the build environment.
+               (("[ \t]*\\['socket', true, \\[\\]\\],") ""))
 
              ;; Generate a self-signed certificate that has "localhost" as its
              ;; 'dnsName'.  Failing to do that, and starting with GnuTLS
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48028; Package guix-patches. Full text available.

Message received at 48028 <at> debbugs.gnu.org:


Received: (at 48028) by debbugs.gnu.org; 26 Apr 2021 09:22:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 26 05:22:26 2021
Received: from localhost ([127.0.0.1]:44544 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1laxRh-0002Xl-Hu
	for submit <at> debbugs.gnu.org; Mon, 26 Apr 2021 05:22:25 -0400
Received: from out2.migadu.com ([188.165.223.204]:37813)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1laxRd-0002Wx-Jb
 for 48028 <at> debbugs.gnu.org; Mon, 26 Apr 2021 05:22:23 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1619428939;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding;
 bh=iF7nEhIOcGWL7uP3tYoWjNmGPRauLSpgih9gL/4OWv0=;
 b=Gt7LmJkac3p4p4L1ajpUgIQUw52GT3Dtxl3zXNjtH+PZHmSDGefQDBWL/1J2xy3JeopedY
 zffdXTAlCtZdul0QXWvciiKSSxA3Pqa31Te7uGzqCsbaNcPOpU7YHzr+nlrLNgCF89yjkO
 5H8xjeDmNYEl56Q95SYyY2VTE08X0cdeqfNk3bvVG0L0f0in8UwtAkNFta/srrb3hZCB6D
 YfIq1ywWWicq9ZOCxtBVcLLcw5f5TOnAUn+4mlcoy3CsMO4gwuI0tR1b5UJe5FShJM/y4C
 3eCh5n0fvEAPre27lQBYaHc564r4cL4+qRuBaYhLTKrHUjgy+DKEup2cKAKwLw==
From: Raghav Gururajan <rg@HIDDEN>
To: 48028 <at> debbugs.gnu.org
Subject: [PATCH wip-gnome v3 01/10] gnu: gtkmm@2: Remove inheritance from
 gtkmm@3.
Date: Mon, 26 Apr 2021 05:22:06 -0400
Message-Id: <20210426092215.31032-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48028
Cc: Raghav Gururajan <rg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Remove inheritance to prevent rebuilds of packages like inkscape
and gtk+, whenever changes are made to gtkmm@3.

* gnu/packages/gtk.scm (gtkmm-2)[build-system,outputs,arguments,
native-inputs,synopsis,description,home-page,license]: New fields.
---
 gnu/packages/gtk.scm | 48 ++++++++++++++++++++++++++++++++++++++++++--
 1 file changed, 46 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/gtk.scm b/gnu/packages/gtk.scm
index 04a0db1161..81ac4a7197 100644
--- a/gnu/packages/gtk.scm
+++ b/gnu/packages/gtk.scm
@@ -1660,7 +1660,6 @@ tutorial.")
 
 (define-public gtkmm-2
   (package
-    (inherit gtkmm)
     (name "gtkmm")
     (version "2.24.5")
     (source
@@ -1672,12 +1671,57 @@ tutorial.")
                        name "-" version ".tar.xz"))
        (sha256
         (base32 "0wkbzvsx4kgw16f6xjdc1dz7f77ldngdila4yi5lw2zrgcxsb006"))))
+    (build-system glib-or-gtk-build-system)
+    (outputs '("out" "doc"))
+    (arguments
+     `(#:phases
+       (modify-phases %standard-phases
+         (add-before 'check 'pre-check
+           (lambda _
+             ;; Tests require a running X server.
+             (system "Xvfb :1 +extension GLX &")
+             (setenv "DISPLAY" ":1")
+             ;; For missing '/etc/machine-id'.
+             (setenv "DBUS_FATAL_WARNINGS" "0")
+             #t))
+         (add-after 'install 'move-doc
+           (lambda* (#:key outputs #:allow-other-keys)
+             (let* ((out (assoc-ref outputs "out"))
+                    (doc (assoc-ref outputs "doc")))
+               (mkdir-p (string-append doc "/share"))
+               (rename-file
+                (string-append out "/share/doc")
+                (string-append doc "/share/doc"))
+               #t))))))
+    (native-inputs
+     `(("dot" ,graphviz)
+       ("doxygen" ,doxygen)
+       ("m4" ,m4)
+       ("mm-common" ,mm-common)
+       ("perl" ,perl)
+       ("pkg-config" ,pkg-config)
+       ("xsltproc" ,libxslt)
+       ("xorg-server" ,xorg-server-for-tests)))
     (propagated-inputs
      `(("atkmm" ,atkmm-2.28)
        ("cairomm" ,cairomm-1.13)
        ("glibmm" ,glibmm-2.64)
        ("gtk+" ,gtk+-2)
-       ("pangomm" ,pangomm-2.42)))))
+       ("pangomm" ,pangomm-2.42)))
+    (synopsis "C++ Interfaces for GTK+ and GNOME")
+    (description "GTKmm is the official C++ interface for the popular GUI
+library GTK+.  Highlights include typesafe callbacks, and a comprehensive set of
+widgets that are easily extensible via inheritance.  You can create user
+interfaces either in code or with the Glade User Interface designer, using
+libglademm.  There's extensive documentation, including API reference and a
+tutorial.")
+    (home-page "https://gtkmm.org/")
+    (license
+     (list
+      ;; Library
+      license:lgpl2.1+
+      ;; Tools
+      license:gpl2+))))
 
 (define-public gtksourceviewmm
   (package
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48028; Package guix-patches. Full text available.

Message received at 48028 <at> debbugs.gnu.org:


Received: (at 48028) by debbugs.gnu.org; 26 Apr 2021 09:22:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 26 05:22:25 2021
Received: from localhost ([127.0.0.1]:44542 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1laxRh-0002Xe-7f
	for submit <at> debbugs.gnu.org; Mon, 26 Apr 2021 05:22:25 -0400
Received: from out2.migadu.com ([188.165.223.204]:37822)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1laxRd-0002X0-Mg
 for 48028 <at> debbugs.gnu.org; Mon, 26 Apr 2021 05:22:22 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1619428941;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=Dzz3+R3tdNOkmq54NA9p9V1MQU7sz7f8GkoaeLarPqE=;
 b=drYBqQQToe5ZzxTrca6V1k9FBITi0QVkhK4J3OV7t655MTSdkjmS5hTLlTrctB9zRbrakH
 oERUM2BboL4tgQd/Qze5nIPVzVCMWZHb1h1CXEBgLnGjFv3MtSCAQZAD2ObndCAIMB3w20
 039Dr+462kuL9cxhJ1pSF1yzFsnRxB5d1hBcKPAP+ZVeRU3VvQMQ3ek5G6tPhWE45Eop74
 JGAE6veWn8NNmV/JODorV0AgYV4wjAUyLUJGEfQILkzw/4mMOQb3oToRcvgMqbwsLITZn5
 /zlvG/fYslWY/gNthFuL55QFYjROQWXWuvbtE2Kp+sS04U4/AYW/tkOFt16VRQ==
From: Raghav Gururajan <rg@HIDDEN>
To: 48028 <at> debbugs.gnu.org
Subject: [PATCH wip-gnome v3 03/10] gnu: gtkmm: Add missing native-input and
 correct propagated-inputs.
Date: Mon, 26 Apr 2021 05:22:08 -0400
Message-Id: <20210426092215.31032-3-rg@HIDDEN>
In-Reply-To: <20210426092215.31032-1-rg@HIDDEN>
References: <20210426092215.31032-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48028
Cc: Raghav Gururajan <rg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/gtk.scm (gtkmm)[native-inputs]: Add glib:bin.
[propagated-inputs]: Change; atkmm to atkmm-2.28, pangomm to pangomm-2.42,
and cairomm to cairomm-1.13.
---
 gnu/packages/gtk.scm | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/gtk.scm b/gnu/packages/gtk.scm
index a7e387a47d..86490115d6 100644
--- a/gnu/packages/gtk.scm
+++ b/gnu/packages/gtk.scm
@@ -1633,6 +1633,7 @@ library.")
     (native-inputs
      `(("dot" ,graphviz)
        ("doxygen" ,doxygen)
+       ("glib:bin" ,glib "bin") ; For glib-compile-resources
        ("m4" ,m4)
        ("mm-common" ,mm-common)
        ("perl" ,perl)
@@ -1640,11 +1641,11 @@ library.")
        ("xsltproc" ,libxslt)
        ("xorg-server" ,xorg-server-for-tests)))
     (propagated-inputs
-     `(("atkmm" ,atkmm)
-       ("cairomm" ,cairomm)
+     `(("atkmm" ,atkmm-2.28)
+       ("cairomm" ,cairomm-1.13)
        ("glibmm" ,glibmm)
        ("gtk+" ,gtk+)
-       ("pangomm" ,pangomm)))
+       ("pangomm" ,pangomm-2.42)))
     (synopsis "C++ Interfaces for GTK+ and GNOME")
     (description "GTKmm is the official C++ interface for the popular GUI
 library GTK+.  Highlights include typesafe callbacks, and a comprehensive set of
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48028; Package guix-patches. Full text available.

Message received at 48028 <at> debbugs.gnu.org:


Received: (at 48028) by debbugs.gnu.org; 26 Apr 2021 09:22:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 26 05:22:25 2021
Received: from localhost ([127.0.0.1]:44540 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1laxRg-0002Xc-W0
	for submit <at> debbugs.gnu.org; Mon, 26 Apr 2021 05:22:25 -0400
Received: from out2.migadu.com ([188.165.223.204]:37817)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1laxRd-0002Wy-FD
 for 48028 <at> debbugs.gnu.org; Mon, 26 Apr 2021 05:22:22 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1619428940;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=QFlxkoCigVdUcCkqfZ96SUlgNBCL1/OcnUWHUjmnd0M=;
 b=i+K8WPu6ZGcipTEA3hSETKwiEdJOjZYfuCHp1NJRN6meq14IGCAVckYQPRUg86bTaqSWM0
 wb5vN9Mip8XrhN23esunl0eDrzDgk2LOhGyxgpvaI4teLJVOjEiVFhYEy/VsQawjFiGuLN
 5MYoZPPNYw5JLsEO6lURbpa4+uV8t54G7/NH7Fa+3Y16N27+1cre+iq1tKponZukqSjD98
 JwmHhsWaEyf755bzsQdsggPsrogM/P7x9qxLOYXYXLr5cfU3MJcIJZAPcbYbDj4wqxXpnF
 kQyESSMY6bXvuqjJk1+dmXCBUWFllytQDHCTB+SCmO3I6VGonp6/4VPepz0vYw==
From: Raghav Gururajan <rg@HIDDEN>
To: 48028 <at> debbugs.gnu.org
Subject: [PATCH wip-gnome v3 02/10] gnu: gtkmm: Change build-system.
Date: Mon, 26 Apr 2021 05:22:07 -0400
Message-Id: <20210426092215.31032-2-rg@HIDDEN>
In-Reply-To: <20210426092215.31032-1-rg@HIDDEN>
References: <20210426092215.31032-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48028
Cc: Raghav Gururajan <rg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Switch to meson-build-system, as its preferred by the project.
Preserve building of documentation.

* gnu/packages/gtk.scm (gtkmm)[build-system]: Change from glib-or-gtk
to meson.
[configure-flags](build-documentation): New flag.
---
 gnu/packages/gtk.scm | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/gtk.scm b/gnu/packages/gtk.scm
index 81ac4a7197..a7e387a47d 100644
--- a/gnu/packages/gtk.scm
+++ b/gnu/packages/gtk.scm
@@ -1606,10 +1606,12 @@ library.")
                        name "-" version ".tar.xz"))
        (sha256
         (base32 "0hv7pviln4cpjvpz7m7ga5krcsbibqzixdcn0dwzpz0cx71p3swv"))))
-    (build-system glib-or-gtk-build-system)
+    (build-system meson-build-system)
     (outputs '("out" "doc"))
     (arguments
-     `(#:phases
+     `(#:glib-or-gtk? #t ; To wrap binaries and/or compile schemas
+       #:configure-flags '("-Dbuild-documentation=true")
+       #:phases
        (modify-phases %standard-phases
          (add-before 'check 'pre-check
            (lambda _
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48028; Package guix-patches. Full text available.

Message received at 48028 <at> debbugs.gnu.org:


Received: (at 48028) by debbugs.gnu.org; 26 Apr 2021 09:09:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 26 05:09:00 2021
Received: from localhost ([127.0.0.1]:44501 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1laxEh-0002Bh-Nn
	for submit <at> debbugs.gnu.org; Mon, 26 Apr 2021 05:08:59 -0400
Received: from out2.migadu.com ([188.165.223.204]:35691)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1laxEV-00029j-NO
 for 48028 <at> debbugs.gnu.org; Mon, 26 Apr 2021 05:08:48 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1619428127;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=gqit6dCrhwpieLk+kI4VzkydYcLuTytDVTyiLX/7yuo=;
 b=rm43OIjli83Tw293Yuso1Hl/6p6sJOKMSSDY36yqHmZyyYylgYl8z/2j/rmF9Cg6ZKiYfs
 N3YfxZKvucI/A5B7TtYHGNnJiBCapxRTPgH5y8cCMZQjwYaNyliSr8WJnykc9x9I2eJ2f5
 n4fP7hBIXA0Lmx+Lhnf2LwYz4QHFRXQ1/rI8ZQhVbjJoAt7XSHzKrDclSonCoMX7GbPhQh
 t4wekqxKF/dcsXSOOagwaWvfW+iU/DOy4Htzs0pbQfAl0krOLU8ju1J+NqevIFHT/5TEgu
 KaqMdWNWc0D5FPMiuiCkOMU4guRXxmpr0niEWcihJnZQS3hh9RT4h7J14vurOQ==
From: Raghav Gururajan <rg@HIDDEN>
To: 48028 <at> debbugs.gnu.org
Subject: [PATCH wip-gnome v2 10/10] gnu: python-pygobject: Update to 3.40.1.
Date: Mon, 26 Apr 2021 05:08:23 -0400
Message-Id: <20210426090823.30672-10-rg@HIDDEN>
In-Reply-To: <20210426090823.30672-1-rg@HIDDEN>
References: <20210426090823.30672-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48028
Cc: Raghav Gururajan <rg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/glib.scm (python-pygobject)[version]: Update to 3.40.1.
[native-inputs]: Add python-wrapper.
---
 gnu/packages/glib.scm | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/glib.scm b/gnu/packages/glib.scm
index fd88d7329f..31cd13e9c7 100644
--- a/gnu/packages/glib.scm
+++ b/gnu/packages/glib.scm
@@ -776,7 +776,7 @@ useful for C++.")
 (define-public python-pygobject
   (package
     (name "python-pygobject")
-    (version "3.34.0")
+    (version "3.40.1")
     (source
      (origin
        (method url-fetch)
@@ -785,7 +785,7 @@ useful for C++.")
                            "/pygobject-" version ".tar.xz"))
        (sha256
         (base32
-         "06i7ynnbvgpz0gw09zsjbvhgcp5qz4yzdifw27qjwdazg2mckql7"))
+         "0d80g5kgf2i9cginyhalvb7ibfk9g30yilqzmcsw6h6byj8xbih0"))
        (modules '((guix build utils)))
        (snippet
         '(begin
@@ -800,7 +800,8 @@ useful for C++.")
     (native-inputs
      `(("glib-bin" ,glib "bin")
        ("pkg-config" ,pkg-config)
-       ("python-pytest" ,python-pytest)))
+       ("python-pytest" ,python-pytest)
+       ("python-wrapper" ,python-wrapper))) ; For patching shebangs
     (inputs
      `(("python" ,python)
        ("python-pycairo" ,python-pycairo)
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48028; Package guix-patches. Full text available.

Message received at 48028 <at> debbugs.gnu.org:


Received: (at 48028) by debbugs.gnu.org; 26 Apr 2021 09:08:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 26 05:08:59 2021
Received: from localhost ([127.0.0.1]:44499 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1laxEh-0002Ba-DU
	for submit <at> debbugs.gnu.org; Mon, 26 Apr 2021 05:08:59 -0400
Received: from out2.migadu.com ([188.165.223.204]:35712)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1laxEV-0002Af-Bn
 for 48028 <at> debbugs.gnu.org; Mon, 26 Apr 2021 05:08:47 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1619428126;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=KXHpCYjA+poGvOrVV0KDyspyu0DxHBkj8cEmD0lTFZM=;
 b=lL5JI92HJZiJuurbpNdY6uTg60azt4ioFew268kSOUSsWKaikcfdyY+Iiw3ycYJT/mbVIU
 YWjxb+Ah9usef7XhLsDoPNGTNaI/CwqUbb8lym35Q1g04Gq/IvdO1N3S4VeC9clUD9gWAN
 ZyiebpPP7S9EyVPW1fmG5kWwBnXT8+Be7mFjwQ3KeAVrGPC0QEECi14LJ92qDEQE+UkxaH
 o8LJZW0UGdEjPdzQKx5IKXzVXKQIy4uoOcaXgV6D4cLZY1KF+wVnO2RUXinoFYIv91+VAD
 FVjC79vTGleADMIfEBQSdsIVU5TVtDwwh98WZRNWM2pHIUUgHvaJih/+aLADpw==
From: Raghav Gururajan <rg@HIDDEN>
To: 48028 <at> debbugs.gnu.org
Subject: [PATCH wip-gnome v2 09/10] gnu: python-pycairo: Update to 1.20.0.
Date: Mon, 26 Apr 2021 05:08:22 -0400
Message-Id: <20210426090823.30672-9-rg@HIDDEN>
In-Reply-To: <20210426090823.30672-1-rg@HIDDEN>
References: <20210426090823.30672-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48028
Cc: Raghav Gururajan <rg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/gtk.scm (python-pycairo)[version]: Update to 1.20.0.
---
 gnu/packages/gtk.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/gtk.scm b/gnu/packages/gtk.scm
index 86490115d6..e7f71fa739 100644
--- a/gnu/packages/gtk.scm
+++ b/gnu/packages/gtk.scm
@@ -1761,7 +1761,7 @@ printing and other features typical of a source code editor.")
 (define-public python-pycairo
   (package
     (name "python-pycairo")
-    (version "1.19.1")
+    (version "1.20.0")
     (source
      (origin
       (method url-fetch)
@@ -1769,7 +1769,7 @@ printing and other features typical of a source code editor.")
                           version "/pycairo-" version ".tar.gz"))
       (sha256
        (base32
-        "111fav9m1iagw3nh2ws2vzkjh34r97yl7rdlpvsngsqg521k251c"))))
+        "1326aa2ybhhhrvz3n4p22z5sic25m016ddb5yq0hvbprnw6a35an"))))
     (build-system python-build-system)
     (native-inputs
      `(("pkg-config" ,pkg-config)
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48028; Package guix-patches. Full text available.

Message received at 48028 <at> debbugs.gnu.org:


Received: (at 48028) by debbugs.gnu.org; 26 Apr 2021 09:08:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 26 05:08:59 2021
Received: from localhost ([127.0.0.1]:44497 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1laxEh-0002BT-23
	for submit <at> debbugs.gnu.org; Mon, 26 Apr 2021 05:08:59 -0400
Received: from out2.migadu.com ([188.165.223.204]:35699)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1laxEU-00029z-Fd
 for 48028 <at> debbugs.gnu.org; Mon, 26 Apr 2021 05:08:47 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1619428126;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=NfKeeaqQNvX/SNeycRVDgv31MF2I4nlV2J2q8uEuMpQ=;
 b=gxHHATD7VvTvvhfSAX00xBHn/H1wH9l3M8+l/HTgTEk1NgXxo8wb0UmJGGDe/pUOf110OW
 fQHE5K+HAS5sSa1TWvhOU6rKkVI3ZkG6ySZMH6jNS1LFVC2bSQrkyQcJJERi9vVY1O8i8U
 N3qBxiOwwqyTafqfK9MVaPhmGUEGthFxnyHeYNOA6yELkOLjpo56WGliK5+5UXrqW8tYiy
 Mn0SgqoerhMO29lStN9cx7QWKcU8RBu92PCejP0n/KZNBvZKK/xoWlX3go/lgkDkwiR/qs
 cxfVAuoWt4OJTYEeYI6JhWMjF/6mHF+tMXsgPLUiBro+ZOyWt7vTkoKBg7/ZDw==
From: Raghav Gururajan <rg@HIDDEN>
To: 48028 <at> debbugs.gnu.org
Subject: [PATCH wip-gnome v2 08/10] gnu: libsoup: Update home-page.
Date: Mon, 26 Apr 2021 05:08:21 -0400
Message-Id: <20210426090823.30672-8-rg@HIDDEN>
In-Reply-To: <20210426090823.30672-1-rg@HIDDEN>
References: <20210426090823.30672-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48028
Cc: Raghav Gururajan <rg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/gnome.scm (libsoup)[home-page]: Modify.
---
 gnu/packages/gnome.scm | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/gnu/packages/gnome.scm b/gnu/packages/gnome.scm
index ae1238ff5e..9b0850e0b9 100644
--- a/gnu/packages/gnome.scm
+++ b/gnu/packages/gnome.scm
@@ -4972,7 +4972,7 @@ libxml to ease remote use of the RESTful API.")
     (inputs
      `(("mit-krb5" ,mit-krb5)
        ("ntlm_auth" ,samba))) ; For ntlm_auth support
-    (home-page "https://live.gnome.org/LibSoup/")
+    (home-page "https://wiki.gnome.org/Projects/libsoup")
     (synopsis "GLib-based HTTP Library")
     (description
      "LibSoup is an HTTP client/server library for GNOME.  It uses GObjects
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48028; Package guix-patches. Full text available.

Message received at 48028 <at> debbugs.gnu.org:


Received: (at 48028) by debbugs.gnu.org; 26 Apr 2021 09:08:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 26 05:08:59 2021
Received: from localhost ([127.0.0.1]:44495 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1laxEg-0002BM-OM
	for submit <at> debbugs.gnu.org; Mon, 26 Apr 2021 05:08:59 -0400
Received: from out2.migadu.com ([188.165.223.204]:35691)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1laxET-00029j-O0
 for 48028 <at> debbugs.gnu.org; Mon, 26 Apr 2021 05:08:47 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1619428125;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=MxTrFBR7KKij5C54AQ8GnEh3ZHw9i+MIY+KopiczdcU=;
 b=JD23WBe6bhXD27+gwARI2w1d/qlJzSYTEtE+BglwRnSE0wYaxpQ/IA1kO9AVifCgHgolSl
 a2P7qOHajQSyuqpRXgIx2Ny1axCDs9csQaEPoF6WCvhMrEsk3nRdijRicw0jicppHaycwf
 Tm44CqSjPA507TJ8wb793zX77AONTXyFhJmMgqgcAi3qVPh4QKnxhb0IRA7pM0Rz5WCk4K
 AWzlxQPwTCBGW72luZwuJjP4x2Mea+yh4a+2dUEMwwVwUIpkvKUHnKCXF/AfiZKCF95hsq
 AvzjNvuHE1IvvZIXdIkBUUdtcmDSS5+ynO7fJEA8Ek877lBCmV7mQEgdSlB0tQ==
From: Raghav Gururajan <rg@HIDDEN>
To: 48028 <at> debbugs.gnu.org
Subject: [PATCH wip-gnome v2 07/10] gnu: libsoup: Propagate glib-networking.
Date: Mon, 26 Apr 2021 05:08:20 -0400
Message-Id: <20210426090823.30672-7-rg@HIDDEN>
In-Reply-To: <20210426090823.30672-1-rg@HIDDEN>
References: <20210426090823.30672-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48028
Cc: Raghav Gururajan <rg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Propagate glib-networking as per .pc file.

* gnu/packages/gnome.scm (libsoup)[inputs]: Move glib-networking to ...
[propagated-inputs]: ... here.
---
 gnu/packages/gnome.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/gnome.scm b/gnu/packages/gnome.scm
index 21f5eaa4c9..ae1238ff5e 100644
--- a/gnu/packages/gnome.scm
+++ b/gnu/packages/gnome.scm
@@ -4964,13 +4964,13 @@ libxml to ease remote use of the RESTful API.")
      ;; libsoup-2.4.pc refers to all these.
      `(("brotli" ,google-brotli)
        ("glib" ,glib)
+       ("glib-networking" ,glib-networking)
        ("libpsl" ,libpsl)
        ("libxml2" ,libxml2)
        ("sqlite" ,sqlite)
        ("zlib" ,zlib)))
     (inputs
-     `(("glib-networking" ,glib-networking)
-       ("mit-krb5" ,mit-krb5)
+     `(("mit-krb5" ,mit-krb5)
        ("ntlm_auth" ,samba))) ; For ntlm_auth support
     (home-page "https://live.gnome.org/LibSoup/")
     (synopsis "GLib-based HTTP Library")
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48028; Package guix-patches. Full text available.

Message received at 48028 <at> debbugs.gnu.org:


Received: (at 48028) by debbugs.gnu.org; 26 Apr 2021 09:08:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 26 05:08:58 2021
Received: from localhost ([127.0.0.1]:44493 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1laxEg-0002BE-CZ
	for submit <at> debbugs.gnu.org; Mon, 26 Apr 2021 05:08:58 -0400
Received: from out2.migadu.com ([188.165.223.204]:35699)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1laxET-00029z-CB
 for 48028 <at> debbugs.gnu.org; Mon, 26 Apr 2021 05:08:45 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1619428124;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=MKuBLPwgPQumxdcgMumtwRWYapy8snJosc6hq8faiXs=;
 b=PTvdkJmET/xnfQSB6yJFfUHvBpPS6dZptfqNvPNad1AZr9iSZ5I57RdCoEY3jL3tnVaJ3O
 b/4bQoxnG3UkkpWS9sRjTW+hscEa5xUCXd5cC6Fdg44u6++09PoEIjPQlurjTwA5HVMlKT
 uW6k/DXOVBxZGnBbXtk9/IZo2KBBpZRix6ymnyK5ZKu6bIWDPhjPEsvkWmgI3c4bPJTgtn
 NkTo2ZyBlV1Rx3qBVBxP/I6y8CFRddEGxDTITsPwwvVn4y9548iExsnoHfb/dyns9VllBn
 9ga8fmt3GoBk8a38oV+90BLwx3QXAhqH6oPJgzxtnFrsewPz1WYwghe3t/f5zQ==
From: Raghav Gururajan <rg@HIDDEN>
To: 48028 <at> debbugs.gnu.org
Subject: [PATCH wip-gnome v2 06/10] gnu: libsoup: Add missing argument and
 input.
Date: Mon, 26 Apr 2021 05:08:19 -0400
Message-Id: <20210426090823.30672-6-rg@HIDDEN>
In-Reply-To: <20210426090823.30672-1-rg@HIDDEN>
References: <20210426090823.30672-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48028
Cc: Raghav Gururajan <rg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/gnome.scm (libsoup)[arguments](glib-or-gtk): New argument.
[inputs]: Add samba.
---
 gnu/packages/gnome.scm | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/gnome.scm b/gnu/packages/gnome.scm
index 29779c39af..21f5eaa4c9 100644
--- a/gnu/packages/gnome.scm
+++ b/gnu/packages/gnome.scm
@@ -4913,7 +4913,7 @@ libxml to ease remote use of the RESTful API.")
      `(#:modules ((guix build utils)
                   (guix build meson-build-system)
                   (ice-9 popen))
-
+       #:glib-or-gtk? #t ; To wrap binaries and/or compile schemas
        #:configure-flags '("-Dgtk_doc=true")
        #:phases
        (modify-phases %standard-phases
@@ -4970,7 +4970,8 @@ libxml to ease remote use of the RESTful API.")
        ("zlib" ,zlib)))
     (inputs
      `(("glib-networking" ,glib-networking)
-       ("mit-krb5" ,mit-krb5)))
+       ("mit-krb5" ,mit-krb5)
+       ("ntlm_auth" ,samba))) ; For ntlm_auth support
     (home-page "https://live.gnome.org/LibSoup/")
     (synopsis "GLib-based HTTP Library")
     (description
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48028; Package guix-patches. Full text available.

Message received at 48028 <at> debbugs.gnu.org:


Received: (at 48028) by debbugs.gnu.org; 26 Apr 2021 09:08:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 26 05:08:58 2021
Received: from localhost ([127.0.0.1]:44491 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1laxEf-0002BC-TQ
	for submit <at> debbugs.gnu.org; Mon, 26 Apr 2021 05:08:58 -0400
Received: from out2.migadu.com ([188.165.223.204]:35691)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1laxES-00029j-Mx
 for 48028 <at> debbugs.gnu.org; Mon, 26 Apr 2021 05:08:45 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1619428124;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=16jQi0h1MXESo1S2LgAVn2DGWoSNW489sqPoBMK7Hu8=;
 b=DDjExQM9N+rYXVwfm2RLM6QB5uhvC9uq+lvt7grehoWuiXWRNgPHOMNvwn/bfGUQrPHBYW
 Zkodoz6qqfzd5DVbRerJd6dp0I5Ix2NWds2Ggr8Slja1KhkLtS/1CsdomlWxIXG9h5xt7h
 Aw7jVOp+8pVwy0hda32Oo4hsbWa9Yt9x3nfaVuNlS/nOeAQA0QJJ4jQ+4anoiaZv7/urEG
 pYAxhalx9yM3RS5IhtVtTjs65jZEiD3Kqg6PnKP3kP/lt8Hr3RxijkxfKPzQk6bkU/Bxtd
 docpqniYmRAzkCTZMaefzmO/co+7H8FQJzZkj7hCAmB8w+O6IhMiooW+Zh+WaA==
From: Raghav Gururajan <rg@HIDDEN>
To: 48028 <at> debbugs.gnu.org
Subject: [PATCH wip-gnome v2 05/10] gnu: libsoup: Disable ssl-test.
Date: Mon, 26 Apr 2021 05:08:18 -0400
Message-Id: <20210426090823.30672-5-rg@HIDDEN>
In-Reply-To: <20210426090823.30672-1-rg@HIDDEN>
References: <20210426090823.30672-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48028
Cc: Raghav Gururajan <rg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/gnome.scm (libsoup)[phases](adjust-tests): Modify.
[native-inputs]: Remove gnutls.
---
 gnu/packages/gnome.scm | 50 ++++--------------------------------------
 1 file changed, 4 insertions(+), 46 deletions(-)

diff --git a/gnu/packages/gnome.scm b/gnu/packages/gnome.scm
index c8e7b55f6c..29779c39af 100644
--- a/gnu/packages/gnome.scm
+++ b/gnu/packages/gnome.scm
@@ -4934,51 +4934,10 @@ libxml to ease remote use of the RESTful API.")
                (("[ \t]*\\['hsts-db', true, \\[\\]\\],") "")
                ;; This test fails due to missing /etc/nsswitch.conf
                ;; in the build environment.
-               (("[ \t]*\\['socket', true, \\[\\]\\],") ""))
-
-             ;; Generate a self-signed certificate that has "localhost" as its
-             ;; 'dnsName'.  Failing to do that, and starting with GnuTLS
-             ;; 3.5.12, tests such as "ssl-tests" fail:
-             ;;
-             ;; ERROR:ssl-test.c:406:do_tls_interaction_test: Unexpected status 6 Unacceptable TLS certificate (expected 200 OK)
-             ;;
-             ;; 'certtool' is interactive so we have to pipe it the answers.
-             ;; Reported at <https://bugzilla.gnome.org/show_bug.cgi?id=784696>.
-             (let ((pipe (open-output-pipe "certtool --generate-self-signed \
- --load-privkey tests/test-key.pem --outfile tests/test-cert.pem")))
-               (for-each (lambda (line)
-                           (display line pipe)
-                           (newline pipe))
-                         '(""               ;Common name
-                           ""               ;UID
-                           "Guix"           ;Organizational unit name
-                           "GNU"            ;Organization name
-                           ""               ;Locality name
-                           ""               ;State or province
-                           ""               ;Country
-                           ""               ;subject's domain component (DC)
-                           ""               ;E-mail
-                           ""               ;serial number
-                           "-1"             ;expiration time
-                           "N"              ;belong to authority?
-                           "N"              ;web client certificate?
-                           "N"              ;IPsec IKE?
-                           "Y"              ;web server certificate?
-                           "localhost"      ;dnsName of subject
-                           ""               ;dnsName of subject (end)
-                           ""               ;URI of subject
-                           "127.0.0.1"      ;IP address of subject
-                           ""               ;signing?
-                           ""               ;encryption (RSA)?
-                           ""               ;data encryption?
-                           ""               ;sign OCSP requests?
-                           ""               ;sign code?
-                           ""               ;time stamping?
-                           ""               ;email protection?
-                           ""               ;URI of the CRL distribution point
-                           "y"              ;above info OK?
-                           ))
-               (close-pipe pipe))
+               (("[ \t]*\\['socket', true, \\[\\]\\],") "")
+               ;; FIX-ME: ssl-test fails, starting with
+               ;; glib-networking 2.68.x.
+               (("[ \t]*\\['ssl', true, \\[\\]\\],") ""))
              #t))
          (add-after 'install 'move-doc
            (lambda* (#:key outputs #:allow-other-keys)
@@ -5000,7 +4959,6 @@ libxml to ease remote use of the RESTful API.")
        ("vala" ,vala)
        ("php" ,php)
        ("curl" ,curl)
-       ("gnutls" ,gnutls)                         ;for 'certtool'
        ("httpd" ,httpd)))
     (propagated-inputs
      ;; libsoup-2.4.pc refers to all these.
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48028; Package guix-patches. Full text available.

Message received at 48028 <at> debbugs.gnu.org:


Received: (at 48028) by debbugs.gnu.org; 26 Apr 2021 09:08:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 26 05:08:46 2021
Received: from localhost ([127.0.0.1]:44481 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1laxEU-0002AU-Gw
	for submit <at> debbugs.gnu.org; Mon, 26 Apr 2021 05:08:46 -0400
Received: from out2.migadu.com ([188.165.223.204]:35685)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1laxER-00029a-VU
 for 48028 <at> debbugs.gnu.org; Mon, 26 Apr 2021 05:08:44 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1619428123;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=RfFoNl2xu8p2mJTLZMUJX3uQhP+9Jgs9o4Qn4PW+4aU=;
 b=nnkC4TemgCL6RrylKOZJwNeBQxAUxAWQZl6Y+XltnsviAB/DsJelq6a56Y8KwtThQ9yWJ+
 XcbWKQYRN2Cy8EtX8gUEJIhVB2O7W3lA2/0vbkNr4NcoAlsJLDA3U5sOSSnHRbxLvdiszM
 +GO4oC+zq6eyvPJbuwy+V3q7yjhlJyNrZD1J/sF2quHwjthiz08a4KOnEch1L6yFafI71F
 YBKNBoR3Fy2ucN6v25OGoiEDiaRiQb99sTvZ4NYKS1psF3dO4gkgtKWuvbJyqXZqnF+fIC
 5/4VVODpWzLfc1l94KLIJuivZV3OG38179Ad/PILqYBSfqQiwRUqP8MD/2cHVQ==
From: Raghav Gururajan <rg@HIDDEN>
To: 48028 <at> debbugs.gnu.org
Subject: [PATCH wip-gnome v2 04/10] gnu: libsoup: Simplify adjustment of tests.
Date: Mon, 26 Apr 2021 05:08:17 -0400
Message-Id: <20210426090823.30672-4-rg@HIDDEN>
In-Reply-To: <20210426090823.30672-1-rg@HIDDEN>
References: <20210426090823.30672-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48028
Cc: Raghav Gururajan <rg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Switch from using mutiple C files to single meson.build file.

* gnu/packages/gnome.scm (libsoup)[phases](adjust-tests): Modify.
---
 gnu/packages/gnome.scm | 22 ++++++++--------------
 1 file changed, 8 insertions(+), 14 deletions(-)

diff --git a/gnu/packages/gnome.scm b/gnu/packages/gnome.scm
index 97cf80c586..c8e7b55f6c 100644
--- a/gnu/packages/gnome.scm
+++ b/gnu/packages/gnome.scm
@@ -4927,20 +4927,14 @@ libxml to ease remote use of the RESTful API.")
                #t)))
          (add-after 'unpack 'adjust-tests
            (lambda _
-             ;; This test fails due to missing /etc/nsswitch.conf
-             ;; in the build environment.
-             (substitute* "tests/socket-test.c"
-               ((".*/sockets/unconnected.*") ""))
-
-             ;; These fail because "subdomain.localhost" does not resolve in
-             ;; the build environment.
-             (substitute* "tests/hsts-test.c"
-               ((".*/hsts/basic.*") "")
-               ((".*/hsts/subdomains.*") "")
-               ((".*/hsts/superdomain.*") "")
-               ((".*/hsts/utf8-address.*") ""))
-             (substitute* "tests/hsts-db-test.c"
-               ((".*/hsts-db/subdomains.*") ""))
+             (substitute* "tests/meson.build"
+               ;; These fail because "subdomain.localhost" does not resolve in
+               ;; the build environment.
+               (("[ \t]*\\['hsts', true, \\[\\]\\],") "")
+               (("[ \t]*\\['hsts-db', true, \\[\\]\\],") "")
+               ;; This test fails due to missing /etc/nsswitch.conf
+               ;; in the build environment.
+               (("[ \t]*\\['socket', true, \\[\\]\\],") ""))
 
              ;; Generate a self-signed certificate that has "localhost" as its
              ;; 'dnsName'.  Failing to do that, and starting with GnuTLS
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48028; Package guix-patches. Full text available.

Message received at 48028 <at> debbugs.gnu.org:


Received: (at 48028) by debbugs.gnu.org; 26 Apr 2021 09:08:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 26 05:08:46 2021
Received: from localhost ([127.0.0.1]:44479 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1laxEU-0002AM-6V
	for submit <at> debbugs.gnu.org; Mon, 26 Apr 2021 05:08:46 -0400
Received: from out2.migadu.com ([188.165.223.204]:35681)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1laxER-00029Y-2O
 for 48028 <at> debbugs.gnu.org; Mon, 26 Apr 2021 05:08:44 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1619428122;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=Dzz3+R3tdNOkmq54NA9p9V1MQU7sz7f8GkoaeLarPqE=;
 b=Q7IqNgldzmmJN+JmXiulbdUY22WKeA/Y9N55MZmDj/gYA+BAOXXzj8Wji5YtWARGH1jpLw
 nSQHuSEeOqM66z6DuT90pAnxBBVqehis/7qg2vvEUqYXCOCOQ/vbVp7vcwq8XnAXH8PDTk
 3f9RYcNrmbmBM9meTAA2PdNPa1pza8KXJb6ZvRQqrlOIPH9+ecbBMHGYR6sG8fBJQJgjba
 5t4146VGZnVMqnlEZRRGdhmj+e/Q4w5+yX3PviwuvOG3G29MUtuGwxAuOY0BOCkpyVanbw
 2t/R7DZIiywMm2kvn5dENCzmsDN94SOUg5L9qpw8u8KHG2EVn//ZCR7CUvJSuw==
From: Raghav Gururajan <rg@HIDDEN>
To: 48028 <at> debbugs.gnu.org
Subject: [PATCH wip-gnome v2 03/10] gnu: gtkmm: Add missing native-input and
 correct propagated-inputs.
Date: Mon, 26 Apr 2021 05:08:16 -0400
Message-Id: <20210426090823.30672-3-rg@HIDDEN>
In-Reply-To: <20210426090823.30672-1-rg@HIDDEN>
References: <20210426090823.30672-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48028
Cc: Raghav Gururajan <rg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/gtk.scm (gtkmm)[native-inputs]: Add glib:bin.
[propagated-inputs]: Change; atkmm to atkmm-2.28, pangomm to pangomm-2.42,
and cairomm to cairomm-1.13.
---
 gnu/packages/gtk.scm | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/gtk.scm b/gnu/packages/gtk.scm
index a7e387a47d..86490115d6 100644
--- a/gnu/packages/gtk.scm
+++ b/gnu/packages/gtk.scm
@@ -1633,6 +1633,7 @@ library.")
     (native-inputs
      `(("dot" ,graphviz)
        ("doxygen" ,doxygen)
+       ("glib:bin" ,glib "bin") ; For glib-compile-resources
        ("m4" ,m4)
        ("mm-common" ,mm-common)
        ("perl" ,perl)
@@ -1640,11 +1641,11 @@ library.")
        ("xsltproc" ,libxslt)
        ("xorg-server" ,xorg-server-for-tests)))
     (propagated-inputs
-     `(("atkmm" ,atkmm)
-       ("cairomm" ,cairomm)
+     `(("atkmm" ,atkmm-2.28)
+       ("cairomm" ,cairomm-1.13)
        ("glibmm" ,glibmm)
        ("gtk+" ,gtk+)
-       ("pangomm" ,pangomm)))
+       ("pangomm" ,pangomm-2.42)))
     (synopsis "C++ Interfaces for GTK+ and GNOME")
     (description "GTKmm is the official C++ interface for the popular GUI
 library GTK+.  Highlights include typesafe callbacks, and a comprehensive set of
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48028; Package guix-patches. Full text available.

Message received at 48028 <at> debbugs.gnu.org:


Received: (at 48028) by debbugs.gnu.org; 26 Apr 2021 09:08:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 26 05:08:46 2021
Received: from localhost ([127.0.0.1]:44477 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1laxET-0002A9-LT
	for submit <at> debbugs.gnu.org; Mon, 26 Apr 2021 05:08:46 -0400
Received: from out2.migadu.com ([188.165.223.204]:35669)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1laxEQ-00029W-VD
 for 48028 <at> debbugs.gnu.org; Mon, 26 Apr 2021 05:08:44 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1619428121;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding;
 bh=6TnuOxouwDALsr81z5B9j41WkLd8C+tnhqCAdhhQQmA=;
 b=kBmLUmdxu2IrtJjpV+svggbQcch9HI+kb3z83H/ersxLtqKwLnRO9POoDTH1YZnu5Z2ejb
 wFLAgcgGVHZ82W7Gx3ciiHSvvpvnaEtFpf/K9NpvLQURfqA7g1hgkhYwIzzAQkRb12NpfZ
 9/7fLmGfhMeAT5MdjVviZ1xPjbosDNPSGtvhxTIE0KBC59E9bWCcO/jjPI5msOMvDUZIxW
 dp9rXdgr/kSgqhlHdYU0IcM6xeq7flKTKHCSE0PM7KGEK5AWUcqGrFAFA4SwhOK402EnVg
 nRV9rSMPUaozgFpk+UtRMOLklUBPUjBnp9IMlJqSNrq2pRo4MOFpsXbQSqr/ZA==
From: Raghav Gururajan <rg@HIDDEN>
To: 48028 <at> debbugs.gnu.org
Subject: [PATCH wip-gnome v2 01/10] gnu: gtkmm@2: Remove inheritance from
 gtkmm@3.
Date: Mon, 26 Apr 2021 05:08:14 -0400
Message-Id: <20210426090823.30672-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48028
Cc: Raghav Gururajan <rg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Remove inheritance to prevent rebuilds of packages like inkscape
and gtk+, whenever changes are made gtkmm@3.

* gnu/packages/gtk.scm (gtkmm-2)[build-system,outputs,arguments,
native-inputs,synopsis,description,home-page,license]: New fields.
---
 gnu/packages/gtk.scm | 48 ++++++++++++++++++++++++++++++++++++++++++--
 1 file changed, 46 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/gtk.scm b/gnu/packages/gtk.scm
index 04a0db1161..81ac4a7197 100644
--- a/gnu/packages/gtk.scm
+++ b/gnu/packages/gtk.scm
@@ -1660,7 +1660,6 @@ tutorial.")
 
 (define-public gtkmm-2
   (package
-    (inherit gtkmm)
     (name "gtkmm")
     (version "2.24.5")
     (source
@@ -1672,12 +1671,57 @@ tutorial.")
                        name "-" version ".tar.xz"))
        (sha256
         (base32 "0wkbzvsx4kgw16f6xjdc1dz7f77ldngdila4yi5lw2zrgcxsb006"))))
+    (build-system glib-or-gtk-build-system)
+    (outputs '("out" "doc"))
+    (arguments
+     `(#:phases
+       (modify-phases %standard-phases
+         (add-before 'check 'pre-check
+           (lambda _
+             ;; Tests require a running X server.
+             (system "Xvfb :1 +extension GLX &")
+             (setenv "DISPLAY" ":1")
+             ;; For missing '/etc/machine-id'.
+             (setenv "DBUS_FATAL_WARNINGS" "0")
+             #t))
+         (add-after 'install 'move-doc
+           (lambda* (#:key outputs #:allow-other-keys)
+             (let* ((out (assoc-ref outputs "out"))
+                    (doc (assoc-ref outputs "doc")))
+               (mkdir-p (string-append doc "/share"))
+               (rename-file
+                (string-append out "/share/doc")
+                (string-append doc "/share/doc"))
+               #t))))))
+    (native-inputs
+     `(("dot" ,graphviz)
+       ("doxygen" ,doxygen)
+       ("m4" ,m4)
+       ("mm-common" ,mm-common)
+       ("perl" ,perl)
+       ("pkg-config" ,pkg-config)
+       ("xsltproc" ,libxslt)
+       ("xorg-server" ,xorg-server-for-tests)))
     (propagated-inputs
      `(("atkmm" ,atkmm-2.28)
        ("cairomm" ,cairomm-1.13)
        ("glibmm" ,glibmm-2.64)
        ("gtk+" ,gtk+-2)
-       ("pangomm" ,pangomm-2.42)))))
+       ("pangomm" ,pangomm-2.42)))
+    (synopsis "C++ Interfaces for GTK+ and GNOME")
+    (description "GTKmm is the official C++ interface for the popular GUI
+library GTK+.  Highlights include typesafe callbacks, and a comprehensive set of
+widgets that are easily extensible via inheritance.  You can create user
+interfaces either in code or with the Glade User Interface designer, using
+libglademm.  There's extensive documentation, including API reference and a
+tutorial.")
+    (home-page "https://gtkmm.org/")
+    (license
+     (list
+      ;; Library
+      license:lgpl2.1+
+      ;; Tools
+      license:gpl2+))))
 
 (define-public gtksourceviewmm
   (package
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48028; Package guix-patches. Full text available.

Message received at 48028 <at> debbugs.gnu.org:


Received: (at 48028) by debbugs.gnu.org; 26 Apr 2021 09:08:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 26 05:08:45 2021
Received: from localhost ([127.0.0.1]:44473 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1laxET-0002A3-D4
	for submit <at> debbugs.gnu.org; Mon, 26 Apr 2021 05:08:45 -0400
Received: from out2.migadu.com ([188.165.223.204]:35677)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1laxER-00029X-1U
 for 48028 <at> debbugs.gnu.org; Mon, 26 Apr 2021 05:08:44 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1619428122;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=QFlxkoCigVdUcCkqfZ96SUlgNBCL1/OcnUWHUjmnd0M=;
 b=sfsKHe/PrBPIQPK6exj/2q2Cyx3cvCSg8eD+V3WC71iANsm1gD+Ml9CExNkPju053ihX9p
 bPb10Twx+Al+elzhVbvwJCA/q5PbYmJbmtH6jzYsqYhymA7vKplQjP/BlrtpoNbipq8Np1
 U6pW2fHqivCcB0PZbl/UKELAPqe4ZElAQf/35WmrpLEVvubqI9eYq/rRw98jhXbQFtsd78
 3NcOFWF3ddTy7NNtj11BvSARd43U2O1x2LcHuedlhjGvK1uSM5qtUhsdoej9ofLVsFhTg0
 LZ/N6uAJG3PUhpZsjE1x494hNrMgE8O1LBJusS4woJWQCOGA9t4iiPC80E/4vw==
From: Raghav Gururajan <rg@HIDDEN>
To: 48028 <at> debbugs.gnu.org
Subject: [PATCH wip-gnome v2 02/10] gnu: gtkmm: Change build-system.
Date: Mon, 26 Apr 2021 05:08:15 -0400
Message-Id: <20210426090823.30672-2-rg@HIDDEN>
In-Reply-To: <20210426090823.30672-1-rg@HIDDEN>
References: <20210426090823.30672-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48028
Cc: Raghav Gururajan <rg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Switch to meson-build-system, as its preferred by the project.
Preserve building of documentation.

* gnu/packages/gtk.scm (gtkmm)[build-system]: Change from glib-or-gtk
to meson.
[configure-flags](build-documentation): New flag.
---
 gnu/packages/gtk.scm | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/gtk.scm b/gnu/packages/gtk.scm
index 81ac4a7197..a7e387a47d 100644
--- a/gnu/packages/gtk.scm
+++ b/gnu/packages/gtk.scm
@@ -1606,10 +1606,12 @@ library.")
                        name "-" version ".tar.xz"))
        (sha256
         (base32 "0hv7pviln4cpjvpz7m7ga5krcsbibqzixdcn0dwzpz0cx71p3swv"))))
-    (build-system glib-or-gtk-build-system)
+    (build-system meson-build-system)
     (outputs '("out" "doc"))
     (arguments
-     `(#:phases
+     `(#:glib-or-gtk? #t ; To wrap binaries and/or compile schemas
+       #:configure-flags '("-Dbuild-documentation=true")
+       #:phases
        (modify-phases %standard-phases
          (add-before 'check 'pre-check
            (lambda _
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48028; Package guix-patches. Full text available.

Message received at 48028 <at> debbugs.gnu.org:


Received: (at 48028) by debbugs.gnu.org; 26 Apr 2021 08:46:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 26 04:46:13 2021
Received: from localhost ([127.0.0.1]:44443 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lawsf-0001cc-8j
	for submit <at> debbugs.gnu.org; Mon, 26 Apr 2021 04:46:13 -0400
Received: from mailrelay.tugraz.at ([129.27.2.202]:63051)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo.prikler@HIDDEN>) id 1lawsd-0001cU-Ru
 for 48028 <at> debbugs.gnu.org; Mon, 26 Apr 2021 04:46:12 -0400
Received: from nijino.local (194-96-9-9.adsl.highway.telekom.at [194.96.9.9])
 by mailrelay.tugraz.at (Postfix) with ESMTPSA id 4FTJQS4ZJBz1LBRt;
 Mon, 26 Apr 2021 10:46:08 +0200 (CEST)
DKIM-Filter: OpenDKIM Filter v2.11.0 mailrelay.tugraz.at 4FTJQS4ZJBz1LBRt
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=tugraz.at;
 s=mailrelay; t=1619426768;
 bh=51HeLbNAIxnVMfK0wtNoQHlN67g2jZ+qRygKonkGxts=;
 h=Subject:From:To:Date:In-Reply-To:References:From;
 b=dY83JZ3MhucI6BHMrpeFyziH2ngvq1AmaR/qNb1EBsYbhbqvUVHgOr2m2EJumOZma
 +wVlln+n9CmP6yA6u8zvX06aJHeESe/pcbql75EFcGHs78/GLIA8fuAfizKQ9wqgQU
 MWrZTmp9ZeBbeVGWD9ZTq7soPrnI52CRWw05ksIQ=
Message-ID: <8a2e86713aaa81cf8e9e69e3df6a1c1abf5210d3.camel@HIDDEN>
Subject: Re: [PATCH wip-gnome 6/8] gnu: libsoup: Update home-page.
From: Leo Prikler <leo.prikler@HIDDEN>
To: Raghav Gururajan <rg@HIDDEN>, 48028 <at> debbugs.gnu.org
Date: Mon, 26 Apr 2021 10:46:08 +0200
In-Reply-To: <20210426081145.28926-6-rg@HIDDEN>
References: <20210426081145.28926-1-rg@HIDDEN>
 <20210426081145.28926-6-rg@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
User-Agent: Evolution 3.34.2 
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
X-TUG-Backscatter-control: bt4lQm5Tva3SBgCuw0EnZw
X-Spam-Scanner: SpamAssassin 3.003001 
X-Spam-Score-relay: -1.9
X-Scanned-By: MIMEDefang 2.74 on 129.27.10.117
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 48028
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Am Montag, den 26.04.2021, 04:11 -0400 schrieb Raghav Gururajan:
> * gnu/packages/gnome.scm (libsoup)[home-page]: Modify.
> ---
>  gnu/packages/gnome.scm | 2 +-
>  1 file changed, 1 insertion(+), 1 deletion(-)
> 
> diff --git a/gnu/packages/gnome.scm b/gnu/packages/gnome.scm
> index b69980091b..db811573c4 100644
> --- a/gnu/packages/gnome.scm
> +++ b/gnu/packages/gnome.scm
> @@ -4972,7 +4972,7 @@ libxml to ease remote use of the RESTful API.")
>      (inputs
>       `(("mit-krb5" ,mit-krb5)
>          ("ntlm_auth" ,samba)))
> -    (home-page "https://live.gnome.org/LibSoup/")
> +    (home-page "https://wiki.gnome.org/Projects/libsoup")
>      (synopsis "GLib-based HTTP Library")
>      (description
>       "LibSoup is an HTTP client/server library for GNOME.  It uses
> GObjects
LGTM.

For your information, libsoup has 254 transitive dependants, so if some
of your changes don't require the rest of wip-gnome, they can be pushed
to master.  Please go through the proper cleanup/review process for all
of them prior to that, however.

Regards,
Leo





Information forwarded to guix-patches@HIDDEN:
bug#48028; Package guix-patches. Full text available.

Message received at 48028 <at> debbugs.gnu.org:


Received: (at 48028) by debbugs.gnu.org; 26 Apr 2021 08:40:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 26 04:40:33 2021
Received: from localhost ([127.0.0.1]:44439 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lawnB-0001Sv-Fy
	for submit <at> debbugs.gnu.org; Mon, 26 Apr 2021 04:40:33 -0400
Received: from mailrelay.tugraz.at ([129.27.2.202]:60755)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo.prikler@HIDDEN>) id 1lawn9-0001Sn-AJ
 for 48028 <at> debbugs.gnu.org; Mon, 26 Apr 2021 04:40:31 -0400
Received: from nijino.local (194-96-9-9.adsl.highway.telekom.at [194.96.9.9])
 by mailrelay.tugraz.at (Postfix) with ESMTPSA id 4FTJHv3YRRz3xlN;
 Mon, 26 Apr 2021 10:40:27 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=tugraz.at;
 s=mailrelay; t=1619426427;
 bh=VBDLZAtWsEKULvCnfyhKREXbvM6RReaz7ZwxYZirdCM=;
 h=Subject:From:To:Date:In-Reply-To:References;
 b=DbCljJ5utwOg2UabwrD3F3RkNW55/7Y5b060wlsNGjj4G2SU4EIkf8A5q/KsCzXnr
 owhe4v6kzKMBmwE6s9yM7i1zVfPd1G7M7efvbV+IAW1667zZa6HrEz/S+aCSIrLBMW
 wd1/DaQ1BrSYYnnfVH64V4nXfH9UixRS7+a0YSCM=
Message-ID: <73660fda850714bb152afc392df78addecd29932.camel@HIDDEN>
Subject: Re: [PATCH wip-gnome 5/8] gnu: libsoup: Add missing argument and
 input.
From: Leo Prikler <leo.prikler@HIDDEN>
To: Raghav Gururajan <rg@HIDDEN>, 48028 <at> debbugs.gnu.org
Date: Mon, 26 Apr 2021 10:40:26 +0200
In-Reply-To: <20210426081145.28926-5-rg@HIDDEN>
References: <20210426081145.28926-1-rg@HIDDEN>
 <20210426081145.28926-5-rg@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
User-Agent: Evolution 3.34.2 
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
X-TUG-Backscatter-control: bt4lQm5Tva3SBgCuw0EnZw
X-Spam-Scanner: SpamAssassin 3.003001 
X-Spam-Score-relay: -1.9
X-Scanned-By: MIMEDefang 2.74 on 129.27.10.117
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 48028
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

This headline does not match the contents of the patch.

Am Montag, den 26.04.2021, 04:11 -0400 schrieb Raghav Gururajan:
> Propagate glib-networking as per .pc file.
This looks like it could be its own patch were it not for the fact,
that samba needs to be added as well (what for?)

> * gnu/packages/gnome.scm (libsoup)[arguments](glib-or-gtk): New
> argument.
> [inputs]: Add samba. Move glib-networking to ...
> [propagated-inputs]: ... here.
> ---
>  gnu/packages/gnome.scm | 7 ++++---
>  1 file changed, 4 insertions(+), 3 deletions(-)
> 
> diff --git a/gnu/packages/gnome.scm b/gnu/packages/gnome.scm
> index 29779c39af..b69980091b 100644
> --- a/gnu/packages/gnome.scm
> +++ b/gnu/packages/gnome.scm
> @@ -4913,7 +4913,7 @@ libxml to ease remote use of the RESTful API.")
>       `(#:modules ((guix build utils)
>                    (guix build meson-build-system)
>                    (ice-9 popen))
> -
> +       #:glib-or-gtk? #t ; To wrap binaries and/or compile schemas
That doesn't sound very sure to me.  Why are you wrapping binaries
and/or compiling schemas?
>         #:configure-flags '("-Dgtk_doc=true")
>         #:phases
>         (modify-phases %standard-phases
> @@ -4964,13 +4964,14 @@ libxml to ease remote use of the RESTful
> API.")
>       ;; libsoup-2.4.pc refers to all these.
>       `(("brotli" ,google-brotli)
>         ("glib" ,glib)
> +       ("glib-networking" ,glib-networking)
I haven't checked, but if the .pc file says so, so be it.
>         ("libpsl" ,libpsl)
>         ("libxml2" ,libxml2)
>         ("sqlite" ,sqlite)
>         ("zlib" ,zlib)))
>      (inputs
> -     `(("glib-networking" ,glib-networking)
> -       ("mit-krb5" ,mit-krb5)))
> +     `(("mit-krb5" ,mit-krb5)
> +        ("ntlm_auth" ,samba)))
Careful with the indentation.
>      (home-page "https://live.gnome.org/LibSoup/")
>      (synopsis "GLib-based HTTP Library")
>      (description

Regards,
Leo





Information forwarded to guix-patches@HIDDEN:
bug#48028; Package guix-patches. Full text available.

Message received at 48028 <at> debbugs.gnu.org:


Received: (at 48028) by debbugs.gnu.org; 26 Apr 2021 08:34:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 26 04:34:32 2021
Received: from localhost ([127.0.0.1]:44418 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lawhL-0001IS-Ko
	for submit <at> debbugs.gnu.org; Mon, 26 Apr 2021 04:34:32 -0400
Received: from mailrelay.tugraz.at ([129.27.2.202]:57267)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo.prikler@HIDDEN>) id 1lawhI-0001IG-Uf
 for 48028 <at> debbugs.gnu.org; Mon, 26 Apr 2021 04:34:30 -0400
Received: from nijino.local (194-96-9-9.adsl.highway.telekom.at [194.96.9.9])
 by mailrelay.tugraz.at (Postfix) with ESMTPSA id 4FTJ8w2dHQz1LBRt;
 Mon, 26 Apr 2021 10:34:24 +0200 (CEST)
DKIM-Filter: OpenDKIM Filter v2.11.0 mailrelay.tugraz.at 4FTJ8w2dHQz1LBRt
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=tugraz.at;
 s=mailrelay; t=1619426064;
 bh=433qiVPeX2i6CtrZVxjrWbNqkVSwDX75LDXeR5+TPsE=;
 h=Subject:From:To:Date:In-Reply-To:References:From;
 b=dakxqcakaQN8wArcEexAp1wNmMi9bKzt++ewo6ZrR1Q1KEiZIJhuQFe1aEzauDh2u
 nQVpoZR0wuHiIjcvaZDuG/ZgkNzapmOVZH/dbD4Aut5vo90+Xhjhgb+2SsKBu7uoIw
 w4RhZbs138B/mFUtiBEaTQ0PwSANgC0JgSmfMB70=
Message-ID: <795eec65c654e1f74d147b3e39729ef41086d9ff.camel@HIDDEN>
Subject: Re: [PATCH wip-gnome 4/8] gnu: libsoup: Simplify adjustment of
 tests and disable ssl-test.
From: Leo Prikler <leo.prikler@HIDDEN>
To: Raghav Gururajan <rg@HIDDEN>, 48028 <at> debbugs.gnu.org
Date: Mon, 26 Apr 2021 10:34:23 +0200
In-Reply-To: <20210426081145.28926-4-rg@HIDDEN>
References: <20210426081145.28926-1-rg@HIDDEN>
 <20210426081145.28926-4-rg@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
User-Agent: Evolution 3.34.2 
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
X-TUG-Backscatter-control: bt4lQm5Tva3SBgCuw0EnZw
X-Spam-Scanner: SpamAssassin 3.003001 
X-Spam-Score-relay: -1.9
X-Scanned-By: MIMEDefang 2.74 on 129.27.10.117
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 48028
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Am Montag, den 26.04.2021, 04:11 -0400 schrieb Raghav Gururajan:
> * gnu/packages/gnome.scm (libsoup)[phases](adjust-tests): Modify.
> [native-inputs]: Remove gnutls.
> ---
>  gnu/packages/gnome.scm | 70 +++++++---------------------------------
> --
>  1 file changed, 11 insertions(+), 59 deletions(-)
> 
> diff --git a/gnu/packages/gnome.scm b/gnu/packages/gnome.scm
> index 97cf80c586..29779c39af 100644
> --- a/gnu/packages/gnome.scm
> +++ b/gnu/packages/gnome.scm
> @@ -4927,64 +4927,17 @@ libxml to ease remote use of the RESTful
> API.")
>                 #t)))
>           (add-after 'unpack 'adjust-tests
>             (lambda _
> -             ;; This test fails due to missing /etc/nsswitch.conf
> -             ;; in the build environment.
> -             (substitute* "tests/socket-test.c"
> -               ((".*/sockets/unconnected.*") ""))
> -
> -             ;; These fail because "subdomain.localhost" does not
> resolve in
> -             ;; the build environment.
> -             (substitute* "tests/hsts-test.c"
> -               ((".*/hsts/basic.*") "")
> -               ((".*/hsts/subdomains.*") "")
> -               ((".*/hsts/superdomain.*") "")
> -               ((".*/hsts/utf8-address.*") ""))
> -             (substitute* "tests/hsts-db-test.c"
> -               ((".*/hsts-db/subdomains.*") ""))
> -
> -             ;; Generate a self-signed certificate that has
> "localhost" as its
> -             ;; 'dnsName'.  Failing to do that, and starting with
> GnuTLS
> -             ;; 3.5.12, tests such as "ssl-tests" fail:
> -             ;;
> -             ;; ERROR:ssl-test.c:406:do_tls_interaction_test:
> Unexpected status 6 Unacceptable TLS certificate (expected 200 OK)
> -             ;;
> -             ;; 'certtool' is interactive so we have to pipe it the
> answers.
> -             ;; Reported at <
> https://bugzilla.gnome.org/show_bug.cgi?id=784696>;.
> -             (let ((pipe (open-output-pipe "certtool --generate-
> self-signed \
> - --load-privkey tests/test-key.pem --outfile tests/test-cert.pem")))
> -               (for-each (lambda (line)
> -                           (display line pipe)
> -                           (newline pipe))
> -                         '(""               ;Common name
> -                           ""               ;UID
> -                           "Guix"           ;Organizational unit
> name
> -                           "GNU"            ;Organization name
> -                           ""               ;Locality name
> -                           ""               ;State or province
> -                           ""               ;Country
> -                           ""               ;subject's domain
> component (DC)
> -                           ""               ;E-mail
> -                           ""               ;serial number
> -                           "-1"             ;expiration time
> -                           "N"              ;belong to authority?
> -                           "N"              ;web client certificate?
> -                           "N"              ;IPsec IKE?
> -                           "Y"              ;web server certificate?
> -                           "localhost"      ;dnsName of subject
> -                           ""               ;dnsName of subject
> (end)
> -                           ""               ;URI of subject
> -                           "127.0.0.1"      ;IP address of subject
> -                           ""               ;signing?
> -                           ""               ;encryption (RSA)?
> -                           ""               ;data encryption?
> -                           ""               ;sign OCSP requests?
> -                           ""               ;sign code?
> -                           ""               ;time stamping?
> -                           ""               ;email protection?
> -                           ""               ;URI of the CRL
> distribution point
> -                           "y"              ;above info OK?
> -                           ))
> -               (close-pipe pipe))
> +             (substitute* "tests/meson.build"
> +               ;; These fail because "subdomain.localhost" does not
> resolve in
> +               ;; the build environment.
> +               (("[ \t]*\\['hsts', true, \\[\\]\\],") "")
> +               (("[ \t]*\\['hsts-db', true, \\[\\]\\],") "")
> +               ;; This test fails due to missing /etc/nsswitch.conf
> +               ;; in the build environment.
> +               (("[ \t]*\\['socket', true, \\[\\]\\],") "")
> +               ;; FIX-ME: ssl-test fails, starting with
> +               ;; glib-networking 2.68.x.
> +               (("[ \t]*\\['ssl', true, \\[\\]\\],") ""))
>               #t))
>           (add-after 'install 'move-doc
>             (lambda* (#:key outputs #:allow-other-keys)
> @@ -5006,7 +4959,6 @@ libxml to ease remote use of the RESTful API.")
>         ("vala" ,vala)
>         ("php" ,php)
>         ("curl" ,curl)
> -       ("gnutls" ,gnutls)                         ;for 'certtool'
>         ("httpd" ,httpd)))
>      (propagated-inputs
>       ;; libsoup-2.4.pc refers to all these.
This does not look much like a simplification to me.  Instead, the
regexp seems to have been more complicated, and also the patchee has
been changed from some C file to meson.build.  Is this necessary to
disable the SSL test?  If not, try separating this patch into two
parts.

Regards,
Leo





Information forwarded to guix-patches@HIDDEN:
bug#48028; Package guix-patches. Full text available.

Message received at 48028 <at> debbugs.gnu.org:


Received: (at 48028) by debbugs.gnu.org; 26 Apr 2021 08:12:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 26 04:12:32 2021
Received: from localhost ([127.0.0.1]:44404 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lawM3-0000jw-L0
	for submit <at> debbugs.gnu.org; Mon, 26 Apr 2021 04:12:31 -0400
Received: from out2.migadu.com ([188.165.223.204]:27616)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lawLm-0000ip-G5
 for 48028 <at> debbugs.gnu.org; Mon, 26 Apr 2021 04:12:14 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1619424734;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=gqit6dCrhwpieLk+kI4VzkydYcLuTytDVTyiLX/7yuo=;
 b=aCgpNsMSgmJVc60DYFKHqM7YYPeHaR9cGhJPUEiDEaPvASdiOCtn99+vlX2MotbtX3qbtS
 2OrCnQ0xIOKhUnFdAVzFEUfryQduyY1ovUeXOgg57i7a78/83Cm9xyz4S+eJMHQUpZI7Fh
 cVDnRQash1ItTSLr4A+m6jH+/huyru1+eenMWL2+VouYsFZkPpEWjcaIBPN53UynFoDMuA
 6HppqJt6yJgIV9e0Hk+emmUa660S8somNLO4xOEpkMIrkTdGZFiVbeltT7og0iBn7sFF+k
 KAREkw7+8LuSqP1anSP97ORezkXbeoHPV/vEcNSYEFJUvJvXpjcD7I0QdZX54Q==
From: Raghav Gururajan <rg@HIDDEN>
To: 48028 <at> debbugs.gnu.org
Subject: [PATCH wip-gnome 8/8] gnu: python-pygobject: Update to 3.40.1.
Date: Mon, 26 Apr 2021 04:11:45 -0400
Message-Id: <20210426081145.28926-8-rg@HIDDEN>
In-Reply-To: <20210426081145.28926-1-rg@HIDDEN>
References: <20210426081145.28926-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48028
Cc: Raghav Gururajan <rg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/glib.scm (python-pygobject)[version]: Update to 3.40.1.
[native-inputs]: Add python-wrapper.
---
 gnu/packages/glib.scm | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/glib.scm b/gnu/packages/glib.scm
index fd88d7329f..31cd13e9c7 100644
--- a/gnu/packages/glib.scm
+++ b/gnu/packages/glib.scm
@@ -776,7 +776,7 @@ useful for C++.")
 (define-public python-pygobject
   (package
     (name "python-pygobject")
-    (version "3.34.0")
+    (version "3.40.1")
     (source
      (origin
        (method url-fetch)
@@ -785,7 +785,7 @@ useful for C++.")
                            "/pygobject-" version ".tar.xz"))
        (sha256
         (base32
-         "06i7ynnbvgpz0gw09zsjbvhgcp5qz4yzdifw27qjwdazg2mckql7"))
+         "0d80g5kgf2i9cginyhalvb7ibfk9g30yilqzmcsw6h6byj8xbih0"))
        (modules '((guix build utils)))
        (snippet
         '(begin
@@ -800,7 +800,8 @@ useful for C++.")
     (native-inputs
      `(("glib-bin" ,glib "bin")
        ("pkg-config" ,pkg-config)
-       ("python-pytest" ,python-pytest)))
+       ("python-pytest" ,python-pytest)
+       ("python-wrapper" ,python-wrapper))) ; For patching shebangs
     (inputs
      `(("python" ,python)
        ("python-pycairo" ,python-pycairo)
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48028; Package guix-patches. Full text available.

Message received at 48028 <at> debbugs.gnu.org:


Received: (at 48028) by debbugs.gnu.org; 26 Apr 2021 08:12:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 26 04:12:21 2021
Received: from localhost ([127.0.0.1]:44402 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lawLt-0000jY-B6
	for submit <at> debbugs.gnu.org; Mon, 26 Apr 2021 04:12:21 -0400
Received: from out2.migadu.com ([188.165.223.204]:27598)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lawLl-0000iJ-KG
 for 48028 <at> debbugs.gnu.org; Mon, 26 Apr 2021 04:12:13 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1619424733;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=KXHpCYjA+poGvOrVV0KDyspyu0DxHBkj8cEmD0lTFZM=;
 b=dtpuGfHVkoDgst7xfpUwFAJL8+WtwrZKoYPr6oi1sbrCOhqhcgR3A37sKO1rhhaPEvU/jt
 yncQBBkw4S+GSROUIyxKXrW0xoi/s8TZ5Wu/l4ao9fu0Gdm3lEa/5zofyDhHN77ZwrqvnX
 hmV2eCan7IeTFu6flRP7ghfDkBlpvEPggm6CaVdc7EksqyHa0/bCUcPwUI+hAjGaKlA/1p
 +2ZxXkkBETi32gxya4AHBrJ3rARLM8Q6Z7pNH+bBdBWrOavoYQk5wvJC47DeMmYG3j1NzQ
 79TZPZJLlgyJ2B/IcvjKaSQumbSG1HE/KhoJJr9vRqDcY1MVot3Vw/wBAUdKXw==
From: Raghav Gururajan <rg@HIDDEN>
To: 48028 <at> debbugs.gnu.org
Subject: [PATCH wip-gnome 7/8] gnu: python-pycairo: Update to 1.20.0.
Date: Mon, 26 Apr 2021 04:11:44 -0400
Message-Id: <20210426081145.28926-7-rg@HIDDEN>
In-Reply-To: <20210426081145.28926-1-rg@HIDDEN>
References: <20210426081145.28926-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48028
Cc: Raghav Gururajan <rg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/gtk.scm (python-pycairo)[version]: Update to 1.20.0.
---
 gnu/packages/gtk.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/gtk.scm b/gnu/packages/gtk.scm
index 86490115d6..e7f71fa739 100644
--- a/gnu/packages/gtk.scm
+++ b/gnu/packages/gtk.scm
@@ -1761,7 +1761,7 @@ printing and other features typical of a source code editor.")
 (define-public python-pycairo
   (package
     (name "python-pycairo")
-    (version "1.19.1")
+    (version "1.20.0")
     (source
      (origin
       (method url-fetch)
@@ -1769,7 +1769,7 @@ printing and other features typical of a source code editor.")
                           version "/pycairo-" version ".tar.gz"))
       (sha256
        (base32
-        "111fav9m1iagw3nh2ws2vzkjh34r97yl7rdlpvsngsqg521k251c"))))
+        "1326aa2ybhhhrvz3n4p22z5sic25m016ddb5yq0hvbprnw6a35an"))))
     (build-system python-build-system)
     (native-inputs
      `(("pkg-config" ,pkg-config)
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48028; Package guix-patches. Full text available.

Message received at 48028 <at> debbugs.gnu.org:


Received: (at 48028) by debbugs.gnu.org; 26 Apr 2021 08:12:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 26 04:12:21 2021
Received: from localhost ([127.0.0.1]:44400 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lawLt-0000jR-19
	for submit <at> debbugs.gnu.org; Mon, 26 Apr 2021 04:12:21 -0400
Received: from out2.migadu.com ([188.165.223.204]:27604)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lawLl-0000iX-8C
 for 48028 <at> debbugs.gnu.org; Mon, 26 Apr 2021 04:12:13 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1619424732;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=WfX3vetFLY3XOgKLvvgE4ZbcrnimvSSDHGixo7aqokY=;
 b=PX//FEla6CHxOgGr4l/3COIQUGySFkus6GSYG+UNL0t/+m8AutPFEVJoGhiQUhjKmCI4P1
 SW1/mK5G1pam8vj3Ht3TA0Jgtaw3RxKcxmmKm+XiVAF6W8lCVrAbW/+kp4dCV6WDqVBlCk
 kqL0FCHaKljZpzGOx0uWd518RlCT5NYJHaD0o35XsqjhAgKjxI/edo0vz7UNoPtnkYpiHW
 92KUnq4PoSpjWYyvIGY7+fvECyzDVKFy5Nubkv1c7UA/O4aBxxC0dauCmy95EQ+kopmnWQ
 RidGtxXFl3XmwQW+O+FQgauCSQ/Lr0zNdgFHyUH34j+xE5RhL2FgF9ocK/kuQw==
From: Raghav Gururajan <rg@HIDDEN>
To: 48028 <at> debbugs.gnu.org
Subject: [PATCH wip-gnome 6/8] gnu: libsoup: Update home-page.
Date: Mon, 26 Apr 2021 04:11:43 -0400
Message-Id: <20210426081145.28926-6-rg@HIDDEN>
In-Reply-To: <20210426081145.28926-1-rg@HIDDEN>
References: <20210426081145.28926-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48028
Cc: Raghav Gururajan <rg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/gnome.scm (libsoup)[home-page]: Modify.
---
 gnu/packages/gnome.scm | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/gnu/packages/gnome.scm b/gnu/packages/gnome.scm
index b69980091b..db811573c4 100644
--- a/gnu/packages/gnome.scm
+++ b/gnu/packages/gnome.scm
@@ -4972,7 +4972,7 @@ libxml to ease remote use of the RESTful API.")
     (inputs
      `(("mit-krb5" ,mit-krb5)
         ("ntlm_auth" ,samba)))
-    (home-page "https://live.gnome.org/LibSoup/")
+    (home-page "https://wiki.gnome.org/Projects/libsoup")
     (synopsis "GLib-based HTTP Library")
     (description
      "LibSoup is an HTTP client/server library for GNOME.  It uses GObjects
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48028; Package guix-patches. Full text available.

Message received at 48028 <at> debbugs.gnu.org:


Received: (at 48028) by debbugs.gnu.org; 26 Apr 2021 08:12:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 26 04:12:21 2021
Received: from localhost ([127.0.0.1]:44398 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lawLp-0000jF-LG
	for submit <at> debbugs.gnu.org; Mon, 26 Apr 2021 04:12:20 -0400
Received: from out2.migadu.com ([188.165.223.204]:27598)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lawLk-0000iJ-FQ
 for 48028 <at> debbugs.gnu.org; Mon, 26 Apr 2021 04:12:12 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1619424731;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=1FSzswXWls1F6Y2S5ZQTdr4gOxVE+IKURIYgQg+w5I0=;
 b=bjsKJDJ6syuJ68Amd9Mjiu3faUVe1iNiqOzRlJBQHN8zMICpNPMXoqDNm+S2+ogf3X1eoV
 +RH7SdZEI296nVoOyVoxI3dDMuK/2MgoQO38i7im7XpDT74wHi4b1Ug4HLMB7etMtu41Fx
 Op2teJWcYMBAqP3J31hkBsTJL4/5bPSK5/Zhfy/BwL+xpVh4uyZhiGZVGB6wqKLNdBGYKy
 on2j4opSKD7NqYuy4dR10cPDC6a9hfbKWACr5/EknQnN9we1AUljIbjmGrucCCYwla+Hyn
 9dPxrHSZkamOvuc0i5mibgVUoy1R5myznVUmhBbgO+74HQB2wsn6paLqQz0eTQ==
From: Raghav Gururajan <rg@HIDDEN>
To: 48028 <at> debbugs.gnu.org
Subject: [PATCH wip-gnome 5/8] gnu: libsoup: Add missing argument and input.
Date: Mon, 26 Apr 2021 04:11:42 -0400
Message-Id: <20210426081145.28926-5-rg@HIDDEN>
In-Reply-To: <20210426081145.28926-1-rg@HIDDEN>
References: <20210426081145.28926-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48028
Cc: Raghav Gururajan <rg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Propagate glib-networking as per .pc file.

* gnu/packages/gnome.scm (libsoup)[arguments](glib-or-gtk): New argument.
[inputs]: Add samba. Move glib-networking to ...
[propagated-inputs]: ... here.
---
 gnu/packages/gnome.scm | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/gnome.scm b/gnu/packages/gnome.scm
index 29779c39af..b69980091b 100644
--- a/gnu/packages/gnome.scm
+++ b/gnu/packages/gnome.scm
@@ -4913,7 +4913,7 @@ libxml to ease remote use of the RESTful API.")
      `(#:modules ((guix build utils)
                   (guix build meson-build-system)
                   (ice-9 popen))
-
+       #:glib-or-gtk? #t ; To wrap binaries and/or compile schemas
        #:configure-flags '("-Dgtk_doc=true")
        #:phases
        (modify-phases %standard-phases
@@ -4964,13 +4964,14 @@ libxml to ease remote use of the RESTful API.")
      ;; libsoup-2.4.pc refers to all these.
      `(("brotli" ,google-brotli)
        ("glib" ,glib)
+       ("glib-networking" ,glib-networking)
        ("libpsl" ,libpsl)
        ("libxml2" ,libxml2)
        ("sqlite" ,sqlite)
        ("zlib" ,zlib)))
     (inputs
-     `(("glib-networking" ,glib-networking)
-       ("mit-krb5" ,mit-krb5)))
+     `(("mit-krb5" ,mit-krb5)
+        ("ntlm_auth" ,samba)))
     (home-page "https://live.gnome.org/LibSoup/")
     (synopsis "GLib-based HTTP Library")
     (description
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48028; Package guix-patches. Full text available.

Message received at 48028 <at> debbugs.gnu.org:


Received: (at 48028) by debbugs.gnu.org; 26 Apr 2021 08:12:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 26 04:12:17 2021
Received: from localhost ([127.0.0.1]:44396 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lawLp-0000j7-5I
	for submit <at> debbugs.gnu.org; Mon, 26 Apr 2021 04:12:17 -0400
Received: from out2.migadu.com ([188.165.223.204]:27590)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lawLj-0000hz-Nv
 for 48028 <at> debbugs.gnu.org; Mon, 26 Apr 2021 04:12:12 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1619424731;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=cMKG7sCBdkO90g4Q3CY4LLU2fOZmU65PdOzc4L+Suy4=;
 b=OiRtUVBaJ46f0JEuzGQP/jTo/iSvm33pYwnIliuyI9foj4LX+huErAGBDg2Oi9rS4yRQT0
 ueblbO63oHDVFUw1aCkbgZKHoQS+5T4lF7LvuGccX5cjS2jMDsITa1h01pDqIopayItSwN
 iLG7/8BfJWoemVSkIXlgUGlmerQdyPM7qJ5Eokyzzo5jkHVvYaeQa9ip2ybJ9VnyElGaAA
 Y5MeqAMKI/fdLIBA8bwfjhB3tnfKiYnZ7pFbgeNhX/0i+9C9lXFBLEeMVrlVkqGOGqZibL
 CGghrH1yC/SVfyxSosX2c8Xja8kTYPDyEz+v9GwzW6bsXMN5DHZhy+jo0AvJQg==
From: Raghav Gururajan <rg@HIDDEN>
To: 48028 <at> debbugs.gnu.org
Subject: [PATCH wip-gnome 4/8] gnu: libsoup: Simplify adjustment of tests and
 disable ssl-test.
Date: Mon, 26 Apr 2021 04:11:41 -0400
Message-Id: <20210426081145.28926-4-rg@HIDDEN>
In-Reply-To: <20210426081145.28926-1-rg@HIDDEN>
References: <20210426081145.28926-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48028
Cc: Raghav Gururajan <rg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/gnome.scm (libsoup)[phases](adjust-tests): Modify.
[native-inputs]: Remove gnutls.
---
 gnu/packages/gnome.scm | 70 +++++++-----------------------------------
 1 file changed, 11 insertions(+), 59 deletions(-)

diff --git a/gnu/packages/gnome.scm b/gnu/packages/gnome.scm
index 97cf80c586..29779c39af 100644
--- a/gnu/packages/gnome.scm
+++ b/gnu/packages/gnome.scm
@@ -4927,64 +4927,17 @@ libxml to ease remote use of the RESTful API.")
                #t)))
          (add-after 'unpack 'adjust-tests
            (lambda _
-             ;; This test fails due to missing /etc/nsswitch.conf
-             ;; in the build environment.
-             (substitute* "tests/socket-test.c"
-               ((".*/sockets/unconnected.*") ""))
-
-             ;; These fail because "subdomain.localhost" does not resolve in
-             ;; the build environment.
-             (substitute* "tests/hsts-test.c"
-               ((".*/hsts/basic.*") "")
-               ((".*/hsts/subdomains.*") "")
-               ((".*/hsts/superdomain.*") "")
-               ((".*/hsts/utf8-address.*") ""))
-             (substitute* "tests/hsts-db-test.c"
-               ((".*/hsts-db/subdomains.*") ""))
-
-             ;; Generate a self-signed certificate that has "localhost" as its
-             ;; 'dnsName'.  Failing to do that, and starting with GnuTLS
-             ;; 3.5.12, tests such as "ssl-tests" fail:
-             ;;
-             ;; ERROR:ssl-test.c:406:do_tls_interaction_test: Unexpected status 6 Unacceptable TLS certificate (expected 200 OK)
-             ;;
-             ;; 'certtool' is interactive so we have to pipe it the answers.
-             ;; Reported at <https://bugzilla.gnome.org/show_bug.cgi?id=784696>.
-             (let ((pipe (open-output-pipe "certtool --generate-self-signed \
- --load-privkey tests/test-key.pem --outfile tests/test-cert.pem")))
-               (for-each (lambda (line)
-                           (display line pipe)
-                           (newline pipe))
-                         '(""               ;Common name
-                           ""               ;UID
-                           "Guix"           ;Organizational unit name
-                           "GNU"            ;Organization name
-                           ""               ;Locality name
-                           ""               ;State or province
-                           ""               ;Country
-                           ""               ;subject's domain component (DC)
-                           ""               ;E-mail
-                           ""               ;serial number
-                           "-1"             ;expiration time
-                           "N"              ;belong to authority?
-                           "N"              ;web client certificate?
-                           "N"              ;IPsec IKE?
-                           "Y"              ;web server certificate?
-                           "localhost"      ;dnsName of subject
-                           ""               ;dnsName of subject (end)
-                           ""               ;URI of subject
-                           "127.0.0.1"      ;IP address of subject
-                           ""               ;signing?
-                           ""               ;encryption (RSA)?
-                           ""               ;data encryption?
-                           ""               ;sign OCSP requests?
-                           ""               ;sign code?
-                           ""               ;time stamping?
-                           ""               ;email protection?
-                           ""               ;URI of the CRL distribution point
-                           "y"              ;above info OK?
-                           ))
-               (close-pipe pipe))
+             (substitute* "tests/meson.build"
+               ;; These fail because "subdomain.localhost" does not resolve in
+               ;; the build environment.
+               (("[ \t]*\\['hsts', true, \\[\\]\\],") "")
+               (("[ \t]*\\['hsts-db', true, \\[\\]\\],") "")
+               ;; This test fails due to missing /etc/nsswitch.conf
+               ;; in the build environment.
+               (("[ \t]*\\['socket', true, \\[\\]\\],") "")
+               ;; FIX-ME: ssl-test fails, starting with
+               ;; glib-networking 2.68.x.
+               (("[ \t]*\\['ssl', true, \\[\\]\\],") ""))
              #t))
          (add-after 'install 'move-doc
            (lambda* (#:key outputs #:allow-other-keys)
@@ -5006,7 +4959,6 @@ libxml to ease remote use of the RESTful API.")
        ("vala" ,vala)
        ("php" ,php)
        ("curl" ,curl)
-       ("gnutls" ,gnutls)                         ;for 'certtool'
        ("httpd" ,httpd)))
     (propagated-inputs
      ;; libsoup-2.4.pc refers to all these.
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48028; Package guix-patches. Full text available.

Message received at 48028 <at> debbugs.gnu.org:


Received: (at 48028) by debbugs.gnu.org; 26 Apr 2021 08:12:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 26 04:12:17 2021
Received: from localhost ([127.0.0.1]:44394 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lawLo-0000j0-Rq
	for submit <at> debbugs.gnu.org; Mon, 26 Apr 2021 04:12:17 -0400
Received: from out2.migadu.com ([188.165.223.204]:27585)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lawLj-0000hx-9u
 for 48028 <at> debbugs.gnu.org; Mon, 26 Apr 2021 04:12:11 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1619424730;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=Dzz3+R3tdNOkmq54NA9p9V1MQU7sz7f8GkoaeLarPqE=;
 b=U+C+jgRWG7qkLorkNRrv7wyun5/8gJ6Vz/+bovveDj9oDb+zCC0QnTNoZt6eCsuR+kaOVA
 GYOPUC+D3UzdEF0rknPksOS95wC+WtC/NXip4rcL8hJMQNIrO0UMzVUQz3otUYIUSmRY0S
 I8JVHBLiUKSl7ym/eCj7Rtt1JK0x/TkQea9rsi2DcHJL5ePg/WaYsi5uuv6Fq81oqKGakM
 Cf5iJ0bHOy8+G051DtQQggNtmEgCRwHE1kif7k2VSSBsAfi8ZaolCFBPMEQxjS5N2H+gay
 24Hr5e3JXwsg7UIyhaGKgiyQ7c3kpgX2ufeX0wv7V+1ymaU/Atxs3Y6vpbXOmw==
From: Raghav Gururajan <rg@HIDDEN>
To: 48028 <at> debbugs.gnu.org
Subject: [PATCH wip-gnome 3/8] gnu: gtkmm: Add missing native-input and
 correct propagated-inputs.
Date: Mon, 26 Apr 2021 04:11:40 -0400
Message-Id: <20210426081145.28926-3-rg@HIDDEN>
In-Reply-To: <20210426081145.28926-1-rg@HIDDEN>
References: <20210426081145.28926-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48028
Cc: Raghav Gururajan <rg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/gtk.scm (gtkmm)[native-inputs]: Add glib:bin.
[propagated-inputs]: Change; atkmm to atkmm-2.28, pangomm to pangomm-2.42,
and cairomm to cairomm-1.13.
---
 gnu/packages/gtk.scm | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/gtk.scm b/gnu/packages/gtk.scm
index a7e387a47d..86490115d6 100644
--- a/gnu/packages/gtk.scm
+++ b/gnu/packages/gtk.scm
@@ -1633,6 +1633,7 @@ library.")
     (native-inputs
      `(("dot" ,graphviz)
        ("doxygen" ,doxygen)
+       ("glib:bin" ,glib "bin") ; For glib-compile-resources
        ("m4" ,m4)
        ("mm-common" ,mm-common)
        ("perl" ,perl)
@@ -1640,11 +1641,11 @@ library.")
        ("xsltproc" ,libxslt)
        ("xorg-server" ,xorg-server-for-tests)))
     (propagated-inputs
-     `(("atkmm" ,atkmm)
-       ("cairomm" ,cairomm)
+     `(("atkmm" ,atkmm-2.28)
+       ("cairomm" ,cairomm-1.13)
        ("glibmm" ,glibmm)
        ("gtk+" ,gtk+)
-       ("pangomm" ,pangomm)))
+       ("pangomm" ,pangomm-2.42)))
     (synopsis "C++ Interfaces for GTK+ and GNOME")
     (description "GTKmm is the official C++ interface for the popular GUI
 library GTK+.  Highlights include typesafe callbacks, and a comprehensive set of
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48028; Package guix-patches. Full text available.

Message received at 48028 <at> debbugs.gnu.org:


Received: (at 48028) by debbugs.gnu.org; 26 Apr 2021 08:12:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 26 04:12:16 2021
Received: from localhost ([127.0.0.1]:44392 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lawLo-0000iy-JW
	for submit <at> debbugs.gnu.org; Mon, 26 Apr 2021 04:12:16 -0400
Received: from out2.migadu.com ([188.165.223.204]:27579)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lawLj-0000hw-1l
 for 48028 <at> debbugs.gnu.org; Mon, 26 Apr 2021 04:12:11 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1619424729;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=QFlxkoCigVdUcCkqfZ96SUlgNBCL1/OcnUWHUjmnd0M=;
 b=kEmhRxG4VRlC3okBrwK+yuBZkfaw7w3nmBiRCb5L6Lfro4QRu1yy9bP+088omOOECBEljf
 /kOp9k0+k5iObRTLKVz+lMOcSpMGdZzpjIeiO140phgI8cX+JUbNvrjvwevnIT+ZGbGcp1
 ItrdT6cdN5S8zI98PqmicNArmrVZfshVcZdlEn9WqY43RlhLQGjrJxx1wVpjkEeRZNVcIU
 OyUISef+JQqTtwPW7MrZBJprk66gWTLHdYwYUJAHenW4HdOL2PbJcLBy0lOFdDdzGiDMVf
 GmNKLWfgue95DMFLlywT0X4ikXTphP8RxFb+D2qcFLBdrflQBjubmm4eVPL+3w==
From: Raghav Gururajan <rg@HIDDEN>
To: 48028 <at> debbugs.gnu.org
Subject: [PATCH wip-gnome 2/8] gnu: gtkmm: Change build-system.
Date: Mon, 26 Apr 2021 04:11:39 -0400
Message-Id: <20210426081145.28926-2-rg@HIDDEN>
In-Reply-To: <20210426081145.28926-1-rg@HIDDEN>
References: <20210426081145.28926-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48028
Cc: Raghav Gururajan <rg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Switch to meson-build-system, as its preferred by the project.
Preserve building of documentation.

* gnu/packages/gtk.scm (gtkmm)[build-system]: Change from glib-or-gtk
to meson.
[configure-flags](build-documentation): New flag.
---
 gnu/packages/gtk.scm | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/gtk.scm b/gnu/packages/gtk.scm
index 81ac4a7197..a7e387a47d 100644
--- a/gnu/packages/gtk.scm
+++ b/gnu/packages/gtk.scm
@@ -1606,10 +1606,12 @@ library.")
                        name "-" version ".tar.xz"))
        (sha256
         (base32 "0hv7pviln4cpjvpz7m7ga5krcsbibqzixdcn0dwzpz0cx71p3swv"))))
-    (build-system glib-or-gtk-build-system)
+    (build-system meson-build-system)
     (outputs '("out" "doc"))
     (arguments
-     `(#:phases
+     `(#:glib-or-gtk? #t ; To wrap binaries and/or compile schemas
+       #:configure-flags '("-Dbuild-documentation=true")
+       #:phases
        (modify-phases %standard-phases
          (add-before 'check 'pre-check
            (lambda _
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48028; Package guix-patches. Full text available.

Message received at 48028 <at> debbugs.gnu.org:


Received: (at 48028) by debbugs.gnu.org; 26 Apr 2021 08:12:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 26 04:12:12 2021
Received: from localhost ([127.0.0.1]:44382 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lawLk-0000iK-8X
	for submit <at> debbugs.gnu.org; Mon, 26 Apr 2021 04:12:12 -0400
Received: from out2.migadu.com ([188.165.223.204]:27575)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lawLj-0000hv-1K
 for 48028 <at> debbugs.gnu.org; Mon, 26 Apr 2021 04:12:11 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1619424729;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding;
 bh=6TnuOxouwDALsr81z5B9j41WkLd8C+tnhqCAdhhQQmA=;
 b=SuZPRzigJ0yqpp89zeoilcwx0JO+BNfXtZG56XvWduqzXR4QMxKjbGoLXwFTkwNDWWOKuH
 us5uFpSb9nt5ozV3fsBjjK843+0K0M3u4tQeF7zrQhvyOJpA6d2cEi+31anyS27pbguR3E
 D2QoYR9cZsMdsQriIcUm9arYfwcHE1ztt8r38olKrNAexeKMagdpNkfXlgUYMaA+nlYQnk
 HKJxMnROxWhS0+wU3IdYYIQniRIcEmfxMKx0fHyWsdu/pVkUXKdnHl51X6qL8mwFd47MFx
 hUcbRE+MkVj3vdXYvwxCB3oCkPos88/96yrQCt7RZOjknqHSbLPkKBQW1hImcg==
From: Raghav Gururajan <rg@HIDDEN>
To: 48028 <at> debbugs.gnu.org
Subject: [PATCH wip-gnome 1/8] gnu: gtkmm@2: Remove inheritance from gtkmm@3.
Date: Mon, 26 Apr 2021 04:11:38 -0400
Message-Id: <20210426081145.28926-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48028
Cc: Raghav Gururajan <rg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Remove inheritance to prevent rebuilds of packages like inkscape
and gtk+, whenever changes are made gtkmm@3.

* gnu/packages/gtk.scm (gtkmm-2)[build-system,outputs,arguments,
native-inputs,synopsis,description,home-page,license]: New fields.
---
 gnu/packages/gtk.scm | 48 ++++++++++++++++++++++++++++++++++++++++++--
 1 file changed, 46 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/gtk.scm b/gnu/packages/gtk.scm
index 04a0db1161..81ac4a7197 100644
--- a/gnu/packages/gtk.scm
+++ b/gnu/packages/gtk.scm
@@ -1660,7 +1660,6 @@ tutorial.")
 
 (define-public gtkmm-2
   (package
-    (inherit gtkmm)
     (name "gtkmm")
     (version "2.24.5")
     (source
@@ -1672,12 +1671,57 @@ tutorial.")
                        name "-" version ".tar.xz"))
        (sha256
         (base32 "0wkbzvsx4kgw16f6xjdc1dz7f77ldngdila4yi5lw2zrgcxsb006"))))
+    (build-system glib-or-gtk-build-system)
+    (outputs '("out" "doc"))
+    (arguments
+     `(#:phases
+       (modify-phases %standard-phases
+         (add-before 'check 'pre-check
+           (lambda _
+             ;; Tests require a running X server.
+             (system "Xvfb :1 +extension GLX &")
+             (setenv "DISPLAY" ":1")
+             ;; For missing '/etc/machine-id'.
+             (setenv "DBUS_FATAL_WARNINGS" "0")
+             #t))
+         (add-after 'install 'move-doc
+           (lambda* (#:key outputs #:allow-other-keys)
+             (let* ((out (assoc-ref outputs "out"))
+                    (doc (assoc-ref outputs "doc")))
+               (mkdir-p (string-append doc "/share"))
+               (rename-file
+                (string-append out "/share/doc")
+                (string-append doc "/share/doc"))
+               #t))))))
+    (native-inputs
+     `(("dot" ,graphviz)
+       ("doxygen" ,doxygen)
+       ("m4" ,m4)
+       ("mm-common" ,mm-common)
+       ("perl" ,perl)
+       ("pkg-config" ,pkg-config)
+       ("xsltproc" ,libxslt)
+       ("xorg-server" ,xorg-server-for-tests)))
     (propagated-inputs
      `(("atkmm" ,atkmm-2.28)
        ("cairomm" ,cairomm-1.13)
        ("glibmm" ,glibmm-2.64)
        ("gtk+" ,gtk+-2)
-       ("pangomm" ,pangomm-2.42)))))
+       ("pangomm" ,pangomm-2.42)))
+    (synopsis "C++ Interfaces for GTK+ and GNOME")
+    (description "GTKmm is the official C++ interface for the popular GUI
+library GTK+.  Highlights include typesafe callbacks, and a comprehensive set of
+widgets that are easily extensible via inheritance.  You can create user
+interfaces either in code or with the Glade User Interface designer, using
+libglademm.  There's extensive documentation, including API reference and a
+tutorial.")
+    (home-page "https://gtkmm.org/")
+    (license
+     (list
+      ;; Library
+      license:lgpl2.1+
+      ;; Tools
+      license:gpl2+))))
 
 (define-public gtksourceviewmm
   (package
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48028; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 26 Apr 2021 08:09:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 26 04:09:56 2021
Received: from localhost ([127.0.0.1]:44370 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lawJX-0000dT-RT
	for submit <at> debbugs.gnu.org; Mon, 26 Apr 2021 04:09:56 -0400
Received: from lists.gnu.org ([209.51.188.17]:58852)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lawJX-0000dN-3t
 for submit <at> debbugs.gnu.org; Mon, 26 Apr 2021 04:09:55 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:52260)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <rg@HIDDEN>)
 id 1lawJW-0006I3-Ct
 for guix-patches@HIDDEN; Mon, 26 Apr 2021 04:09:54 -0400
Received: from out2.migadu.com ([2001:41d0:2:aacc::]:27188)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <rg@HIDDEN>)
 id 1lawJN-0001GS-Tu
 for guix-patches@HIDDEN; Mon, 26 Apr 2021 04:09:54 -0400
To: guix-patches@HIDDEN
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1619424577;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type;
 bh=qtDaCb35R1mKB3gWnbu5BUZzgFV4ShWvUomCv/dOfE4=;
 b=L3Ef1VmkzX0G0coJsmyTSIHdxGoK48cJ6P2lhHaO1IDupmXW88eK4IZWB4sdzL//TXSIl7
 lSwfdubKsOVqqxctHaS52VJkSV2KY8VtypDQlz2irxfzVs9BWCQ+spfHyQX044ttEvAsf0
 78/EueR23U4N7DtUde0s7BRh/d6XlufZWFs79Al2eK2KutNDdot44GZ5rBLqeNj3P9ucZJ
 sFX1QIKxYjAY9F1Ng0z8exwnZA3lF7B4Zn6dMrKZIzQegB/442qZd1NPVqOTXXTOJNlrHz
 0g/McyBE9EgSkXa7P7UIrBpMJJtZ43mUe0R/hQKqKDP1BwGfX7z4y/4wRVsRYw==
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
From: Raghav Gururajan <rg@HIDDEN>
Subject: [PATCH wip-gnome 0/8]: Misc.
Message-ID: <7c08ca5b-a7cb-cdf3-c8bb-673cec8876a8@HIDDEN>
Date: Mon, 26 Apr 2021 04:09:29 -0400
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature";
 boundary="o9pxsZ8BOlQLQakjLlaWW8Dm9bj6fszMC"
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
Received-SPF: pass client-ip=2001:41d0:2:aacc::;
 envelope-from=rg@HIDDEN; helo=out2.migadu.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
Cc: =?UTF-8?B?5a6L5paH5q2m?= <iyzsong@HIDDEN>,
 =?UTF-8?B?U291IEJ1bm5idSAo5a6L5paH5q2mKQ==?= <iyzsong@HIDDEN>,
 =?UTF-8?Q?L=c3=a9o_Le_Bouter?= <lle-bout@HIDDEN>,
 Leo Prikler <leo.prikler@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--o9pxsZ8BOlQLQakjLlaWW8Dm9bj6fszMC
Content-Type: multipart/mixed; boundary="SmQUCQeAk3R9BditbtMlNxcgC3EqoWnCv";
 protected-headers="v1"
From: Raghav Gururajan <rg@HIDDEN>
To: guix-patches@HIDDEN
Cc: Leo Prikler <leo.prikler@HIDDEN>, =?UTF-8?B?5a6L5paH5q2m?=
 <iyzsong@HIDDEN>, =?UTF-8?B?U291IEJ1bm5idSAo5a6L5paH5q2mKQ==?=
 <iyzsong@HIDDEN>, =?UTF-8?Q?L=c3=a9o_Le_Bouter?= <lle-bout@HIDDEN>
Message-ID: <7c08ca5b-a7cb-cdf3-c8bb-673cec8876a8@HIDDEN>
Subject: [PATCH wip-gnome 0/8]: Misc.

--SmQUCQeAk3R9BditbtMlNxcgC3EqoWnCv
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: quoted-printable



--SmQUCQeAk3R9BditbtMlNxcgC3EqoWnCv--

--o9pxsZ8BOlQLQakjLlaWW8Dm9bj6fszMC
Content-Type: application/pgp-signature; name="OpenPGP_signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="OpenPGP_signature"

-----BEGIN PGP SIGNATURE-----

wnsEABYIACMWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCYIZ1OQUDAAAAAAAKCRBfWBZkf4vlUVEu
AP4yvqIVygFsNJxRfVsJg6jFFF0BYoCl7lV29crSFXeuPAD9HOOtE/Do0Tpooqhdm69k0L87rCxi
nsmMDNgaJUHR7QI=
=JCla
-----END PGP SIGNATURE-----

--o9pxsZ8BOlQLQakjLlaWW8Dm9bj6fszMC--




Acknowledgement sent to Raghav Gururajan <rg@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#48028; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 5 May 2021 20:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.